package android.support.constraint;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.support.constraint.ConstraintLayout;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import java.util.Arrays;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public abstract class ConstraintHelper extends View {
    public int a;

    /* renamed from: a  reason: collision with other field name */
    public Context f1556a;

    /* renamed from: a  reason: collision with other field name */
    public String f1557a;

    /* renamed from: a  reason: collision with other field name */
    public C0628ma f1558a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f1559a;

    /* renamed from: a  reason: collision with other field name */
    public int[] f1560a;

    public ConstraintHelper(Context context) {
        super(context);
        this.f1560a = new int[32];
        this.f1559a = false;
        this.f1556a = context;
        a((AttributeSet) null);
    }

    private void setIds(String str) {
        if (str == null) {
            return;
        }
        int i = 0;
        while (true) {
            int indexOf = str.indexOf(44, i);
            if (indexOf == -1) {
                a(str.substring(i));
                return;
            } else {
                a(str.substring(i, indexOf));
                i = indexOf + 1;
            }
        }
    }

    public void a(ConstraintLayout constraintLayout) {
    }

    public void a(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, P.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == P.ConstraintLayout_Layout_constraint_referenced_ids) {
                    this.f1557a = obtainStyledAttributes.getString(index);
                    setIds(this.f1557a);
                }
            }
        }
    }

    public void b(ConstraintLayout constraintLayout) {
    }

    public void c(ConstraintLayout constraintLayout) {
        if (isInEditMode()) {
            setIds(this.f1557a);
        }
        C0628ma c0628ma = this.f1558a;
        if (c0628ma == null) {
            return;
        }
        c0628ma.h();
        for (int i = 0; i < this.a; i++) {
            View a = constraintLayout.a(this.f1560a[i]);
            if (a != null) {
                this.f1558a.b(constraintLayout.a(a));
            }
        }
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f1560a, this.a);
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
    }

    @Override // android.view.View
    public void onMeasure(int i, int i2) {
        if (this.f1559a) {
            super.onMeasure(i, i2);
        } else {
            setMeasuredDimension(0, 0);
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.a = 0;
        for (int i : iArr) {
            setTag(i, null);
        }
    }

    @Override // android.view.View
    public void setTag(int i, Object obj) {
        int i2 = this.a + 1;
        int[] iArr = this.f1560a;
        if (i2 > iArr.length) {
            this.f1560a = Arrays.copyOf(iArr, iArr.length * 2);
        }
        int[] iArr2 = this.f1560a;
        int i3 = this.a;
        iArr2[i3] = i;
        this.a = i3 + 1;
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1560a = new int[32];
        this.f1559a = false;
        this.f1556a = context;
        a(attributeSet);
    }

    public void a() {
        if (this.f1558a == null) {
            return;
        }
        ViewGroup.LayoutParams layoutParams = getLayoutParams();
        if (layoutParams instanceof ConstraintLayout.LayoutParams) {
            ((ConstraintLayout.LayoutParams) layoutParams).f1570a = this.f1558a;
        }
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1560a = new int[32];
        this.f1559a = false;
        this.f1556a = context;
        a(attributeSet);
    }

    public final void a(String str) {
        int i;
        Object a;
        if (str == null || this.f1556a == null) {
            return;
        }
        String trim = str.trim();
        try {
            i = O.class.getField(trim).getInt(null);
        } catch (Exception unused) {
            i = 0;
        }
        if (i == 0) {
            i = this.f1556a.getResources().getIdentifier(trim, "id", this.f1556a.getPackageName());
        }
        if (i == 0 && isInEditMode() && (getParent() instanceof ConstraintLayout) && (a = ((ConstraintLayout) getParent()).a(0, trim)) != null && (a instanceof Integer)) {
            i = ((Integer) a).intValue();
        }
        if (i != 0) {
            setTag(i, null);
            return;
        }
        Log.w("ConstraintHelper", "Could not find id of \"" + trim + "\"");
    }
}
