package android.support.constraint;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import defpackage.C0384fa;
import defpackage.C0454ha;
import java.util.ArrayList;
import java.util.HashMap;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class ConstraintLayout extends ViewGroup {
    public int a;

    /* renamed from: a  reason: collision with other field name */
    public N f1561a;

    /* renamed from: a  reason: collision with other field name */
    public W f1562a;

    /* renamed from: a  reason: collision with other field name */
    public SparseArray<View> f1563a;

    /* renamed from: a  reason: collision with other field name */
    public C0489ia f1564a;

    /* renamed from: a  reason: collision with other field name */
    public ArrayList<ConstraintHelper> f1565a;

    /* renamed from: a  reason: collision with other field name */
    public HashMap<String, Integer> f1566a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f1567a;
    public int b;

    /* renamed from: b  reason: collision with other field name */
    public final ArrayList<C0454ha> f1568b;
    public int c;
    public int d;
    public int e;
    public int f;
    public int g;
    public int h;
    public int i;
    public int j;
    public int k;
    public int l;

    public ConstraintLayout(Context context) {
        super(context);
        this.f1563a = new SparseArray<>();
        this.f1565a = new ArrayList<>(4);
        this.f1568b = new ArrayList<>(100);
        this.f1564a = new C0489ia();
        this.a = 0;
        this.b = 0;
        this.c = Integer.MAX_VALUE;
        this.d = Integer.MAX_VALUE;
        this.f1567a = true;
        this.e = 7;
        this.f1561a = null;
        this.f = -1;
        this.f1566a = new HashMap<>();
        this.g = -1;
        this.h = -1;
        this.i = -1;
        this.j = -1;
        this.k = 0;
        this.l = 0;
        m781a((AttributeSet) null);
    }

    public void a(int i, Object obj, Object obj2) {
        if (i == 0 && (obj instanceof String) && (obj2 instanceof Integer)) {
            if (this.f1566a == null) {
                this.f1566a = new HashMap<>();
            }
            String str = (String) obj;
            int indexOf = str.indexOf("/");
            if (indexOf != -1) {
                str = str.substring(indexOf + 1);
            }
            this.f1566a.put(str, Integer.valueOf(((Integer) obj2).intValue()));
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i, layoutParams);
        if (Build.VERSION.SDK_INT < 14) {
            onViewAdded(view);
        }
    }

    public final void b() {
        int childCount = getChildCount();
        boolean z = false;
        int i = 0;
        while (true) {
            if (i >= childCount) {
                break;
            } else if (getChildAt(i).isLayoutRequested()) {
                z = true;
                break;
            } else {
                i++;
            }
        }
        if (z) {
            this.f1568b.clear();
            m780a();
        }
    }

    public final void c() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt instanceof Placeholder) {
                ((Placeholder) childAt).a(this);
            }
        }
        int size = this.f1565a.size();
        if (size > 0) {
            for (int i2 = 0; i2 < size; i2++) {
                this.f1565a.get(i2).b(this);
            }
        }
    }

    @Override // android.view.ViewGroup
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void dispatchDraw(Canvas canvas) {
        Object tag;
        super.dispatchDraw(canvas);
        if (isInEditMode()) {
            int childCount = getChildCount();
            float width = getWidth();
            float height = getHeight();
            for (int i = 0; i < childCount; i++) {
                View childAt = getChildAt(i);
                if (childAt.getVisibility() != 8 && (tag = childAt.getTag()) != null && (tag instanceof String)) {
                    String[] split = ((String) tag).split(",");
                    if (split.length == 4) {
                        int parseInt = Integer.parseInt(split[0]);
                        int parseInt2 = Integer.parseInt(split[1]);
                        int parseInt3 = Integer.parseInt(split[2]);
                        int i2 = (int) ((parseInt / 1080.0f) * width);
                        int i3 = (int) ((parseInt2 / 1920.0f) * height);
                        Paint paint = new Paint();
                        paint.setColor(-65536);
                        float f = i2;
                        float f2 = i3;
                        float f3 = i2 + ((int) ((parseInt3 / 1080.0f) * width));
                        canvas.drawLine(f, f2, f3, f2, paint);
                        float parseInt4 = i3 + ((int) ((Integer.parseInt(split[3]) / 1920.0f) * height));
                        canvas.drawLine(f3, f2, f3, parseInt4, paint);
                        canvas.drawLine(f3, parseInt4, f, parseInt4, paint);
                        canvas.drawLine(f, parseInt4, f, f2, paint);
                        paint.setColor(-16711936);
                        canvas.drawLine(f, f2, f3, parseInt4, paint);
                        canvas.drawLine(f, parseInt4, f3, f2, paint);
                    }
                }
            }
        }
    }

    public int getMaxHeight() {
        return this.d;
    }

    public int getMaxWidth() {
        return this.c;
    }

    public int getMinHeight() {
        return this.b;
    }

    public int getMinWidth() {
        return this.a;
    }

    public int getOptimizationLevel() {
        return this.f1564a.o();
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        View content;
        int childCount = getChildCount();
        boolean isInEditMode = isInEditMode();
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            C0454ha c0454ha = layoutParams.f1570a;
            if ((childAt.getVisibility() != 8 || layoutParams.f1582f || layoutParams.f1584g || isInEditMode) && !layoutParams.f1586h) {
                int c = c0454ha.c();
                int d = c0454ha.d();
                int j = c0454ha.j() + c;
                int e = c0454ha.e() + d;
                childAt.layout(c, d, j, e);
                if ((childAt instanceof Placeholder) && (content = ((Placeholder) childAt).getContent()) != null) {
                    content.setVisibility(0);
                    content.layout(c, d, j, e);
                }
            }
        }
        int size = this.f1565a.size();
        if (size > 0) {
            for (int i6 = 0; i6 < size; i6++) {
                this.f1565a.get(i6).a(this);
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:175:0x035b  */
    /* JADX WARN: Removed duplicated region for block: B:178:0x0370  */
    /* JADX WARN: Removed duplicated region for block: B:185:0x03a9  */
    /* JADX WARN: Removed duplicated region for block: B:64:0x0124  */
    /* JADX WARN: Removed duplicated region for block: B:67:0x013b  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onMeasure(int i, int i2) {
        boolean z;
        int size;
        int i3;
        boolean z2;
        boolean z3;
        int i4;
        int i5;
        boolean z4;
        int makeMeasureSpec;
        int makeMeasureSpec2;
        int baseline;
        int i6 = i;
        System.currentTimeMillis();
        int mode = View.MeasureSpec.getMode(i);
        int size2 = View.MeasureSpec.getSize(i);
        int mode2 = View.MeasureSpec.getMode(i2);
        int size3 = View.MeasureSpec.getSize(i2);
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        this.f1564a.n(paddingLeft);
        this.f1564a.o(paddingTop);
        this.f1564a.f(this.c);
        this.f1564a.e(this.d);
        if (Build.VERSION.SDK_INT >= 17) {
            this.f1564a.c(getLayoutDirection() == 1);
        }
        c(i, i2);
        int j = this.f1564a.j();
        int e = this.f1564a.e();
        if (this.f1567a) {
            this.f1567a = false;
            b();
            z = true;
        } else {
            z = false;
        }
        boolean z5 = (this.e & 8) == 8;
        if (z5) {
            this.f1564a.l();
            this.f1564a.f(j, e);
            b(i, i2);
        } else {
            a(i, i2);
        }
        c();
        if (getChildCount() > 0 && z) {
            C0210aa.a(this.f1564a);
        }
        C0489ia c0489ia = this.f1564a;
        if (c0489ia.k) {
            if (c0489ia.l && mode == Integer.MIN_VALUE) {
                int i7 = c0489ia.L;
                if (i7 < size2) {
                    c0489ia.k(i7);
                }
                this.f1564a.a(C0454ha.a.FIXED);
            }
            C0489ia c0489ia2 = this.f1564a;
            if (c0489ia2.m && mode2 == Integer.MIN_VALUE) {
                int i8 = c0489ia2.M;
                if (i8 < size3) {
                    c0489ia2.c(i8);
                }
                this.f1564a.b(C0454ha.a.FIXED);
            }
        }
        if ((this.e & 32) == 32) {
            int j2 = this.f1564a.j();
            int e2 = this.f1564a.e();
            if (this.g != j2 && mode == 1073741824) {
                C0210aa.a(this.f1564a.f3141a, 0, j2);
            }
            if (this.h != e2 && mode2 == 1073741824) {
                C0210aa.a(this.f1564a.f3141a, 1, e2);
            }
            C0489ia c0489ia3 = this.f1564a;
            if (c0489ia3.l && c0489ia3.L > size2) {
                C0210aa.a(c0489ia3.f3141a, 0, size2);
            }
            C0489ia c0489ia4 = this.f1564a;
            if (c0489ia4.m && c0489ia4.M > size3) {
                C0210aa.a(c0489ia4.f3141a, 1, size3);
                if (getChildCount() > 0) {
                    a("First pass");
                }
                size = this.f1568b.size();
                int paddingBottom = paddingTop + getPaddingBottom();
                int paddingRight = paddingLeft + getPaddingRight();
                if (size <= 0) {
                    boolean z6 = this.f1564a.m1256a() == C0454ha.a.WRAP_CONTENT;
                    boolean z7 = this.f1564a.m1267b() == C0454ha.a.WRAP_CONTENT;
                    int max = Math.max(this.f1564a.j(), this.a);
                    int max2 = Math.max(this.f1564a.e(), this.b);
                    int i9 = 0;
                    boolean z8 = false;
                    int i10 = 0;
                    while (i9 < size) {
                        C0454ha c0454ha = this.f1568b.get(i9);
                        int i11 = size;
                        View view = (View) c0454ha.m1259a();
                        if (view == null) {
                            i5 = j;
                            z4 = z8;
                            i4 = e;
                        } else {
                            i4 = e;
                            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
                            i5 = j;
                            if (layoutParams.f1584g || layoutParams.f1582f) {
                                z4 = z8;
                            } else {
                                z4 = z8;
                                if (view.getVisibility() != 8 && (!z5 || !c0454ha.m1268b().m1551a() || !c0454ha.m1262a().m1551a())) {
                                    if (((ViewGroup.MarginLayoutParams) layoutParams).width == -2 && layoutParams.f1576c) {
                                        makeMeasureSpec = ViewGroup.getChildMeasureSpec(i6, paddingRight, ((ViewGroup.MarginLayoutParams) layoutParams).width);
                                    } else {
                                        makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(c0454ha.j(), 1073741824);
                                    }
                                    if (((ViewGroup.MarginLayoutParams) layoutParams).height == -2 && layoutParams.f1578d) {
                                        makeMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, paddingBottom, ((ViewGroup.MarginLayoutParams) layoutParams).height);
                                    } else {
                                        makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(c0454ha.e(), 1073741824);
                                    }
                                    view.measure(makeMeasureSpec, makeMeasureSpec2);
                                    W w = this.f1562a;
                                    if (w != null) {
                                        w.b++;
                                    }
                                    int measuredWidth = view.getMeasuredWidth();
                                    int measuredHeight = view.getMeasuredHeight();
                                    if (measuredWidth != c0454ha.j()) {
                                        c0454ha.k(measuredWidth);
                                        if (z5) {
                                            c0454ha.m1268b().a(measuredWidth);
                                        }
                                        if (z6 && c0454ha.f() > max) {
                                            max = Math.max(max, c0454ha.f() + c0454ha.a(C0384fa.c.RIGHT).b());
                                        }
                                        z4 = true;
                                    }
                                    if (measuredHeight != c0454ha.e()) {
                                        c0454ha.c(measuredHeight);
                                        if (z5) {
                                            c0454ha.m1262a().a(measuredHeight);
                                        }
                                        if (z7 && c0454ha.b() > max2) {
                                            max2 = Math.max(max2, c0454ha.b() + c0454ha.a(C0384fa.c.BOTTOM).b());
                                        }
                                        z4 = true;
                                    }
                                    if (layoutParams.f1580e && (baseline = view.getBaseline()) != -1 && baseline != c0454ha.a()) {
                                        c0454ha.m1270b(baseline);
                                        z4 = true;
                                    }
                                    if (Build.VERSION.SDK_INT >= 11) {
                                        i10 = ViewGroup.combineMeasuredStates(i10, view.getMeasuredState());
                                    }
                                    z8 = z4;
                                    i9++;
                                    i6 = i;
                                    j = i5;
                                    size = i11;
                                    e = i4;
                                }
                            }
                        }
                        i10 = i10;
                        z8 = z4;
                        i9++;
                        i6 = i;
                        j = i5;
                        size = i11;
                        e = i4;
                    }
                    int i12 = size;
                    int i13 = j;
                    int i14 = e;
                    i3 = i10;
                    if (z8) {
                        this.f1564a.k(i13);
                        this.f1564a.c(i14);
                        if (z5) {
                            this.f1564a.n();
                        }
                        a("2nd pass");
                        if (this.f1564a.j() < max) {
                            this.f1564a.k(max);
                            z2 = true;
                        } else {
                            z2 = false;
                        }
                        if (this.f1564a.e() < max2) {
                            this.f1564a.c(max2);
                            z3 = true;
                        } else {
                            z3 = z2;
                        }
                        if (z3) {
                            a("3rd pass");
                        }
                    }
                    for (int i15 = 0; i15 < i12; i15++) {
                        C0454ha c0454ha2 = this.f1568b.get(i15);
                        View view2 = (View) c0454ha2.m1259a();
                        if (view2 != null && (view2.getMeasuredWidth() != c0454ha2.j() || view2.getMeasuredHeight() != c0454ha2.e())) {
                            if (c0454ha2.i() != 8) {
                                view2.measure(View.MeasureSpec.makeMeasureSpec(c0454ha2.j(), 1073741824), View.MeasureSpec.makeMeasureSpec(c0454ha2.e(), 1073741824));
                                W w2 = this.f1562a;
                                if (w2 != null) {
                                    w2.b++;
                                }
                            }
                        }
                    }
                } else {
                    i3 = 0;
                }
                int j3 = this.f1564a.j() + paddingRight;
                int e3 = this.f1564a.e() + paddingBottom;
                if (Build.VERSION.SDK_INT < 11) {
                    int min = Math.min(this.c, ViewGroup.resolveSizeAndState(j3, i, i3) & 16777215);
                    int min2 = Math.min(this.d, ViewGroup.resolveSizeAndState(e3, i2, i3 << 16) & 16777215);
                    if (this.f1564a.k()) {
                        min |= 16777216;
                    }
                    if (this.f1564a.i()) {
                        min2 |= 16777216;
                    }
                    setMeasuredDimension(min, min2);
                    this.g = min;
                    this.h = min2;
                    return;
                }
                setMeasuredDimension(j3, e3);
                this.g = j3;
                this.h = e3;
                return;
            }
        }
        if (getChildCount() > 0) {
        }
        size = this.f1568b.size();
        int paddingBottom2 = paddingTop + getPaddingBottom();
        int paddingRight2 = paddingLeft + getPaddingRight();
        if (size <= 0) {
        }
        int j32 = this.f1564a.j() + paddingRight2;
        int e32 = this.f1564a.e() + paddingBottom2;
        if (Build.VERSION.SDK_INT < 11) {
        }
    }

    @Override // android.view.ViewGroup
    public void onViewAdded(View view) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onViewAdded(view);
        }
        C0454ha a = a(view);
        if ((view instanceof Guideline) && !(a instanceof C0593la)) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            layoutParams.f1570a = new C0593la();
            layoutParams.f1582f = true;
            ((C0593la) layoutParams.f1570a).r(layoutParams.I);
        }
        if (view instanceof ConstraintHelper) {
            ConstraintHelper constraintHelper = (ConstraintHelper) view;
            constraintHelper.a();
            ((LayoutParams) view.getLayoutParams()).f1584g = true;
            if (!this.f1565a.contains(constraintHelper)) {
                this.f1565a.add(constraintHelper);
            }
        }
        this.f1563a.put(view.getId(), view);
        this.f1567a = true;
    }

    @Override // android.view.ViewGroup
    public void onViewRemoved(View view) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onViewRemoved(view);
        }
        this.f1563a.remove(view.getId());
        C0454ha a = a(view);
        this.f1564a.c(a);
        this.f1565a.remove(view);
        this.f1568b.remove(a);
        this.f1567a = true;
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        super.removeView(view);
        if (Build.VERSION.SDK_INT < 14) {
            onViewRemoved(view);
        }
    }

    @Override // android.view.View, android.view.ViewParent
    public void requestLayout() {
        super.requestLayout();
        this.f1567a = true;
        this.g = -1;
        this.h = -1;
        this.i = -1;
        this.j = -1;
        this.k = 0;
        this.l = 0;
    }

    public void setConstraintSet(N n) {
        this.f1561a = n;
    }

    @Override // android.view.View
    public void setId(int i) {
        this.f1563a.remove(getId());
        super.setId(i);
        this.f1563a.put(getId(), this);
    }

    public void setMaxHeight(int i) {
        if (i == this.d) {
            return;
        }
        this.d = i;
        requestLayout();
    }

    public void setMaxWidth(int i) {
        if (i == this.c) {
            return;
        }
        this.c = i;
        requestLayout();
    }

    public void setMinHeight(int i) {
        if (i == this.b) {
            return;
        }
        this.b = i;
        requestLayout();
    }

    public void setMinWidth(int i) {
        if (i == this.a) {
            return;
        }
        this.a = i;
        requestLayout();
    }

    public void setOptimizationLevel(int i) {
        this.f1564a.p(i);
    }

    @Override // android.view.ViewGroup
    public boolean shouldDelayChildPressedState() {
        return false;
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    /* JADX WARN: Removed duplicated region for block: B:117:0x0206  */
    /* JADX WARN: Removed duplicated region for block: B:127:0x0240  */
    /* JADX WARN: Removed duplicated region for block: B:137:0x0265  */
    /* JADX WARN: Removed duplicated region for block: B:138:0x026e  */
    /* JADX WARN: Removed duplicated region for block: B:141:0x0273  */
    /* JADX WARN: Removed duplicated region for block: B:142:0x0275  */
    /* JADX WARN: Removed duplicated region for block: B:145:0x027b  */
    /* JADX WARN: Removed duplicated region for block: B:146:0x027d  */
    /* JADX WARN: Removed duplicated region for block: B:149:0x0291  */
    /* JADX WARN: Removed duplicated region for block: B:151:0x0296  */
    /* JADX WARN: Removed duplicated region for block: B:153:0x029b  */
    /* JADX WARN: Removed duplicated region for block: B:154:0x02a3  */
    /* JADX WARN: Removed duplicated region for block: B:156:0x02ac  */
    /* JADX WARN: Removed duplicated region for block: B:157:0x02b4  */
    /* JADX WARN: Removed duplicated region for block: B:160:0x02c1  */
    /* JADX WARN: Removed duplicated region for block: B:163:0x02cc A[ADDED_TO_REGION] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void b(int i, int i2) {
        long j;
        int i3;
        int i4;
        int i5;
        long j2;
        boolean z;
        int childMeasureSpec;
        boolean z2;
        boolean z3;
        int childMeasureSpec2;
        W w;
        int baseline;
        int i6;
        int baseline2;
        ConstraintLayout constraintLayout = this;
        int i7 = i2;
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int childCount = getChildCount();
        int i8 = 0;
        while (true) {
            j = 1;
            i3 = 8;
            if (i8 >= childCount) {
                break;
            }
            View childAt = constraintLayout.getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                C0454ha c0454ha = layoutParams.f1570a;
                if (!layoutParams.f1582f && !layoutParams.f1584g) {
                    c0454ha.j(childAt.getVisibility());
                    int i9 = ((ViewGroup.MarginLayoutParams) layoutParams).width;
                    int i10 = ((ViewGroup.MarginLayoutParams) layoutParams).height;
                    if (i9 != 0 && i10 != 0) {
                        boolean z4 = i9 == -2;
                        int childMeasureSpec3 = ViewGroup.getChildMeasureSpec(i, paddingLeft, i9);
                        boolean z5 = i10 == -2;
                        childAt.measure(childMeasureSpec3, ViewGroup.getChildMeasureSpec(i7, paddingTop, i10));
                        W w2 = constraintLayout.f1562a;
                        if (w2 != null) {
                            i6 = paddingTop;
                            w2.a++;
                        } else {
                            i6 = paddingTop;
                        }
                        c0454ha.b(i9 == -2);
                        c0454ha.a(i10 == -2);
                        int measuredWidth = childAt.getMeasuredWidth();
                        int measuredHeight = childAt.getMeasuredHeight();
                        c0454ha.k(measuredWidth);
                        c0454ha.c(measuredHeight);
                        if (z4) {
                            c0454ha.m(measuredWidth);
                        }
                        if (z5) {
                            c0454ha.l(measuredHeight);
                        }
                        if (layoutParams.f1580e && (baseline2 = childAt.getBaseline()) != -1) {
                            c0454ha.m1270b(baseline2);
                        }
                        if (layoutParams.f1576c && layoutParams.f1578d) {
                            c0454ha.m1268b().a(measuredWidth);
                            c0454ha.m1262a().a(measuredHeight);
                        }
                    } else {
                        i6 = paddingTop;
                        c0454ha.m1268b().b();
                        c0454ha.m1262a().b();
                    }
                    i8++;
                    i7 = i2;
                    paddingTop = i6;
                }
            }
            i6 = paddingTop;
            i8++;
            i7 = i2;
            paddingTop = i6;
        }
        int i11 = paddingTop;
        constraintLayout.f1564a.n();
        int i12 = 0;
        while (i12 < childCount) {
            View childAt2 = constraintLayout.getChildAt(i12);
            if (childAt2.getVisibility() != i3) {
                LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
                C0454ha c0454ha2 = layoutParams2.f1570a;
                if (!layoutParams2.f1582f && !layoutParams2.f1584g) {
                    c0454ha2.j(childAt2.getVisibility());
                    int i13 = ((ViewGroup.MarginLayoutParams) layoutParams2).width;
                    int i14 = ((ViewGroup.MarginLayoutParams) layoutParams2).height;
                    if (i13 == 0 || i14 == 0) {
                        C0733pa m1203a = c0454ha2.a(C0384fa.c.LEFT).m1203a();
                        C0733pa m1203a2 = c0454ha2.a(C0384fa.c.RIGHT).m1203a();
                        boolean z6 = (c0454ha2.a(C0384fa.c.LEFT).m1201a() == null || c0454ha2.a(C0384fa.c.RIGHT).m1201a() == null) ? false : true;
                        C0733pa m1203a3 = c0454ha2.a(C0384fa.c.TOP).m1203a();
                        C0733pa m1203a4 = c0454ha2.a(C0384fa.c.BOTTOM).m1203a();
                        i5 = childCount;
                        boolean z7 = (c0454ha2.a(C0384fa.c.TOP).m1201a() == null || c0454ha2.a(C0384fa.c.BOTTOM).m1201a() == null) ? false : true;
                        if (i13 == 0 && i14 == 0 && z6 && z7) {
                            i4 = i12;
                            j2 = 1;
                        } else {
                            i4 = i12;
                            boolean z8 = constraintLayout.f1564a.m1256a() != C0454ha.a.WRAP_CONTENT;
                            boolean z9 = constraintLayout.f1564a.m1267b() != C0454ha.a.WRAP_CONTENT;
                            if (!z8) {
                                c0454ha2.m1268b().b();
                            }
                            if (!z9) {
                                c0454ha2.m1262a().b();
                            }
                            if (i13 == 0) {
                                if (z8 && c0454ha2.m1281g() && z6 && m1203a.m1551a() && m1203a2.m1551a()) {
                                    i13 = (int) (m1203a2.a() - m1203a.a());
                                    c0454ha2.m1268b().a(i13);
                                    childMeasureSpec = ViewGroup.getChildMeasureSpec(i, paddingLeft, i13);
                                    z = false;
                                    if (i14 != 0) {
                                    }
                                } else {
                                    childMeasureSpec = ViewGroup.getChildMeasureSpec(i, paddingLeft, -2);
                                    z = true;
                                    z8 = false;
                                    if (i14 != 0) {
                                        if (z9 && c0454ha2.m1279f() && z7 && m1203a3.m1551a() && m1203a4.m1551a()) {
                                            i14 = (int) (m1203a4.a() - m1203a3.a());
                                            c0454ha2.m1262a().a(i14);
                                            z3 = z9;
                                            childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, i11, i14);
                                            z2 = false;
                                            childAt2.measure(childMeasureSpec, childMeasureSpec2);
                                            constraintLayout = this;
                                            w = constraintLayout.f1562a;
                                            if (w == null) {
                                            }
                                            c0454ha2.b(i13 != -2);
                                            c0454ha2.a(i14 != -2);
                                            int measuredWidth2 = childAt2.getMeasuredWidth();
                                            int measuredHeight2 = childAt2.getMeasuredHeight();
                                            c0454ha2.k(measuredWidth2);
                                            c0454ha2.c(measuredHeight2);
                                            if (z) {
                                            }
                                            if (z2) {
                                            }
                                            if (!z8) {
                                            }
                                            if (!z3) {
                                            }
                                            if (layoutParams2.f1580e) {
                                                c0454ha2.m1270b(baseline);
                                            }
                                        } else {
                                            childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, i11, -2);
                                            z2 = true;
                                            z3 = false;
                                            childAt2.measure(childMeasureSpec, childMeasureSpec2);
                                            constraintLayout = this;
                                            w = constraintLayout.f1562a;
                                            if (w == null) {
                                                j2 = 1;
                                                w.a++;
                                            } else {
                                                j2 = 1;
                                            }
                                            c0454ha2.b(i13 != -2);
                                            c0454ha2.a(i14 != -2);
                                            int measuredWidth22 = childAt2.getMeasuredWidth();
                                            int measuredHeight22 = childAt2.getMeasuredHeight();
                                            c0454ha2.k(measuredWidth22);
                                            c0454ha2.c(measuredHeight22);
                                            if (z) {
                                                c0454ha2.m(measuredWidth22);
                                            }
                                            if (z2) {
                                                c0454ha2.l(measuredHeight22);
                                            }
                                            if (!z8) {
                                                c0454ha2.m1268b().a(measuredWidth22);
                                            } else {
                                                c0454ha2.m1268b().e();
                                            }
                                            if (!z3) {
                                                c0454ha2.m1262a().a(measuredHeight22);
                                            } else {
                                                c0454ha2.m1262a().e();
                                            }
                                            if (layoutParams2.f1580e && (baseline = childAt2.getBaseline()) != -1) {
                                                c0454ha2.m1270b(baseline);
                                            }
                                        }
                                    } else if (i14 == -1) {
                                        z3 = z9;
                                        childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, i11, -1);
                                        z2 = false;
                                        childAt2.measure(childMeasureSpec, childMeasureSpec2);
                                        constraintLayout = this;
                                        w = constraintLayout.f1562a;
                                        if (w == null) {
                                        }
                                        c0454ha2.b(i13 != -2);
                                        c0454ha2.a(i14 != -2);
                                        int measuredWidth222 = childAt2.getMeasuredWidth();
                                        int measuredHeight222 = childAt2.getMeasuredHeight();
                                        c0454ha2.k(measuredWidth222);
                                        c0454ha2.c(measuredHeight222);
                                        if (z) {
                                        }
                                        if (z2) {
                                        }
                                        if (!z8) {
                                        }
                                        if (!z3) {
                                        }
                                        if (layoutParams2.f1580e) {
                                        }
                                    } else {
                                        z2 = i14 == -2;
                                        z3 = z9;
                                        childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, i11, i14);
                                        childAt2.measure(childMeasureSpec, childMeasureSpec2);
                                        constraintLayout = this;
                                        w = constraintLayout.f1562a;
                                        if (w == null) {
                                        }
                                        c0454ha2.b(i13 != -2);
                                        c0454ha2.a(i14 != -2);
                                        int measuredWidth2222 = childAt2.getMeasuredWidth();
                                        int measuredHeight2222 = childAt2.getMeasuredHeight();
                                        c0454ha2.k(measuredWidth2222);
                                        c0454ha2.c(measuredHeight2222);
                                        if (z) {
                                        }
                                        if (z2) {
                                        }
                                        if (!z8) {
                                        }
                                        if (!z3) {
                                        }
                                        if (layoutParams2.f1580e) {
                                        }
                                    }
                                }
                            } else if (i13 == -1) {
                                childMeasureSpec = ViewGroup.getChildMeasureSpec(i, paddingLeft, -1);
                                z = false;
                                if (i14 != 0) {
                                }
                            } else {
                                z = i13 == -2;
                                childMeasureSpec = ViewGroup.getChildMeasureSpec(i, paddingLeft, i13);
                                if (i14 != 0) {
                                }
                            }
                        }
                        i12 = i4 + 1;
                        childCount = i5;
                        j = j2;
                        i3 = 8;
                    }
                }
            }
            i4 = i12;
            i5 = childCount;
            j2 = j;
            i12 = i4 + 1;
            childCount = i5;
            j = j2;
            i3 = 8;
        }
    }

    public final void c(int i, int i2) {
        int i3;
        C0454ha.a aVar;
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        int mode2 = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        C0454ha.a aVar2 = C0454ha.a.FIXED;
        getLayoutParams();
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                aVar = C0454ha.a.WRAP_CONTENT;
            } else if (mode != 1073741824) {
                aVar = aVar2;
            } else {
                i3 = Math.min(this.c, size) - paddingLeft;
                aVar = aVar2;
            }
            i3 = 0;
        } else {
            i3 = size;
            aVar = C0454ha.a.WRAP_CONTENT;
        }
        if (mode2 != Integer.MIN_VALUE) {
            if (mode2 == 0) {
                aVar2 = C0454ha.a.WRAP_CONTENT;
            } else if (mode2 == 1073741824) {
                size2 = Math.min(this.d, size2) - paddingTop;
            }
            size2 = 0;
        } else {
            aVar2 = C0454ha.a.WRAP_CONTENT;
        }
        this.f1564a.h(0);
        this.f1564a.g(0);
        this.f1564a.a(aVar);
        this.f1564a.k(i3);
        this.f1564a.b(aVar2);
        this.f1564a.c(size2);
        this.f1564a.h((this.a - getPaddingLeft()) - getPaddingRight());
        this.f1564a.g((this.b - getPaddingTop()) - getPaddingBottom());
    }

    public Object a(int i, Object obj) {
        if (i == 0 && (obj instanceof String)) {
            String str = (String) obj;
            HashMap<String, Integer> hashMap = this.f1566a;
            if (hashMap == null || !hashMap.containsKey(str)) {
                return null;
            }
            return this.f1566a.get(str);
        }
        return null;
    }

    /* renamed from: a  reason: collision with other method in class */
    public final void m781a(AttributeSet attributeSet) {
        this.f1564a.a(this);
        this.f1563a.put(getId(), this);
        this.f1561a = null;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, P.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == P.ConstraintLayout_Layout_android_minWidth) {
                    this.a = obtainStyledAttributes.getDimensionPixelOffset(index, this.a);
                } else if (index == P.ConstraintLayout_Layout_android_minHeight) {
                    this.b = obtainStyledAttributes.getDimensionPixelOffset(index, this.b);
                } else if (index == P.ConstraintLayout_Layout_android_maxWidth) {
                    this.c = obtainStyledAttributes.getDimensionPixelOffset(index, this.c);
                } else if (index == P.ConstraintLayout_Layout_android_maxHeight) {
                    this.d = obtainStyledAttributes.getDimensionPixelOffset(index, this.d);
                } else if (index == P.ConstraintLayout_Layout_layout_optimizationLevel) {
                    this.e = obtainStyledAttributes.getInt(index, this.e);
                } else if (index == P.ConstraintLayout_Layout_constraintSet) {
                    int resourceId = obtainStyledAttributes.getResourceId(index, 0);
                    try {
                        this.f1561a = new N();
                        this.f1561a.a(getContext(), resourceId);
                    } catch (Resources.NotFoundException unused) {
                        this.f1561a = null;
                    }
                    this.f = resourceId;
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.f1564a.p(this.e);
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1563a = new SparseArray<>();
        this.f1565a = new ArrayList<>(4);
        this.f1568b = new ArrayList<>(100);
        this.f1564a = new C0489ia();
        this.a = 0;
        this.b = 0;
        this.c = Integer.MAX_VALUE;
        this.d = Integer.MAX_VALUE;
        this.f1567a = true;
        this.e = 7;
        this.f1561a = null;
        this.f = -1;
        this.f1566a = new HashMap<>();
        this.g = -1;
        this.h = -1;
        this.i = -1;
        this.j = -1;
        this.k = 0;
        this.l = 0;
        m781a(attributeSet);
    }

    /* JADX WARN: Code restructure failed: missing block: B:120:0x01d6, code lost:
        if (r11 != (-1)) goto L231;
     */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:128:0x01e3  */
    /* JADX WARN: Removed duplicated region for block: B:129:0x01e7  */
    /* JADX WARN: Removed duplicated region for block: B:137:0x0205  */
    /* JADX WARN: Removed duplicated region for block: B:140:0x0214  */
    /* JADX WARN: Removed duplicated region for block: B:204:0x0346  */
    /* JADX WARN: Removed duplicated region for block: B:208:0x036e  */
    /* JADX WARN: Removed duplicated region for block: B:211:0x037c  */
    /* JADX WARN: Removed duplicated region for block: B:215:0x03a5  */
    /* JADX WARN: Removed duplicated region for block: B:218:0x03b4  */
    /* JADX WARN: Type inference failed for: r26v0, types: [android.support.constraint.ConstraintLayout, android.view.ViewGroup] */
    /* JADX WARN: Type inference failed for: r3v0 */
    /* JADX WARN: Type inference failed for: r3v1, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r3v2 */
    /* JADX WARN: Type inference failed for: r3v27 */
    /* JADX WARN: Type inference failed for: r3v28 */
    /* JADX WARN: Type inference failed for: r3v31 */
    /* JADX WARN: Type inference failed for: r3v37 */
    /* JADX WARN: Type inference failed for: r3v56 */
    /* renamed from: a  reason: collision with other method in class */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void m780a() {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        float f;
        int i6;
        float f2;
        C0454ha m779a;
        C0454ha m779a2;
        C0454ha m779a3;
        C0454ha m779a4;
        String str;
        boolean isInEditMode = isInEditMode();
        int childCount = getChildCount();
        ?? r3 = 0;
        if (isInEditMode) {
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt = getChildAt(i7);
                try {
                    String resourceName = getResources().getResourceName(childAt.getId());
                    a(0, resourceName, Integer.valueOf(childAt.getId()));
                    int indexOf = resourceName.indexOf(47);
                    if (indexOf != -1) {
                        resourceName = resourceName.substring(indexOf + 1);
                    }
                    m779a(childAt.getId()).a(resourceName);
                } catch (Resources.NotFoundException unused) {
                }
            }
        }
        for (int i8 = 0; i8 < childCount; i8++) {
            C0454ha a = a(getChildAt(i8));
            if (a != null) {
                a.m1269b();
            }
        }
        if (this.f != -1) {
            for (int i9 = 0; i9 < childCount; i9++) {
                View childAt2 = getChildAt(i9);
                if (childAt2.getId() == this.f && (childAt2 instanceof Constraints)) {
                    this.f1561a = ((Constraints) childAt2).getConstraintSet();
                }
            }
        }
        N n = this.f1561a;
        if (n != null) {
            n.a((ConstraintLayout) this);
        }
        this.f1564a.i();
        int size = this.f1565a.size();
        if (size > 0) {
            for (int i10 = 0; i10 < size; i10++) {
                this.f1565a.get(i10).c(this);
            }
        }
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt3 = getChildAt(i11);
            if (childAt3 instanceof Placeholder) {
                ((Placeholder) childAt3).b(this);
            }
        }
        int i12 = 0;
        while (i12 < childCount) {
            View childAt4 = getChildAt(i12);
            C0454ha a2 = a(childAt4);
            if (a2 != null) {
                LayoutParams layoutParams = (LayoutParams) childAt4.getLayoutParams();
                layoutParams.a();
                if (layoutParams.f1588i) {
                    layoutParams.f1588i = r3;
                } else if (isInEditMode) {
                    try {
                        String resourceName2 = getResources().getResourceName(childAt4.getId());
                        a(r3, resourceName2, Integer.valueOf(childAt4.getId()));
                        m779a(childAt4.getId()).a(resourceName2.substring(resourceName2.indexOf("id/") + 3));
                    } catch (Resources.NotFoundException unused2) {
                    }
                }
                a2.j(childAt4.getVisibility());
                if (layoutParams.f1586h) {
                    a2.j(8);
                }
                a2.a(childAt4);
                this.f1564a.b(a2);
                if (!layoutParams.f1578d || !layoutParams.f1576c) {
                    this.f1568b.add(a2);
                }
                if (layoutParams.f1582f) {
                    C0593la c0593la = (C0593la) a2;
                    int i13 = layoutParams.P;
                    int i14 = layoutParams.Q;
                    float f3 = layoutParams.k;
                    if (Build.VERSION.SDK_INT < 17) {
                        i13 = layoutParams.f1569a;
                        i14 = layoutParams.f1573b;
                        f3 = layoutParams.a;
                    }
                    if (f3 != -1.0f) {
                        c0593la.e(f3);
                    } else if (i13 != -1) {
                        c0593la.p(i13);
                    } else if (i14 != -1) {
                        c0593la.q(i14);
                    }
                } else if (layoutParams.f1575c != -1 || layoutParams.f1577d != -1 || layoutParams.f1579e != -1 || layoutParams.f1581f != -1 || layoutParams.o != -1 || layoutParams.n != -1 || layoutParams.p != -1 || layoutParams.q != -1 || layoutParams.f1583g != -1 || layoutParams.f1585h != -1 || layoutParams.f1587i != -1 || layoutParams.f1589j != -1 || layoutParams.f1590k != -1 || layoutParams.G != -1 || layoutParams.H != -1 || layoutParams.l != -1 || ((ViewGroup.MarginLayoutParams) layoutParams).width == -1 || ((ViewGroup.MarginLayoutParams) layoutParams).height == -1) {
                    int i15 = layoutParams.J;
                    int i16 = layoutParams.K;
                    int i17 = layoutParams.L;
                    int i18 = layoutParams.M;
                    int i19 = layoutParams.N;
                    int i20 = layoutParams.O;
                    float f4 = layoutParams.j;
                    if (Build.VERSION.SDK_INT < 17) {
                        int i21 = layoutParams.f1575c;
                        int i22 = layoutParams.f1577d;
                        int i23 = layoutParams.f1579e;
                        i18 = layoutParams.f1581f;
                        int i24 = layoutParams.r;
                        int i25 = layoutParams.t;
                        f4 = layoutParams.c;
                        if (i21 == -1 && i22 == -1) {
                            int i26 = layoutParams.o;
                            if (i26 != -1) {
                                i4 = i22;
                                i15 = i26;
                                if (i23 == -1 && i18 == -1) {
                                    i = layoutParams.p;
                                    if (i == -1) {
                                        i3 = i24;
                                        i2 = i25;
                                    } else {
                                        int i27 = layoutParams.q;
                                        if (i27 != -1) {
                                            i3 = i24;
                                            i2 = i25;
                                            f = f4;
                                            i5 = i27;
                                            i = i23;
                                            i6 = layoutParams.l;
                                            if (i6 == -1) {
                                                C0454ha m779a5 = m779a(i6);
                                                if (m779a5 != null) {
                                                    a2.a(m779a5, layoutParams.b, layoutParams.m);
                                                }
                                            } else {
                                                if (i15 != -1) {
                                                    C0454ha m779a6 = m779a(i15);
                                                    if (m779a6 != null) {
                                                        C0384fa.c cVar = C0384fa.c.LEFT;
                                                        f2 = f;
                                                        a2.a(cVar, m779a6, cVar, ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, i3);
                                                    } else {
                                                        f2 = f;
                                                    }
                                                } else {
                                                    f2 = f;
                                                    if (i4 != -1 && (m779a = m779a(i4)) != null) {
                                                        a2.a(C0384fa.c.LEFT, m779a, C0384fa.c.RIGHT, ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, i3);
                                                    }
                                                }
                                                if (i != -1) {
                                                    C0454ha m779a7 = m779a(i);
                                                    if (m779a7 != null) {
                                                        a2.a(C0384fa.c.RIGHT, m779a7, C0384fa.c.LEFT, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, i2);
                                                    }
                                                } else if (i5 != -1 && (m779a2 = m779a(i5)) != null) {
                                                    C0384fa.c cVar2 = C0384fa.c.RIGHT;
                                                    a2.a(cVar2, m779a2, cVar2, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, i2);
                                                }
                                                int i28 = layoutParams.f1583g;
                                                if (i28 != -1) {
                                                    C0454ha m779a8 = m779a(i28);
                                                    if (m779a8 != null) {
                                                        C0384fa.c cVar3 = C0384fa.c.TOP;
                                                        a2.a(cVar3, m779a8, cVar3, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, layoutParams.s);
                                                    }
                                                } else {
                                                    int i29 = layoutParams.f1585h;
                                                    if (i29 != -1 && (m779a3 = m779a(i29)) != null) {
                                                        a2.a(C0384fa.c.TOP, m779a3, C0384fa.c.BOTTOM, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, layoutParams.s);
                                                    }
                                                }
                                                int i30 = layoutParams.f1587i;
                                                if (i30 != -1) {
                                                    C0454ha m779a9 = m779a(i30);
                                                    if (m779a9 != null) {
                                                        a2.a(C0384fa.c.BOTTOM, m779a9, C0384fa.c.TOP, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, layoutParams.u);
                                                    }
                                                } else {
                                                    int i31 = layoutParams.f1589j;
                                                    if (i31 != -1 && (m779a4 = m779a(i31)) != null) {
                                                        C0384fa.c cVar4 = C0384fa.c.BOTTOM;
                                                        a2.a(cVar4, m779a4, cVar4, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, layoutParams.u);
                                                    }
                                                }
                                                int i32 = layoutParams.f1590k;
                                                if (i32 != -1) {
                                                    View view = this.f1563a.get(i32);
                                                    C0454ha m779a10 = m779a(layoutParams.f1590k);
                                                    if (m779a10 != null && view != null && (view.getLayoutParams() instanceof LayoutParams)) {
                                                        layoutParams.f1580e = true;
                                                        ((LayoutParams) view.getLayoutParams()).f1580e = true;
                                                        a2.a(C0384fa.c.BASELINE).a(m779a10.a(C0384fa.c.BASELINE), 0, -1, C0384fa.b.STRONG, 0, true);
                                                        a2.a(C0384fa.c.TOP).m1204a();
                                                        a2.a(C0384fa.c.BOTTOM).m1204a();
                                                    }
                                                }
                                                float f5 = f2;
                                                if (f5 >= 0.0f && f5 != 0.5f) {
                                                    a2.a(f5);
                                                }
                                                float f6 = layoutParams.d;
                                                if (f6 >= 0.0f && f6 != 0.5f) {
                                                    a2.c(f6);
                                                }
                                            }
                                            if (isInEditMode && (layoutParams.G != -1 || layoutParams.H != -1)) {
                                                a2.c(layoutParams.G, layoutParams.H);
                                            }
                                            if (layoutParams.f1576c) {
                                                if (((ViewGroup.MarginLayoutParams) layoutParams).width == -1) {
                                                    a2.a(C0454ha.a.MATCH_PARENT);
                                                    a2.a(C0384fa.c.LEFT).a = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
                                                    a2.a(C0384fa.c.RIGHT).a = ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
                                                } else {
                                                    a2.a(C0454ha.a.MATCH_CONSTRAINT);
                                                    a2.k(0);
                                                }
                                            } else {
                                                a2.a(C0454ha.a.FIXED);
                                                a2.k(((ViewGroup.MarginLayoutParams) layoutParams).width);
                                            }
                                            if (layoutParams.f1578d) {
                                                if (((ViewGroup.MarginLayoutParams) layoutParams).height == -1) {
                                                    a2.b(C0454ha.a.MATCH_PARENT);
                                                    a2.a(C0384fa.c.TOP).a = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
                                                    a2.a(C0384fa.c.BOTTOM).a = ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
                                                    r3 = 0;
                                                } else {
                                                    a2.b(C0454ha.a.MATCH_CONSTRAINT);
                                                    r3 = 0;
                                                    a2.c(0);
                                                }
                                            } else {
                                                r3 = 0;
                                                a2.b(C0454ha.a.FIXED);
                                                a2.c(((ViewGroup.MarginLayoutParams) layoutParams).height);
                                            }
                                            str = layoutParams.f1571a;
                                            if (str != null) {
                                                a2.b(str);
                                            }
                                            a2.b(layoutParams.f);
                                            a2.d(layoutParams.g);
                                            a2.d(layoutParams.y);
                                            a2.i(layoutParams.z);
                                            a2.a(layoutParams.A, layoutParams.C, layoutParams.E, layoutParams.h);
                                            a2.b(layoutParams.B, layoutParams.D, layoutParams.F, layoutParams.i);
                                        }
                                    }
                                }
                                i3 = i24;
                                i2 = i25;
                                i = i23;
                            } else {
                                i4 = layoutParams.n;
                            }
                        }
                        i4 = i22;
                        i15 = i21;
                        if (i23 == -1) {
                            i = layoutParams.p;
                            if (i == -1) {
                            }
                        }
                        i3 = i24;
                        i2 = i25;
                        i = i23;
                    } else {
                        i = i17;
                        i2 = i20;
                        i3 = i19;
                        i4 = i16;
                    }
                    float f7 = f4;
                    i5 = i18;
                    f = f7;
                    i6 = layoutParams.l;
                    if (i6 == -1) {
                    }
                    if (isInEditMode) {
                        a2.c(layoutParams.G, layoutParams.H);
                    }
                    if (layoutParams.f1576c) {
                    }
                    if (layoutParams.f1578d) {
                    }
                    str = layoutParams.f1571a;
                    if (str != null) {
                    }
                    a2.b(layoutParams.f);
                    a2.d(layoutParams.g);
                    a2.d(layoutParams.y);
                    a2.i(layoutParams.z);
                    a2.a(layoutParams.A, layoutParams.C, layoutParams.E, layoutParams.h);
                    a2.b(layoutParams.B, layoutParams.D, layoutParams.F, layoutParams.i);
                }
            }
            i12++;
            r3 = r3;
        }
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1563a = new SparseArray<>();
        this.f1565a = new ArrayList<>(4);
        this.f1568b = new ArrayList<>(100);
        this.f1564a = new C0489ia();
        this.a = 0;
        this.b = 0;
        this.c = Integer.MAX_VALUE;
        this.d = Integer.MAX_VALUE;
        this.f1567a = true;
        this.e = 7;
        this.f1561a = null;
        this.f = -1;
        this.f1566a = new HashMap<>();
        this.g = -1;
        this.h = -1;
        this.i = -1;
        this.j = -1;
        this.k = 0;
        this.l = 0;
        m781a(attributeSet);
    }

    /* renamed from: a  reason: collision with other method in class */
    public final C0454ha m779a(int i) {
        if (i == 0) {
            return this.f1564a;
        }
        View view = this.f1563a.get(i);
        if (view == null && (view = findViewById(i)) != null && view != this && view.getParent() == this) {
            onViewAdded(view);
        }
        if (view == this) {
            return this.f1564a;
        }
        if (view == null) {
            return null;
        }
        return ((LayoutParams) view.getLayoutParams()).f1570a;
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class LayoutParams extends ViewGroup.MarginLayoutParams {
        public int A;
        public int B;
        public int C;
        public int D;
        public int E;
        public int F;
        public int G;
        public int H;
        public int I;
        public int J;
        public int K;
        public int L;
        public int M;
        public int N;
        public int O;
        public int P;
        public int Q;
        public float a;

        /* renamed from: a  reason: collision with other field name */
        public int f1569a;

        /* renamed from: a  reason: collision with other field name */
        public C0454ha f1570a;

        /* renamed from: a  reason: collision with other field name */
        public String f1571a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f1572a;
        public float b;

        /* renamed from: b  reason: collision with other field name */
        public int f1573b;

        /* renamed from: b  reason: collision with other field name */
        public boolean f1574b;
        public float c;

        /* renamed from: c  reason: collision with other field name */
        public int f1575c;

        /* renamed from: c  reason: collision with other field name */
        public boolean f1576c;
        public float d;

        /* renamed from: d  reason: collision with other field name */
        public int f1577d;

        /* renamed from: d  reason: collision with other field name */
        public boolean f1578d;
        public float e;

        /* renamed from: e  reason: collision with other field name */
        public int f1579e;

        /* renamed from: e  reason: collision with other field name */
        public boolean f1580e;
        public float f;

        /* renamed from: f  reason: collision with other field name */
        public int f1581f;

        /* renamed from: f  reason: collision with other field name */
        public boolean f1582f;
        public float g;

        /* renamed from: g  reason: collision with other field name */
        public int f1583g;

        /* renamed from: g  reason: collision with other field name */
        public boolean f1584g;
        public float h;

        /* renamed from: h  reason: collision with other field name */
        public int f1585h;

        /* renamed from: h  reason: collision with other field name */
        public boolean f1586h;
        public float i;

        /* renamed from: i  reason: collision with other field name */
        public int f1587i;

        /* renamed from: i  reason: collision with other field name */
        public boolean f1588i;
        public float j;

        /* renamed from: j  reason: collision with other field name */
        public int f1589j;
        public float k;

        /* renamed from: k  reason: collision with other field name */
        public int f1590k;
        public int l;
        public int m;
        public int n;
        public int o;
        public int p;
        public int q;
        public int r;
        public int s;
        public int t;
        public int u;
        public int v;
        public int w;
        public int x;
        public int y;
        public int z;

        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        private static class a {
            public static final SparseIntArray a = new SparseIntArray();

            static {
                a.append(P.ConstraintLayout_Layout_layout_constraintLeft_toLeftOf, 8);
                a.append(P.ConstraintLayout_Layout_layout_constraintLeft_toRightOf, 9);
                a.append(P.ConstraintLayout_Layout_layout_constraintRight_toLeftOf, 10);
                a.append(P.ConstraintLayout_Layout_layout_constraintRight_toRightOf, 11);
                a.append(P.ConstraintLayout_Layout_layout_constraintTop_toTopOf, 12);
                a.append(P.ConstraintLayout_Layout_layout_constraintTop_toBottomOf, 13);
                a.append(P.ConstraintLayout_Layout_layout_constraintBottom_toTopOf, 14);
                a.append(P.ConstraintLayout_Layout_layout_constraintBottom_toBottomOf, 15);
                a.append(P.ConstraintLayout_Layout_layout_constraintBaseline_toBaselineOf, 16);
                a.append(P.ConstraintLayout_Layout_layout_constraintCircle, 2);
                a.append(P.ConstraintLayout_Layout_layout_constraintCircleRadius, 3);
                a.append(P.ConstraintLayout_Layout_layout_constraintCircleAngle, 4);
                a.append(P.ConstraintLayout_Layout_layout_editor_absoluteX, 49);
                a.append(P.ConstraintLayout_Layout_layout_editor_absoluteY, 50);
                a.append(P.ConstraintLayout_Layout_layout_constraintGuide_begin, 5);
                a.append(P.ConstraintLayout_Layout_layout_constraintGuide_end, 6);
                a.append(P.ConstraintLayout_Layout_layout_constraintGuide_percent, 7);
                a.append(P.ConstraintLayout_Layout_android_orientation, 1);
                a.append(P.ConstraintLayout_Layout_layout_constraintStart_toEndOf, 17);
                a.append(P.ConstraintLayout_Layout_layout_constraintStart_toStartOf, 18);
                a.append(P.ConstraintLayout_Layout_layout_constraintEnd_toStartOf, 19);
                a.append(P.ConstraintLayout_Layout_layout_constraintEnd_toEndOf, 20);
                a.append(P.ConstraintLayout_Layout_layout_goneMarginLeft, 21);
                a.append(P.ConstraintLayout_Layout_layout_goneMarginTop, 22);
                a.append(P.ConstraintLayout_Layout_layout_goneMarginRight, 23);
                a.append(P.ConstraintLayout_Layout_layout_goneMarginBottom, 24);
                a.append(P.ConstraintLayout_Layout_layout_goneMarginStart, 25);
                a.append(P.ConstraintLayout_Layout_layout_goneMarginEnd, 26);
                a.append(P.ConstraintLayout_Layout_layout_constraintHorizontal_bias, 29);
                a.append(P.ConstraintLayout_Layout_layout_constraintVertical_bias, 30);
                a.append(P.ConstraintLayout_Layout_layout_constraintDimensionRatio, 44);
                a.append(P.ConstraintLayout_Layout_layout_constraintHorizontal_weight, 45);
                a.append(P.ConstraintLayout_Layout_layout_constraintVertical_weight, 46);
                a.append(P.ConstraintLayout_Layout_layout_constraintHorizontal_chainStyle, 47);
                a.append(P.ConstraintLayout_Layout_layout_constraintVertical_chainStyle, 48);
                a.append(P.ConstraintLayout_Layout_layout_constrainedWidth, 27);
                a.append(P.ConstraintLayout_Layout_layout_constrainedHeight, 28);
                a.append(P.ConstraintLayout_Layout_layout_constraintWidth_default, 31);
                a.append(P.ConstraintLayout_Layout_layout_constraintHeight_default, 32);
                a.append(P.ConstraintLayout_Layout_layout_constraintWidth_min, 33);
                a.append(P.ConstraintLayout_Layout_layout_constraintWidth_max, 34);
                a.append(P.ConstraintLayout_Layout_layout_constraintWidth_percent, 35);
                a.append(P.ConstraintLayout_Layout_layout_constraintHeight_min, 36);
                a.append(P.ConstraintLayout_Layout_layout_constraintHeight_max, 37);
                a.append(P.ConstraintLayout_Layout_layout_constraintHeight_percent, 38);
                a.append(P.ConstraintLayout_Layout_layout_constraintLeft_creator, 39);
                a.append(P.ConstraintLayout_Layout_layout_constraintTop_creator, 40);
                a.append(P.ConstraintLayout_Layout_layout_constraintRight_creator, 41);
                a.append(P.ConstraintLayout_Layout_layout_constraintBottom_creator, 42);
                a.append(P.ConstraintLayout_Layout_layout_constraintBaseline_creator, 43);
            }
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            int i;
            this.f1569a = -1;
            this.f1573b = -1;
            this.a = -1.0f;
            this.f1575c = -1;
            this.f1577d = -1;
            this.f1579e = -1;
            this.f1581f = -1;
            this.f1583g = -1;
            this.f1585h = -1;
            this.f1587i = -1;
            this.f1589j = -1;
            this.f1590k = -1;
            this.l = -1;
            this.m = 0;
            this.b = 0.0f;
            this.n = -1;
            this.o = -1;
            this.p = -1;
            this.q = -1;
            this.r = -1;
            this.s = -1;
            this.t = -1;
            this.u = -1;
            this.v = -1;
            this.w = -1;
            this.c = 0.5f;
            this.d = 0.5f;
            this.f1571a = null;
            this.e = 0.0f;
            this.x = 1;
            this.f = -1.0f;
            this.g = -1.0f;
            this.y = 0;
            this.z = 0;
            this.A = 0;
            this.B = 0;
            this.C = 0;
            this.D = 0;
            this.E = 0;
            this.F = 0;
            this.h = 1.0f;
            this.i = 1.0f;
            this.G = -1;
            this.H = -1;
            this.I = -1;
            this.f1572a = false;
            this.f1574b = false;
            this.f1576c = true;
            this.f1578d = true;
            this.f1580e = false;
            this.f1582f = false;
            this.f1584g = false;
            this.f1586h = false;
            this.J = -1;
            this.K = -1;
            this.L = -1;
            this.M = -1;
            this.N = -1;
            this.O = -1;
            this.j = 0.5f;
            this.f1570a = new C0454ha();
            this.f1588i = false;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, P.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                switch (a.a.get(index)) {
                    case 1:
                        this.I = obtainStyledAttributes.getInt(index, this.I);
                        break;
                    case 2:
                        this.l = obtainStyledAttributes.getResourceId(index, this.l);
                        if (this.l == -1) {
                            this.l = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 3:
                        this.m = obtainStyledAttributes.getDimensionPixelSize(index, this.m);
                        break;
                    case 4:
                        this.b = obtainStyledAttributes.getFloat(index, this.b) % 360.0f;
                        float f = this.b;
                        if (f < 0.0f) {
                            this.b = (360.0f - f) % 360.0f;
                            break;
                        } else {
                            break;
                        }
                    case 5:
                        this.f1569a = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1569a);
                        break;
                    case 6:
                        this.f1573b = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1573b);
                        break;
                    case 7:
                        this.a = obtainStyledAttributes.getFloat(index, this.a);
                        break;
                    case 8:
                        this.f1575c = obtainStyledAttributes.getResourceId(index, this.f1575c);
                        if (this.f1575c == -1) {
                            this.f1575c = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 9:
                        this.f1577d = obtainStyledAttributes.getResourceId(index, this.f1577d);
                        if (this.f1577d == -1) {
                            this.f1577d = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 10:
                        this.f1579e = obtainStyledAttributes.getResourceId(index, this.f1579e);
                        if (this.f1579e == -1) {
                            this.f1579e = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 11:
                        this.f1581f = obtainStyledAttributes.getResourceId(index, this.f1581f);
                        if (this.f1581f == -1) {
                            this.f1581f = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 12:
                        this.f1583g = obtainStyledAttributes.getResourceId(index, this.f1583g);
                        if (this.f1583g == -1) {
                            this.f1583g = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 13:
                        this.f1585h = obtainStyledAttributes.getResourceId(index, this.f1585h);
                        if (this.f1585h == -1) {
                            this.f1585h = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 14:
                        this.f1587i = obtainStyledAttributes.getResourceId(index, this.f1587i);
                        if (this.f1587i == -1) {
                            this.f1587i = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 15:
                        this.f1589j = obtainStyledAttributes.getResourceId(index, this.f1589j);
                        if (this.f1589j == -1) {
                            this.f1589j = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 16:
                        this.f1590k = obtainStyledAttributes.getResourceId(index, this.f1590k);
                        if (this.f1590k == -1) {
                            this.f1590k = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 17:
                        this.n = obtainStyledAttributes.getResourceId(index, this.n);
                        if (this.n == -1) {
                            this.n = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 18:
                        this.o = obtainStyledAttributes.getResourceId(index, this.o);
                        if (this.o == -1) {
                            this.o = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 19:
                        this.p = obtainStyledAttributes.getResourceId(index, this.p);
                        if (this.p == -1) {
                            this.p = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 20:
                        this.q = obtainStyledAttributes.getResourceId(index, this.q);
                        if (this.q == -1) {
                            this.q = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 21:
                        this.r = obtainStyledAttributes.getDimensionPixelSize(index, this.r);
                        break;
                    case 22:
                        this.s = obtainStyledAttributes.getDimensionPixelSize(index, this.s);
                        break;
                    case 23:
                        this.t = obtainStyledAttributes.getDimensionPixelSize(index, this.t);
                        break;
                    case 24:
                        this.u = obtainStyledAttributes.getDimensionPixelSize(index, this.u);
                        break;
                    case 25:
                        this.v = obtainStyledAttributes.getDimensionPixelSize(index, this.v);
                        break;
                    case 26:
                        this.w = obtainStyledAttributes.getDimensionPixelSize(index, this.w);
                        break;
                    case 27:
                        this.f1572a = obtainStyledAttributes.getBoolean(index, this.f1572a);
                        break;
                    case 28:
                        this.f1574b = obtainStyledAttributes.getBoolean(index, this.f1574b);
                        break;
                    case 29:
                        this.c = obtainStyledAttributes.getFloat(index, this.c);
                        break;
                    case 30:
                        this.d = obtainStyledAttributes.getFloat(index, this.d);
                        break;
                    case 31:
                        this.A = obtainStyledAttributes.getInt(index, 0);
                        if (this.A == 1) {
                            Log.e("ConstraintLayout", "layout_constraintWidth_default=\"wrap\" is deprecated.\nUse layout_width=\"WRAP_CONTENT\" and layout_constrainedWidth=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 32:
                        this.B = obtainStyledAttributes.getInt(index, 0);
                        if (this.B == 1) {
                            Log.e("ConstraintLayout", "layout_constraintHeight_default=\"wrap\" is deprecated.\nUse layout_height=\"WRAP_CONTENT\" and layout_constrainedHeight=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 33:
                        try {
                            this.C = obtainStyledAttributes.getDimensionPixelSize(index, this.C);
                            break;
                        } catch (Exception unused) {
                            if (obtainStyledAttributes.getInt(index, this.C) == -2) {
                                this.C = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 34:
                        try {
                            this.E = obtainStyledAttributes.getDimensionPixelSize(index, this.E);
                            break;
                        } catch (Exception unused2) {
                            if (obtainStyledAttributes.getInt(index, this.E) == -2) {
                                this.E = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 35:
                        this.h = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.h));
                        break;
                    case 36:
                        try {
                            this.D = obtainStyledAttributes.getDimensionPixelSize(index, this.D);
                            break;
                        } catch (Exception unused3) {
                            if (obtainStyledAttributes.getInt(index, this.D) == -2) {
                                this.D = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 37:
                        try {
                            this.F = obtainStyledAttributes.getDimensionPixelSize(index, this.F);
                            break;
                        } catch (Exception unused4) {
                            if (obtainStyledAttributes.getInt(index, this.F) == -2) {
                                this.F = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 38:
                        this.i = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.i));
                        break;
                    case 44:
                        this.f1571a = obtainStyledAttributes.getString(index);
                        this.e = Float.NaN;
                        this.x = -1;
                        String str = this.f1571a;
                        if (str != null) {
                            int length = str.length();
                            int indexOf = this.f1571a.indexOf(44);
                            if (indexOf <= 0 || indexOf >= length - 1) {
                                i = 0;
                            } else {
                                String substring = this.f1571a.substring(0, indexOf);
                                if (substring.equalsIgnoreCase("W")) {
                                    this.x = 0;
                                } else if (substring.equalsIgnoreCase("H")) {
                                    this.x = 1;
                                }
                                i = indexOf + 1;
                            }
                            int indexOf2 = this.f1571a.indexOf(58);
                            if (indexOf2 >= 0 && indexOf2 < length - 1) {
                                String substring2 = this.f1571a.substring(i, indexOf2);
                                String substring3 = this.f1571a.substring(indexOf2 + 1);
                                if (substring2.length() > 0 && substring3.length() > 0) {
                                    try {
                                        float parseFloat = Float.parseFloat(substring2);
                                        float parseFloat2 = Float.parseFloat(substring3);
                                        if (parseFloat > 0.0f && parseFloat2 > 0.0f) {
                                            if (this.x == 1) {
                                                this.e = Math.abs(parseFloat2 / parseFloat);
                                                break;
                                            } else {
                                                this.e = Math.abs(parseFloat / parseFloat2);
                                                break;
                                            }
                                        }
                                    } catch (NumberFormatException unused5) {
                                        break;
                                    }
                                }
                            } else {
                                String substring4 = this.f1571a.substring(i);
                                if (substring4.length() > 0) {
                                    this.e = Float.parseFloat(substring4);
                                    break;
                                } else {
                                    break;
                                }
                            }
                        } else {
                            break;
                        }
                        break;
                    case 45:
                        this.f = obtainStyledAttributes.getFloat(index, this.f);
                        break;
                    case 46:
                        this.g = obtainStyledAttributes.getFloat(index, this.g);
                        break;
                    case 47:
                        this.y = obtainStyledAttributes.getInt(index, 0);
                        break;
                    case 48:
                        this.z = obtainStyledAttributes.getInt(index, 0);
                        break;
                    case 49:
                        this.G = obtainStyledAttributes.getDimensionPixelOffset(index, this.G);
                        break;
                    case 50:
                        this.H = obtainStyledAttributes.getDimensionPixelOffset(index, this.H);
                        break;
                }
            }
            obtainStyledAttributes.recycle();
            a();
        }

        public void a() {
            this.f1582f = false;
            this.f1576c = true;
            this.f1578d = true;
            if (((ViewGroup.MarginLayoutParams) this).width == -2 && this.f1572a) {
                this.f1576c = false;
                this.A = 1;
            }
            if (((ViewGroup.MarginLayoutParams) this).height == -2 && this.f1574b) {
                this.f1578d = false;
                this.B = 1;
            }
            if (((ViewGroup.MarginLayoutParams) this).width == 0 || ((ViewGroup.MarginLayoutParams) this).width == -1) {
                this.f1576c = false;
                if (((ViewGroup.MarginLayoutParams) this).width == 0 && this.A == 1) {
                    ((ViewGroup.MarginLayoutParams) this).width = -2;
                    this.f1572a = true;
                }
            }
            if (((ViewGroup.MarginLayoutParams) this).height == 0 || ((ViewGroup.MarginLayoutParams) this).height == -1) {
                this.f1578d = false;
                if (((ViewGroup.MarginLayoutParams) this).height == 0 && this.B == 1) {
                    ((ViewGroup.MarginLayoutParams) this).height = -2;
                    this.f1574b = true;
                }
            }
            if (this.a == -1.0f && this.f1569a == -1 && this.f1573b == -1) {
                return;
            }
            this.f1582f = true;
            this.f1576c = true;
            this.f1578d = true;
            if (!(this.f1570a instanceof C0593la)) {
                this.f1570a = new C0593la();
            }
            ((C0593la) this.f1570a).r(this.I);
        }

        /* JADX WARN: Removed duplicated region for block: B:16:0x004c  */
        /* JADX WARN: Removed duplicated region for block: B:19:0x0053  */
        /* JADX WARN: Removed duplicated region for block: B:22:0x005a  */
        /* JADX WARN: Removed duplicated region for block: B:25:0x0060  */
        /* JADX WARN: Removed duplicated region for block: B:28:0x0066  */
        /* JADX WARN: Removed duplicated region for block: B:35:0x007c  */
        /* JADX WARN: Removed duplicated region for block: B:36:0x0084  */
        @Override // android.view.ViewGroup.MarginLayoutParams, android.view.ViewGroup.LayoutParams
        @TargetApi(17)
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void resolveLayoutDirection(int i) {
            int i2;
            int i3;
            int i4;
            int i5;
            float f;
            int i6 = ((ViewGroup.MarginLayoutParams) this).leftMargin;
            int i7 = ((ViewGroup.MarginLayoutParams) this).rightMargin;
            super.resolveLayoutDirection(i);
            this.L = -1;
            this.M = -1;
            this.J = -1;
            this.K = -1;
            this.N = -1;
            this.O = -1;
            this.N = this.r;
            this.O = this.t;
            this.j = this.c;
            this.P = this.f1569a;
            this.Q = this.f1573b;
            this.k = this.a;
            boolean z = false;
            if (1 == getLayoutDirection()) {
                int i8 = this.n;
                if (i8 != -1) {
                    this.L = i8;
                } else {
                    int i9 = this.o;
                    if (i9 != -1) {
                        this.M = i9;
                    }
                    i2 = this.p;
                    if (i2 != -1) {
                        this.K = i2;
                        z = true;
                    }
                    i3 = this.q;
                    if (i3 != -1) {
                        this.J = i3;
                        z = true;
                    }
                    i4 = this.v;
                    if (i4 != -1) {
                        this.O = i4;
                    }
                    i5 = this.w;
                    if (i5 != -1) {
                        this.N = i5;
                    }
                    if (z) {
                        this.j = 1.0f - this.c;
                    }
                    if (this.f1582f && this.I == 1) {
                        f = this.a;
                        if (f == -1.0f) {
                            this.k = 1.0f - f;
                            this.P = -1;
                            this.Q = -1;
                        } else {
                            int i10 = this.f1569a;
                            if (i10 != -1) {
                                this.Q = i10;
                                this.P = -1;
                                this.k = -1.0f;
                            } else {
                                int i11 = this.f1573b;
                                if (i11 != -1) {
                                    this.P = i11;
                                    this.Q = -1;
                                    this.k = -1.0f;
                                }
                            }
                        }
                    }
                }
                z = true;
                i2 = this.p;
                if (i2 != -1) {
                }
                i3 = this.q;
                if (i3 != -1) {
                }
                i4 = this.v;
                if (i4 != -1) {
                }
                i5 = this.w;
                if (i5 != -1) {
                }
                if (z) {
                }
                if (this.f1582f) {
                    f = this.a;
                    if (f == -1.0f) {
                    }
                }
            } else {
                int i12 = this.n;
                if (i12 != -1) {
                    this.K = i12;
                }
                int i13 = this.o;
                if (i13 != -1) {
                    this.J = i13;
                }
                int i14 = this.p;
                if (i14 != -1) {
                    this.L = i14;
                }
                int i15 = this.q;
                if (i15 != -1) {
                    this.M = i15;
                }
                int i16 = this.v;
                if (i16 != -1) {
                    this.N = i16;
                }
                int i17 = this.w;
                if (i17 != -1) {
                    this.O = i17;
                }
            }
            if (this.p == -1 && this.q == -1 && this.o == -1 && this.n == -1) {
                int i18 = this.f1579e;
                if (i18 != -1) {
                    this.L = i18;
                    if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i7 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).rightMargin = i7;
                    }
                } else {
                    int i19 = this.f1581f;
                    if (i19 != -1) {
                        this.M = i19;
                        if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i7 > 0) {
                            ((ViewGroup.MarginLayoutParams) this).rightMargin = i7;
                        }
                    }
                }
                int i20 = this.f1575c;
                if (i20 != -1) {
                    this.J = i20;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin > 0 || i6 <= 0) {
                        return;
                    }
                    ((ViewGroup.MarginLayoutParams) this).leftMargin = i6;
                    return;
                }
                int i21 = this.f1577d;
                if (i21 != -1) {
                    this.K = i21;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin > 0 || i6 <= 0) {
                        return;
                    }
                    ((ViewGroup.MarginLayoutParams) this).leftMargin = i6;
                }
            }
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.f1569a = -1;
            this.f1573b = -1;
            this.a = -1.0f;
            this.f1575c = -1;
            this.f1577d = -1;
            this.f1579e = -1;
            this.f1581f = -1;
            this.f1583g = -1;
            this.f1585h = -1;
            this.f1587i = -1;
            this.f1589j = -1;
            this.f1590k = -1;
            this.l = -1;
            this.m = 0;
            this.b = 0.0f;
            this.n = -1;
            this.o = -1;
            this.p = -1;
            this.q = -1;
            this.r = -1;
            this.s = -1;
            this.t = -1;
            this.u = -1;
            this.v = -1;
            this.w = -1;
            this.c = 0.5f;
            this.d = 0.5f;
            this.f1571a = null;
            this.e = 0.0f;
            this.x = 1;
            this.f = -1.0f;
            this.g = -1.0f;
            this.y = 0;
            this.z = 0;
            this.A = 0;
            this.B = 0;
            this.C = 0;
            this.D = 0;
            this.E = 0;
            this.F = 0;
            this.h = 1.0f;
            this.i = 1.0f;
            this.G = -1;
            this.H = -1;
            this.I = -1;
            this.f1572a = false;
            this.f1574b = false;
            this.f1576c = true;
            this.f1578d = true;
            this.f1580e = false;
            this.f1582f = false;
            this.f1584g = false;
            this.f1586h = false;
            this.J = -1;
            this.K = -1;
            this.L = -1;
            this.M = -1;
            this.N = -1;
            this.O = -1;
            this.j = 0.5f;
            this.f1570a = new C0454ha();
            this.f1588i = false;
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
            this.f1569a = -1;
            this.f1573b = -1;
            this.a = -1.0f;
            this.f1575c = -1;
            this.f1577d = -1;
            this.f1579e = -1;
            this.f1581f = -1;
            this.f1583g = -1;
            this.f1585h = -1;
            this.f1587i = -1;
            this.f1589j = -1;
            this.f1590k = -1;
            this.l = -1;
            this.m = 0;
            this.b = 0.0f;
            this.n = -1;
            this.o = -1;
            this.p = -1;
            this.q = -1;
            this.r = -1;
            this.s = -1;
            this.t = -1;
            this.u = -1;
            this.v = -1;
            this.w = -1;
            this.c = 0.5f;
            this.d = 0.5f;
            this.f1571a = null;
            this.e = 0.0f;
            this.x = 1;
            this.f = -1.0f;
            this.g = -1.0f;
            this.y = 0;
            this.z = 0;
            this.A = 0;
            this.B = 0;
            this.C = 0;
            this.D = 0;
            this.E = 0;
            this.F = 0;
            this.h = 1.0f;
            this.i = 1.0f;
            this.G = -1;
            this.H = -1;
            this.I = -1;
            this.f1572a = false;
            this.f1574b = false;
            this.f1576c = true;
            this.f1578d = true;
            this.f1580e = false;
            this.f1582f = false;
            this.f1584g = false;
            this.f1586h = false;
            this.J = -1;
            this.K = -1;
            this.L = -1;
            this.M = -1;
            this.N = -1;
            this.O = -1;
            this.j = 0.5f;
            this.f1570a = new C0454ha();
            this.f1588i = false;
        }
    }

    public final C0454ha a(View view) {
        if (view == this) {
            return this.f1564a;
        }
        if (view == null) {
            return null;
        }
        return ((LayoutParams) view.getLayoutParams()).f1570a;
    }

    public final void a(int i, int i2) {
        boolean z;
        boolean z2;
        int baseline;
        int childMeasureSpec;
        int childMeasureSpec2;
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                C0454ha c0454ha = layoutParams.f1570a;
                if (!layoutParams.f1582f && !layoutParams.f1584g) {
                    c0454ha.j(childAt.getVisibility());
                    int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).width;
                    int i5 = ((ViewGroup.MarginLayoutParams) layoutParams).height;
                    boolean z3 = layoutParams.f1576c;
                    if (z3 || layoutParams.f1578d || (!z3 && layoutParams.A == 1) || ((ViewGroup.MarginLayoutParams) layoutParams).width == -1 || (!layoutParams.f1578d && (layoutParams.B == 1 || ((ViewGroup.MarginLayoutParams) layoutParams).height == -1))) {
                        if (i4 == 0) {
                            childMeasureSpec = ViewGroup.getChildMeasureSpec(i, paddingLeft, -2);
                            z = true;
                        } else if (i4 == -1) {
                            childMeasureSpec = ViewGroup.getChildMeasureSpec(i, paddingLeft, -1);
                            z = false;
                        } else {
                            z = i4 == -2;
                            childMeasureSpec = ViewGroup.getChildMeasureSpec(i, paddingLeft, i4);
                        }
                        if (i5 == 0) {
                            childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, paddingTop, -2);
                            z2 = true;
                        } else if (i5 == -1) {
                            childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, paddingTop, -1);
                            z2 = false;
                        } else {
                            z2 = i5 == -2;
                            childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, paddingTop, i5);
                        }
                        childAt.measure(childMeasureSpec, childMeasureSpec2);
                        W w = this.f1562a;
                        if (w != null) {
                            w.a++;
                        }
                        c0454ha.b(i4 == -2);
                        c0454ha.a(i5 == -2);
                        i4 = childAt.getMeasuredWidth();
                        i5 = childAt.getMeasuredHeight();
                    } else {
                        z = false;
                        z2 = false;
                    }
                    c0454ha.k(i4);
                    c0454ha.c(i5);
                    if (z) {
                        c0454ha.m(i4);
                    }
                    if (z2) {
                        c0454ha.l(i5);
                    }
                    if (layoutParams.f1580e && (baseline = childAt.getBaseline()) != -1) {
                        c0454ha.m1270b(baseline);
                    }
                }
            }
        }
    }

    public void a(String str) {
        this.f1564a.h();
        W w = this.f1562a;
        if (w != null) {
            w.c++;
        }
    }

    @Override // android.view.ViewGroup
    /* renamed from: a */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    @Override // android.view.ViewGroup
    /* renamed from: a */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    public View a(int i) {
        return this.f1563a.get(i);
    }
}
