package android.support.v4.app;

import android.app.Service;
import android.app.job.JobInfo;
import android.app.job.JobParameters;
import android.app.job.JobScheduler;
import android.app.job.JobServiceEngine;
import android.app.job.JobWorkItem;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Build;
import android.os.IBinder;
import android.os.PowerManager;
import java.util.ArrayList;
import java.util.HashMap;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public abstract class JobIntentService extends Service {
    public static final Object a = new Object();

    /* renamed from: a  reason: collision with other field name */
    public static final HashMap<ComponentName, h> f1701a = new HashMap<>();

    /* renamed from: a  reason: collision with other field name */
    public a f1702a;

    /* renamed from: a  reason: collision with other field name */
    public b f1703a;

    /* renamed from: a  reason: collision with other field name */
    public h f1704a;

    /* renamed from: a  reason: collision with other field name */
    public final ArrayList<d> f1705a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f1706a = false;
    public boolean b = false;
    public boolean c = false;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface b {
        IBinder a();

        /* renamed from: a  reason: collision with other method in class */
        e m831a();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class c extends h {
        public final Context a;

        /* renamed from: a  reason: collision with other field name */
        public final PowerManager.WakeLock f1707a;
        public final PowerManager.WakeLock b;

        /* renamed from: b  reason: collision with other field name */
        public boolean f1708b;
        public boolean c;

        public c(Context context, ComponentName componentName) {
            super(context, componentName);
            this.a = context.getApplicationContext();
            PowerManager powerManager = (PowerManager) context.getSystemService("power");
            this.f1707a = powerManager.newWakeLock(1, componentName.getClassName() + ":launch");
            this.f1707a.setReferenceCounted(false);
            this.b = powerManager.newWakeLock(1, componentName.getClassName() + ":run");
            this.b.setReferenceCounted(false);
        }

        @Override // android.support.v4.app.JobIntentService.h
        public void a() {
            synchronized (this) {
                if (this.c) {
                    if (this.f1708b) {
                        this.f1707a.acquire(60000L);
                    }
                    this.c = false;
                    this.b.release();
                }
            }
        }

        @Override // android.support.v4.app.JobIntentService.h
        public void b() {
            synchronized (this) {
                if (!this.c) {
                    this.c = true;
                    this.b.acquire(600000L);
                    this.f1707a.release();
                }
            }
        }

        @Override // android.support.v4.app.JobIntentService.h
        public void c() {
            synchronized (this) {
                this.f1708b = false;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public final class d implements e {
        public final int a;

        /* renamed from: a  reason: collision with other field name */
        public final Intent f1709a;

        public d(Intent intent, int i) {
            this.f1709a = intent;
            this.a = i;
        }

        @Override // android.support.v4.app.JobIntentService.e
        public void a() {
            JobIntentService.this.stopSelf(this.a);
        }

        @Override // android.support.v4.app.JobIntentService.e
        public Intent getIntent() {
            return this.f1709a;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface e {
        void a();

        Intent getIntent();
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static final class f extends JobServiceEngine implements b {
        public JobParameters a;

        /* renamed from: a  reason: collision with other field name */
        public final JobIntentService f1711a;

        /* renamed from: a  reason: collision with other field name */
        public final Object f1712a;

        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        final class a implements e {
            public final JobWorkItem a;

            public a(JobWorkItem jobWorkItem) {
                this.a = jobWorkItem;
            }

            @Override // android.support.v4.app.JobIntentService.e
            public void a() {
                synchronized (f.this.f1712a) {
                    if (f.this.a != null) {
                        f.this.a.completeWork(this.a);
                    }
                }
            }

            @Override // android.support.v4.app.JobIntentService.e
            public Intent getIntent() {
                return this.a.getIntent();
            }
        }

        public f(JobIntentService jobIntentService) {
            super(jobIntentService);
            this.f1712a = new Object();
            this.f1711a = jobIntentService;
        }

        @Override // android.support.v4.app.JobIntentService.b
        public IBinder a() {
            return getBinder();
        }

        @Override // android.app.job.JobServiceEngine
        public boolean onStartJob(JobParameters jobParameters) {
            this.a = jobParameters;
            this.f1711a.a(false);
            return true;
        }

        @Override // android.app.job.JobServiceEngine
        public boolean onStopJob(JobParameters jobParameters) {
            boolean m830a = this.f1711a.m830a();
            synchronized (this.f1712a) {
                this.a = null;
            }
            return m830a;
        }

        @Override // android.support.v4.app.JobIntentService.b
        public e a() {
            synchronized (this.f1712a) {
                if (this.a == null) {
                    return null;
                }
                JobWorkItem dequeueWork = this.a.dequeueWork();
                if (dequeueWork != null) {
                    dequeueWork.getIntent().setExtrasClassLoader(this.f1711a.getClassLoader());
                    return new a(dequeueWork);
                }
                return null;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class g extends h {
        public final JobInfo a;

        /* renamed from: a  reason: collision with other field name */
        public final JobScheduler f1714a;

        public g(Context context, ComponentName componentName, int i) {
            super(context, componentName);
            a(i);
            this.a = new JobInfo.Builder(i, ((h) this).f1715a).setOverrideDeadline(0L).build();
            this.f1714a = (JobScheduler) context.getApplicationContext().getSystemService("jobscheduler");
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class h {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public final ComponentName f1715a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f1716a;

        public h(Context context, ComponentName componentName) {
            this.f1715a = componentName;
        }

        public void a() {
        }

        public void a(int i) {
            if (!this.f1716a) {
                this.f1716a = true;
                this.a = i;
            } else if (this.a == i) {
            } else {
                throw new IllegalArgumentException("Given job ID " + i + " is different than previous " + this.a);
            }
        }

        public void b() {
        }

        public void c() {
        }
    }

    public JobIntentService() {
        if (Build.VERSION.SDK_INT >= 26) {
            this.f1705a = null;
        } else {
            this.f1705a = new ArrayList<>();
        }
    }

    public static h a(Context context, ComponentName componentName, boolean z, int i) {
        h cVar;
        h hVar = f1701a.get(componentName);
        if (hVar == null) {
            if (Build.VERSION.SDK_INT < 26) {
                cVar = new c(context, componentName);
            } else if (z) {
                cVar = new g(context, componentName, i);
            } else {
                throw new IllegalArgumentException("Can't be here without a job id");
            }
            h hVar2 = cVar;
            f1701a.put(componentName, hVar2);
            return hVar2;
        }
        return hVar;
    }

    public abstract void a(Intent intent);

    public boolean b() {
        return true;
    }

    @Override // android.app.Service
    public IBinder onBind(Intent intent) {
        b bVar = this.f1703a;
        if (bVar != null) {
            return bVar.a();
        }
        return null;
    }

    @Override // android.app.Service
    public void onCreate() {
        super.onCreate();
        if (Build.VERSION.SDK_INT >= 26) {
            this.f1703a = new f(this);
            this.f1704a = null;
            return;
        }
        this.f1703a = null;
        this.f1704a = a(this, new ComponentName(this, JobIntentService.class), false, 0);
    }

    @Override // android.app.Service
    public void onDestroy() {
        super.onDestroy();
        ArrayList<d> arrayList = this.f1705a;
        if (arrayList != null) {
            synchronized (arrayList) {
                this.c = true;
                this.f1704a.a();
            }
        }
    }

    @Override // android.app.Service
    public int onStartCommand(Intent intent, int i, int i2) {
        if (this.f1705a != null) {
            this.f1704a.c();
            synchronized (this.f1705a) {
                ArrayList<d> arrayList = this.f1705a;
                if (intent == null) {
                    intent = new Intent();
                }
                arrayList.add(new d(intent, i2));
                a(true);
            }
            return 3;
        }
        return 2;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public final class a extends AsyncTask<Void, Void, Void> {
        public a() {
        }

        @Override // android.os.AsyncTask
        /* renamed from: a */
        public Void doInBackground(Void... voidArr) {
            while (true) {
                e a = JobIntentService.this.a();
                if (a == null) {
                    return null;
                }
                JobIntentService.this.a(a.getIntent());
                a.a();
            }
        }

        @Override // android.os.AsyncTask
        /* renamed from: b */
        public void onPostExecute(Void r1) {
            JobIntentService.this.m829a();
        }

        @Override // android.os.AsyncTask
        /* renamed from: a */
        public void onCancelled(Void r1) {
            JobIntentService.this.m829a();
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public boolean m830a() {
        a aVar = this.f1702a;
        if (aVar != null) {
            aVar.cancel(this.f1706a);
        }
        this.b = true;
        return b();
    }

    public void a(boolean z) {
        if (this.f1702a == null) {
            this.f1702a = new a();
            h hVar = this.f1704a;
            if (hVar != null && z) {
                hVar.b();
            }
            this.f1702a.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public void m829a() {
        ArrayList<d> arrayList = this.f1705a;
        if (arrayList != null) {
            synchronized (arrayList) {
                this.f1702a = null;
                if (this.f1705a != null && this.f1705a.size() > 0) {
                    a(false);
                } else if (!this.c) {
                    this.f1704a.a();
                }
            }
        }
    }

    public e a() {
        b bVar = this.f1703a;
        if (bVar != null) {
            return bVar.m831a();
        }
        synchronized (this.f1705a) {
            if (this.f1705a.size() > 0) {
                return this.f1705a.remove(0);
            }
            return null;
        }
    }
}
