package android.support.v4.graphics.drawable;

import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.PorterDuff;
import android.graphics.drawable.Icon;
import android.os.Build;
import android.os.Parcelable;
import android.util.Log;
import androidx.versionedparcelable.CustomVersionedParcelable;
import java.io.ByteArrayOutputStream;
import java.lang.reflect.InvocationTargetException;
import java.nio.charset.Charset;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class IconCompat extends CustomVersionedParcelable {
    public static final PorterDuff.Mode a = PorterDuff.Mode.SRC_IN;

    /* renamed from: a  reason: collision with other field name */
    public int f1730a;

    /* renamed from: a  reason: collision with other field name */
    public Parcelable f1732a;

    /* renamed from: a  reason: collision with other field name */
    public Object f1733a;

    /* renamed from: a  reason: collision with other field name */
    public String f1734a;

    /* renamed from: a  reason: collision with other field name */
    public byte[] f1735a;
    public int b;
    public int c;

    /* renamed from: a  reason: collision with other field name */
    public ColorStateList f1731a = null;

    /* renamed from: b  reason: collision with other field name */
    public PorterDuff.Mode f1736b = a;

    public static String a(int i) {
        return i != 1 ? i != 2 ? i != 3 ? i != 4 ? i != 5 ? "UNKNOWN" : "BITMAP_MASKABLE" : "URI" : "DATA" : "RESOURCE" : "BITMAP";
    }

    /* renamed from: a  reason: collision with other method in class */
    public String m833a() {
        if (this.f1730a == -1 && Build.VERSION.SDK_INT >= 23) {
            return m832a((Icon) this.f1733a);
        }
        if (this.f1730a == 2) {
            return ((String) this.f1733a).split(":", -1)[0];
        }
        throw new IllegalStateException("called getResPackage() on " + this);
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x002b, code lost:
        if (r1 != 5) goto L16;
     */
    /* JADX WARN: Removed duplicated region for block: B:25:0x009e  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x00ae  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public String toString() {
        if (this.f1730a == -1) {
            return String.valueOf(this.f1733a);
        }
        StringBuilder sb = new StringBuilder("Icon(typ=");
        sb.append(a(this.f1730a));
        int i = this.f1730a;
        if (i != 1) {
            if (i == 2) {
                sb.append(" pkg=");
                sb.append(m833a());
                sb.append(" id=");
                sb.append(String.format("0x%08x", Integer.valueOf(a())));
            } else if (i == 3) {
                sb.append(" len=");
                sb.append(this.b);
                if (this.c != 0) {
                    sb.append(" off=");
                    sb.append(this.c);
                }
            } else if (i == 4) {
                sb.append(" uri=");
                sb.append(this.f1733a);
            }
            if (this.f1731a != null) {
                sb.append(" tint=");
                sb.append(this.f1731a);
            }
            if (this.f1736b != a) {
                sb.append(" mode=");
                sb.append(this.f1736b);
            }
            sb.append(")");
            return sb.toString();
        }
        sb.append(" size=");
        sb.append(((Bitmap) this.f1733a).getWidth());
        sb.append("x");
        sb.append(((Bitmap) this.f1733a).getHeight());
        if (this.f1731a != null) {
        }
        if (this.f1736b != a) {
        }
        sb.append(")");
        return sb.toString();
    }

    public int a() {
        if (this.f1730a == -1 && Build.VERSION.SDK_INT >= 23) {
            return a((Icon) this.f1733a);
        }
        if (this.f1730a == 2) {
            return this.b;
        }
        throw new IllegalStateException("called getResId() on " + this);
    }

    public void a(boolean z) {
        this.f1734a = this.f1736b.name();
        int i = this.f1730a;
        if (i == -1) {
            if (!z) {
                this.f1732a = (Parcelable) this.f1733a;
                return;
            }
            throw new IllegalArgumentException("Can't serialize Icon created with IconCompat#createFromIcon");
        }
        if (i != 1) {
            if (i == 2) {
                this.f1735a = ((String) this.f1733a).getBytes(Charset.forName("UTF-16"));
                return;
            } else if (i == 3) {
                this.f1735a = (byte[]) this.f1733a;
                return;
            } else if (i == 4) {
                this.f1735a = this.f1733a.toString().getBytes(Charset.forName("UTF-16"));
                return;
            } else if (i != 5) {
                return;
            }
        }
        if (z) {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            ((Bitmap) this.f1733a).compress(Bitmap.CompressFormat.PNG, 90, byteArrayOutputStream);
            this.f1735a = byteArrayOutputStream.toByteArray();
            return;
        }
        this.f1732a = (Parcelable) this.f1733a;
    }

    /* renamed from: a  reason: collision with other method in class */
    public void m834a() {
        this.f1736b = PorterDuff.Mode.valueOf(this.f1734a);
        int i = this.f1730a;
        if (i != -1) {
            if (i != 1) {
                if (i != 2) {
                    if (i == 3) {
                        this.f1733a = this.f1735a;
                        return;
                    } else if (i != 4) {
                        if (i != 5) {
                            return;
                        }
                    }
                }
                this.f1733a = new String(this.f1735a, Charset.forName("UTF-16"));
                return;
            }
            Parcelable parcelable = this.f1732a;
            if (parcelable != null) {
                this.f1733a = parcelable;
                return;
            }
            byte[] bArr = this.f1735a;
            this.f1733a = bArr;
            this.f1730a = 3;
            this.b = 0;
            this.c = bArr.length;
            return;
        }
        Parcelable parcelable2 = this.f1732a;
        if (parcelable2 != null) {
            this.f1733a = parcelable2;
            return;
        }
        throw new IllegalArgumentException("Invalid icon");
    }

    /* renamed from: a  reason: collision with other method in class */
    public static String m832a(Icon icon) {
        if (Build.VERSION.SDK_INT >= 28) {
            return icon.getResPackage();
        }
        try {
            return (String) icon.getClass().getMethod("getResPackage", new Class[0]).invoke(icon, new Object[0]);
        } catch (IllegalAccessException e) {
            Log.e("IconCompat", "Unable to get icon package", e);
            return null;
        } catch (NoSuchMethodException e2) {
            Log.e("IconCompat", "Unable to get icon package", e2);
            return null;
        } catch (InvocationTargetException e3) {
            Log.e("IconCompat", "Unable to get icon package", e3);
            return null;
        }
    }

    public static int a(Icon icon) {
        if (Build.VERSION.SDK_INT >= 28) {
            return icon.getResId();
        }
        try {
            return ((Integer) icon.getClass().getMethod("getResId", new Class[0]).invoke(icon, new Object[0])).intValue();
        } catch (IllegalAccessException e) {
            Log.e("IconCompat", "Unable to get icon resource", e);
            return 0;
        } catch (NoSuchMethodException e2) {
            Log.e("IconCompat", "Unable to get icon resource", e2);
            return 0;
        } catch (InvocationTargetException e3) {
            Log.e("IconCompat", "Unable to get icon resource", e3);
            return 0;
        }
    }
}
