package android.support.v4.media;

import android.content.ComponentName;
import android.content.Context;
import android.content.ServiceConnection;
import android.os.BadParcelableException;
import android.os.Binder;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.os.ResultReceiver;
import android.text.TextUtils;
import android.util.Log;
import defpackage.C0939vc;
import defpackage.C0973wc;
import defpackage.InterfaceC0283cd;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public final class MediaBrowserCompat {
    public static final boolean a = Log.isLoggable("MediaBrowserCompat", 3);

    /* renamed from: a  reason: collision with other field name */
    public final e f1739a;

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    private static class CustomActionResultReceiver extends ResultReceiver {
        public final Bundle a;

        /* renamed from: a  reason: collision with other field name */
        public final c f1740a;

        /* renamed from: a  reason: collision with other field name */
        public final String f1741a;

        @Override // android.support.v4.os.ResultReceiver
        public void a(int i, Bundle bundle) {
            if (this.f1740a == null) {
                return;
            }
            MediaSessionCompat.a(bundle);
            if (i == -1) {
                this.f1740a.a(this.f1741a, this.a, bundle);
            } else if (i == 0) {
                this.f1740a.c(this.f1741a, this.a, bundle);
            } else if (i != 1) {
                Log.w("MediaBrowserCompat", "Unknown result code: " + i + " (extras=" + this.a + ", resultData=" + bundle + ")");
            } else {
                this.f1740a.b(this.f1741a, this.a, bundle);
            }
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    private static class ItemReceiver extends ResultReceiver {
        public final d a;

        /* renamed from: a  reason: collision with other field name */
        public final String f1742a;

        @Override // android.support.v4.os.ResultReceiver
        public void a(int i, Bundle bundle) {
            MediaSessionCompat.a(bundle);
            if (i == 0 && bundle != null && bundle.containsKey("media_item")) {
                Parcelable parcelable = bundle.getParcelable("media_item");
                if (parcelable != null && !(parcelable instanceof MediaItem)) {
                    this.a.a(this.f1742a);
                    return;
                } else {
                    this.a.a((MediaItem) parcelable);
                    return;
                }
            }
            this.a.a(this.f1742a);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    private static class SearchResultReceiver extends ResultReceiver {
        public final Bundle a;

        /* renamed from: a  reason: collision with other field name */
        public final k f1744a;

        /* renamed from: a  reason: collision with other field name */
        public final String f1745a;

        @Override // android.support.v4.os.ResultReceiver
        public void a(int i, Bundle bundle) {
            MediaSessionCompat.a(bundle);
            if (i == 0 && bundle != null && bundle.containsKey("search_results")) {
                Parcelable[] parcelableArray = bundle.getParcelableArray("search_results");
                ArrayList arrayList = null;
                if (parcelableArray != null) {
                    arrayList = new ArrayList();
                    for (Parcelable parcelable : parcelableArray) {
                        arrayList.add((MediaItem) parcelable);
                    }
                }
                this.f1744a.a(this.f1745a, this.a, arrayList);
                return;
            }
            this.f1744a.a(this.f1745a, this.a);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class a extends Handler {
        public final WeakReference<j> a;
        public WeakReference<Messenger> b;

        public a(j jVar) {
            this.a = new WeakReference<>(jVar);
        }

        public void a(Messenger messenger) {
            this.b = new WeakReference<>(messenger);
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            WeakReference<Messenger> weakReference = this.b;
            if (weakReference == null || weakReference.get() == null || this.a.get() == null) {
                return;
            }
            Bundle data = message.getData();
            MediaSessionCompat.a(data);
            j jVar = this.a.get();
            Messenger messenger = this.b.get();
            try {
                int i = message.what;
                if (i == 1) {
                    Bundle bundle = data.getBundle("data_root_hints");
                    MediaSessionCompat.a(bundle);
                    jVar.a(messenger, data.getString("data_media_item_id"), (MediaSessionCompat.Token) data.getParcelable("data_media_session_token"), bundle);
                } else if (i == 2) {
                    jVar.a(messenger);
                } else if (i != 3) {
                    Log.w("MediaBrowserCompat", "Unhandled message: " + message + "\n  Client version: 1\n  Service version: " + message.arg1);
                } else {
                    Bundle bundle2 = data.getBundle("data_options");
                    MediaSessionCompat.a(bundle2);
                    Bundle bundle3 = data.getBundle("data_notify_children_changed_options");
                    MediaSessionCompat.a(bundle3);
                    jVar.a(messenger, data.getString("data_media_item_id"), data.getParcelableArrayList("data_media_item_list"), bundle2, bundle3);
                }
            } catch (BadParcelableException unused) {
                Log.e("MediaBrowserCompat", "Could not unparcel the data.");
                if (message.what == 1) {
                    jVar.a(messenger);
                }
            }
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class b {
        public a a;

        /* renamed from: a  reason: collision with other field name */
        public final Object f1746a;

        /* JADX INFO: Access modifiers changed from: package-private */
        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        public interface a {
            void a();

            void b();

            void onConnected();
        }

        /* compiled from: SogouSource */
        /* renamed from: android.support.v4.media.MediaBrowserCompat$b$b  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        private class C0003b implements C0939vc.a {
            public C0003b() {
            }

            @Override // defpackage.C0939vc.a
            public void a() {
                a aVar = b.this.a;
                if (aVar != null) {
                    aVar.a();
                }
                b.this.b();
            }

            @Override // defpackage.C0939vc.a
            public void b() {
                a aVar = b.this.a;
                if (aVar != null) {
                    aVar.b();
                }
                b.this.c();
            }

            @Override // defpackage.C0939vc.a
            public void onConnected() {
                a aVar = b.this.a;
                if (aVar != null) {
                    aVar.onConnected();
                }
                b.this.a();
            }
        }

        public b() {
            if (Build.VERSION.SDK_INT >= 21) {
                this.f1746a = C0939vc.a((C0939vc.a) new C0003b());
            } else {
                this.f1746a = null;
            }
        }

        public void a() {
            throw null;
        }

        public void a(a aVar) {
            this.a = aVar;
        }

        public void b() {
            throw null;
        }

        public void c() {
            throw null;
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class c {
        public abstract void a(String str, Bundle bundle, Bundle bundle2);

        public abstract void b(String str, Bundle bundle, Bundle bundle2);

        public abstract void c(String str, Bundle bundle, Bundle bundle2);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class d {
        public abstract void a(MediaItem mediaItem);

        public abstract void a(String str);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    interface e {
        MediaSessionCompat.Token a();

        void c();

        void connect();
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static class g extends f {
        public g(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            super(context, componentName, bVar, bundle);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static class h extends g {
        public h(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            super(context, componentName, bVar, bundle);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class i implements e, j {

        /* renamed from: a  reason: collision with other field name */
        public final ComponentName f1756a;

        /* renamed from: a  reason: collision with other field name */
        public final Context f1757a;

        /* renamed from: a  reason: collision with other field name */
        public final Bundle f1758a;

        /* renamed from: a  reason: collision with other field name */
        public Messenger f1759a;

        /* renamed from: a  reason: collision with other field name */
        public final b f1761a;

        /* renamed from: a  reason: collision with other field name */
        public a f1762a;

        /* renamed from: a  reason: collision with other field name */
        public l f1763a;

        /* renamed from: a  reason: collision with other field name */
        public MediaSessionCompat.Token f1764a;

        /* renamed from: a  reason: collision with other field name */
        public String f1765a;
        public Bundle b;
        public Bundle c;

        /* renamed from: a  reason: collision with other field name */
        public final a f1760a = new a(this);

        /* renamed from: a  reason: collision with other field name */
        public final C0036Dd<String, m> f1755a = new C0036Dd<>();
        public int a = 1;

        public i(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            if (context == null) {
                throw new IllegalArgumentException("context must not be null");
            }
            if (componentName == null) {
                throw new IllegalArgumentException("service component must not be null");
            }
            if (bVar != null) {
                this.f1757a = context;
                this.f1756a = componentName;
                this.f1761a = bVar;
                this.f1758a = bundle == null ? null : new Bundle(bundle);
                return;
            }
            throw new IllegalArgumentException("connection callback must not be null");
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.b.a
        public boolean a() {
            return this.a == 3;
        }

        public void b() {
            a aVar = this.f1762a;
            if (aVar != null) {
                this.f1757a.unbindService(aVar);
            }
            this.a = 1;
            this.f1762a = null;
            this.f1763a = null;
            this.f1759a = null;
            this.f1760a.a(null);
            this.f1765a = null;
            this.f1764a = null;
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void c() {
            this.a = 0;
            this.f1760a.post(new RunnableC0803rc(this));
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void connect() {
            int i = this.a;
            if (i != 0 && i != 1) {
                throw new IllegalStateException("connect() called while neigther disconnecting nor disconnected (state=" + a(this.a) + ")");
            }
            this.a = 2;
            this.f1760a.post(new RunnableC0770qc(this));
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.b.a
        public MediaSessionCompat.Token a() {
            if (a()) {
                return this.f1764a;
            }
            throw new IllegalStateException("getSessionToken() called while not connected(state=" + this.a + ")");
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        public class a implements ServiceConnection {
            public a() {
            }

            public final void a(Runnable runnable) {
                if (Thread.currentThread() == i.this.f1760a.getLooper().getThread()) {
                    runnable.run();
                } else {
                    i.this.f1760a.post(runnable);
                }
            }

            @Override // android.content.ServiceConnection
            public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
                a(new RunnableC0837sc(this, componentName, iBinder));
            }

            @Override // android.content.ServiceConnection
            public void onServiceDisconnected(ComponentName componentName) {
                a(new RunnableC0871tc(this, componentName));
            }

            public boolean a(String str) {
                int i;
                i iVar = i.this;
                if (iVar.f1762a != this || (i = iVar.a) == 0 || i == 1) {
                    int i2 = i.this.a;
                    if (i2 == 0 || i2 == 1) {
                        return false;
                    }
                    Log.i("MediaBrowserCompat", str + " for " + i.this.f1756a + " with mServiceConnection=" + i.this.f1762a + " this=" + this);
                    return false;
                }
                return true;
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void a(Messenger messenger, String str, MediaSessionCompat.Token token, Bundle bundle) {
            if (a(messenger, "onConnect")) {
                if (this.a != 2) {
                    Log.w("MediaBrowserCompat", "onConnect from service while mState=" + a(this.a) + "... ignoring");
                    return;
                }
                this.f1765a = str;
                this.f1764a = token;
                this.b = bundle;
                this.a = 3;
                if (MediaBrowserCompat.a) {
                    Log.d("MediaBrowserCompat", "ServiceCallbacks.onConnect...");
                    a();
                }
                this.f1761a.a();
                try {
                    for (Map.Entry<String, m> entry : this.f1755a.entrySet()) {
                        String key = entry.getKey();
                        m value = entry.getValue();
                        List<n> a2 = value.a();
                        List<Bundle> b = value.b();
                        for (int i = 0; i < a2.size(); i++) {
                            this.f1763a.a(key, a2.get(i).a, b.get(i), this.f1759a);
                        }
                    }
                } catch (RemoteException unused) {
                    Log.d("MediaBrowserCompat", "addSubscription failed with RemoteException.");
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void a(Messenger messenger) {
            Log.e("MediaBrowserCompat", "onConnectFailed for " + this.f1756a);
            if (a(messenger, "onConnectFailed")) {
                if (this.a != 2) {
                    Log.w("MediaBrowserCompat", "onConnect from service while mState=" + a(this.a) + "... ignoring");
                    return;
                }
                b();
                this.f1761a.b();
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void a(Messenger messenger, String str, List list, Bundle bundle, Bundle bundle2) {
            if (a(messenger, "onLoadChildren")) {
                if (MediaBrowserCompat.a) {
                    Log.d("MediaBrowserCompat", "onLoadChildren for " + this.f1756a + " id=" + str);
                }
                m mVar = this.f1755a.get(str);
                if (mVar == null) {
                    if (MediaBrowserCompat.a) {
                        Log.d("MediaBrowserCompat", "onLoadChildren for id that isn't subscribed id=" + str);
                        return;
                    }
                    return;
                }
                n a2 = mVar.a(bundle);
                if (a2 != null) {
                    if (bundle == null) {
                        if (list == null) {
                            a2.a(str);
                            return;
                        }
                        this.c = bundle2;
                        a2.a(str, list);
                        this.c = null;
                    } else if (list == null) {
                        a2.a(str, bundle);
                    } else {
                        this.c = bundle2;
                        a2.a(str, list, bundle);
                        this.c = null;
                    }
                }
            }
        }

        public static String a(int i) {
            if (i != 0) {
                if (i != 1) {
                    if (i != 2) {
                        if (i != 3) {
                            if (i != 4) {
                                return "UNKNOWN/" + i;
                            }
                            return "CONNECT_STATE_SUSPENDED";
                        }
                        return "CONNECT_STATE_CONNECTED";
                    }
                    return "CONNECT_STATE_CONNECTING";
                }
                return "CONNECT_STATE_DISCONNECTED";
            }
            return "CONNECT_STATE_DISCONNECTING";
        }

        public final boolean a(Messenger messenger, String str) {
            int i;
            if (this.f1759a != messenger || (i = this.a) == 0 || i == 1) {
                int i2 = this.a;
                if (i2 == 0 || i2 == 1) {
                    return false;
                }
                Log.i("MediaBrowserCompat", str + " for " + this.f1756a + " with mCallbacksMessenger=" + this.f1759a + " this=" + this);
                return false;
            }
            return true;
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.b.a
        public void a() {
            Log.d("MediaBrowserCompat", "MediaBrowserCompat...");
            Log.d("MediaBrowserCompat", "  mServiceComponent=" + this.f1756a);
            Log.d("MediaBrowserCompat", "  mCallback=" + this.f1761a);
            Log.d("MediaBrowserCompat", "  mRootHints=" + this.f1758a);
            Log.d("MediaBrowserCompat", "  mState=" + a(this.a));
            Log.d("MediaBrowserCompat", "  mServiceConnection=" + this.f1762a);
            Log.d("MediaBrowserCompat", "  mServiceBinderWrapper=" + this.f1763a);
            Log.d("MediaBrowserCompat", "  mCallbacksMessenger=" + this.f1759a);
            Log.d("MediaBrowserCompat", "  mRootId=" + this.f1765a);
            Log.d("MediaBrowserCompat", "  mMediaSessionToken=" + this.f1764a);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    interface j {
        void a(Messenger messenger);

        void a(Messenger messenger, String str, MediaSessionCompat.Token token, Bundle bundle);

        void a(Messenger messenger, String str, List list, Bundle bundle, Bundle bundle2);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class k {
        public abstract void a(String str, Bundle bundle);

        public abstract void a(String str, Bundle bundle, List<MediaItem> list);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    private static class m {
        public final List<n> a = new ArrayList();
        public final List<Bundle> b = new ArrayList();

        public List<n> a() {
            return this.a;
        }

        public List<Bundle> b() {
            return this.b;
        }

        public n a(Bundle bundle) {
            for (int i = 0; i < this.b.size(); i++) {
                if (C1007xc.a(this.b.get(i), bundle)) {
                    return this.a.get(i);
                }
            }
            return null;
        }
    }

    public MediaBrowserCompat(Context context, ComponentName componentName, b bVar, Bundle bundle) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 26) {
            this.f1739a = new h(context, componentName, bVar, bundle);
        } else if (i2 >= 23) {
            this.f1739a = new g(context, componentName, bVar, bundle);
        } else if (i2 >= 21) {
            this.f1739a = new f(context, componentName, bVar, bundle);
        } else {
            this.f1739a = new i(context, componentName, bVar, bundle);
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public void m835a() {
        this.f1739a.connect();
    }

    public void b() {
        this.f1739a.c();
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class n {
        public final IBinder a = new Binder();

        /* renamed from: a  reason: collision with other field name */
        public final Object f1767a;

        /* renamed from: a  reason: collision with other field name */
        public WeakReference<m> f1768a;

        public n() {
            int i = Build.VERSION.SDK_INT;
            if (i >= 26) {
                this.f1767a = C0973wc.a(new b());
            } else if (i >= 21) {
                this.f1767a = C0939vc.a((C0939vc.d) new a());
            } else {
                this.f1767a = null;
            }
        }

        public void a(String str) {
        }

        public void a(String str, Bundle bundle) {
        }

        public void a(String str, List<MediaItem> list) {
        }

        public void a(String str, List<MediaItem> list, Bundle bundle) {
        }

        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        private class b extends a implements C0973wc.a {
            public b() {
                super();
            }

            @Override // defpackage.C0973wc.a
            public void a(String str, List<?> list, Bundle bundle) {
                n.this.a(str, MediaItem.a(list), bundle);
            }

            @Override // defpackage.C0973wc.a
            public void a(String str, Bundle bundle) {
                n.this.a(str, bundle);
            }
        }

        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        private class a implements C0939vc.d {
            public a() {
            }

            @Override // defpackage.C0939vc.d
            public void a(String str, List<?> list) {
                WeakReference<m> weakReference = n.this.f1768a;
                m mVar = weakReference == null ? null : weakReference.get();
                if (mVar == null) {
                    n.this.a(str, MediaItem.a(list));
                    return;
                }
                List<MediaItem> a = MediaItem.a(list);
                List<n> a2 = mVar.a();
                List<Bundle> b = mVar.b();
                for (int i = 0; i < a2.size(); i++) {
                    Bundle bundle = b.get(i);
                    if (bundle == null) {
                        n.this.a(str, a);
                    } else {
                        n.this.a(str, a(a, bundle), bundle);
                    }
                }
            }

            @Override // defpackage.C0939vc.d
            public void a(String str) {
                n.this.a(str);
            }

            public List<MediaItem> a(List<MediaItem> list, Bundle bundle) {
                if (list == null) {
                    return null;
                }
                int i = bundle.getInt("android.media.browse.extra.PAGE", -1);
                int i2 = bundle.getInt("android.media.browse.extra.PAGE_SIZE", -1);
                if (i == -1 && i2 == -1) {
                    return list;
                }
                int i3 = i2 * i;
                int i4 = i3 + i2;
                if (i >= 0 && i2 >= 1 && i3 < list.size()) {
                    if (i4 > list.size()) {
                        i4 = list.size();
                    }
                    return list.subList(i3, i4);
                }
                return Collections.emptyList();
            }
        }
    }

    public MediaSessionCompat.Token a() {
        return this.f1739a.a();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class l {
        public Bundle a;

        /* renamed from: a  reason: collision with other field name */
        public Messenger f1766a;

        public l(IBinder iBinder, Bundle bundle) {
            this.f1766a = new Messenger(iBinder);
            this.a = bundle;
        }

        public void a(Context context, Messenger messenger) {
            Bundle bundle = new Bundle();
            bundle.putString("data_package_name", context.getPackageName());
            bundle.putBundle("data_root_hints", this.a);
            a(1, bundle, messenger);
        }

        public void b(Context context, Messenger messenger) {
            Bundle bundle = new Bundle();
            bundle.putString("data_package_name", context.getPackageName());
            bundle.putBundle("data_root_hints", this.a);
            a(6, bundle, messenger);
        }

        public void a(Messenger messenger) {
            a(2, null, messenger);
        }

        public void b(Messenger messenger) {
            a(7, null, messenger);
        }

        public void a(String str, IBinder iBinder, Bundle bundle, Messenger messenger) {
            Bundle bundle2 = new Bundle();
            bundle2.putString("data_media_item_id", str);
            C0138Sa.a(bundle2, "data_callback_token", iBinder);
            bundle2.putBundle("data_options", bundle);
            a(3, bundle2, messenger);
        }

        public final void a(int i, Bundle bundle, Messenger messenger) {
            Message obtain = Message.obtain();
            obtain.what = i;
            obtain.arg1 = 1;
            obtain.setData(bundle);
            obtain.replyTo = messenger;
            this.f1766a.send(obtain);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class MediaItem implements Parcelable {
        public static final Parcelable.Creator<MediaItem> CREATOR = new C0905uc();
        public final int a;

        /* renamed from: a  reason: collision with other field name */
        public final MediaDescriptionCompat f1743a;

        public MediaItem(MediaDescriptionCompat mediaDescriptionCompat, int i) {
            if (mediaDescriptionCompat != null) {
                if (!TextUtils.isEmpty(mediaDescriptionCompat.m838a())) {
                    this.a = i;
                    this.f1743a = mediaDescriptionCompat;
                    return;
                }
                throw new IllegalArgumentException("description must have a non-empty media id");
            }
            throw new IllegalArgumentException("description cannot be null");
        }

        public static MediaItem a(Object obj) {
            if (obj == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            return new MediaItem(MediaDescriptionCompat.a(C0939vc.c.m1637a(obj)), C0939vc.c.a(obj));
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "MediaItem{mFlags=" + this.a + ", mDescription=" + this.f1743a + '}';
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.a);
            this.f1743a.writeToParcel(parcel, i);
        }

        public static List<MediaItem> a(List<?> list) {
            if (list == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            ArrayList arrayList = new ArrayList(list.size());
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                arrayList.add(a(it.next()));
            }
            return arrayList;
        }

        public MediaItem(Parcel parcel) {
            this.a = parcel.readInt();
            this.f1743a = MediaDescriptionCompat.CREATOR.createFromParcel(parcel);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static class f implements e, j, b.a {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public final Context f1748a;

        /* renamed from: a  reason: collision with other field name */
        public final Bundle f1749a;

        /* renamed from: a  reason: collision with other field name */
        public Messenger f1750a;

        /* renamed from: a  reason: collision with other field name */
        public l f1752a;

        /* renamed from: a  reason: collision with other field name */
        public MediaSessionCompat.Token f1753a;

        /* renamed from: a  reason: collision with other field name */
        public final Object f1754a;
        public Bundle b;

        /* renamed from: a  reason: collision with other field name */
        public final a f1751a = new a(this);

        /* renamed from: a  reason: collision with other field name */
        public final C0036Dd<String, m> f1747a = new C0036Dd<>();

        public f(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            this.f1748a = context;
            this.f1749a = bundle != null ? new Bundle(bundle) : new Bundle();
            this.f1749a.putInt("extra_client_version", 1);
            bVar.a(this);
            this.f1754a = C0939vc.a(context, componentName, bVar.f1746a, this.f1749a);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.b.a
        public MediaSessionCompat.Token a() {
            if (this.f1753a == null) {
                this.f1753a = MediaSessionCompat.Token.a(C0939vc.m1635a(this.f1754a));
            }
            return this.f1753a;
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.b.a
        public void a() {
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void a(Messenger messenger) {
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void a(Messenger messenger, String str, MediaSessionCompat.Token token, Bundle bundle) {
        }

        @Override // android.support.v4.media.MediaBrowserCompat.b.a
        public void b() {
            this.f1752a = null;
            this.f1750a = null;
            this.f1753a = null;
            this.f1751a.a(null);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void c() {
            Messenger messenger;
            l lVar = this.f1752a;
            if (lVar != null && (messenger = this.f1750a) != null) {
                try {
                    lVar.b(messenger);
                } catch (RemoteException unused) {
                    Log.i("MediaBrowserCompat", "Remote error unregistering client messenger.");
                }
            }
            C0939vc.b(this.f1754a);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void connect() {
            C0939vc.m1636a(this.f1754a);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.b.a
        public void onConnected() {
            Bundle a = C0939vc.a(this.f1754a);
            if (a == null) {
                return;
            }
            this.a = a.getInt("extra_service_version", 0);
            IBinder a2 = C0138Sa.a(a, "extra_messenger");
            if (a2 != null) {
                this.f1752a = new l(a2, this.f1749a);
                this.f1750a = new Messenger(this.f1751a);
                this.f1751a.a(this.f1750a);
                try {
                    this.f1752a.b(this.f1748a, this.f1750a);
                } catch (RemoteException unused) {
                    Log.i("MediaBrowserCompat", "Remote error registering client messenger.");
                }
            }
            InterfaceC0283cd a3 = InterfaceC0283cd.a.a(C0138Sa.a(a, "extra_session_binder"));
            if (a3 != null) {
                this.f1753a = MediaSessionCompat.Token.a(C0939vc.m1635a(this.f1754a), a3);
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void a(Messenger messenger, String str, List list, Bundle bundle, Bundle bundle2) {
            if (this.f1750a != messenger) {
                return;
            }
            m mVar = this.f1747a.get(str);
            if (mVar == null) {
                if (MediaBrowserCompat.a) {
                    Log.d("MediaBrowserCompat", "onLoadChildren for id that isn't subscribed id=" + str);
                    return;
                }
                return;
            }
            n a = mVar.a(bundle);
            if (a != null) {
                if (bundle == null) {
                    if (list == null) {
                        a.a(str);
                        return;
                    }
                    this.b = bundle2;
                    a.a(str, list);
                    this.b = null;
                } else if (list == null) {
                    a.a(str, bundle);
                } else {
                    this.b = bundle2;
                    a.a(str, list, bundle);
                    this.b = null;
                }
            }
        }
    }
}
