package android.support.v4.media.session;

import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.RemoteException;
import android.os.ResultReceiver;
import android.support.v4.media.MediaMetadataCompat;
import android.support.v4.media.session.MediaSessionCompat;
import android.util.Log;
import android.view.KeyEvent;
import defpackage.C0318dd;
import defpackage.InterfaceC0248bd;
import defpackage.InterfaceC0283cd;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public final class MediaControllerCompat {
    public final b a;

    /* renamed from: a  reason: collision with other field name */
    public final MediaSessionCompat.Token f1806a;

    /* renamed from: a  reason: collision with other field name */
    public final HashSet<a> f1807a = new HashSet<>();

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static class MediaControllerImplApi21 implements b {
        public final MediaSessionCompat.Token a;

        /* renamed from: a  reason: collision with other field name */
        public final Object f1808a;
        public final Object b = new Object();

        /* renamed from: a  reason: collision with other field name */
        public final List<a> f1810a = new ArrayList();

        /* renamed from: a  reason: collision with other field name */
        public HashMap<a, a> f1809a = new HashMap<>();

        /* JADX INFO: Access modifiers changed from: private */
        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        public static class ExtraBinderRequestResultReceiver extends ResultReceiver {
            public WeakReference<MediaControllerImplApi21> a;

            public ExtraBinderRequestResultReceiver(MediaControllerImplApi21 mediaControllerImplApi21) {
                super(null);
                this.a = new WeakReference<>(mediaControllerImplApi21);
            }

            @Override // android.os.ResultReceiver
            public void onReceiveResult(int i, Bundle bundle) {
                MediaControllerImplApi21 mediaControllerImplApi21 = this.a.get();
                if (mediaControllerImplApi21 == null || bundle == null) {
                    return;
                }
                synchronized (mediaControllerImplApi21.b) {
                    mediaControllerImplApi21.a.a(InterfaceC0283cd.a.a(C0138Sa.a(bundle, "android.support.v4.media.session.EXTRA_BINDER")));
                    mediaControllerImplApi21.a.a(bundle.getBundle("android.support.v4.media.session.SESSION_TOKEN2_BUNDLE"));
                    mediaControllerImplApi21.a();
                }
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        public static class a extends a.c {
            public a(a aVar) {
                super(aVar);
            }

            @Override // android.support.v4.media.session.MediaControllerCompat.a.c, defpackage.InterfaceC0248bd
            public void a() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.MediaControllerCompat.a.c, defpackage.InterfaceC0248bd
            public void a(MediaMetadataCompat mediaMetadataCompat) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.MediaControllerCompat.a.c, defpackage.InterfaceC0248bd
            public void a(List<MediaSessionCompat.QueueItem> list) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.MediaControllerCompat.a.c, defpackage.InterfaceC0248bd
            public void a(CharSequence charSequence) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.MediaControllerCompat.a.c, defpackage.InterfaceC0248bd
            public void a(Bundle bundle) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.MediaControllerCompat.a.c, defpackage.InterfaceC0248bd
            public void a(ParcelableVolumeInfo parcelableVolumeInfo) {
                throw new AssertionError();
            }
        }

        public MediaControllerImplApi21(Context context, MediaSessionCompat.Token token) {
            this.a = token;
            this.f1808a = C0318dd.a(context, this.a.m839a());
            if (this.f1808a != null) {
                if (this.a.a() == null) {
                    b();
                    return;
                }
                return;
            }
            throw new RemoteException();
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.b
        public boolean a(KeyEvent keyEvent) {
            return C0318dd.a(this.f1808a, keyEvent);
        }

        public final void b() {
            a("android.support.v4.media.session.command.GET_EXTRA_BINDER", null, new ExtraBinderRequestResultReceiver(this));
        }

        public void a(String str, Bundle bundle, ResultReceiver resultReceiver) {
            C0318dd.a(this.f1808a, str, bundle, resultReceiver);
        }

        public void a() {
            if (this.a.a() == null) {
                return;
            }
            for (a aVar : this.f1810a) {
                a aVar2 = new a(aVar);
                this.f1809a.put(aVar, aVar2);
                aVar.f1811a = aVar2;
                try {
                    this.a.a().a(aVar2);
                    aVar.a(13, null, null);
                } catch (RemoteException e) {
                    Log.e("MediaControllerCompat", "Dead object in registerCallback.", e);
                }
            }
            this.f1810a.clear();
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class a implements IBinder.DeathRecipient {
        public HandlerC0004a a;

        /* renamed from: a  reason: collision with other field name */
        public InterfaceC0248bd f1811a;

        /* renamed from: a  reason: collision with other field name */
        public final Object f1812a;

        /* JADX INFO: Access modifiers changed from: private */
        /* compiled from: SogouSource */
        /* renamed from: android.support.v4.media.session.MediaControllerCompat$a$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        public class HandlerC0004a extends Handler {
        }

        public a() {
            if (Build.VERSION.SDK_INT >= 21) {
                this.f1812a = C0318dd.a(new b(this));
                return;
            }
            c cVar = new c(this);
            this.f1811a = cVar;
            this.f1812a = cVar;
        }

        public void a() {
        }

        public void a(int i, Object obj, Bundle bundle) {
            HandlerC0004a handlerC0004a = this.a;
            if (handlerC0004a != null) {
                Message obtainMessage = handlerC0004a.obtainMessage(i, obj);
                obtainMessage.setData(bundle);
                obtainMessage.sendToTarget();
            }
        }

        public void a(Bundle bundle) {
        }

        public void a(MediaMetadataCompat mediaMetadataCompat) {
        }

        public void a(f fVar) {
        }

        public void a(PlaybackStateCompat playbackStateCompat) {
        }

        public void a(CharSequence charSequence) {
        }

        public void a(String str, Bundle bundle) {
        }

        public void a(List<MediaSessionCompat.QueueItem> list) {
        }

        @Override // android.os.IBinder.DeathRecipient
        public void binderDied() {
            a(8, null, null);
        }

        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        private static class b implements C0318dd.a {
            public final WeakReference<a> a;

            public b(a aVar) {
                this.a = new WeakReference<>(aVar);
            }

            @Override // defpackage.C0318dd.a
            public void a() {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a();
                }
            }

            @Override // defpackage.C0318dd.a
            public void b(Object obj) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(MediaMetadataCompat.a(obj));
                }
            }

            @Override // defpackage.C0318dd.a
            public void a(String str, Bundle bundle) {
                a aVar = this.a.get();
                if (aVar != null) {
                    if (aVar.f1811a == null || Build.VERSION.SDK_INT >= 23) {
                        aVar.a(str, bundle);
                    }
                }
            }

            @Override // defpackage.C0318dd.a
            public void a(Object obj) {
                a aVar = this.a.get();
                if (aVar == null || aVar.f1811a != null) {
                    return;
                }
                aVar.a(PlaybackStateCompat.a(obj));
            }

            @Override // defpackage.C0318dd.a
            public void a(List<?> list) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(MediaSessionCompat.QueueItem.a(list));
                }
            }

            @Override // defpackage.C0318dd.a
            public void a(CharSequence charSequence) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(charSequence);
                }
            }

            @Override // defpackage.C0318dd.a
            public void a(Bundle bundle) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(bundle);
                }
            }

            @Override // defpackage.C0318dd.a
            public void a(int i, int i2, int i3, int i4, int i5) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(new f(i, i2, i3, i4, i5));
                }
            }
        }

        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        private static class c extends InterfaceC0248bd.a {
            public final WeakReference<a> a;

            public c(a aVar) {
                this.a = new WeakReference<>(aVar);
            }

            @Override // defpackage.InterfaceC0248bd
            public void a(String str, Bundle bundle) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(1, str, bundle);
                }
            }

            @Override // defpackage.InterfaceC0248bd
            public void b(int i) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(12, Integer.valueOf(i), null);
                }
            }

            @Override // defpackage.InterfaceC0248bd
            public void b(boolean z) {
            }

            @Override // defpackage.InterfaceC0248bd
            public void e() {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(13, null, null);
                }
            }

            public void a() {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(8, null, null);
                }
            }

            @Override // defpackage.InterfaceC0248bd
            public void a(PlaybackStateCompat playbackStateCompat) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(2, playbackStateCompat, null);
                }
            }

            public void a(MediaMetadataCompat mediaMetadataCompat) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(3, mediaMetadataCompat, null);
                }
            }

            public void a(List<MediaSessionCompat.QueueItem> list) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(5, list, null);
                }
            }

            public void a(CharSequence charSequence) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(6, charSequence, null);
                }
            }

            @Override // defpackage.InterfaceC0248bd
            public void a(boolean z) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(11, Boolean.valueOf(z), null);
                }
            }

            @Override // defpackage.InterfaceC0248bd
            public void a(int i) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(9, Integer.valueOf(i), null);
                }
            }

            public void a(Bundle bundle) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(7, bundle, null);
                }
            }

            public void a(ParcelableVolumeInfo parcelableVolumeInfo) {
                a aVar = this.a.get();
                if (aVar != null) {
                    aVar.a(4, parcelableVolumeInfo != null ? new f(parcelableVolumeInfo.a, parcelableVolumeInfo.b, parcelableVolumeInfo.c, parcelableVolumeInfo.d, parcelableVolumeInfo.e) : null, null);
                }
            }
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    interface b {
        boolean a(KeyEvent keyEvent);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static class c extends MediaControllerImplApi21 {
        public c(Context context, MediaSessionCompat.Token token) {
            super(context, token);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static class d extends c {
        public d(Context context, MediaSessionCompat.Token token) {
            super(context, token);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    static class e implements b {
        public InterfaceC0283cd a;

        public e(MediaSessionCompat.Token token) {
            this.a = InterfaceC0283cd.a.a((IBinder) token.m839a());
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.b
        public boolean a(KeyEvent keyEvent) {
            if (keyEvent != null) {
                try {
                    this.a.a(keyEvent);
                    return false;
                } catch (RemoteException e) {
                    Log.e("MediaControllerCompat", "Dead object in dispatchMediaButtonEvent.", e);
                    return false;
                }
            }
            throw new IllegalArgumentException("event may not be null.");
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class f {
        public final int a;
        public final int b;
        public final int c;
        public final int d;
        public final int e;

        public f(int i, int i2, int i3, int i4, int i5) {
            this.a = i;
            this.b = i2;
            this.c = i3;
            this.d = i4;
            this.e = i5;
        }
    }

    public MediaControllerCompat(Context context, MediaSessionCompat.Token token) {
        if (token != null) {
            this.f1806a = token;
            int i = Build.VERSION.SDK_INT;
            if (i >= 24) {
                this.a = new d(context, token);
                return;
            } else if (i >= 23) {
                this.a = new c(context, token);
                return;
            } else if (i >= 21) {
                this.a = new MediaControllerImplApi21(context, token);
                return;
            } else {
                this.a = new e(token);
                return;
            }
        }
        throw new IllegalArgumentException("sessionToken must not be null");
    }

    public boolean a(KeyEvent keyEvent) {
        if (keyEvent != null) {
            return this.a.a(keyEvent);
        }
        throw new IllegalArgumentException("KeyEvent may not be null");
    }
}
