package android.support.v4.media.session;

import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.ResultReceiver;
import android.support.v4.media.MediaDescriptionCompat;
import defpackage.C0457hd;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class MediaSessionCompat {

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class ResultReceiverWrapper implements Parcelable {
        public static final Parcelable.Creator<ResultReceiverWrapper> CREATOR = new C0387fd();
        public ResultReceiver a;

        public ResultReceiverWrapper(Parcel parcel) {
            this.a = (ResultReceiver) ResultReceiver.CREATOR.createFromParcel(parcel);
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            this.a.writeToParcel(parcel, i);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class Token implements Parcelable {
        public static final Parcelable.Creator<Token> CREATOR = new C0422gd();
        public Bundle a;

        /* renamed from: a  reason: collision with other field name */
        public InterfaceC0283cd f1815a;

        /* renamed from: a  reason: collision with other field name */
        public final Object f1816a;

        public Token(Object obj) {
            this(obj, null, null);
        }

        public static Token a(Object obj) {
            return a(obj, null);
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj instanceof Token) {
                Token token = (Token) obj;
                Object obj2 = this.f1816a;
                if (obj2 == null) {
                    return token.f1816a == null;
                }
                Object obj3 = token.f1816a;
                if (obj3 == null) {
                    return false;
                }
                return obj2.equals(obj3);
            }
            return false;
        }

        public int hashCode() {
            Object obj = this.f1816a;
            if (obj == null) {
                return 0;
            }
            return obj.hashCode();
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            if (Build.VERSION.SDK_INT >= 21) {
                parcel.writeParcelable((Parcelable) this.f1816a, i);
            } else {
                parcel.writeStrongBinder((IBinder) this.f1816a);
            }
        }

        public Token(Object obj, InterfaceC0283cd interfaceC0283cd) {
            this(obj, interfaceC0283cd, null);
        }

        public static Token a(Object obj, InterfaceC0283cd interfaceC0283cd) {
            if (obj == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            C0457hd.a(obj);
            return new Token(obj, interfaceC0283cd);
        }

        public Token(Object obj, InterfaceC0283cd interfaceC0283cd, Bundle bundle) {
            this.f1816a = obj;
            this.f1815a = interfaceC0283cd;
            this.a = bundle;
        }

        /* renamed from: a  reason: collision with other method in class */
        public Object m839a() {
            return this.f1816a;
        }

        public InterfaceC0283cd a() {
            return this.f1815a;
        }

        public void a(InterfaceC0283cd interfaceC0283cd) {
            this.f1815a = interfaceC0283cd;
        }

        public void a(Bundle bundle) {
            this.a = bundle;
        }
    }

    public static void a(Bundle bundle) {
        if (bundle != null) {
            bundle.setClassLoader(MediaSessionCompat.class.getClassLoader());
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class QueueItem implements Parcelable {
        public static final Parcelable.Creator<QueueItem> CREATOR = new C0352ed();
        public final long a;

        /* renamed from: a  reason: collision with other field name */
        public final MediaDescriptionCompat f1813a;

        /* renamed from: a  reason: collision with other field name */
        public Object f1814a;

        public QueueItem(Object obj, MediaDescriptionCompat mediaDescriptionCompat, long j) {
            if (mediaDescriptionCompat == null) {
                throw new IllegalArgumentException("Description cannot be null.");
            }
            if (j != -1) {
                this.f1813a = mediaDescriptionCompat;
                this.a = j;
                this.f1814a = obj;
                return;
            }
            throw new IllegalArgumentException("Id cannot be QueueItem.UNKNOWN_ID");
        }

        public static QueueItem a(Object obj) {
            if (obj == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            return new QueueItem(obj, MediaDescriptionCompat.a(C0457hd.a.m1293a(obj)), C0457hd.a.a(obj));
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "MediaSession.QueueItem {Description=" + this.f1813a + ", Id=" + this.a + " }";
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            this.f1813a.writeToParcel(parcel, i);
            parcel.writeLong(this.a);
        }

        public static List<QueueItem> a(List<?> list) {
            if (list == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                arrayList.add(a(it.next()));
            }
            return arrayList;
        }

        public QueueItem(Parcel parcel) {
            this.f1813a = MediaDescriptionCompat.CREATOR.createFromParcel(parcel);
            this.a = parcel.readLong();
        }
    }
}
