package android.support.v4.media.session;

import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import defpackage.C0596ld;
import java.util.ArrayList;
import java.util.List;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public final class PlaybackStateCompat implements Parcelable {
    public static final Parcelable.Creator<PlaybackStateCompat> CREATOR = new C0526jd();
    public final float a;

    /* renamed from: a  reason: collision with other field name */
    public final int f1817a;

    /* renamed from: a  reason: collision with other field name */
    public final long f1818a;

    /* renamed from: a  reason: collision with other field name */
    public final Bundle f1819a;

    /* renamed from: a  reason: collision with other field name */
    public final CharSequence f1820a;

    /* renamed from: a  reason: collision with other field name */
    public Object f1821a;

    /* renamed from: a  reason: collision with other field name */
    public List<CustomAction> f1822a;
    public final int b;

    /* renamed from: b  reason: collision with other field name */
    public final long f1823b;
    public final long c;
    public final long d;
    public final long e;

    public PlaybackStateCompat(int i, long j, long j2, float f, long j3, int i2, CharSequence charSequence, long j4, List<CustomAction> list, long j5, Bundle bundle) {
        this.f1817a = i;
        this.f1818a = j;
        this.f1823b = j2;
        this.a = f;
        this.c = j3;
        this.b = i2;
        this.f1820a = charSequence;
        this.d = j4;
        this.f1822a = new ArrayList(list);
        this.e = j5;
        this.f1819a = bundle;
    }

    public static PlaybackStateCompat a(Object obj) {
        ArrayList arrayList;
        if (obj == null || Build.VERSION.SDK_INT < 21) {
            return null;
        }
        List<Object> m1398a = C0596ld.m1398a(obj);
        if (m1398a != null) {
            ArrayList arrayList2 = new ArrayList(m1398a.size());
            for (Object obj2 : m1398a) {
                arrayList2.add(CustomAction.a(obj2));
            }
            arrayList = arrayList2;
        } else {
            arrayList = null;
        }
        PlaybackStateCompat playbackStateCompat = new PlaybackStateCompat(C0596ld.m1395a(obj), C0596ld.e(obj), C0596ld.c(obj), C0596ld.a(obj), C0596ld.m1396a(obj), 0, C0596ld.m1397a(obj), C0596ld.d(obj), arrayList, C0596ld.b(obj), Build.VERSION.SDK_INT >= 22 ? C0631md.a(obj) : null);
        playbackStateCompat.f1821a = obj;
        return playbackStateCompat;
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public String toString() {
        return "PlaybackState {state=" + this.f1817a + ", position=" + this.f1818a + ", buffered position=" + this.f1823b + ", speed=" + this.a + ", updated=" + this.d + ", actions=" + this.c + ", error code=" + this.b + ", error message=" + this.f1820a + ", custom actions=" + this.f1822a + ", active item id=" + this.e + "}";
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.f1817a);
        parcel.writeLong(this.f1818a);
        parcel.writeFloat(this.a);
        parcel.writeLong(this.d);
        parcel.writeLong(this.f1823b);
        parcel.writeLong(this.c);
        TextUtils.writeToParcel(this.f1820a, parcel, i);
        parcel.writeTypedList(this.f1822a);
        parcel.writeLong(this.e);
        parcel.writeBundle(this.f1819a);
        parcel.writeInt(this.b);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class CustomAction implements Parcelable {
        public static final Parcelable.Creator<CustomAction> CREATOR = new C0561kd();
        public final int a;

        /* renamed from: a  reason: collision with other field name */
        public final Bundle f1824a;

        /* renamed from: a  reason: collision with other field name */
        public final CharSequence f1825a;

        /* renamed from: a  reason: collision with other field name */
        public Object f1826a;

        /* renamed from: a  reason: collision with other field name */
        public final String f1827a;

        public CustomAction(String str, CharSequence charSequence, int i, Bundle bundle) {
            this.f1827a = str;
            this.f1825a = charSequence;
            this.a = i;
            this.f1824a = bundle;
        }

        public static CustomAction a(Object obj) {
            if (obj == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            CustomAction customAction = new CustomAction(C0596ld.a.m1401a(obj), C0596ld.a.m1400a(obj), C0596ld.a.a(obj), C0596ld.a.m1399a(obj));
            customAction.f1826a = obj;
            return customAction;
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "Action:mName='" + ((Object) this.f1825a) + ", mIcon=" + this.a + ", mExtras=" + this.f1824a;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeString(this.f1827a);
            TextUtils.writeToParcel(this.f1825a, parcel, i);
            parcel.writeInt(this.a);
            parcel.writeBundle(this.f1824a);
        }

        public CustomAction(Parcel parcel) {
            this.f1827a = parcel.readString();
            this.f1825a = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.a = parcel.readInt();
            this.f1824a = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        }
    }

    public PlaybackStateCompat(Parcel parcel) {
        this.f1817a = parcel.readInt();
        this.f1818a = parcel.readLong();
        this.a = parcel.readFloat();
        this.d = parcel.readLong();
        this.f1823b = parcel.readLong();
        this.c = parcel.readLong();
        this.f1820a = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f1822a = parcel.createTypedArrayList(CustomAction.CREATOR);
        this.e = parcel.readLong();
        this.f1819a = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        this.b = parcel.readInt();
    }
}
