package android.support.v4.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.ViewConfiguration;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class PagerTabStrip extends PagerTitleStrip {
    public final Paint a;

    /* renamed from: a  reason: collision with other field name */
    public final Rect f1833a;
    public float b;
    public float c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f1834c;
    public boolean d;
    public boolean e;
    public int f;
    public int g;
    public int h;
    public int i;
    public int j;
    public int k;
    public int l;
    public int m;
    public int n;

    public PagerTabStrip(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.a = new Paint();
        this.f1833a = new Rect();
        this.l = 255;
        this.f1834c = false;
        this.d = false;
        this.f = super.e;
        this.a.setColor(this.f);
        float f = context.getResources().getDisplayMetrics().density;
        this.g = (int) ((3.0f * f) + 0.5f);
        this.h = (int) ((6.0f * f) + 0.5f);
        this.i = (int) (64.0f * f);
        this.k = (int) ((16.0f * f) + 0.5f);
        this.m = (int) ((1.0f * f) + 0.5f);
        this.j = (int) ((f * 32.0f) + 0.5f);
        this.n = ViewConfiguration.get(context).getScaledTouchSlop();
        setPadding(getPaddingLeft(), getPaddingTop(), getPaddingRight(), getPaddingBottom());
        setTextSpacing(getTextSpacing());
        setWillNotDraw(false);
        ((PagerTitleStrip) this).f1839a.setFocusable(true);
        ((PagerTitleStrip) this).f1839a.setOnClickListener(new View$OnClickListenerC0562ke(this));
        ((PagerTitleStrip) this).f1845c.setFocusable(true);
        ((PagerTitleStrip) this).f1845c.setOnClickListener(new View$OnClickListenerC0597le(this));
        if (getBackground() == null) {
            this.f1834c = true;
        }
    }

    @Override // android.support.v4.view.PagerTitleStrip
    public void a(int i, float f, boolean z) {
        Rect rect = this.f1833a;
        int height = getHeight();
        int left = ((PagerTitleStrip) this).f1843b.getLeft() - this.k;
        int right = ((PagerTitleStrip) this).f1843b.getRight() + this.k;
        int i2 = height - this.g;
        rect.set(left, i2, right, height);
        super.a(i, f, z);
        this.l = (int) (Math.abs(f - 0.5f) * 2.0f * 255.0f);
        rect.union(((PagerTitleStrip) this).f1843b.getLeft() - this.k, i2, ((PagerTitleStrip) this).f1843b.getRight() + this.k, height);
        invalidate(rect);
    }

    public boolean getDrawFullUnderline() {
        return this.f1834c;
    }

    @Override // android.support.v4.view.PagerTitleStrip
    public int getMinHeight() {
        return Math.max(super.getMinHeight(), this.j);
    }

    public int getTabIndicatorColor() {
        return this.f;
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int height = getHeight();
        int left = ((PagerTitleStrip) this).f1843b.getLeft() - this.k;
        int right = ((PagerTitleStrip) this).f1843b.getRight() + this.k;
        this.a.setColor((this.l << 24) | (this.f & 16777215));
        float f = height;
        canvas.drawRect(left, height - this.g, right, f, this.a);
        if (this.f1834c) {
            this.a.setColor((-16777216) | (this.f & 16777215));
            canvas.drawRect(getPaddingLeft(), height - this.m, getWidth() - getPaddingRight(), f, this.a);
        }
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action == 0 || !this.e) {
            float x = motionEvent.getX();
            float y = motionEvent.getY();
            if (action == 0) {
                this.b = x;
                this.c = y;
                this.e = false;
            } else if (action != 1) {
                if (action == 2 && (Math.abs(x - this.b) > this.n || Math.abs(y - this.c) > this.n)) {
                    this.e = true;
                }
            } else if (x < ((PagerTitleStrip) this).f1843b.getLeft() - this.k) {
                ViewPager viewPager = ((PagerTitleStrip) this).f1838a;
                viewPager.setCurrentItem(viewPager.getCurrentItem() - 1);
            } else if (x > ((PagerTitleStrip) this).f1843b.getRight() + this.k) {
                ViewPager viewPager2 = ((PagerTitleStrip) this).f1838a;
                viewPager2.setCurrentItem(viewPager2.getCurrentItem() + 1);
            }
            return true;
        }
        return false;
    }

    @Override // android.view.View
    public void setBackgroundColor(int i) {
        super.setBackgroundColor(i);
        if (this.d) {
            return;
        }
        this.f1834c = (i & (-16777216)) == 0;
    }

    @Override // android.view.View
    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        if (this.d) {
            return;
        }
        this.f1834c = drawable == null;
    }

    @Override // android.view.View
    public void setBackgroundResource(int i) {
        super.setBackgroundResource(i);
        if (this.d) {
            return;
        }
        this.f1834c = i == 0;
    }

    public void setDrawFullUnderline(boolean z) {
        this.f1834c = z;
        this.d = true;
        invalidate();
    }

    @Override // android.view.View
    public void setPadding(int i, int i2, int i3, int i4) {
        int i5 = this.h;
        if (i4 < i5) {
            i4 = i5;
        }
        super.setPadding(i, i2, i3, i4);
    }

    public void setTabIndicatorColor(int i) {
        this.f = i;
        this.a.setColor(this.f);
        invalidate();
    }

    public void setTabIndicatorColorResource(int i) {
        setTabIndicatorColor(C0076Jb.a(getContext(), i));
    }

    @Override // android.support.v4.view.PagerTitleStrip
    public void setTextSpacing(int i) {
        int i2 = this.i;
        if (i < i2) {
            i = i2;
        }
        super.setTextSpacing(i);
    }
}
