package android.support.v4.view;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.EdgeEffect;
import android.widget.Scroller;
import com.sogou.speech.butterfly.ButterflyEngine;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class ViewPager extends ViewGroup {

    /* renamed from: a  reason: collision with other field name */
    public float f1850a;

    /* renamed from: a  reason: collision with other field name */
    public int f1851a;

    /* renamed from: a  reason: collision with other field name */
    public final Rect f1852a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f1853a;

    /* renamed from: a  reason: collision with other field name */
    public Parcelable f1854a;

    /* renamed from: a  reason: collision with other field name */
    public final b f1855a;

    /* renamed from: a  reason: collision with other field name */
    public e f1856a;

    /* renamed from: a  reason: collision with other field name */
    public f f1857a;

    /* renamed from: a  reason: collision with other field name */
    public g f1858a;

    /* renamed from: a  reason: collision with other field name */
    public VelocityTracker f1859a;

    /* renamed from: a  reason: collision with other field name */
    public EdgeEffect f1860a;

    /* renamed from: a  reason: collision with other field name */
    public Scroller f1861a;

    /* renamed from: a  reason: collision with other field name */
    public ClassLoader f1862a;

    /* renamed from: a  reason: collision with other field name */
    public final Runnable f1863a;

    /* renamed from: a  reason: collision with other field name */
    public final ArrayList<b> f1864a;

    /* renamed from: a  reason: collision with other field name */
    public List<e> f1865a;

    /* renamed from: a  reason: collision with other field name */
    public AbstractC0527je f1866a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f1867a;
    public float b;

    /* renamed from: b  reason: collision with other field name */
    public int f1868b;

    /* renamed from: b  reason: collision with other field name */
    public e f1869b;

    /* renamed from: b  reason: collision with other field name */
    public EdgeEffect f1870b;

    /* renamed from: b  reason: collision with other field name */
    public ArrayList<View> f1871b;

    /* renamed from: b  reason: collision with other field name */
    public List<d> f1872b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f1873b;
    public float c;

    /* renamed from: c  reason: collision with other field name */
    public int f1874c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f1875c;
    public float d;

    /* renamed from: d  reason: collision with other field name */
    public int f1876d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f1877d;
    public float e;

    /* renamed from: e  reason: collision with other field name */
    public int f1878e;

    /* renamed from: e  reason: collision with other field name */
    public boolean f1879e;
    public float f;

    /* renamed from: f  reason: collision with other field name */
    public int f1880f;

    /* renamed from: f  reason: collision with other field name */
    public boolean f1881f;
    public int g;

    /* renamed from: g  reason: collision with other field name */
    public boolean f1882g;
    public int h;

    /* renamed from: h  reason: collision with other field name */
    public boolean f1883h;
    public int i;

    /* renamed from: i  reason: collision with other field name */
    public boolean f1884i;
    public int j;

    /* renamed from: j  reason: collision with other field name */
    public boolean f1885j;
    public int k;
    public int l;
    public int m;
    public int n;
    public int o;
    public int p;
    public int q;
    public int r;
    public int s;
    public int t;
    public int u;

    /* renamed from: a  reason: collision with other field name */
    public static final int[] f1849a = {16842931};

    /* renamed from: a  reason: collision with other field name */
    public static final Comparator<b> f1848a = new C0839se();

    /* renamed from: a  reason: collision with other field name */
    public static final Interpolator f1847a = new animation.InterpolatorC0873te();
    public static final h a = new h();

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new C0975we();
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public ClassLoader f1889a;
        public Parcelable b;

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.a + "}";
        }

        @Override // android.support.v4.view.AbsSavedState, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.a);
            parcel.writeParcelable(this.b, i);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            classLoader = classLoader == null ? SavedState.class.getClassLoader() : classLoader;
            this.a = parcel.readInt();
            this.b = parcel.readParcelable(classLoader);
            this.f1889a = classLoader;
        }
    }

    /* compiled from: SogouSource */
    @Target({ElementType.TYPE})
    @Inherited
    @Retention(RetentionPolicy.RUNTIME)
    /* loaded from: classes.dex */
    public @interface a {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class b {
        public float a;

        /* renamed from: a  reason: collision with other field name */
        public int f1890a;

        /* renamed from: a  reason: collision with other field name */
        public Object f1891a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f1892a;
        public float b;
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface d {
        void a(ViewPager viewPager, AbstractC0527je abstractC0527je, AbstractC0527je abstractC0527je2);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface e {
        void a(int i);

        void a(int i, float f, int i2);

        void b(int i);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface f {
        void a(View view, float f);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    private class g extends DataSetObserver {
        public g() {
        }

        @Override // android.database.DataSetObserver
        public void onChanged() {
            ViewPager.this.m841a();
        }

        @Override // android.database.DataSetObserver
        public void onInvalidated() {
            ViewPager.this.m841a();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class h implements Comparator<View> {
        @Override // java.util.Comparator
        /* renamed from: a */
        public int compare(View view, View view2) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            LayoutParams layoutParams2 = (LayoutParams) view2.getLayoutParams();
            boolean z = layoutParams.f1887a;
            if (z != layoutParams2.f1887a) {
                return z ? 1 : -1;
            }
            return layoutParams.b - layoutParams2.b;
        }
    }

    public ViewPager(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1864a = new ArrayList<>();
        this.f1855a = new b();
        this.f1852a = new Rect();
        this.f1874c = -1;
        this.f1854a = null;
        this.f1862a = null;
        this.f1850a = -3.4028235E38f;
        this.b = Float.MAX_VALUE;
        this.i = 1;
        this.m = -1;
        this.f1883h = true;
        this.f1884i = false;
        this.f1863a = new RunnableC0907ue(this);
        this.u = 0;
        c();
    }

    private int getClientWidth() {
        return (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
    }

    private void setScrollingCacheEnabled(boolean z) {
        if (this.f1875c != z) {
            this.f1875c = z;
        }
    }

    public void a(d dVar) {
        if (this.f1872b == null) {
            this.f1872b = new ArrayList();
        }
        this.f1872b.add(dVar);
    }

    @Override // android.view.ViewGroup, android.view.View
    public void addFocusables(ArrayList<View> arrayList, int i, int i2) {
        b b2;
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i3 = 0; i3 < getChildCount(); i3++) {
                View childAt = getChildAt(i3);
                if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f1890a == this.f1868b) {
                    childAt.addFocusables(arrayList, i, i2);
                }
            }
        }
        if ((descendantFocusability != 262144 || size == arrayList.size()) && isFocusable()) {
            if (((i2 & 1) == 1 && isInTouchMode() && !isFocusableInTouchMode()) || arrayList == null) {
                return;
            }
            arrayList.add(this);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public void addTouchables(ArrayList<View> arrayList) {
        b b2;
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f1890a == this.f1868b) {
                childAt.addTouchables(arrayList);
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (!checkLayoutParams(layoutParams)) {
            layoutParams = generateLayoutParams(layoutParams);
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        layoutParams2.f1887a |= a(view);
        if (this.f1873b) {
            if (layoutParams2 != null && layoutParams2.f1887a) {
                throw new IllegalStateException("Cannot add pager decor view during layout");
            }
            layoutParams2.f1888b = true;
            addViewInLayout(view, i, layoutParams);
            return;
        }
        super.addView(view, i, layoutParams);
    }

    public void b(d dVar) {
        List<d> list = this.f1872b;
        if (list != null) {
            list.remove(dVar);
        }
    }

    public void c() {
        setWillNotDraw(false);
        setDescendantFocusability(262144);
        setFocusable(true);
        Context context = getContext();
        this.f1861a = new Scroller(context, f1847a);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        float f2 = context.getResources().getDisplayMetrics().density;
        this.l = viewConfiguration.getScaledPagingTouchSlop();
        this.n = (int) (400.0f * f2);
        this.o = viewConfiguration.getScaledMaximumFlingVelocity();
        this.f1860a = new EdgeEffect(context);
        this.f1870b = new EdgeEffect(context);
        this.p = (int) (25.0f * f2);
        this.q = (int) (2.0f * f2);
        this.j = (int) (f2 * 16.0f);
        C0737pe.a(this, new c());
        if (C0737pe.m1444a((View) this) == 0) {
            C0737pe.e(this, 1);
        }
        C0737pe.a(this, new C0941ve(this));
    }

    @Override // android.view.View
    public boolean canScrollHorizontally(int i) {
        if (this.f1866a == null) {
            return false;
        }
        int clientWidth = getClientWidth();
        int scrollX = getScrollX();
        return i < 0 ? scrollX > ((int) (((float) clientWidth) * this.f1850a)) : i > 0 && scrollX < ((int) (((float) clientWidth) * this.b));
    }

    @Override // android.view.ViewGroup
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof LayoutParams) && super.checkLayoutParams(layoutParams);
    }

    @Override // android.view.View
    public void computeScroll() {
        this.f1867a = true;
        if (!this.f1861a.isFinished() && this.f1861a.computeScrollOffset()) {
            int scrollX = getScrollX();
            int scrollY = getScrollY();
            int currX = this.f1861a.getCurrX();
            int currY = this.f1861a.getCurrY();
            if (scrollX != currX || scrollY != currY) {
                scrollTo(currX, currY);
                if (!m847b(currX)) {
                    this.f1861a.abortAnimation();
                    scrollTo(0, currY);
                }
            }
            C0737pe.m1451a((View) this);
            return;
        }
        a(true);
    }

    public void d() {
        c(this.f1868b);
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || a(keyEvent);
    }

    @Override // android.view.View
    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        b b2;
        if (accessibilityEvent.getEventType() == 4096) {
            return super.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        }
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f1890a == this.f1868b && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                return true;
            }
        }
        return false;
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        AbstractC0527je abstractC0527je;
        super.draw(canvas);
        int overScrollMode = getOverScrollMode();
        boolean z = false;
        if (overScrollMode != 0 && (overScrollMode != 1 || (abstractC0527je = this.f1866a) == null || abstractC0527je.a() <= 1)) {
            this.f1860a.finish();
            this.f1870b.finish();
        } else {
            if (!this.f1860a.isFinished()) {
                int save = canvas.save();
                int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
                int width = getWidth();
                canvas.rotate(270.0f);
                canvas.translate((-height) + getPaddingTop(), this.f1850a * width);
                this.f1860a.setSize(height, width);
                z = false | this.f1860a.draw(canvas);
                canvas.restoreToCount(save);
            }
            if (!this.f1870b.isFinished()) {
                int save2 = canvas.save();
                int width2 = getWidth();
                int height2 = (getHeight() - getPaddingTop()) - getPaddingBottom();
                canvas.rotate(90.0f);
                canvas.translate(-getPaddingTop(), (-(this.b + 1.0f)) * width2);
                this.f1870b.setSize(height2, width2);
                z |= this.f1870b.draw(canvas);
                canvas.restoreToCount(save2);
            }
        }
        if (z) {
            C0737pe.m1451a((View) this);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f1853a;
        if (drawable == null || !drawable.isStateful()) {
            return;
        }
        drawable.setState(getDrawableState());
    }

    public final void e() {
        int i = 0;
        while (i < getChildCount()) {
            if (!((LayoutParams) getChildAt(i).getLayoutParams()).f1887a) {
                removeViewAt(i);
                i--;
            }
            i++;
        }
    }

    public final void f() {
        if (this.t != 0) {
            ArrayList<View> arrayList = this.f1871b;
            if (arrayList == null) {
                this.f1871b = new ArrayList<>();
            } else {
                arrayList.clear();
            }
            int childCount = getChildCount();
            for (int i = 0; i < childCount; i++) {
                this.f1871b.add(getChildAt(i));
            }
            Collections.sort(this.f1871b, a);
        }
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams();
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return generateDefaultLayoutParams();
    }

    public AbstractC0527je getAdapter() {
        return this.f1866a;
    }

    @Override // android.view.ViewGroup
    public int getChildDrawingOrder(int i, int i2) {
        if (this.t == 2) {
            i2 = (i - 1) - i2;
        }
        return ((LayoutParams) this.f1871b.get(i2).getLayoutParams()).c;
    }

    public int getCurrentItem() {
        return this.f1868b;
    }

    public int getOffscreenPageLimit() {
        return this.i;
    }

    public int getPageMargin() {
        return this.f1876d;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f1883h = true;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        removeCallbacks(this.f1863a);
        Scroller scroller = this.f1861a;
        if (scroller != null && !scroller.isFinished()) {
            this.f1861a.abortAnimation();
        }
        super.onDetachedFromWindow();
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        int width;
        float f2;
        float f3;
        super.onDraw(canvas);
        if (this.f1876d <= 0 || this.f1853a == null || this.f1864a.size() <= 0 || this.f1866a == null) {
            return;
        }
        int scrollX = getScrollX();
        float width2 = getWidth();
        float f4 = this.f1876d / width2;
        int i = 0;
        b bVar = this.f1864a.get(0);
        float f5 = bVar.b;
        int size = this.f1864a.size();
        int i2 = bVar.f1890a;
        int i3 = this.f1864a.get(size - 1).f1890a;
        while (i2 < i3) {
            while (i2 > bVar.f1890a && i < size) {
                i++;
                bVar = this.f1864a.get(i);
            }
            if (i2 == bVar.f1890a) {
                float f6 = bVar.b;
                float f7 = bVar.a;
                f2 = (f6 + f7) * width2;
                f5 = f6 + f7 + f4;
            } else {
                float a2 = this.f1866a.a(i2);
                f2 = (f5 + a2) * width2;
                f5 += a2 + f4;
            }
            if (this.f1876d + f2 > scrollX) {
                f3 = f4;
                this.f1853a.setBounds(Math.round(f2), this.f1878e, Math.round(this.f1876d + f2), this.f1880f);
                this.f1853a.draw(canvas);
            } else {
                f3 = f4;
            }
            if (f2 > scrollX + width) {
                return;
            }
            i2++;
            f4 = f3;
        }
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction() & 255;
        if (action != 3 && action != 1) {
            if (action != 0) {
                if (this.f1879e) {
                    return true;
                }
                if (this.f1881f) {
                    return false;
                }
            }
            if (action == 0) {
                float x = motionEvent.getX();
                this.e = x;
                this.c = x;
                float y = motionEvent.getY();
                this.f = y;
                this.d = y;
                this.m = motionEvent.getPointerId(0);
                this.f1881f = false;
                this.f1867a = true;
                this.f1861a.computeScrollOffset();
                if (this.u == 2 && Math.abs(this.f1861a.getFinalX() - this.f1861a.getCurrX()) > this.q) {
                    this.f1861a.abortAnimation();
                    this.f1877d = false;
                    d();
                    this.f1879e = true;
                    c(true);
                    setScrollState(1);
                } else {
                    a(false);
                    this.f1879e = false;
                }
            } else if (action == 2) {
                int i = this.m;
                if (i != -1) {
                    int findPointerIndex = motionEvent.findPointerIndex(i);
                    float x2 = motionEvent.getX(findPointerIndex);
                    float f2 = x2 - this.c;
                    float abs = Math.abs(f2);
                    float y2 = motionEvent.getY(findPointerIndex);
                    float abs2 = Math.abs(y2 - this.f);
                    if (f2 != 0.0f && !a(this.c, f2) && a(this, false, (int) f2, (int) x2, (int) y2)) {
                        this.c = x2;
                        this.d = y2;
                        this.f1881f = true;
                        return false;
                    }
                    if (abs > this.l && abs * 0.5f > abs2) {
                        this.f1879e = true;
                        c(true);
                        setScrollState(1);
                        this.c = f2 > 0.0f ? this.e + this.l : this.e - this.l;
                        this.d = y2;
                        setScrollingCacheEnabled(true);
                    } else if (abs2 > this.l) {
                        this.f1881f = true;
                    }
                    if (this.f1879e && m844a(x2)) {
                        C0737pe.m1451a((View) this);
                    }
                }
            } else if (action == 6) {
                a(motionEvent);
            }
            if (this.f1859a == null) {
                this.f1859a = VelocityTracker.obtain();
            }
            this.f1859a.addMovement(motionEvent);
            return this.f1879e;
        }
        m848c();
        return false;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        boolean z2;
        b b2;
        int max;
        int max2;
        int childCount = getChildCount();
        int i5 = i3 - i;
        int i6 = i4 - i2;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int scrollX = getScrollX();
        int i7 = paddingBottom;
        int i8 = 0;
        int i9 = paddingTop;
        int i10 = paddingLeft;
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt = getChildAt(i11);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f1887a) {
                    int i12 = layoutParams.f1886a;
                    int i13 = i12 & 7;
                    int i14 = i12 & 112;
                    if (i13 == 1) {
                        max = Math.max((i5 - childAt.getMeasuredWidth()) / 2, i10);
                    } else if (i13 == 3) {
                        max = i10;
                        i10 = childAt.getMeasuredWidth() + i10;
                    } else if (i13 != 5) {
                        max = i10;
                    } else {
                        max = (i5 - paddingRight) - childAt.getMeasuredWidth();
                        paddingRight += childAt.getMeasuredWidth();
                    }
                    if (i14 == 16) {
                        max2 = Math.max((i6 - childAt.getMeasuredHeight()) / 2, i9);
                    } else if (i14 == 48) {
                        max2 = i9;
                        i9 = childAt.getMeasuredHeight() + i9;
                    } else if (i14 != 80) {
                        max2 = i9;
                    } else {
                        max2 = (i6 - i7) - childAt.getMeasuredHeight();
                        i7 += childAt.getMeasuredHeight();
                    }
                    int i15 = max + scrollX;
                    childAt.layout(i15, max2, childAt.getMeasuredWidth() + i15, max2 + childAt.getMeasuredHeight());
                    i8++;
                }
            }
        }
        int i16 = (i5 - i10) - paddingRight;
        for (int i17 = 0; i17 < childCount; i17++) {
            View childAt2 = getChildAt(i17);
            if (childAt2.getVisibility() != 8) {
                LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
                if (!layoutParams2.f1887a && (b2 = b(childAt2)) != null) {
                    float f2 = i16;
                    int i18 = ((int) (b2.b * f2)) + i10;
                    if (layoutParams2.f1888b) {
                        layoutParams2.f1888b = false;
                        childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (f2 * layoutParams2.a), 1073741824), View.MeasureSpec.makeMeasureSpec((i6 - i9) - i7, 1073741824));
                    }
                    childAt2.layout(i18, i9, childAt2.getMeasuredWidth() + i18, childAt2.getMeasuredHeight() + i9);
                }
            }
        }
        this.f1878e = i9;
        this.f1880f = i6 - i7;
        this.r = i8;
        if (this.f1883h) {
            z2 = false;
            a(this.f1868b, false, 0, false);
        } else {
            z2 = false;
        }
        this.f1883h = z2;
    }

    /* JADX WARN: Removed duplicated region for block: B:32:0x0084  */
    /* JADX WARN: Removed duplicated region for block: B:36:0x008b  */
    /* JADX WARN: Removed duplicated region for block: B:39:0x0090  */
    /* JADX WARN: Removed duplicated region for block: B:42:0x0095  */
    /* JADX WARN: Removed duplicated region for block: B:45:0x00a4  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x00aa  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onMeasure(int i, int i2) {
        LayoutParams layoutParams;
        LayoutParams layoutParams2;
        int i3;
        int i4;
        int i5;
        setMeasuredDimension(ViewGroup.getDefaultSize(0, i), ViewGroup.getDefaultSize(0, i2));
        int measuredWidth = getMeasuredWidth();
        this.k = Math.min(measuredWidth / 10, this.j);
        int paddingLeft = (measuredWidth - getPaddingLeft()) - getPaddingRight();
        int measuredHeight = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
        int childCount = getChildCount();
        int i6 = measuredHeight;
        int i7 = paddingLeft;
        int i8 = 0;
        while (true) {
            boolean z = true;
            int i9 = 1073741824;
            if (i8 >= childCount) {
                break;
            }
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8 && (layoutParams2 = (LayoutParams) childAt.getLayoutParams()) != null && layoutParams2.f1887a) {
                int i10 = layoutParams2.f1886a;
                int i11 = i10 & 7;
                int i12 = i10 & 112;
                boolean z2 = i12 == 48 || i12 == 80;
                if (i11 != 3 && i11 != 5) {
                    z = false;
                }
                int i13 = Integer.MIN_VALUE;
                if (z2) {
                    i13 = 1073741824;
                } else if (z) {
                    i3 = 1073741824;
                    i4 = ((ViewGroup.LayoutParams) layoutParams2).width;
                    if (i4 == -2) {
                        if (i4 == -1) {
                            i4 = i7;
                        }
                        i13 = 1073741824;
                    } else {
                        i4 = i7;
                    }
                    i5 = ((ViewGroup.LayoutParams) layoutParams2).height;
                    if (i5 != -2) {
                        i5 = i6;
                        i9 = i3;
                    } else if (i5 == -1) {
                        i5 = i6;
                    }
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(i4, i13), View.MeasureSpec.makeMeasureSpec(i5, i9));
                    if (!z2) {
                        i6 -= childAt.getMeasuredHeight();
                    } else if (z) {
                        i7 -= childAt.getMeasuredWidth();
                    }
                }
                i3 = Integer.MIN_VALUE;
                i4 = ((ViewGroup.LayoutParams) layoutParams2).width;
                if (i4 == -2) {
                }
                i5 = ((ViewGroup.LayoutParams) layoutParams2).height;
                if (i5 != -2) {
                }
                childAt.measure(View.MeasureSpec.makeMeasureSpec(i4, i13), View.MeasureSpec.makeMeasureSpec(i5, i9));
                if (!z2) {
                }
            }
            i8++;
        }
        this.g = View.MeasureSpec.makeMeasureSpec(i7, 1073741824);
        this.h = View.MeasureSpec.makeMeasureSpec(i6, 1073741824);
        this.f1873b = true;
        d();
        this.f1873b = false;
        int childCount2 = getChildCount();
        for (int i14 = 0; i14 < childCount2; i14++) {
            View childAt2 = getChildAt(i14);
            if (childAt2.getVisibility() != 8 && ((layoutParams = (LayoutParams) childAt2.getLayoutParams()) == null || !layoutParams.f1887a)) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (i7 * layoutParams.a), 1073741824), this.h);
            }
        }
    }

    @Override // android.view.ViewGroup
    public boolean onRequestFocusInDescendants(int i, Rect rect) {
        int i2;
        int i3;
        b b2;
        int childCount = getChildCount();
        int i4 = -1;
        if ((i & 2) != 0) {
            i4 = childCount;
            i2 = 0;
            i3 = 1;
        } else {
            i2 = childCount - 1;
            i3 = -1;
        }
        while (i2 != i4) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f1890a == this.f1868b && childAt.requestFocus(i, rect)) {
                return true;
            }
            i2 += i3;
        }
        return false;
    }

    @Override // android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        AbstractC0527je abstractC0527je = this.f1866a;
        if (abstractC0527je != null) {
            abstractC0527je.a(savedState.b, savedState.f1889a);
            a(savedState.a, false, true);
            return;
        }
        this.f1874c = savedState.a;
        this.f1854a = savedState.b;
        this.f1862a = savedState.f1889a;
    }

    @Override // android.view.View
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.a = this.f1868b;
        AbstractC0527je abstractC0527je = this.f1866a;
        if (abstractC0527je != null) {
            savedState.b = abstractC0527je.m1345a();
        }
        return savedState;
    }

    @Override // android.view.View
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        if (i != i3) {
            int i5 = this.f1876d;
            a(i, i3, i5, i5);
        }
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        AbstractC0527je abstractC0527je;
        if (this.f1882g) {
            return true;
        }
        boolean z = false;
        if ((motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) || (abstractC0527je = this.f1866a) == null || abstractC0527je.a() == 0) {
            return false;
        }
        if (this.f1859a == null) {
            this.f1859a = VelocityTracker.obtain();
        }
        this.f1859a.addMovement(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            this.f1861a.abortAnimation();
            this.f1877d = false;
            d();
            float x = motionEvent.getX();
            this.e = x;
            this.c = x;
            float y = motionEvent.getY();
            this.f = y;
            this.d = y;
            this.m = motionEvent.getPointerId(0);
        } else if (action != 1) {
            if (action == 2) {
                if (!this.f1879e) {
                    int findPointerIndex = motionEvent.findPointerIndex(this.m);
                    if (findPointerIndex == -1) {
                        z = m848c();
                    } else {
                        float x2 = motionEvent.getX(findPointerIndex);
                        float abs = Math.abs(x2 - this.c);
                        float y2 = motionEvent.getY(findPointerIndex);
                        float abs2 = Math.abs(y2 - this.d);
                        if (abs > this.l && abs > abs2) {
                            this.f1879e = true;
                            c(true);
                            float f2 = this.e;
                            this.c = x2 - f2 > 0.0f ? f2 + this.l : f2 - this.l;
                            this.d = y2;
                            setScrollState(1);
                            setScrollingCacheEnabled(true);
                            ViewParent parent = getParent();
                            if (parent != null) {
                                parent.requestDisallowInterceptTouchEvent(true);
                            }
                        }
                    }
                }
                if (this.f1879e) {
                    z = false | m844a(motionEvent.getX(motionEvent.findPointerIndex(this.m)));
                }
            } else if (action != 3) {
                if (action == 5) {
                    int actionIndex = motionEvent.getActionIndex();
                    this.c = motionEvent.getX(actionIndex);
                    this.m = motionEvent.getPointerId(actionIndex);
                } else if (action == 6) {
                    a(motionEvent);
                    this.c = motionEvent.getX(motionEvent.findPointerIndex(this.m));
                }
            } else if (this.f1879e) {
                a(this.f1868b, true, 0, false);
                z = m848c();
            }
        } else if (this.f1879e) {
            VelocityTracker velocityTracker = this.f1859a;
            velocityTracker.computeCurrentVelocity(ButterflyEngine.mDefaultVADEndThreshold, this.o);
            int xVelocity = (int) velocityTracker.getXVelocity(this.m);
            this.f1877d = true;
            int clientWidth = getClientWidth();
            int scrollX = getScrollX();
            b a2 = a();
            float f3 = clientWidth;
            a(a(a2.f1890a, ((scrollX / f3) - a2.b) / (a2.a + (this.f1876d / f3)), xVelocity, (int) (motionEvent.getX(motionEvent.findPointerIndex(this.m)) - this.e)), true, true, xVelocity);
            z = m848c();
        }
        if (z) {
            C0737pe.m1451a((View) this);
        }
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        if (this.f1873b) {
            removeViewInLayout(view);
        } else {
            super.removeView(view);
        }
    }

    public void setAdapter(AbstractC0527je abstractC0527je) {
        AbstractC0527je abstractC0527je2 = this.f1866a;
        if (abstractC0527je2 != null) {
            abstractC0527je2.b((DataSetObserver) null);
            this.f1866a.b((ViewGroup) this);
            for (int i = 0; i < this.f1864a.size(); i++) {
                b bVar = this.f1864a.get(i);
                this.f1866a.a((ViewGroup) this, bVar.f1890a, bVar.f1891a);
            }
            this.f1866a.a((ViewGroup) this);
            this.f1864a.clear();
            e();
            this.f1868b = 0;
            scrollTo(0, 0);
        }
        AbstractC0527je abstractC0527je3 = this.f1866a;
        this.f1866a = abstractC0527je;
        this.f1851a = 0;
        if (this.f1866a != null) {
            if (this.f1858a == null) {
                this.f1858a = new g();
            }
            this.f1866a.b(this.f1858a);
            this.f1877d = false;
            boolean z = this.f1883h;
            this.f1883h = true;
            this.f1851a = this.f1866a.a();
            if (this.f1874c >= 0) {
                this.f1866a.a(this.f1854a, this.f1862a);
                a(this.f1874c, false, true);
                this.f1874c = -1;
                this.f1854a = null;
                this.f1862a = null;
            } else if (!z) {
                d();
            } else {
                requestLayout();
            }
        }
        List<d> list = this.f1872b;
        if (list == null || list.isEmpty()) {
            return;
        }
        int size = this.f1872b.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.f1872b.get(i2).a(this, abstractC0527je3, abstractC0527je);
        }
    }

    public void setCurrentItem(int i) {
        this.f1877d = false;
        a(i, !this.f1883h, false);
    }

    public void setOffscreenPageLimit(int i) {
        if (i < 1) {
            Log.w("ViewPager", "Requested offscreen page limit " + i + " too small; defaulting to 1");
            i = 1;
        }
        if (i != this.i) {
            this.i = i;
            d();
        }
    }

    @Deprecated
    public void setOnPageChangeListener(e eVar) {
        this.f1856a = eVar;
    }

    public void setPageMargin(int i) {
        int i2 = this.f1876d;
        this.f1876d = i;
        int width = getWidth();
        a(width, width, i, i2);
        requestLayout();
    }

    public void setPageMarginDrawable(Drawable drawable) {
        this.f1853a = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    public void setScrollState(int i) {
        if (this.u == i) {
            return;
        }
        this.u = i;
        if (this.f1857a != null) {
            b(i != 0);
        }
        b(i);
    }

    @Override // android.view.View
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f1853a;
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class LayoutParams extends ViewGroup.LayoutParams {
        public float a;

        /* renamed from: a  reason: collision with other field name */
        public int f1886a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f1887a;
        public int b;

        /* renamed from: b  reason: collision with other field name */
        public boolean f1888b;
        public int c;

        public LayoutParams() {
            super(-1, -1);
            this.a = 0.0f;
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.a = 0.0f;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, ViewPager.f1849a);
            this.f1886a = obtainStyledAttributes.getInteger(0, 48);
            obtainStyledAttributes.recycle();
        }
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public b b(View view) {
        for (int i = 0; i < this.f1864a.size(); i++) {
            b bVar = this.f1864a.get(i);
            if (this.f1866a.a(view, bVar.f1891a)) {
                return bVar;
            }
        }
        return null;
    }

    public void a(int i, boolean z) {
        this.f1877d = false;
        a(i, z, false);
    }

    public void setPageMarginDrawable(int i) {
        setPageMarginDrawable(C0076Jb.m317a(getContext(), i));
    }

    public void a(int i, boolean z, boolean z2) {
        a(i, z, z2, 0);
    }

    /* renamed from: b  reason: collision with other method in class */
    public final boolean m847b(int i) {
        if (this.f1864a.size() == 0) {
            if (this.f1883h) {
                return false;
            }
            this.f1885j = false;
            b(0, 0.0f, 0);
            if (this.f1885j) {
                return false;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        }
        b a2 = a();
        int clientWidth = getClientWidth();
        int i2 = this.f1876d;
        int i3 = clientWidth + i2;
        float f2 = clientWidth;
        int i4 = a2.f1890a;
        float f3 = ((i / f2) - a2.b) / (a2.a + (i2 / f2));
        this.f1885j = false;
        b(i4, f3, (int) (i3 * f3));
        if (this.f1885j) {
            return true;
        }
        throw new IllegalStateException("onPageScrolled did not call superclass implementation");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public class c extends C0162Vd {
        public c() {
        }

        @Override // defpackage.C0162Vd
        public void a(View view, AccessibilityEvent accessibilityEvent) {
            AbstractC0527je abstractC0527je;
            super.a(view, accessibilityEvent);
            accessibilityEvent.setClassName(ViewPager.class.getName());
            accessibilityEvent.setScrollable(a());
            if (accessibilityEvent.getEventType() != 4096 || (abstractC0527je = ViewPager.this.f1866a) == null) {
                return;
            }
            accessibilityEvent.setItemCount(abstractC0527je.a());
            accessibilityEvent.setFromIndex(ViewPager.this.f1868b);
            accessibilityEvent.setToIndex(ViewPager.this.f1868b);
        }

        @Override // defpackage.C0162Vd
        public void a(View view, C0058Ge c0058Ge) {
            super.a(view, c0058Ge);
            c0058Ge.a((CharSequence) ViewPager.class.getName());
            c0058Ge.h(a());
            if (ViewPager.this.canScrollHorizontally(1)) {
                c0058Ge.m267a(4096);
            }
            if (ViewPager.this.canScrollHorizontally(-1)) {
                c0058Ge.m267a(8192);
            }
        }

        @Override // defpackage.C0162Vd
        public boolean a(View view, int i, Bundle bundle) {
            if (super.a(view, i, bundle)) {
                return true;
            }
            if (i != 4096) {
                if (i == 8192 && ViewPager.this.canScrollHorizontally(-1)) {
                    ViewPager viewPager = ViewPager.this;
                    viewPager.setCurrentItem(viewPager.f1868b - 1);
                    return true;
                }
                return false;
            } else if (ViewPager.this.canScrollHorizontally(1)) {
                ViewPager viewPager2 = ViewPager.this;
                viewPager2.setCurrentItem(viewPager2.f1868b + 1);
                return true;
            } else {
                return false;
            }
        }

        @Override // defpackage.C0162Vd
        public final boolean a() {
            AbstractC0527je abstractC0527je = ViewPager.this.f1866a;
            return abstractC0527je != null && abstractC0527je.a() > 1;
        }
    }

    public void a(int i, boolean z, boolean z2, int i2) {
        AbstractC0527je abstractC0527je = this.f1866a;
        if (abstractC0527je != null && abstractC0527je.a() > 0) {
            if (!z2 && this.f1868b == i && this.f1864a.size() != 0) {
                setScrollingCacheEnabled(false);
                return;
            }
            if (i < 0) {
                i = 0;
            } else if (i >= this.f1866a.a()) {
                i = this.f1866a.a() - 1;
            }
            int i3 = this.i;
            int i4 = this.f1868b;
            if (i > i4 + i3 || i < i4 - i3) {
                for (int i5 = 0; i5 < this.f1864a.size(); i5++) {
                    this.f1864a.get(i5).f1892a = true;
                }
            }
            boolean z3 = this.f1868b != i;
            if (this.f1883h) {
                this.f1868b = i;
                if (z3) {
                    m842a(i);
                }
                requestLayout();
                return;
            }
            c(i);
            a(i, z, i2, z3);
            return;
        }
        setScrollingCacheEnabled(false);
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x0060, code lost:
        if (r9 == r10) goto L27;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0066, code lost:
        r8 = null;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void c(int i) {
        b bVar;
        String hexString;
        b bVar2;
        b b2;
        b bVar3;
        int i2 = this.f1868b;
        if (i2 != i) {
            bVar = a(i2);
            this.f1868b = i;
        } else {
            bVar = null;
        }
        if (this.f1866a == null) {
            f();
        } else if (this.f1877d) {
            f();
        } else if (getWindowToken() != null) {
            this.f1866a.b((ViewGroup) this);
            int i3 = this.i;
            int max = Math.max(0, this.f1868b - i3);
            int a2 = this.f1866a.a();
            int min = Math.min(a2 - 1, this.f1868b + i3);
            if (a2 == this.f1851a) {
                int i4 = 0;
                while (true) {
                    if (i4 >= this.f1864a.size()) {
                        break;
                    }
                    bVar2 = this.f1864a.get(i4);
                    int i5 = bVar2.f1890a;
                    int i6 = this.f1868b;
                    if (i5 < i6) {
                        i4++;
                    }
                }
                if (bVar2 == null && a2 > 0) {
                    bVar2 = a(this.f1868b, i4);
                }
                if (bVar2 != null) {
                    int i7 = i4 - 1;
                    b bVar4 = i7 >= 0 ? this.f1864a.get(i7) : null;
                    int clientWidth = getClientWidth();
                    float paddingLeft = clientWidth <= 0 ? 0.0f : (2.0f - bVar2.a) + (getPaddingLeft() / clientWidth);
                    int i8 = i7;
                    int i9 = i4;
                    float f2 = 0.0f;
                    for (int i10 = this.f1868b - 1; i10 >= 0; i10--) {
                        if (f2 < paddingLeft || i10 >= max) {
                            if (bVar4 != null && i10 == bVar4.f1890a) {
                                f2 += bVar4.a;
                                i8--;
                                if (i8 >= 0) {
                                    bVar3 = this.f1864a.get(i8);
                                    bVar4 = bVar3;
                                }
                                bVar3 = null;
                                bVar4 = bVar3;
                            } else {
                                f2 += a(i10, i8 + 1).a;
                                i9++;
                                if (i8 >= 0) {
                                    bVar3 = this.f1864a.get(i8);
                                    bVar4 = bVar3;
                                }
                                bVar3 = null;
                                bVar4 = bVar3;
                            }
                        } else if (bVar4 == null) {
                            break;
                        } else {
                            if (i10 == bVar4.f1890a && !bVar4.f1892a) {
                                this.f1864a.remove(i8);
                                this.f1866a.a((ViewGroup) this, i10, bVar4.f1891a);
                                i8--;
                                i9--;
                                if (i8 >= 0) {
                                    bVar3 = this.f1864a.get(i8);
                                    bVar4 = bVar3;
                                }
                                bVar3 = null;
                                bVar4 = bVar3;
                            }
                        }
                    }
                    float f3 = bVar2.a;
                    int i11 = i9 + 1;
                    if (f3 < 2.0f) {
                        b bVar5 = i11 < this.f1864a.size() ? this.f1864a.get(i11) : null;
                        float paddingRight = clientWidth <= 0 ? 0.0f : (getPaddingRight() / clientWidth) + 2.0f;
                        int i12 = this.f1868b;
                        while (true) {
                            i12++;
                            if (i12 >= a2) {
                                break;
                            } else if (f3 < paddingRight || i12 <= min) {
                                if (bVar5 != null && i12 == bVar5.f1890a) {
                                    f3 += bVar5.a;
                                    i11++;
                                    if (i11 < this.f1864a.size()) {
                                        bVar5 = this.f1864a.get(i11);
                                    }
                                } else {
                                    b a3 = a(i12, i11);
                                    i11++;
                                    f3 += a3.a;
                                    bVar5 = i11 < this.f1864a.size() ? this.f1864a.get(i11) : null;
                                }
                            } else if (bVar5 == null) {
                                break;
                            } else if (i12 == bVar5.f1890a && !bVar5.f1892a) {
                                this.f1864a.remove(i11);
                                this.f1866a.a((ViewGroup) this, i12, bVar5.f1891a);
                                if (i11 < this.f1864a.size()) {
                                    bVar5 = this.f1864a.get(i11);
                                }
                            }
                        }
                    }
                    a(bVar2, i9, bVar);
                    this.f1866a.b((ViewGroup) this, this.f1868b, bVar2.f1891a);
                }
                this.f1866a.a((ViewGroup) this);
                int childCount = getChildCount();
                for (int i13 = 0; i13 < childCount; i13++) {
                    View childAt = getChildAt(i13);
                    LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                    layoutParams.c = i13;
                    if (!layoutParams.f1887a && layoutParams.a == 0.0f && (b2 = b(childAt)) != null) {
                        layoutParams.a = b2.a;
                        layoutParams.b = b2.f1890a;
                    }
                }
                f();
                if (hasFocus()) {
                    View findFocus = findFocus();
                    b m840a = findFocus != null ? m840a(findFocus) : null;
                    if (m840a == null || m840a.f1890a != this.f1868b) {
                        for (int i14 = 0; i14 < getChildCount(); i14++) {
                            View childAt2 = getChildAt(i14);
                            b b3 = b(childAt2);
                            if (b3 != null && b3.f1890a == this.f1868b && childAt2.requestFocus(2)) {
                                return;
                            }
                        }
                        return;
                    }
                    return;
                }
                return;
            }
            try {
                hexString = getResources().getResourceName(getId());
            } catch (Resources.NotFoundException unused) {
                hexString = Integer.toHexString(getId());
            }
            throw new IllegalStateException("The application's PagerAdapter changed the adapter's contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: " + this.f1851a + ", found: " + a2 + " Pager id: " + hexString + " Pager class: " + ViewPager.class + " Problematic adapter: " + this.f1866a.getClass());
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:22:0x0066  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void b(int i, float f2, int i2) {
        int max;
        int i3;
        int left;
        if (this.r > 0) {
            int scrollX = getScrollX();
            int paddingLeft = getPaddingLeft();
            int paddingRight = getPaddingRight();
            int width = getWidth();
            int childCount = getChildCount();
            int i4 = paddingRight;
            int i5 = paddingLeft;
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = getChildAt(i6);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f1887a) {
                    int i7 = layoutParams.f1886a & 7;
                    if (i7 == 1) {
                        max = Math.max((width - childAt.getMeasuredWidth()) / 2, i5);
                    } else {
                        if (i7 == 3) {
                            i3 = childAt.getWidth() + i5;
                        } else if (i7 != 5) {
                            i3 = i5;
                        } else {
                            max = (width - i4) - childAt.getMeasuredWidth();
                            i4 += childAt.getMeasuredWidth();
                        }
                        left = (i5 + scrollX) - childAt.getLeft();
                        if (left != 0) {
                            childAt.offsetLeftAndRight(left);
                        }
                        i5 = i3;
                    }
                    int i8 = max;
                    i3 = i5;
                    i5 = i8;
                    left = (i5 + scrollX) - childAt.getLeft();
                    if (left != 0) {
                    }
                    i5 = i3;
                }
            }
        }
        a(i, f2, i2);
        if (this.f1857a != null) {
            int scrollX2 = getScrollX();
            int childCount2 = getChildCount();
            for (int i9 = 0; i9 < childCount2; i9++) {
                View childAt2 = getChildAt(i9);
                if (!((LayoutParams) childAt2.getLayoutParams()).f1887a) {
                    this.f1857a.a(childAt2, (childAt2.getLeft() - scrollX2) / getClientWidth());
                }
            }
        }
        this.f1885j = true;
    }

    public final void a(int i, boolean z, int i2, boolean z2) {
        b a2 = a(i);
        int clientWidth = a2 != null ? (int) (getClientWidth() * Math.max(this.f1850a, Math.min(a2.b, this.b))) : 0;
        if (z) {
            a(clientWidth, 0, i2);
            if (z2) {
                m842a(i);
                return;
            }
            return;
        }
        if (z2) {
            m842a(i);
        }
        a(false);
        scrollTo(clientWidth, 0);
        m847b(clientWidth);
    }

    public e a(e eVar) {
        e eVar2 = this.f1869b;
        this.f1869b = eVar;
        return eVar2;
    }

    public float a(float f2) {
        return (float) Math.sin((f2 - 0.5f) * 0.47123894f);
    }

    public void a(int i, int i2, int i3) {
        int scrollX;
        int abs;
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        Scroller scroller = this.f1861a;
        if ((scroller == null || scroller.isFinished()) ? false : true) {
            scrollX = this.f1867a ? this.f1861a.getCurrX() : this.f1861a.getStartX();
            this.f1861a.abortAnimation();
            setScrollingCacheEnabled(false);
        } else {
            scrollX = getScrollX();
        }
        int i4 = scrollX;
        int scrollY = getScrollY();
        int i5 = i - i4;
        int i6 = i2 - scrollY;
        if (i5 == 0 && i6 == 0) {
            a(false);
            d();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        setScrollState(2);
        int clientWidth = getClientWidth();
        int i7 = clientWidth / 2;
        float f2 = clientWidth;
        float f3 = i7;
        float a2 = f3 + (a(Math.min(1.0f, (Math.abs(i5) * 1.0f) / f2)) * f3);
        int abs2 = Math.abs(i3);
        if (abs2 > 0) {
            abs = Math.round(Math.abs(a2 / abs2) * 1000.0f) * 4;
        } else {
            abs = (int) (((Math.abs(i5) / ((f2 * this.f1866a.a(this.f1868b)) + this.f1876d)) + 1.0f) * 100.0f);
        }
        int min = Math.min(abs, 600);
        this.f1867a = false;
        this.f1861a.startScroll(i4, scrollY, i5, i6, min);
        C0737pe.m1451a((View) this);
    }

    public final void b(int i) {
        e eVar = this.f1856a;
        if (eVar != null) {
            eVar.a(i);
        }
        List<e> list = this.f1865a;
        if (list != null) {
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                e eVar2 = this.f1865a.get(i2);
                if (eVar2 != null) {
                    eVar2.a(i);
                }
            }
        }
        e eVar3 = this.f1869b;
        if (eVar3 != null) {
            eVar3.a(i);
        }
    }

    public final void b(boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            getChildAt(i).setLayerType(z ? this.s : 0, null);
        }
    }

    public final void b() {
        this.f1879e = false;
        this.f1881f = false;
        VelocityTracker velocityTracker = this.f1859a;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f1859a = null;
        }
    }

    public b a(int i, int i2) {
        b bVar = new b();
        bVar.f1890a = i;
        bVar.f1891a = this.f1866a.a((ViewGroup) this, i);
        bVar.a = this.f1866a.a(i);
        if (i2 >= 0 && i2 < this.f1864a.size()) {
            this.f1864a.add(i2, bVar);
        } else {
            this.f1864a.add(bVar);
        }
        return bVar;
    }

    /* renamed from: b  reason: collision with other method in class */
    public boolean m846b() {
        AbstractC0527je abstractC0527je = this.f1866a;
        if (abstractC0527je == null || this.f1868b >= abstractC0527je.a() - 1) {
            return false;
        }
        a(this.f1868b + 1, true);
        return true;
    }

    /* renamed from: a  reason: collision with other method in class */
    public void m841a() {
        int a2 = this.f1866a.a();
        this.f1851a = a2;
        boolean z = this.f1864a.size() < (this.i * 2) + 1 && this.f1864a.size() < a2;
        int i = this.f1868b;
        int i2 = 0;
        boolean z2 = false;
        while (i2 < this.f1864a.size()) {
            b bVar = this.f1864a.get(i2);
            int a3 = this.f1866a.a(bVar.f1891a);
            if (a3 != -1) {
                if (a3 == -2) {
                    this.f1864a.remove(i2);
                    i2--;
                    if (!z2) {
                        this.f1866a.b((ViewGroup) this);
                        z2 = true;
                    }
                    this.f1866a.a((ViewGroup) this, bVar.f1890a, bVar.f1891a);
                    int i3 = this.f1868b;
                    if (i3 == bVar.f1890a) {
                        i = Math.max(0, Math.min(i3, a2 - 1));
                    }
                } else {
                    int i4 = bVar.f1890a;
                    if (i4 != a3) {
                        if (i4 == this.f1868b) {
                            i = a3;
                        }
                        bVar.f1890a = a3;
                    }
                }
                z = true;
            }
            i2++;
        }
        if (z2) {
            this.f1866a.a((ViewGroup) this);
        }
        Collections.sort(this.f1864a, f1848a);
        if (z) {
            int childCount = getChildCount();
            for (int i5 = 0; i5 < childCount; i5++) {
                LayoutParams layoutParams = (LayoutParams) getChildAt(i5).getLayoutParams();
                if (!layoutParams.f1887a) {
                    layoutParams.a = 0.0f;
                }
            }
            a(i, false, true);
            requestLayout();
        }
    }

    /* renamed from: c  reason: collision with other method in class */
    public final boolean m848c() {
        this.m = -1;
        b();
        this.f1860a.onRelease();
        this.f1870b.onRelease();
        return this.f1860a.isFinished() || this.f1870b.isFinished();
    }

    public final void a(b bVar, int i, b bVar2) {
        int i2;
        int i3;
        b bVar3;
        b bVar4;
        int a2 = this.f1866a.a();
        int clientWidth = getClientWidth();
        float f2 = clientWidth > 0 ? this.f1876d / clientWidth : 0.0f;
        if (bVar2 != null) {
            int i4 = bVar2.f1890a;
            int i5 = bVar.f1890a;
            if (i4 < i5) {
                float f3 = bVar2.b + bVar2.a + f2;
                int i6 = i4 + 1;
                int i7 = 0;
                while (i6 <= bVar.f1890a && i7 < this.f1864a.size()) {
                    b bVar5 = this.f1864a.get(i7);
                    while (true) {
                        bVar4 = bVar5;
                        if (i6 <= bVar4.f1890a || i7 >= this.f1864a.size() - 1) {
                            break;
                        }
                        i7++;
                        bVar5 = this.f1864a.get(i7);
                    }
                    while (i6 < bVar4.f1890a) {
                        f3 += this.f1866a.a(i6) + f2;
                        i6++;
                    }
                    bVar4.b = f3;
                    f3 += bVar4.a + f2;
                    i6++;
                }
            } else if (i4 > i5) {
                int size = this.f1864a.size() - 1;
                float f4 = bVar2.b;
                while (true) {
                    i4--;
                    if (i4 < bVar.f1890a || size < 0) {
                        break;
                    }
                    b bVar6 = this.f1864a.get(size);
                    while (true) {
                        bVar3 = bVar6;
                        if (i4 >= bVar3.f1890a || size <= 0) {
                            break;
                        }
                        size--;
                        bVar6 = this.f1864a.get(size);
                    }
                    while (i4 > bVar3.f1890a) {
                        f4 -= this.f1866a.a(i4) + f2;
                        i4--;
                    }
                    f4 -= bVar3.a + f2;
                    bVar3.b = f4;
                }
            }
        }
        int size2 = this.f1864a.size();
        float f5 = bVar.b;
        int i8 = bVar.f1890a;
        int i9 = i8 - 1;
        this.f1850a = i8 == 0 ? f5 : -3.4028235E38f;
        int i10 = a2 - 1;
        this.b = bVar.f1890a == i10 ? (bVar.b + bVar.a) - 1.0f : Float.MAX_VALUE;
        int i11 = i - 1;
        while (i11 >= 0) {
            b bVar7 = this.f1864a.get(i11);
            while (true) {
                i3 = bVar7.f1890a;
                if (i9 <= i3) {
                    break;
                }
                f5 -= this.f1866a.a(i9) + f2;
                i9--;
            }
            f5 -= bVar7.a + f2;
            bVar7.b = f5;
            if (i3 == 0) {
                this.f1850a = f5;
            }
            i11--;
            i9--;
        }
        float f6 = bVar.b + bVar.a + f2;
        int i12 = bVar.f1890a + 1;
        int i13 = i + 1;
        while (i13 < size2) {
            b bVar8 = this.f1864a.get(i13);
            while (true) {
                i2 = bVar8.f1890a;
                if (i12 >= i2) {
                    break;
                }
                f6 += this.f1866a.a(i12) + f2;
                i12++;
            }
            if (i2 == i10) {
                this.b = (bVar8.a + f6) - 1.0f;
            }
            bVar8.b = f6;
            f6 += bVar8.a + f2;
            i13++;
            i12++;
        }
        this.f1884i = false;
    }

    public final void c(boolean z) {
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(z);
        }
    }

    public static boolean a(View view) {
        return view.getClass().getAnnotation(a.class) != null;
    }

    /* renamed from: a  reason: collision with other method in class */
    public b m840a(View view) {
        while (true) {
            ViewParent parent = view.getParent();
            if (parent != this) {
                if (parent == null || !(parent instanceof View)) {
                    return null;
                }
                view = (View) parent;
            } else {
                return b(view);
            }
        }
    }

    public b a(int i) {
        for (int i2 = 0; i2 < this.f1864a.size(); i2++) {
            b bVar = this.f1864a.get(i2);
            if (bVar.f1890a == i) {
                return bVar;
            }
        }
        return null;
    }

    public final void a(int i, int i2, int i3, int i4) {
        if (i2 > 0 && !this.f1864a.isEmpty()) {
            if (!this.f1861a.isFinished()) {
                this.f1861a.setFinalX(getCurrentItem() * getClientWidth());
                return;
            } else {
                scrollTo((int) ((getScrollX() / (((i2 - getPaddingLeft()) - getPaddingRight()) + i4)) * (((i - getPaddingLeft()) - getPaddingRight()) + i3)), getScrollY());
                return;
            }
        }
        b a2 = a(this.f1868b);
        int min = (int) ((a2 != null ? Math.min(a2.b, this.b) : 0.0f) * ((i - getPaddingLeft()) - getPaddingRight()));
        if (min != getScrollX()) {
            a(false);
            scrollTo(min, getScrollY());
        }
    }

    public final void a(int i, float f2, int i2) {
        e eVar = this.f1856a;
        if (eVar != null) {
            eVar.a(i, f2, i2);
        }
        List<e> list = this.f1865a;
        if (list != null) {
            int size = list.size();
            for (int i3 = 0; i3 < size; i3++) {
                e eVar2 = this.f1865a.get(i3);
                if (eVar2 != null) {
                    eVar2.a(i, f2, i2);
                }
            }
        }
        e eVar3 = this.f1869b;
        if (eVar3 != null) {
            eVar3.a(i, f2, i2);
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public final void m842a(int i) {
        e eVar = this.f1856a;
        if (eVar != null) {
            eVar.b(i);
        }
        List<e> list = this.f1865a;
        if (list != null) {
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                e eVar2 = this.f1865a.get(i2);
                if (eVar2 != null) {
                    eVar2.b(i);
                }
            }
        }
        e eVar3 = this.f1869b;
        if (eVar3 != null) {
            eVar3.b(i);
        }
    }

    public final void a(boolean z) {
        boolean z2 = this.u == 2;
        if (z2) {
            setScrollingCacheEnabled(false);
            if (!this.f1861a.isFinished()) {
                this.f1861a.abortAnimation();
                int scrollX = getScrollX();
                int scrollY = getScrollY();
                int currX = this.f1861a.getCurrX();
                int currY = this.f1861a.getCurrY();
                if (scrollX != currX || scrollY != currY) {
                    scrollTo(currX, currY);
                    if (currX != scrollX) {
                        m847b(currX);
                    }
                }
            }
        }
        this.f1877d = false;
        boolean z3 = z2;
        for (int i = 0; i < this.f1864a.size(); i++) {
            b bVar = this.f1864a.get(i);
            if (bVar.f1892a) {
                bVar.f1892a = false;
                z3 = true;
            }
        }
        if (z3) {
            if (z) {
                C0737pe.a(this, this.f1863a);
            } else {
                this.f1863a.run();
            }
        }
    }

    public final boolean a(float f2, float f3) {
        return (f2 < ((float) this.k) && f3 > 0.0f) || (f2 > ((float) (getWidth() - this.k)) && f3 < 0.0f);
    }

    /* renamed from: a  reason: collision with other method in class */
    public final boolean m844a(float f2) {
        boolean z;
        boolean z2;
        float f3 = this.c - f2;
        this.c = f2;
        float scrollX = getScrollX() + f3;
        float clientWidth = getClientWidth();
        float f4 = this.f1850a * clientWidth;
        float f5 = this.b * clientWidth;
        boolean z3 = false;
        b bVar = this.f1864a.get(0);
        ArrayList<b> arrayList = this.f1864a;
        b bVar2 = arrayList.get(arrayList.size() - 1);
        if (bVar.f1890a != 0) {
            f4 = bVar.b * clientWidth;
            z = false;
        } else {
            z = true;
        }
        if (bVar2.f1890a != this.f1866a.a() - 1) {
            f5 = bVar2.b * clientWidth;
            z2 = false;
        } else {
            z2 = true;
        }
        if (scrollX < f4) {
            if (z) {
                this.f1860a.onPull(Math.abs(f4 - scrollX) / clientWidth);
                z3 = true;
            }
            scrollX = f4;
        } else if (scrollX > f5) {
            if (z2) {
                this.f1870b.onPull(Math.abs(scrollX - f5) / clientWidth);
                z3 = true;
            }
            scrollX = f5;
        }
        int i = (int) scrollX;
        this.c += scrollX - i;
        scrollTo(i, getScrollY());
        m847b(i);
        return z3;
    }

    public final b a() {
        int i;
        int clientWidth = getClientWidth();
        float scrollX = clientWidth > 0 ? getScrollX() / clientWidth : 0.0f;
        float f2 = clientWidth > 0 ? this.f1876d / clientWidth : 0.0f;
        b bVar = null;
        int i2 = 0;
        boolean z = true;
        int i3 = -1;
        float f3 = 0.0f;
        float f4 = 0.0f;
        while (i2 < this.f1864a.size()) {
            b bVar2 = this.f1864a.get(i2);
            if (!z && bVar2.f1890a != (i = i3 + 1)) {
                bVar2 = this.f1855a;
                bVar2.b = f3 + f4 + f2;
                bVar2.f1890a = i;
                bVar2.a = this.f1866a.a(bVar2.f1890a);
                i2--;
            }
            f3 = bVar2.b;
            float f5 = bVar2.a + f3 + f2;
            if (!z && scrollX < f3) {
                return bVar;
            }
            if (scrollX < f5 || i2 == this.f1864a.size() - 1) {
                return bVar2;
            }
            i3 = bVar2.f1890a;
            f4 = bVar2.a;
            i2++;
            bVar = bVar2;
            z = false;
        }
        return bVar;
    }

    public final int a(int i, float f2, int i2, int i3) {
        if (Math.abs(i3) <= this.p || Math.abs(i2) <= this.n) {
            i += (int) (f2 + (i >= this.f1868b ? 0.4f : 0.6f));
        } else if (i2 <= 0) {
            i++;
        }
        if (this.f1864a.size() > 0) {
            ArrayList<b> arrayList = this.f1864a;
            return Math.max(this.f1864a.get(0).f1890a, Math.min(i, arrayList.get(arrayList.size() - 1).f1890a));
        }
        return i;
    }

    public final void a(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.m) {
            int i = actionIndex == 0 ? 1 : 0;
            this.c = motionEvent.getX(i);
            this.m = motionEvent.getPointerId(i);
            VelocityTracker velocityTracker = this.f1859a;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    public boolean a(View view, boolean z, int i, int i2, int i3) {
        int i4;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                int i5 = i2 + scrollX;
                if (i5 >= childAt.getLeft() && i5 < childAt.getRight() && (i4 = i3 + scrollY) >= childAt.getTop() && i4 < childAt.getBottom() && a(childAt, true, i, i5 - childAt.getLeft(), i4 - childAt.getTop())) {
                    return true;
                }
            }
        }
        return z && view.canScrollHorizontally(-i);
    }

    public boolean a(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode == 21) {
                if (keyEvent.hasModifiers(2)) {
                    return m843a();
                }
                return m845a(17);
            } else if (keyCode == 22) {
                if (keyEvent.hasModifiers(2)) {
                    return m846b();
                }
                return m845a(66);
            } else if (keyCode == 61) {
                if (keyEvent.hasNoModifiers()) {
                    return m845a(2);
                }
                if (keyEvent.hasModifiers(1)) {
                    return m845a(1);
                }
            }
        }
        return false;
    }

    /* renamed from: a  reason: collision with other method in class */
    public boolean m845a(int i) {
        boolean requestFocus;
        boolean z;
        View findFocus = findFocus();
        boolean z2 = false;
        View view = null;
        if (findFocus != this) {
            if (findFocus != null) {
                ViewParent parent = findFocus.getParent();
                while (true) {
                    if (!(parent instanceof ViewGroup)) {
                        z = false;
                        break;
                    } else if (parent == this) {
                        z = true;
                        break;
                    } else {
                        parent = parent.getParent();
                    }
                }
                if (!z) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(findFocus.getClass().getSimpleName());
                    for (ViewParent parent2 = findFocus.getParent(); parent2 instanceof ViewGroup; parent2 = parent2.getParent()) {
                        sb.append(" => ");
                        sb.append(parent2.getClass().getSimpleName());
                    }
                    Log.e("ViewPager", "arrowScroll tried to find focus based on non-child current focused view " + sb.toString());
                }
            }
            view = findFocus;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, view, i);
        if (findNextFocus != null && findNextFocus != view) {
            if (i == 17) {
                int i2 = a(this.f1852a, findNextFocus).left;
                int i3 = a(this.f1852a, view).left;
                if (view != null && i2 >= i3) {
                    requestFocus = m843a();
                } else {
                    requestFocus = findNextFocus.requestFocus();
                }
            } else if (i == 66) {
                int i4 = a(this.f1852a, findNextFocus).left;
                int i5 = a(this.f1852a, view).left;
                if (view != null && i4 <= i5) {
                    requestFocus = m846b();
                } else {
                    requestFocus = findNextFocus.requestFocus();
                }
            }
            z2 = requestFocus;
        } else if (i == 17 || i == 1) {
            z2 = m843a();
        } else if (i == 66 || i == 2) {
            z2 = m846b();
        }
        if (z2) {
            playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i));
        }
        return z2;
    }

    public final Rect a(Rect rect, View view) {
        if (rect == null) {
            rect = new Rect();
        }
        if (view == null) {
            rect.set(0, 0, 0, 0);
            return rect;
        }
        rect.left = view.getLeft();
        rect.right = view.getRight();
        rect.top = view.getTop();
        rect.bottom = view.getBottom();
        ViewParent parent = view.getParent();
        while ((parent instanceof ViewGroup) && parent != this) {
            ViewGroup viewGroup = (ViewGroup) parent;
            rect.left += viewGroup.getLeft();
            rect.right += viewGroup.getRight();
            rect.top += viewGroup.getTop();
            rect.bottom += viewGroup.getBottom();
            parent = viewGroup.getParent();
        }
        return rect;
    }

    /* renamed from: a  reason: collision with other method in class */
    public boolean m843a() {
        int i = this.f1868b;
        if (i > 0) {
            a(i - 1, true);
            return true;
        }
        return false;
    }
}
