package android.support.v4.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.DecelerateInterpolator;
import android.widget.AbsListView;
import android.widget.ListView;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class SwipeRefreshLayout extends ViewGroup implements InterfaceC0423ge, InterfaceC0319de {
    public static final String a = "SwipeRefreshLayout";

    /* renamed from: a  reason: collision with other field name */
    public static final int[] f1980a = {16842766};

    /* renamed from: a  reason: collision with other field name */
    public float f1981a;

    /* renamed from: a  reason: collision with other field name */
    public int f1982a;

    /* renamed from: a  reason: collision with other field name */
    public C0135Re f1983a;

    /* renamed from: a  reason: collision with other field name */
    public C0156Ue f1984a;

    /* renamed from: a  reason: collision with other field name */
    public a f1985a;

    /* renamed from: a  reason: collision with other field name */
    public b f1986a;

    /* renamed from: a  reason: collision with other field name */
    public View f1987a;

    /* renamed from: a  reason: collision with other field name */
    public Animation.AnimationListener f1988a;

    /* renamed from: a  reason: collision with other field name */
    public Animation f1989a;

    /* renamed from: a  reason: collision with other field name */
    public final DecelerateInterpolator f1990a;

    /* renamed from: a  reason: collision with other field name */
    public final C0353ee f1991a;

    /* renamed from: a  reason: collision with other field name */
    public final C0458he f1992a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f1993a;
    public float b;

    /* renamed from: b  reason: collision with other field name */
    public int f1994b;

    /* renamed from: b  reason: collision with other field name */
    public Animation f1995b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f1996b;

    /* renamed from: b  reason: collision with other field name */
    public final int[] f1997b;
    public float c;

    /* renamed from: c  reason: collision with other field name */
    public int f1998c;

    /* renamed from: c  reason: collision with other field name */
    public Animation f1999c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2000c;

    /* renamed from: c  reason: collision with other field name */
    public final int[] f2001c;
    public float d;

    /* renamed from: d  reason: collision with other field name */
    public int f2002d;

    /* renamed from: d  reason: collision with other field name */
    public Animation f2003d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2004d;
    public float e;

    /* renamed from: e  reason: collision with other field name */
    public int f2005e;

    /* renamed from: e  reason: collision with other field name */
    public Animation f2006e;

    /* renamed from: e  reason: collision with other field name */
    public boolean f2007e;
    public int f;

    /* renamed from: f  reason: collision with other field name */
    public final Animation f2008f;

    /* renamed from: f  reason: collision with other field name */
    public boolean f2009f;
    public int g;

    /* renamed from: g  reason: collision with other field name */
    public final Animation f2010g;

    /* renamed from: g  reason: collision with other field name */
    public boolean f2011g;
    public int h;
    public int i;
    public int j;

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface a {
        boolean a(SwipeRefreshLayout swipeRefreshLayout, View view);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface b {
        void a();
    }

    public SwipeRefreshLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1993a = false;
        this.f1981a = -1.0f;
        this.f1997b = new int[2];
        this.f2001c = new int[2];
        this.f2002d = -1;
        this.f2005e = -1;
        this.f1988a = new animation.Animation$AnimationListenerC0598lf(this);
        this.f2008f = new C0773qf(this);
        this.f2010g = new C0806rf(this);
        this.f1982a = ViewConfiguration.get(context).getScaledTouchSlop();
        this.f1994b = getResources().getInteger(17694721);
        setWillNotDraw(false);
        this.f1990a = new DecelerateInterpolator(2.0f);
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        this.j = (int) (displayMetrics.density * 40.0f);
        a();
        setChildrenDrawingOrderEnabled(true);
        this.h = (int) (displayMetrics.density * 64.0f);
        this.f1981a = this.h;
        this.f1992a = new C0458he(this);
        this.f1991a = new C0353ee(this);
        setNestedScrollingEnabled(true);
        int i = -this.j;
        this.f1998c = i;
        this.g = i;
        c(1.0f);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f1980a);
        setEnabled(obtainStyledAttributes.getBoolean(0, true));
        obtainStyledAttributes.recycle();
    }

    private void setColorViewAlpha(int i) {
        this.f1983a.getBackground().setAlpha(i);
        this.f1984a.setAlpha(i);
    }

    public final void a() {
        this.f1983a = new C0135Re(getContext(), -328966);
        this.f1984a = new C0156Ue(getContext());
        this.f1984a.a(1);
        this.f1983a.setImageDrawable(this.f1984a);
        this.f1983a.setVisibility(8);
        addView(this.f1983a);
    }

    public final void b(Animation.AnimationListener animationListener) {
        this.f1983a.setVisibility(0);
        this.f1984a.setAlpha(255);
        this.f1989a = new C0633mf(this);
        this.f1989a.setDuration(this.f1994b);
        if (animationListener != null) {
            this.f1983a.a(animationListener);
        }
        this.f1983a.clearAnimation();
        this.f1983a.startAnimation(this.f1989a);
    }

    public void c() {
        this.f1983a.clearAnimation();
        this.f1984a.stop();
        this.f1983a.setVisibility(8);
        setColorViewAlpha(255);
        if (this.f2004d) {
            setAnimationProgress(0.0f);
        } else {
            setTargetOffsetTopAndBottom(this.g - this.f1998c);
        }
        this.f1998c = this.f1983a.getTop();
    }

    public final void d() {
        this.f2003d = a(this.f1984a.getAlpha(), 255);
    }

    @Override // android.view.View
    public boolean dispatchNestedFling(float f, float f2, boolean z) {
        return this.f1991a.a(f, f2, z);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreFling(float f, float f2) {
        return this.f1991a.a(f, f2);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreScroll(int i, int i2, int[] iArr, int[] iArr2) {
        return this.f1991a.a(i, i2, iArr, iArr2);
    }

    @Override // android.view.View
    public boolean dispatchNestedScroll(int i, int i2, int i3, int i4, int[] iArr) {
        return this.f1991a.a(i, i2, i3, i4, iArr);
    }

    public final void e() {
        this.f1999c = a(this.f1984a.getAlpha(), 76);
    }

    @Override // android.view.ViewGroup
    public int getChildDrawingOrder(int i, int i2) {
        int i3 = this.f2005e;
        return i3 < 0 ? i2 : i2 == i + (-1) ? i3 : i2 >= i3 ? i2 + 1 : i2;
    }

    @Override // android.view.ViewGroup
    public int getNestedScrollAxes() {
        return this.f1992a.a();
    }

    public int getProgressCircleDiameter() {
        return this.j;
    }

    public int getProgressViewEndOffset() {
        return this.h;
    }

    public int getProgressViewStartOffset() {
        return this.g;
    }

    @Override // android.view.View
    public boolean hasNestedScrollingParent() {
        return this.f1991a.m1144a();
    }

    @Override // android.view.View, defpackage.InterfaceC0319de
    public boolean isNestedScrollingEnabled() {
        return this.f1991a.b();
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        c();
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        b();
        int actionMasked = motionEvent.getActionMasked();
        if (this.f2007e && actionMasked == 0) {
            this.f2007e = false;
        }
        if (!isEnabled() || this.f2007e || m878a() || this.f1993a || this.f1996b) {
            return false;
        }
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i = this.f2002d;
                    if (i == -1) {
                        Log.e(a, "Got ACTION_MOVE event but don't have an active pointer id.");
                        return false;
                    }
                    int findPointerIndex = motionEvent.findPointerIndex(i);
                    if (findPointerIndex < 0) {
                        return false;
                    }
                    d(motionEvent.getY(findPointerIndex));
                } else if (actionMasked != 3) {
                    if (actionMasked == 6) {
                        a(motionEvent);
                    }
                }
            }
            this.f2000c = false;
            this.f2002d = -1;
        } else {
            setTargetOffsetTopAndBottom(this.g - this.f1983a.getTop());
            this.f2002d = motionEvent.getPointerId(0);
            this.f2000c = false;
            int findPointerIndex2 = motionEvent.findPointerIndex(this.f2002d);
            if (findPointerIndex2 < 0) {
                return false;
            }
            this.d = motionEvent.getY(findPointerIndex2);
        }
        return this.f2000c;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int measuredWidth = getMeasuredWidth();
        int measuredHeight = getMeasuredHeight();
        if (getChildCount() == 0) {
            return;
        }
        if (this.f1987a == null) {
            b();
        }
        View view = this.f1987a;
        if (view == null) {
            return;
        }
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        view.layout(paddingLeft, paddingTop, ((measuredWidth - getPaddingLeft()) - getPaddingRight()) + paddingLeft, ((measuredHeight - getPaddingTop()) - getPaddingBottom()) + paddingTop);
        int measuredWidth2 = this.f1983a.getMeasuredWidth();
        int measuredHeight2 = this.f1983a.getMeasuredHeight();
        int i5 = measuredWidth / 2;
        int i6 = measuredWidth2 / 2;
        int i7 = this.f1998c;
        this.f1983a.layout(i5 - i6, i7, i5 + i6, measuredHeight2 + i7);
    }

    @Override // android.view.View
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.f1987a == null) {
            b();
        }
        View view = this.f1987a;
        if (view == null) {
            return;
        }
        view.measure(View.MeasureSpec.makeMeasureSpec((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), 1073741824), View.MeasureSpec.makeMeasureSpec((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), 1073741824));
        this.f1983a.measure(View.MeasureSpec.makeMeasureSpec(this.j, 1073741824), View.MeasureSpec.makeMeasureSpec(this.j, 1073741824));
        this.f2005e = -1;
        for (int i3 = 0; i3 < getChildCount(); i3++) {
            if (getChildAt(i3) == this.f1983a) {
                this.f2005e = i3;
                return;
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, defpackage.InterfaceC0423ge
    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        return dispatchNestedFling(f, f2, z);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, defpackage.InterfaceC0423ge
    public boolean onNestedPreFling(View view, float f, float f2) {
        return dispatchNestedPreFling(f, f2);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, defpackage.InterfaceC0423ge
    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
        if (i2 > 0) {
            float f = this.b;
            if (f > 0.0f) {
                float f2 = i2;
                if (f2 > f) {
                    iArr[1] = i2 - ((int) f);
                    this.b = 0.0f;
                } else {
                    this.b = f - f2;
                    iArr[1] = i2;
                }
                b(this.b);
            }
        }
        if (this.f2011g && i2 > 0 && this.b == 0.0f && Math.abs(i2 - iArr[1]) > 0) {
            this.f1983a.setVisibility(8);
        }
        int[] iArr2 = this.f1997b;
        if (dispatchNestedPreScroll(i - iArr[0], i2 - iArr[1], iArr2, null)) {
            iArr[0] = iArr[0] + iArr2[0];
            iArr[1] = iArr[1] + iArr2[1];
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, defpackage.InterfaceC0423ge
    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        int i5;
        dispatchNestedScroll(i, i2, i3, i4, this.f2001c);
        if (i4 + this.f2001c[1] >= 0 || m878a()) {
            return;
        }
        this.b += Math.abs(i5);
        b(this.b);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, defpackage.InterfaceC0423ge
    public void onNestedScrollAccepted(View view, View view2, int i) {
        this.f1992a.a(view, view2, i);
        startNestedScroll(i & 2);
        this.b = 0.0f;
        this.f1996b = true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, defpackage.InterfaceC0423ge
    public boolean onStartNestedScroll(View view, View view2, int i) {
        return (!isEnabled() || this.f2007e || this.f1993a || (i & 2) == 0) ? false : true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, defpackage.InterfaceC0423ge
    public void onStopNestedScroll(View view) {
        this.f1992a.a(view);
        this.f1996b = false;
        float f = this.b;
        if (f > 0.0f) {
            a(f);
            this.b = 0.0f;
        }
        stopNestedScroll();
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (this.f2007e && actionMasked == 0) {
            this.f2007e = false;
        }
        if (!isEnabled() || this.f2007e || m878a() || this.f1993a || this.f1996b) {
            return false;
        }
        if (actionMasked == 0) {
            this.f2002d = motionEvent.getPointerId(0);
            this.f2000c = false;
        } else if (actionMasked == 1) {
            int findPointerIndex = motionEvent.findPointerIndex(this.f2002d);
            if (findPointerIndex < 0) {
                Log.e(a, "Got ACTION_UP event but don't have an active pointer id.");
                return false;
            }
            if (this.f2000c) {
                this.f2000c = false;
                a((motionEvent.getY(findPointerIndex) - this.c) * 0.5f);
            }
            this.f2002d = -1;
            return false;
        } else if (actionMasked == 2) {
            int findPointerIndex2 = motionEvent.findPointerIndex(this.f2002d);
            if (findPointerIndex2 < 0) {
                Log.e(a, "Got ACTION_MOVE event but have an invalid active pointer id.");
                return false;
            }
            float y = motionEvent.getY(findPointerIndex2);
            d(y);
            if (this.f2000c) {
                float f = (y - this.c) * 0.5f;
                if (f <= 0.0f) {
                    return false;
                }
                b(f);
            }
        } else if (actionMasked == 3) {
            return false;
        } else {
            if (actionMasked == 5) {
                int actionIndex = motionEvent.getActionIndex();
                if (actionIndex < 0) {
                    Log.e(a, "Got ACTION_POINTER_DOWN event but have an invalid action index.");
                    return false;
                }
                this.f2002d = motionEvent.getPointerId(actionIndex);
            } else if (actionMasked == 6) {
                a(motionEvent);
            }
        }
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void requestDisallowInterceptTouchEvent(boolean z) {
        if (Build.VERSION.SDK_INT >= 21 || !(this.f1987a instanceof AbsListView)) {
            View view = this.f1987a;
            if (view == null || C0737pe.h(view)) {
                super.requestDisallowInterceptTouchEvent(z);
            }
        }
    }

    public void setAnimationProgress(float f) {
        this.f1983a.setScaleX(f);
        this.f1983a.setScaleY(f);
    }

    @Deprecated
    public void setColorScheme(int... iArr) {
        setColorSchemeResources(iArr);
    }

    public void setColorSchemeColors(int... iArr) {
        b();
        this.f1984a.a(iArr);
    }

    public void setColorSchemeResources(int... iArr) {
        Context context = getContext();
        int[] iArr2 = new int[iArr.length];
        for (int i = 0; i < iArr.length; i++) {
            iArr2[i] = C0076Jb.a(context, iArr[i]);
        }
        setColorSchemeColors(iArr2);
    }

    public void setDistanceToTriggerSync(int i) {
        this.f1981a = i;
    }

    @Override // android.view.View
    public void setEnabled(boolean z) {
        super.setEnabled(z);
        if (z) {
            return;
        }
        c();
    }

    @Override // android.view.View
    public void setNestedScrollingEnabled(boolean z) {
        this.f1991a.a(z);
    }

    public void setOnChildScrollUpCallback(a aVar) {
        this.f1985a = aVar;
    }

    public void setOnRefreshListener(b bVar) {
        this.f1986a = bVar;
    }

    @Deprecated
    public void setProgressBackgroundColor(int i) {
        setProgressBackgroundColorSchemeResource(i);
    }

    public void setProgressBackgroundColorSchemeColor(int i) {
        this.f1983a.setBackgroundColor(i);
    }

    public void setProgressBackgroundColorSchemeResource(int i) {
        setProgressBackgroundColorSchemeColor(C0076Jb.a(getContext(), i));
    }

    public void setRefreshing(boolean z) {
        int i;
        if (z && this.f1993a != z) {
            this.f1993a = z;
            if (!this.f2011g) {
                i = this.h + this.g;
            } else {
                i = this.h;
            }
            setTargetOffsetTopAndBottom(i - this.f1998c);
            this.f2009f = false;
            b(this.f1988a);
            return;
        }
        a(z, false);
    }

    public void setSize(int i) {
        if (i == 0 || i == 1) {
            DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
            if (i == 0) {
                this.j = (int) (displayMetrics.density * 56.0f);
            } else {
                this.j = (int) (displayMetrics.density * 40.0f);
            }
            this.f1983a.setImageDrawable(null);
            this.f1984a.a(i);
            this.f1983a.setImageDrawable(this.f1984a);
        }
    }

    public void setSlingshotDistance(int i) {
        this.i = i;
    }

    public void setTargetOffsetTopAndBottom(int i) {
        this.f1983a.bringToFront();
        C0737pe.d(this.f1983a, i);
        this.f1998c = this.f1983a.getTop();
    }

    @Override // android.view.View
    public boolean startNestedScroll(int i) {
        return this.f1991a.b(i);
    }

    @Override // android.view.View, defpackage.InterfaceC0319de
    public void stopNestedScroll() {
        this.f1991a.a();
    }

    public final void d(float f) {
        float f2 = this.d;
        int i = this.f1982a;
        if (f - f2 <= i || this.f2000c) {
            return;
        }
        this.c = f2 + i;
        this.f2000c = true;
        this.f1984a.setAlpha(76);
    }

    public final void a(boolean z, boolean z2) {
        if (this.f1993a != z) {
            this.f2009f = z2;
            b();
            this.f1993a = z;
            if (this.f1993a) {
                a(this.f1998c, this.f1988a);
            } else {
                a(this.f1988a);
            }
        }
    }

    public final void b() {
        if (this.f1987a == null) {
            for (int i = 0; i < getChildCount(); i++) {
                View childAt = getChildAt(i);
                if (!childAt.equals(this.f1983a)) {
                    this.f1987a = childAt;
                    return;
                }
            }
        }
    }

    public void c(float f) {
        int i = this.f;
        setTargetOffsetTopAndBottom((i + ((int) ((this.g - i) * f))) - this.f1983a.getTop());
    }

    public final void c(int i, Animation.AnimationListener animationListener) {
        this.f = i;
        this.e = this.f1983a.getScaleX();
        this.f2006e = new C0840sf(this);
        this.f2006e.setDuration(150L);
        if (animationListener != null) {
            this.f1983a.a(animationListener);
        }
        this.f1983a.clearAnimation();
        this.f1983a.startAnimation(this.f2006e);
    }

    public final void b(float f) {
        this.f1984a.a(true);
        float min = Math.min(1.0f, Math.abs(f / this.f1981a));
        double d = min;
        Double.isNaN(d);
        float max = (((float) Math.max(d - 0.4d, 0.0d)) * 5.0f) / 3.0f;
        float abs = Math.abs(f) - this.f1981a;
        int i = this.i;
        if (i <= 0) {
            i = this.f2011g ? this.h - this.g : this.h;
        }
        float f2 = i;
        double max2 = Math.max(0.0f, Math.min(abs, f2 * 2.0f) / f2) / 4.0f;
        double pow = Math.pow(max2, 2.0d);
        Double.isNaN(max2);
        float f3 = ((float) (max2 - pow)) * 2.0f;
        int i2 = this.g + ((int) ((f2 * min) + (f2 * f3 * 2.0f)));
        if (this.f1983a.getVisibility() != 0) {
            this.f1983a.setVisibility(0);
        }
        if (!this.f2004d) {
            this.f1983a.setScaleX(1.0f);
            this.f1983a.setScaleY(1.0f);
        }
        if (this.f2004d) {
            setAnimationProgress(Math.min(1.0f, f / this.f1981a));
        }
        if (f < this.f1981a) {
            if (this.f1984a.getAlpha() > 76 && !a(this.f1999c)) {
                e();
            }
        } else if (this.f1984a.getAlpha() < 255 && !a(this.f2003d)) {
            d();
        }
        this.f1984a.a(0.0f, Math.min(0.8f, max * 0.8f));
        this.f1984a.a(Math.min(1.0f, max));
        this.f1984a.b((((max * 0.4f) - 0.25f) + (f3 * 2.0f)) * 0.5f);
        setTargetOffsetTopAndBottom(i2 - this.f1998c);
    }

    public void a(Animation.AnimationListener animationListener) {
        this.f1995b = new C0668nf(this);
        this.f1995b.setDuration(150L);
        this.f1983a.a(animationListener);
        this.f1983a.clearAnimation();
        this.f1983a.startAnimation(this.f1995b);
    }

    public final Animation a(int i, int i2) {
        C0703of c0703of = new C0703of(this, i, i2);
        c0703of.setDuration(300L);
        this.f1983a.a(null);
        this.f1983a.clearAnimation();
        this.f1983a.startAnimation(c0703of);
        return c0703of;
    }

    /* renamed from: a  reason: collision with other method in class */
    public boolean m878a() {
        a aVar = this.f1985a;
        if (aVar != null) {
            return aVar.a(this, this.f1987a);
        }
        View view = this.f1987a;
        if (view instanceof ListView) {
            return C0424gf.m1226a((ListView) view, -1);
        }
        return view.canScrollVertically(-1);
    }

    public final boolean a(Animation animation) {
        return (animation == null || !animation.hasStarted() || animation.hasEnded()) ? false : true;
    }

    public final void a(float f) {
        if (f > this.f1981a) {
            a(true, true);
            return;
        }
        this.f1993a = false;
        this.f1984a.a(0.0f, 0.0f);
        b(this.f1998c, this.f2004d ? null : new animation.Animation$AnimationListenerC0738pf(this));
        this.f1984a.a(false);
    }

    public final void a(int i, Animation.AnimationListener animationListener) {
        this.f = i;
        this.f2008f.reset();
        this.f2008f.setDuration(200L);
        this.f2008f.setInterpolator(this.f1990a);
        if (animationListener != null) {
            this.f1983a.a(animationListener);
        }
        this.f1983a.clearAnimation();
        this.f1983a.startAnimation(this.f2008f);
    }

    public final void b(int i, Animation.AnimationListener animationListener) {
        if (this.f2004d) {
            c(i, animationListener);
            return;
        }
        this.f = i;
        this.f2010g.reset();
        this.f2010g.setDuration(200L);
        this.f2010g.setInterpolator(this.f1990a);
        if (animationListener != null) {
            this.f1983a.a(animationListener);
        }
        this.f1983a.clearAnimation();
        this.f1983a.startAnimation(this.f2010g);
    }

    public final void a(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f2002d) {
            this.f2002d = motionEvent.getPointerId(actionIndex == 0 ? 1 : 0);
        }
    }
}
