package android.support.v7.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.support.v7.widget.ActionMenuView;
import android.support.v7.widget.AppCompatTextView;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import defpackage.C0165Vg;
import defpackage.InterfaceC0391fh;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class ActionMenuItemView extends AppCompatTextView implements InterfaceC0391fh.a, View.OnClickListener, ActionMenuView.a {
    public int a;

    /* renamed from: a  reason: collision with other field name */
    public C0165Vg.b f2133a;

    /* renamed from: a  reason: collision with other field name */
    public C0193Zg f2134a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2135a;

    /* renamed from: a  reason: collision with other field name */
    public b f2136a;

    /* renamed from: a  reason: collision with other field name */
    public AbstractView$OnTouchListenerC0496ii f2137a;

    /* renamed from: a  reason: collision with other field name */
    public CharSequence f2138a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f2139a;
    public int b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2140b;
    public int c;

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class b {
        public abstract InterfaceC0495ih a();
    }

    public ActionMenuItemView(Context context) {
        this(context, null);
    }

    @Override // defpackage.InterfaceC0391fh.a
    public void a(C0193Zg c0193Zg, int i) {
        this.f2134a = c0193Zg;
        setIcon(c0193Zg.getIcon());
        setTitle(c0193Zg.a((InterfaceC0391fh.a) this));
        setId(c0193Zg.getItemId());
        setVisibility(c0193Zg.isVisible() ? 0 : 8);
        setEnabled(c0193Zg.isEnabled());
        if (c0193Zg.hasSubMenu() && this.f2137a == null) {
            this.f2137a = new a();
        }
    }

    @Override // android.support.v7.widget.AppCompatTextView, defpackage.InterfaceC0391fh.a
    public boolean a() {
        return true;
    }

    @Override // android.support.v7.widget.ActionMenuView.a
    public final void b() {
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.f2138a);
        if (this.f2135a != null && (!this.f2134a.i() || (!this.f2139a && !this.f2140b))) {
            z = false;
        }
        boolean z3 = z2 & z;
        setText(z3 ? this.f2138a : null);
        CharSequence contentDescription = this.f2134a.getContentDescription();
        if (TextUtils.isEmpty(contentDescription)) {
            setContentDescription(z3 ? null : this.f2134a.getTitle());
        } else {
            setContentDescription(contentDescription);
        }
        CharSequence tooltipText = this.f2134a.getTooltipText();
        if (TextUtils.isEmpty(tooltipText)) {
            C0742pj.a(this, z3 ? null : this.f2134a.getTitle());
        } else {
            C0742pj.a(this, tooltipText);
        }
    }

    @Override // android.support.v7.widget.ActionMenuView.a
    public boolean c() {
        return d();
    }

    public boolean d() {
        return !TextUtils.isEmpty(getText());
    }

    public final boolean e() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i = configuration.screenWidthDp;
        return i >= 480 || (i >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    @Override // defpackage.InterfaceC0391fh.a
    public C0193Zg getItemData() {
        return this.f2134a;
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        C0165Vg.b bVar = this.f2133a;
        if (bVar != null) {
            bVar.a(this.f2134a);
        }
    }

    @Override // android.widget.TextView, android.view.View
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f2139a = e();
        b();
    }

    @Override // android.support.v7.widget.AppCompatTextView, android.widget.TextView, android.view.View
    public void onMeasure(int i, int i2) {
        int i3;
        boolean d = d();
        if (d && (i3 = this.b) >= 0) {
            super.setPadding(i3, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i, i2);
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        int measuredWidth = getMeasuredWidth();
        int min = mode == Integer.MIN_VALUE ? Math.min(size, this.a) : this.a;
        if (mode != 1073741824 && this.a > 0 && measuredWidth < min) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(min, 1073741824), i2);
        }
        if (d || this.f2135a == null) {
            return;
        }
        super.setPadding((getMeasuredWidth() - this.f2135a.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
    }

    @Override // android.widget.TextView, android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    @Override // android.widget.TextView, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        AbstractView$OnTouchListenerC0496ii abstractView$OnTouchListenerC0496ii;
        if (this.f2134a.hasSubMenu() && (abstractView$OnTouchListenerC0496ii = this.f2137a) != null && abstractView$OnTouchListenerC0496ii.onTouch(this, motionEvent)) {
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setCheckable(boolean z) {
    }

    public void setChecked(boolean z) {
    }

    public void setExpandedFormat(boolean z) {
        if (this.f2140b != z) {
            this.f2140b = z;
            C0193Zg c0193Zg = this.f2134a;
            if (c0193Zg != null) {
                c0193Zg.a();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f2135a = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i = this.c;
            if (intrinsicWidth > i) {
                intrinsicHeight = (int) (intrinsicHeight * (i / intrinsicWidth));
                intrinsicWidth = i;
            }
            int i2 = this.c;
            if (intrinsicHeight > i2) {
                intrinsicWidth = (int) (intrinsicWidth * (i2 / intrinsicHeight));
                intrinsicHeight = i2;
            }
            drawable.setBounds(0, 0, intrinsicWidth, intrinsicHeight);
        }
        setCompoundDrawables(drawable, null, null, null);
        b();
    }

    public void setItemInvoker(C0165Vg.b bVar) {
        this.f2133a = bVar;
    }

    @Override // android.widget.TextView, android.view.View
    public void setPadding(int i, int i2, int i3, int i4) {
        this.b = i;
        super.setPadding(i, i2, i3, i4);
    }

    public void setPopupCallback(b bVar) {
        this.f2136a = bVar;
    }

    public void setTitle(CharSequence charSequence) {
        this.f2138a = charSequence;
        b();
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    private class a extends AbstractView$OnTouchListenerC0496ii {
        public a() {
            super(ActionMenuItemView.this);
        }

        @Override // defpackage.AbstractView$OnTouchListenerC0496ii
        public InterfaceC0495ih a() {
            b bVar = ActionMenuItemView.this.f2136a;
            if (bVar != null) {
                return bVar.a();
            }
            return null;
        }

        @Override // defpackage.AbstractView$OnTouchListenerC0496ii
        public boolean a() {
            InterfaceC0495ih a;
            ActionMenuItemView actionMenuItemView = ActionMenuItemView.this;
            C0165Vg.b bVar = actionMenuItemView.f2133a;
            return bVar != null && bVar.a(actionMenuItemView.f2134a) && (a = a()) != null && a.b();
        }
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Resources resources = context.getResources();
        this.f2139a = e();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0739pg.ActionMenuItemView, i, 0);
        this.a = obtainStyledAttributes.getDimensionPixelSize(C0739pg.ActionMenuItemView_android_minWidth, 0);
        obtainStyledAttributes.recycle();
        this.c = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.b = -1;
        setSaveEnabled(false);
    }

    @Override // android.support.v7.widget.ActionMenuView.a
    public boolean b() {
        return d() && this.f2134a.getIcon() == null;
    }
}
