package android.support.v7.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import defpackage.InterfaceC0391fh;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class ListMenuItemView extends LinearLayout implements InterfaceC0391fh.a, AbsListView.SelectionBoundsAdjuster {
    public int a;

    /* renamed from: a  reason: collision with other field name */
    public C0193Zg f2143a;

    /* renamed from: a  reason: collision with other field name */
    public Context f2144a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2145a;

    /* renamed from: a  reason: collision with other field name */
    public LayoutInflater f2146a;

    /* renamed from: a  reason: collision with other field name */
    public CheckBox f2147a;

    /* renamed from: a  reason: collision with other field name */
    public ImageView f2148a;

    /* renamed from: a  reason: collision with other field name */
    public LinearLayout f2149a;

    /* renamed from: a  reason: collision with other field name */
    public RadioButton f2150a;

    /* renamed from: a  reason: collision with other field name */
    public TextView f2151a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f2152a;
    public int b;

    /* renamed from: b  reason: collision with other field name */
    public Drawable f2153b;

    /* renamed from: b  reason: collision with other field name */
    public ImageView f2154b;

    /* renamed from: b  reason: collision with other field name */
    public TextView f2155b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2156b;
    public ImageView c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2157c;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0425gg.listMenuViewStyle);
    }

    private LayoutInflater getInflater() {
        if (this.f2146a == null) {
            this.f2146a = LayoutInflater.from(getContext());
        }
        return this.f2146a;
    }

    private void setSubMenuArrowVisible(boolean z) {
        ImageView imageView = this.f2154b;
        if (imageView != null) {
            imageView.setVisibility(z ? 0 : 8);
        }
    }

    @Override // defpackage.InterfaceC0391fh.a
    public void a(C0193Zg c0193Zg, int i) {
        this.f2143a = c0193Zg;
        this.b = i;
        setVisibility(c0193Zg.isVisible() ? 0 : 8);
        setTitle(c0193Zg.a((InterfaceC0391fh.a) this));
        setCheckable(c0193Zg.isCheckable());
        a(c0193Zg.h(), c0193Zg.a());
        setIcon(c0193Zg.getIcon());
        setEnabled(c0193Zg.isEnabled());
        setSubMenuArrowVisible(c0193Zg.hasSubMenu());
        setContentDescription(c0193Zg.getContentDescription());
    }

    @Override // defpackage.InterfaceC0391fh.a
    public boolean a() {
        return false;
    }

    @Override // android.widget.AbsListView.SelectionBoundsAdjuster
    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.c;
        if (imageView == null || imageView.getVisibility() != 0) {
            return;
        }
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.c.getLayoutParams();
        rect.top += this.c.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    public final void b() {
        this.f2148a = (ImageView) getInflater().inflate(C0634mg.abc_list_menu_item_icon, (ViewGroup) this, false);
        a(this.f2148a, 0);
    }

    public final void c() {
        this.f2150a = (RadioButton) getInflater().inflate(C0634mg.abc_list_menu_item_radio, (ViewGroup) this, false);
        a(this.f2150a);
    }

    @Override // defpackage.InterfaceC0391fh.a
    public C0193Zg getItemData() {
        return this.f2143a;
    }

    @Override // android.view.View
    public void onFinishInflate() {
        super.onFinishInflate();
        C0737pe.a(this, this.f2145a);
        this.f2151a = (TextView) findViewById(C0599lg.title);
        int i = this.a;
        if (i != -1) {
            this.f2151a.setTextAppearance(this.f2144a, i);
        }
        this.f2155b = (TextView) findViewById(C0599lg.shortcut);
        this.f2154b = (ImageView) findViewById(C0599lg.submenuarrow);
        ImageView imageView = this.f2154b;
        if (imageView != null) {
            imageView.setImageDrawable(this.f2153b);
        }
        this.c = (ImageView) findViewById(C0599lg.group_divider);
        this.f2149a = (LinearLayout) findViewById(C0599lg.content);
    }

    @Override // android.widget.LinearLayout, android.view.View
    public void onMeasure(int i, int i2) {
        if (this.f2148a != null && this.f2152a) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f2148a.getLayoutParams();
            if (layoutParams.height > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = layoutParams.height;
            }
        }
        super.onMeasure(i, i2);
    }

    public void setCheckable(boolean z) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (!z && this.f2150a == null && this.f2147a == null) {
            return;
        }
        if (this.f2143a.d()) {
            if (this.f2150a == null) {
                c();
            }
            compoundButton = this.f2150a;
            compoundButton2 = this.f2147a;
        } else {
            if (this.f2147a == null) {
                a();
            }
            compoundButton = this.f2147a;
            compoundButton2 = this.f2150a;
        }
        if (z) {
            compoundButton.setChecked(this.f2143a.isChecked());
            if (compoundButton.getVisibility() != 0) {
                compoundButton.setVisibility(0);
            }
            if (compoundButton2 == null || compoundButton2.getVisibility() == 8) {
                return;
            }
            compoundButton2.setVisibility(8);
            return;
        }
        CheckBox checkBox = this.f2147a;
        if (checkBox != null) {
            checkBox.setVisibility(8);
        }
        RadioButton radioButton = this.f2150a;
        if (radioButton != null) {
            radioButton.setVisibility(8);
        }
    }

    public void setChecked(boolean z) {
        CompoundButton compoundButton;
        if (this.f2143a.d()) {
            if (this.f2150a == null) {
                c();
            }
            compoundButton = this.f2150a;
        } else {
            if (this.f2147a == null) {
                a();
            }
            compoundButton = this.f2147a;
        }
        compoundButton.setChecked(z);
    }

    public void setForceShowIcon(boolean z) {
        this.f2157c = z;
        this.f2152a = z;
    }

    public void setGroupDividerEnabled(boolean z) {
        ImageView imageView = this.c;
        if (imageView != null) {
            imageView.setVisibility((this.f2156b || !z) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z = this.f2143a.g() || this.f2157c;
        if (z || this.f2152a) {
            if (this.f2148a == null && drawable == null && !this.f2152a) {
                return;
            }
            if (this.f2148a == null) {
                b();
            }
            if (drawable == null && !this.f2152a) {
                this.f2148a.setVisibility(8);
                return;
            }
            ImageView imageView = this.f2148a;
            if (!z) {
                drawable = null;
            }
            imageView.setImageDrawable(drawable);
            if (this.f2148a.getVisibility() != 0) {
                this.f2148a.setVisibility(0);
            }
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (charSequence != null) {
            this.f2151a.setText(charSequence);
            if (this.f2151a.getVisibility() != 0) {
                this.f2151a.setVisibility(0);
            }
        } else if (this.f2151a.getVisibility() != 8) {
            this.f2151a.setVisibility(8);
        }
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        C0463hj a = C0463hj.a(getContext(), attributeSet, C0739pg.MenuView, i, 0);
        this.f2145a = a.m1294a(C0739pg.MenuView_android_itemBackground);
        this.a = a.g(C0739pg.MenuView_android_itemTextAppearance, -1);
        this.f2152a = a.a(C0739pg.MenuView_preserveIconSpacing, false);
        this.f2144a = context;
        this.f2153b = a.m1294a(C0739pg.MenuView_subMenuArrow);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, C0425gg.dropDownListViewStyle, 0);
        this.f2156b = obtainStyledAttributes.hasValue(0);
        a.a();
        obtainStyledAttributes.recycle();
    }

    public final void a(View view) {
        a(view, -1);
    }

    public final void a(View view, int i) {
        LinearLayout linearLayout = this.f2149a;
        if (linearLayout != null) {
            linearLayout.addView(view, i);
        } else {
            addView(view, i);
        }
    }

    public void a(boolean z, char c) {
        int i = (z && this.f2143a.h()) ? 0 : 8;
        if (i == 0) {
            this.f2155b.setText(this.f2143a.a());
        }
        if (this.f2155b.getVisibility() != i) {
            this.f2155b.setVisibility(i);
        }
    }

    @Override // defpackage.InterfaceC0391fh.a
    public final void a() {
        this.f2147a = (CheckBox) getInflater().inflate(C0634mg.abc_list_menu_item_checkbox, (ViewGroup) this, false);
        a(this.f2147a);
    }
}
