package android.support.v7.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class ActionBarContainer extends FrameLayout {
    public int a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2158a;

    /* renamed from: a  reason: collision with other field name */
    public View f2159a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f2160a;
    public Drawable b;

    /* renamed from: b  reason: collision with other field name */
    public View f2161b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2162b;
    public Drawable c;

    /* renamed from: c  reason: collision with other field name */
    public View f2163c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2164c;

    public ActionBarContainer(Context context) {
        this(context, null);
    }

    /* renamed from: a  reason: collision with other method in class */
    public final boolean m905a(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f2158a;
        if (drawable != null && drawable.isStateful()) {
            this.f2158a.setState(getDrawableState());
        }
        Drawable drawable2 = this.b;
        if (drawable2 != null && drawable2.isStateful()) {
            this.b.setState(getDrawableState());
        }
        Drawable drawable3 = this.c;
        if (drawable3 == null || !drawable3.isStateful()) {
            return;
        }
        this.c.setState(getDrawableState());
    }

    public View getTabContainer() {
        return this.f2159a;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f2158a;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.b;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.c;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    @Override // android.view.View
    public void onFinishInflate() {
        super.onFinishInflate();
        this.f2161b = findViewById(C0599lg.action_bar);
        this.f2163c = findViewById(C0599lg.action_context_bar);
    }

    @Override // android.view.View
    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f2160a || super.onInterceptTouchEvent(motionEvent);
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        Drawable drawable;
        super.onLayout(z, i, i2, i3, i4);
        View view = this.f2159a;
        boolean z2 = true;
        boolean z3 = false;
        boolean z4 = (view == null || view.getVisibility() == 8) ? false : true;
        if (view != null && view.getVisibility() != 8) {
            int measuredHeight = getMeasuredHeight();
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
            view.layout(i, (measuredHeight - view.getMeasuredHeight()) - layoutParams.bottomMargin, i3, measuredHeight - layoutParams.bottomMargin);
        }
        if (this.f2162b) {
            Drawable drawable2 = this.c;
            if (drawable2 != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z2 = false;
            }
        } else {
            if (this.f2158a != null) {
                if (this.f2161b.getVisibility() == 0) {
                    this.f2158a.setBounds(this.f2161b.getLeft(), this.f2161b.getTop(), this.f2161b.getRight(), this.f2161b.getBottom());
                } else {
                    View view2 = this.f2163c;
                    if (view2 != null && view2.getVisibility() == 0) {
                        this.f2158a.setBounds(this.f2163c.getLeft(), this.f2163c.getTop(), this.f2163c.getRight(), this.f2163c.getBottom());
                    } else {
                        this.f2158a.setBounds(0, 0, 0, 0);
                    }
                }
                z3 = true;
            }
            this.f2164c = z4;
            if (!z4 || (drawable = this.b) == null) {
                z2 = z3;
            } else {
                drawable.setBounds(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
        }
        if (z2) {
            invalidate();
        }
    }

    @Override // android.widget.FrameLayout, android.view.View
    public void onMeasure(int i, int i2) {
        int a;
        int i3;
        if (this.f2161b == null && View.MeasureSpec.getMode(i2) == Integer.MIN_VALUE && (i3 = this.a) >= 0) {
            i2 = View.MeasureSpec.makeMeasureSpec(Math.min(i3, View.MeasureSpec.getSize(i2)), Integer.MIN_VALUE);
        }
        super.onMeasure(i, i2);
        if (this.f2161b == null) {
            return;
        }
        int mode = View.MeasureSpec.getMode(i2);
        View view = this.f2159a;
        if (view == null || view.getVisibility() == 8 || mode == 1073741824) {
            return;
        }
        if (!m905a(this.f2161b)) {
            a = a(this.f2161b);
        } else {
            a = !m905a(this.f2163c) ? a(this.f2163c) : 0;
        }
        setMeasuredDimension(getMeasuredWidth(), Math.min(a + a(this.f2159a), mode == Integer.MIN_VALUE ? View.MeasureSpec.getSize(i2) : Integer.MAX_VALUE));
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.f2158a;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.f2158a);
        }
        this.f2158a = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.f2161b;
            if (view != null) {
                this.f2158a.setBounds(view.getLeft(), this.f2161b.getTop(), this.f2161b.getRight(), this.f2161b.getBottom());
            }
        }
        boolean z = true;
        if (!this.f2162b ? this.f2158a != null || this.b != null : this.c != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.c;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.c);
        }
        this.c = drawable;
        boolean z = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f2162b && (drawable2 = this.c) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.f2162b ? !(this.f2158a != null || this.b != null) : this.c == null) {
            z = true;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.b;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.b);
        }
        this.b = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f2164c && (drawable2 = this.b) != null) {
                drawable2.setBounds(this.f2159a.getLeft(), this.f2159a.getTop(), this.f2159a.getRight(), this.f2159a.getBottom());
            }
        }
        boolean z = true;
        if (!this.f2162b ? this.f2158a != null || this.b != null : this.c != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setTabContainer(Ki ki) {
        View view = this.f2159a;
        if (view != null) {
            removeView(view);
        }
        this.f2159a = ki;
        if (ki != null) {
            addView(ki);
            ViewGroup.LayoutParams layoutParams = ki.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            ki.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z) {
        this.f2160a = z;
        setDescendantFocusability(z ? 393216 : 262144);
    }

    @Override // android.view.View
    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.f2158a;
        if (drawable != null) {
            drawable.setVisible(z, false);
        }
        Drawable drawable2 = this.b;
        if (drawable2 != null) {
            drawable2.setVisible(z, false);
        }
        Drawable drawable3 = this.c;
        if (drawable3 != null) {
            drawable3.setVisible(z, false);
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i) {
        if (i != 0) {
            return super.startActionModeForChild(view, callback, i);
        }
        return null;
    }

    @Override // android.view.View
    public boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f2158a && !this.f2162b) || (drawable == this.b && this.f2164c) || ((drawable == this.c && this.f2162b) || super.verifyDrawable(drawable));
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        C0737pe.a(this, new C0740ph(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0739pg.ActionBar);
        this.f2158a = obtainStyledAttributes.getDrawable(C0739pg.ActionBar_background);
        this.b = obtainStyledAttributes.getDrawable(C0739pg.ActionBar_backgroundStacked);
        this.a = obtainStyledAttributes.getDimensionPixelSize(C0739pg.ActionBar_height, -1);
        if (getId() == C0599lg.split_action_bar) {
            this.f2162b = true;
            this.c = obtainStyledAttributes.getDrawable(C0739pg.ActionBar_backgroundSplit);
        }
        obtainStyledAttributes.recycle();
        boolean z = false;
        if (!this.f2162b ? !(this.f2158a != null || this.b != null) : this.c == null) {
            z = true;
        }
        setWillNotDraw(z);
    }

    public final int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }
}
