package android.support.v7.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.ThemedSpinnerAdapter;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class AppCompatSpinner extends Spinner implements InterfaceC0667ne {
    public static final int[] a = {16843505};

    /* renamed from: a  reason: collision with other field name */
    public int f2243a;

    /* renamed from: a  reason: collision with other field name */
    public final Dh f2244a;

    /* renamed from: a  reason: collision with other field name */
    public final Context f2245a;

    /* renamed from: a  reason: collision with other field name */
    public final Rect f2246a;

    /* renamed from: a  reason: collision with other field name */
    public b f2247a;

    /* renamed from: a  reason: collision with other field name */
    public SpinnerAdapter f2248a;

    /* renamed from: a  reason: collision with other field name */
    public AbstractView$OnTouchListenerC0496ii f2249a;

    /* renamed from: a  reason: collision with other field name */
    public final boolean f2250a;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class a implements ListAdapter, SpinnerAdapter {
        public ListAdapter a;

        /* renamed from: a  reason: collision with other field name */
        public SpinnerAdapter f2251a;

        public a(SpinnerAdapter spinnerAdapter, Resources.Theme theme) {
            this.f2251a = spinnerAdapter;
            if (spinnerAdapter instanceof ListAdapter) {
                this.a = (ListAdapter) spinnerAdapter;
            }
            if (theme != null) {
                if (Build.VERSION.SDK_INT >= 23 && (spinnerAdapter instanceof ThemedSpinnerAdapter)) {
                    ThemedSpinnerAdapter themedSpinnerAdapter = (ThemedSpinnerAdapter) spinnerAdapter;
                    if (themedSpinnerAdapter.getDropDownViewTheme() != theme) {
                        themedSpinnerAdapter.setDropDownViewTheme(theme);
                    }
                } else if (spinnerAdapter instanceof InterfaceC0324dj) {
                    InterfaceC0324dj interfaceC0324dj = (InterfaceC0324dj) spinnerAdapter;
                    if (interfaceC0324dj.getDropDownViewTheme() == null) {
                        interfaceC0324dj.setDropDownViewTheme(theme);
                    }
                }
            }
        }

        @Override // android.widget.ListAdapter
        public boolean areAllItemsEnabled() {
            ListAdapter listAdapter = this.a;
            if (listAdapter != null) {
                return listAdapter.areAllItemsEnabled();
            }
            return true;
        }

        @Override // android.widget.Adapter
        public int getCount() {
            SpinnerAdapter spinnerAdapter = this.f2251a;
            if (spinnerAdapter == null) {
                return 0;
            }
            return spinnerAdapter.getCount();
        }

        @Override // android.widget.SpinnerAdapter
        public View getDropDownView(int i, View view, ViewGroup viewGroup) {
            SpinnerAdapter spinnerAdapter = this.f2251a;
            if (spinnerAdapter == null) {
                return null;
            }
            return spinnerAdapter.getDropDownView(i, view, viewGroup);
        }

        @Override // android.widget.Adapter
        public Object getItem(int i) {
            SpinnerAdapter spinnerAdapter = this.f2251a;
            if (spinnerAdapter == null) {
                return null;
            }
            return spinnerAdapter.getItem(i);
        }

        @Override // android.widget.Adapter
        public long getItemId(int i) {
            SpinnerAdapter spinnerAdapter = this.f2251a;
            if (spinnerAdapter == null) {
                return -1L;
            }
            return spinnerAdapter.getItemId(i);
        }

        @Override // android.widget.Adapter
        public int getItemViewType(int i) {
            return 0;
        }

        @Override // android.widget.Adapter
        public View getView(int i, View view, ViewGroup viewGroup) {
            return getDropDownView(i, view, viewGroup);
        }

        @Override // android.widget.Adapter
        public int getViewTypeCount() {
            return 1;
        }

        @Override // android.widget.Adapter
        public boolean hasStableIds() {
            SpinnerAdapter spinnerAdapter = this.f2251a;
            return spinnerAdapter != null && spinnerAdapter.hasStableIds();
        }

        @Override // android.widget.Adapter
        public boolean isEmpty() {
            return getCount() == 0;
        }

        @Override // android.widget.ListAdapter
        public boolean isEnabled(int i) {
            ListAdapter listAdapter = this.a;
            if (listAdapter != null) {
                return listAdapter.isEnabled(i);
            }
            return true;
        }

        @Override // android.widget.Adapter
        public void registerDataSetObserver(DataSetObserver dataSetObserver) {
            SpinnerAdapter spinnerAdapter = this.f2251a;
            if (spinnerAdapter != null) {
                spinnerAdapter.registerDataSetObserver(dataSetObserver);
            }
        }

        @Override // android.widget.Adapter
        public void unregisterDataSetObserver(DataSetObserver dataSetObserver) {
            SpinnerAdapter spinnerAdapter = this.f2251a;
            if (spinnerAdapter != null) {
                spinnerAdapter.unregisterDataSetObserver(dataSetObserver);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public class b extends ListPopupWindow {

        /* renamed from: a  reason: collision with other field name */
        public CharSequence f2252a;
        public ListAdapter b;
        public final Rect c;

        public b(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
            this.c = new Rect();
            a((View) AppCompatSpinner.this);
            a(true);
            f(0);
            a(new Lh(this, AppCompatSpinner.this));
        }

        @Override // android.support.v7.widget.ListPopupWindow
        public void d() {
            Drawable a = a();
            int i = 0;
            if (a != null) {
                a.getPadding(AppCompatSpinner.this.f2246a);
                i = C1014xj.m1680a((View) AppCompatSpinner.this) ? AppCompatSpinner.this.f2246a.right : -AppCompatSpinner.this.f2246a.left;
            } else {
                Rect rect = AppCompatSpinner.this.f2246a;
                rect.right = 0;
                rect.left = 0;
            }
            int paddingLeft = AppCompatSpinner.this.getPaddingLeft();
            int paddingRight = AppCompatSpinner.this.getPaddingRight();
            int width = AppCompatSpinner.this.getWidth();
            AppCompatSpinner appCompatSpinner = AppCompatSpinner.this;
            int i2 = appCompatSpinner.f2243a;
            if (i2 == -2) {
                int a2 = appCompatSpinner.a((SpinnerAdapter) this.b, a());
                int i3 = AppCompatSpinner.this.getContext().getResources().getDisplayMetrics().widthPixels;
                Rect rect2 = AppCompatSpinner.this.f2246a;
                int i4 = (i3 - rect2.left) - rect2.right;
                if (a2 > i4) {
                    a2 = i4;
                }
                b(Math.max(a2, (width - paddingLeft) - paddingRight));
            } else if (i2 == -1) {
                b((width - paddingLeft) - paddingRight);
            } else {
                b(i2);
            }
            d(C1014xj.m1680a((View) AppCompatSpinner.this) ? i + ((width - paddingRight) - d()) : i + paddingLeft);
        }

        @Override // android.support.v7.widget.ListPopupWindow
        public void a(ListAdapter listAdapter) {
            super.a(listAdapter);
            this.b = listAdapter;
        }

        @Override // android.support.v7.widget.ListPopupWindow, defpackage.InterfaceC0495ih, defpackage.InterfaceC0356eh
        public CharSequence a() {
            return this.f2252a;
        }

        public void a(CharSequence charSequence) {
            this.f2252a = charSequence;
        }

        @Override // android.support.v7.widget.ListPopupWindow, defpackage.InterfaceC0495ih, defpackage.InterfaceC0356eh
        public void a() {
            ViewTreeObserver viewTreeObserver;
            boolean b = b();
            d();
            e(2);
            super.a();
            a().setChoiceMode(1);
            g(AppCompatSpinner.this.getSelectedItemPosition());
            if (b || (viewTreeObserver = AppCompatSpinner.this.getViewTreeObserver()) == null) {
                return;
            }
            Mh mh = new Mh(this);
            viewTreeObserver.addOnGlobalLayoutListener(mh);
            a(new Nh(this, mh));
        }

        @Override // android.support.v7.widget.ListPopupWindow
        public boolean a(View view) {
            return C0737pe.m1461f(view) && view.getGlobalVisibleRect(this.c);
        }
    }

    public AppCompatSpinner(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0425gg.spinnerStyle);
    }

    public int a(SpinnerAdapter spinnerAdapter, Drawable drawable) {
        int i = 0;
        if (spinnerAdapter == null) {
            return 0;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
        int max = Math.max(0, getSelectedItemPosition());
        int min = Math.min(spinnerAdapter.getCount(), max + 15);
        View view = null;
        int i2 = 0;
        for (int max2 = Math.max(0, max - (15 - (min - max))); max2 < min; max2++) {
            int itemViewType = spinnerAdapter.getItemViewType(max2);
            if (itemViewType != i) {
                view = null;
                i = itemViewType;
            }
            view = spinnerAdapter.getView(max2, view, this);
            if (view.getLayoutParams() == null) {
                view.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
            }
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            i2 = Math.max(i2, view.getMeasuredWidth());
        }
        if (drawable != null) {
            drawable.getPadding(this.f2246a);
            Rect rect = this.f2246a;
            return i2 + rect.left + rect.right;
        }
        return i2;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Dh dh = this.f2244a;
        if (dh != null) {
            dh.m137a();
        }
    }

    @Override // android.widget.Spinner
    public int getDropDownHorizontalOffset() {
        b bVar = this.f2247a;
        if (bVar != null) {
            return bVar.b();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownHorizontalOffset();
        }
        return 0;
    }

    @Override // android.widget.Spinner
    public int getDropDownVerticalOffset() {
        b bVar = this.f2247a;
        if (bVar != null) {
            return bVar.c();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownVerticalOffset();
        }
        return 0;
    }

    @Override // android.widget.Spinner
    public int getDropDownWidth() {
        if (this.f2247a != null) {
            return this.f2243a;
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownWidth();
        }
        return 0;
    }

    @Override // android.widget.Spinner
    public Drawable getPopupBackground() {
        b bVar = this.f2247a;
        if (bVar != null) {
            return bVar.a();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getPopupBackground();
        }
        return null;
    }

    @Override // android.widget.Spinner
    public Context getPopupContext() {
        if (this.f2247a != null) {
            return this.f2245a;
        }
        if (Build.VERSION.SDK_INT >= 23) {
            return super.getPopupContext();
        }
        return null;
    }

    @Override // android.widget.Spinner
    public CharSequence getPrompt() {
        b bVar = this.f2247a;
        return bVar != null ? bVar.a() : super.getPrompt();
    }

    @Override // defpackage.InterfaceC0667ne
    public ColorStateList getSupportBackgroundTintList() {
        Dh dh = this.f2244a;
        if (dh != null) {
            return dh.a();
        }
        return null;
    }

    @Override // defpackage.InterfaceC0667ne
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        Dh dh = this.f2244a;
        if (dh != null) {
            return dh.m136a();
        }
        return null;
    }

    @Override // android.widget.Spinner, android.widget.AdapterView, android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        b bVar = this.f2247a;
        if (bVar == null || !bVar.b()) {
            return;
        }
        this.f2247a.dismiss();
    }

    @Override // android.widget.Spinner, android.widget.AbsSpinner, android.view.View
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.f2247a == null || View.MeasureSpec.getMode(i) != Integer.MIN_VALUE) {
            return;
        }
        setMeasuredDimension(Math.min(Math.max(getMeasuredWidth(), a(getAdapter(), getBackground())), View.MeasureSpec.getSize(i)), getMeasuredHeight());
    }

    @Override // android.widget.Spinner, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        AbstractView$OnTouchListenerC0496ii abstractView$OnTouchListenerC0496ii = this.f2249a;
        if (abstractView$OnTouchListenerC0496ii == null || !abstractView$OnTouchListenerC0496ii.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    @Override // android.widget.Spinner, android.view.View
    public boolean performClick() {
        b bVar = this.f2247a;
        if (bVar != null) {
            if (bVar.b()) {
                return true;
            }
            this.f2247a.a();
            return true;
        }
        return super.performClick();
    }

    @Override // android.view.View
    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        Dh dh = this.f2244a;
        if (dh != null) {
            dh.a(drawable);
        }
    }

    @Override // android.view.View
    public void setBackgroundResource(int i) {
        super.setBackgroundResource(i);
        Dh dh = this.f2244a;
        if (dh != null) {
            dh.a(i);
        }
    }

    @Override // android.widget.Spinner
    public void setDropDownHorizontalOffset(int i) {
        b bVar = this.f2247a;
        if (bVar != null) {
            bVar.d(i);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownHorizontalOffset(i);
        }
    }

    @Override // android.widget.Spinner
    public void setDropDownVerticalOffset(int i) {
        b bVar = this.f2247a;
        if (bVar != null) {
            bVar.h(i);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownVerticalOffset(i);
        }
    }

    @Override // android.widget.Spinner
    public void setDropDownWidth(int i) {
        if (this.f2247a != null) {
            this.f2243a = i;
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownWidth(i);
        }
    }

    @Override // android.widget.Spinner
    public void setPopupBackgroundDrawable(Drawable drawable) {
        b bVar = this.f2247a;
        if (bVar != null) {
            bVar.a(drawable);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setPopupBackgroundDrawable(drawable);
        }
    }

    @Override // android.widget.Spinner
    public void setPopupBackgroundResource(int i) {
        setPopupBackgroundDrawable(C0774qg.m1510a(getPopupContext(), i));
    }

    @Override // android.widget.Spinner
    public void setPrompt(CharSequence charSequence) {
        b bVar = this.f2247a;
        if (bVar != null) {
            bVar.a(charSequence);
        } else {
            super.setPrompt(charSequence);
        }
    }

    @Override // defpackage.InterfaceC0667ne
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        Dh dh = this.f2244a;
        if (dh != null) {
            dh.b(colorStateList);
        }
    }

    @Override // defpackage.InterfaceC0667ne
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        Dh dh = this.f2244a;
        if (dh != null) {
            dh.a(mode);
        }
    }

    public AppCompatSpinner(Context context, AttributeSet attributeSet, int i) {
        this(context, attributeSet, i, -1);
    }

    @Override // android.widget.AdapterView
    public void setAdapter(SpinnerAdapter spinnerAdapter) {
        if (!this.f2250a) {
            this.f2248a = spinnerAdapter;
            return;
        }
        super.setAdapter(spinnerAdapter);
        if (this.f2247a != null) {
            Context context = this.f2245a;
            if (context == null) {
                context = getContext();
            }
            this.f2247a.a(new a(spinnerAdapter, context.getTheme()));
        }
    }

    public AppCompatSpinner(Context context, AttributeSet attributeSet, int i, int i2) {
        this(context, attributeSet, i, i2, null);
    }

    /* JADX WARN: Code restructure failed: missing block: B:21:0x0056, code lost:
        if (r12 != null) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0058, code lost:
        r12.recycle();
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x006a, code lost:
        if (r12 == null) goto L8;
     */
    /* JADX WARN: Removed duplicated region for block: B:34:0x0070  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public AppCompatSpinner(Context context, AttributeSet attributeSet, int i, int i2, Resources.Theme theme) {
        super(context, attributeSet, i);
        TypedArray typedArray;
        this.f2246a = new Rect();
        C0463hj a2 = C0463hj.a(context, attributeSet, C0739pg.Spinner, i, 0);
        this.f2244a = new Dh(this);
        if (theme != null) {
            this.f2245a = new C0039Dg(context, theme);
        } else {
            int g = a2.g(C0739pg.Spinner_popupTheme, 0);
            if (g != 0) {
                this.f2245a = new C0039Dg(context, g);
            } else {
                this.f2245a = Build.VERSION.SDK_INT < 23 ? context : null;
            }
        }
        if (this.f2245a != null) {
            if (i2 == -1) {
                try {
                    typedArray = context.obtainStyledAttributes(attributeSet, a, i, 0);
                    try {
                        try {
                            i2 = typedArray.hasValue(0) ? typedArray.getInt(0, 0) : i2;
                        } catch (Exception e) {
                            e = e;
                            Log.i("AppCompatSpinner", "Could not read android:spinnerMode", e);
                        }
                    } catch (Throwable th) {
                        th = th;
                        if (typedArray != null) {
                            typedArray.recycle();
                        }
                        throw th;
                    }
                } catch (Exception e2) {
                    e = e2;
                    typedArray = null;
                } catch (Throwable th2) {
                    th = th2;
                    typedArray = null;
                    if (typedArray != null) {
                    }
                    throw th;
                }
            }
            if (i2 == 1) {
                b bVar = new b(this.f2245a, attributeSet, i);
                C0463hj a3 = C0463hj.a(this.f2245a, attributeSet, C0739pg.Spinner, i, 0);
                this.f2243a = a3.f(C0739pg.Spinner_android_dropDownWidth, -2);
                bVar.a(a3.m1294a(C0739pg.Spinner_android_popupBackground));
                bVar.a(a2.m1296a(C0739pg.Spinner_android_prompt));
                a3.a();
                this.f2247a = bVar;
                this.f2249a = new Kh(this, this, bVar);
            }
        }
        CharSequence[] m1298a = a2.m1298a(C0739pg.Spinner_android_entries);
        if (m1298a != null) {
            ArrayAdapter arrayAdapter = new ArrayAdapter(context, 17367048, m1298a);
            arrayAdapter.setDropDownViewResource(C0634mg.support_simple_spinner_dropdown_item);
            setAdapter((SpinnerAdapter) arrayAdapter);
        }
        a2.a();
        this.f2250a = true;
        SpinnerAdapter spinnerAdapter = this.f2248a;
        if (spinnerAdapter != null) {
            setAdapter(spinnerAdapter);
            this.f2248a = null;
        }
        this.f2244a.a(attributeSet, i);
    }
}
