package android.support.v7.widget;

import android.content.Context;
import android.graphics.Rect;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import defpackage.C0058Ge;
import java.util.Arrays;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class GridLayoutManager extends LinearLayoutManager {
    public final Rect a;

    /* renamed from: a  reason: collision with other field name */
    public b f2258a;

    /* renamed from: a  reason: collision with other field name */
    public final SparseIntArray f2259a;

    /* renamed from: a  reason: collision with other field name */
    public int[] f2260a;

    /* renamed from: a  reason: collision with other field name */
    public View[] f2261a;
    public final SparseIntArray b;
    public int j;
    public boolean m;

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class a extends b {
        @Override // android.support.v7.widget.GridLayoutManager.b
        public int a(int i) {
            return 1;
        }

        @Override // android.support.v7.widget.GridLayoutManager.b
        public int c(int i, int i2) {
            return i % i2;
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class b {
        public final SparseIntArray a = new SparseIntArray();

        /* renamed from: a  reason: collision with other field name */
        public boolean f2262a = false;

        public abstract int a(int i);

        public void a() {
            this.a.clear();
        }

        public int b(int i, int i2) {
            int a = a(i);
            int i3 = 0;
            int i4 = 0;
            for (int i5 = 0; i5 < i; i5++) {
                int a2 = a(i5);
                i3 += a2;
                if (i3 == i2) {
                    i4++;
                    i3 = 0;
                } else if (i3 > i2) {
                    i4++;
                    i3 = a2;
                }
            }
            return i3 + a > i2 ? i4 + 1 : i4;
        }

        public abstract int c(int i, int i2);

        public int a(int i, int i2) {
            if (!this.f2262a) {
                return c(i, i2);
            }
            int i3 = this.a.get(i, -1);
            if (i3 != -1) {
                return i3;
            }
            int c = c(i, i2);
            this.a.put(i, c);
            return c;
        }
    }

    public GridLayoutManager(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
        this.m = false;
        this.j = -1;
        this.f2259a = new SparseIntArray();
        this.b = new SparseIntArray();
        this.f2258a = new a();
        this.a = new Rect();
        i(RecyclerView.i.a(context, attributeSet, i, i2).b);
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public int a(RecyclerView.o oVar, RecyclerView.s sVar) {
        if (((LinearLayoutManager) this).f == 1) {
            return this.j;
        }
        if (sVar.a() < 1) {
            return 0;
        }
        return a(oVar, sVar, sVar.a() - 1) + 1;
    }

    @Override // android.support.v7.widget.LinearLayoutManager
    public void b(boolean z) {
        if (!z) {
            super.b(false);
            return;
        }
        throw new UnsupportedOperationException("GridLayoutManager does not support stack from end. Consider using reverse layout");
    }

    public final int c(RecyclerView.o oVar, RecyclerView.s sVar, int i) {
        if (!sVar.m1009b()) {
            return this.f2258a.a(i);
        }
        int i2 = this.f2259a.get(i, -1);
        if (i2 != -1) {
            return i2;
        }
        int a2 = oVar.a(i);
        if (a2 == -1) {
            Log.w("GridLayoutManager", "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i);
            return 1;
        }
        return this.f2258a.a(a2);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void d(RecyclerView recyclerView) {
        this.f2258a.a();
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public final void f() {
        int b2 = b();
        for (int i = 0; i < b2; i++) {
            LayoutParams layoutParams = (LayoutParams) b(i).getLayoutParams();
            int a2 = layoutParams.a();
            this.f2259a.put(a2, layoutParams.c());
            this.b.put(a2, layoutParams.b());
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final void g() {
        this.f2259a.clear();
        this.b.clear();
    }

    public final void h(int i) {
        this.f2260a = a(this.f2260a, this.j, i);
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public final void i() {
        int c;
        int k;
        if (r() == 1) {
            c = l() - j();
            k = i();
        } else {
            c = c() - h();
            k = k();
        }
        h(c - k);
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public boolean j() {
        return ((LinearLayoutManager) this).a == null && !this.m;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final void h() {
        View[] viewArr = this.f2261a;
        if (viewArr == null || viewArr.length != this.j) {
            this.f2261a = new View[this.j];
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class LayoutParams extends RecyclerView.LayoutParams {
        public int a;
        public int b;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.a = -1;
            this.b = 0;
        }

        @Override // android.support.v7.widget.RecyclerView.LayoutParams
        public int b() {
            return this.a;
        }

        @Override // android.support.v7.widget.RecyclerView.LayoutParams
        public int c() {
            return this.b;
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.a = -1;
            this.b = 0;
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            this.a = -1;
            this.b = 0;
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
            this.a = -1;
            this.b = 0;
        }
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public int b(RecyclerView.o oVar, RecyclerView.s sVar) {
        if (((LinearLayoutManager) this).f == 0) {
            return this.j;
        }
        if (sVar.a() < 1) {
            return 0;
        }
        return a(oVar, sVar, sVar.a() - 1) + 1;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView.o oVar, RecyclerView.s sVar, View view, C0058Ge c0058Ge) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof LayoutParams)) {
            super.a(view, c0058Ge);
            return;
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        int a2 = a(oVar, sVar, layoutParams2.a());
        if (((LinearLayoutManager) this).f == 0) {
            c0058Ge.b(C0058Ge.c.a(layoutParams2.b(), layoutParams2.c(), a2, 1, this.j > 1 && layoutParams2.c() == this.j, false));
        } else {
            c0058Ge.b(C0058Ge.c.a(a2, 1, layoutParams2.b(), layoutParams2.c(), this.j > 1 && layoutParams2.c() == this.j, false));
        }
    }

    public void i(int i) {
        if (i == this.j) {
            return;
        }
        this.m = true;
        if (i >= 1) {
            this.j = i;
            this.f2258a.a();
            m964a();
            return;
        }
        throw new IllegalArgumentException("Span count should be at least 1. Provided " + i);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void b(RecyclerView recyclerView, int i, int i2) {
        this.f2258a.a();
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public int b(int i, RecyclerView.o oVar, RecyclerView.s sVar) {
        i();
        h();
        return super.b(i, oVar, sVar);
    }

    public final void b(RecyclerView.o oVar, RecyclerView.s sVar, LinearLayoutManager.a aVar, int i) {
        boolean z = i == 1;
        int b2 = b(oVar, sVar, aVar.a);
        if (z) {
            while (b2 > 0) {
                int i2 = aVar.a;
                if (i2 <= 0) {
                    return;
                }
                aVar.a = i2 - 1;
                b2 = b(oVar, sVar, aVar.a);
            }
            return;
        }
        int a2 = sVar.a() - 1;
        int i3 = aVar.a;
        while (i3 < a2) {
            int i4 = i3 + 1;
            int b3 = b(oVar, sVar, i4);
            if (b3 <= b2) {
                break;
            }
            i3 = i4;
            b2 = b3;
        }
        aVar.a = i3;
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView.o oVar, RecyclerView.s sVar) {
        if (sVar.m1009b()) {
            f();
        }
        super.a(oVar, sVar);
        g();
    }

    public final int b(RecyclerView.o oVar, RecyclerView.s sVar, int i) {
        if (!sVar.m1009b()) {
            return this.f2258a.a(i, this.j);
        }
        int i2 = this.b.get(i, -1);
        if (i2 != -1) {
            return i2;
        }
        int a2 = oVar.a(i);
        if (a2 == -1) {
            Log.w("GridLayoutManager", "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i);
            return 0;
        }
        return this.f2258a.a(a2, this.j);
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView.s sVar) {
        super.a(sVar);
        this.m = false;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView recyclerView, int i, int i2) {
        this.f2258a.a();
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView recyclerView, int i, int i2, Object obj) {
        this.f2258a.a();
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView recyclerView, int i, int i2, int i3) {
        this.f2258a.a();
    }

    public final void b(View view, int i, boolean z) {
        int i2;
        int i3;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        Rect rect = ((RecyclerView.LayoutParams) layoutParams).a;
        int i4 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
        int i5 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
        int a2 = a(layoutParams.a, layoutParams.b);
        if (((LinearLayoutManager) this).f == 1) {
            i3 = RecyclerView.i.a(a2, i, i5, ((ViewGroup.MarginLayoutParams) layoutParams).width, false);
            i2 = RecyclerView.i.a(((LinearLayoutManager) this).f2273a.g(), d(), i4, ((ViewGroup.MarginLayoutParams) layoutParams).height, true);
        } else {
            int a3 = RecyclerView.i.a(a2, i, i4, ((ViewGroup.MarginLayoutParams) layoutParams).height, false);
            int a4 = RecyclerView.i.a(((LinearLayoutManager) this).f2273a.g(), m(), i5, ((ViewGroup.MarginLayoutParams) layoutParams).width, true);
            i2 = a3;
            i3 = a4;
        }
        a(view, i3, i2, z);
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public RecyclerView.LayoutParams a() {
        if (((LinearLayoutManager) this).f == 0) {
            return new LayoutParams(-2, -1);
        }
        return new LayoutParams(-1, -2);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public RecyclerView.LayoutParams a(Context context, AttributeSet attributeSet) {
        return new LayoutParams(context, attributeSet);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public RecyclerView.LayoutParams a(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean a(RecyclerView.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(Rect rect, int i, int i2) {
        int a2;
        int a3;
        if (this.f2260a == null) {
            super.a(rect, i, i2);
        }
        int i3 = i() + j();
        int k = k() + h();
        if (((LinearLayoutManager) this).f == 1) {
            a3 = RecyclerView.i.a(i2, rect.height() + k, f());
            int[] iArr = this.f2260a;
            a2 = RecyclerView.i.a(i, iArr[iArr.length - 1] + i3, g());
        } else {
            a2 = RecyclerView.i.a(i, rect.width() + i3, g());
            int[] iArr2 = this.f2260a;
            a3 = RecyclerView.i.a(i2, iArr2[iArr2.length - 1] + k, f());
        }
        c(a2, a3);
    }

    public static int[] a(int[] iArr, int i, int i2) {
        int i3;
        if (iArr == null || iArr.length != i + 1 || iArr[iArr.length - 1] != i2) {
            iArr = new int[i + 1];
        }
        int i4 = 0;
        iArr[0] = 0;
        int i5 = i2 / i;
        int i6 = i2 % i;
        int i7 = 0;
        for (int i8 = 1; i8 <= i; i8++) {
            i4 += i6;
            if (i4 <= 0 || i - i4 >= i6) {
                i3 = i5;
            } else {
                i3 = i5 + 1;
                i4 -= i;
            }
            i7 += i3;
            iArr[i8] = i7;
        }
        return iArr;
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public int a(int i, int i2) {
        if (((LinearLayoutManager) this).f == 1 && k()) {
            int[] iArr = this.f2260a;
            int i3 = this.j;
            return iArr[i3 - i] - iArr[(i3 - i) - i2];
        }
        int[] iArr2 = this.f2260a;
        return iArr2[i2 + i] - iArr2[i];
    }

    @Override // android.support.v7.widget.LinearLayoutManager
    public void a(RecyclerView.o oVar, RecyclerView.s sVar, LinearLayoutManager.a aVar, int i) {
        super.a(oVar, sVar, aVar, i);
        i();
        if (sVar.a() > 0 && !sVar.m1009b()) {
            b(oVar, sVar, aVar, i);
        }
        h();
    }

    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    public int a(int i, RecyclerView.o oVar, RecyclerView.s sVar) {
        i();
        h();
        return super.a(i, oVar, sVar);
    }

    @Override // android.support.v7.widget.LinearLayoutManager
    public View a(RecyclerView.o oVar, RecyclerView.s sVar, int i, int i2, int i3) {
        d();
        int f = ((LinearLayoutManager) this).f2273a.f();
        int b2 = ((LinearLayoutManager) this).f2273a.b();
        int i4 = i2 > i ? 1 : -1;
        View view = null;
        View view2 = null;
        while (i != i2) {
            View b3 = b(i);
            int i5 = i(b3);
            if (i5 >= 0 && i5 < i3 && b(oVar, sVar, i5) == 0) {
                if (((RecyclerView.LayoutParams) b3.getLayoutParams()).b()) {
                    if (view2 == null) {
                        view2 = b3;
                    }
                } else if (((LinearLayoutManager) this).f2273a.d(b3) < b2 && ((LinearLayoutManager) this).f2273a.a(b3) >= f) {
                    return b3;
                } else {
                    if (view == null) {
                        view = b3;
                    }
                }
            }
            i += i4;
        }
        return view != null ? view : view2;
    }

    public final int a(RecyclerView.o oVar, RecyclerView.s sVar, int i) {
        if (!sVar.m1009b()) {
            return this.f2258a.b(i, this.j);
        }
        int a2 = oVar.a(i);
        if (a2 == -1) {
            Log.w("GridLayoutManager", "Cannot find span size for pre layout position. " + i);
            return 0;
        }
        return this.f2258a.b(a2, this.j);
    }

    @Override // android.support.v7.widget.LinearLayoutManager
    public void a(RecyclerView.s sVar, LinearLayoutManager.c cVar, RecyclerView.i.a aVar) {
        int i = this.j;
        for (int i2 = 0; i2 < this.j && cVar.a(sVar) && i > 0; i2++) {
            int i3 = cVar.c;
            aVar.a(i3, Math.max(0, cVar.f));
            i -= this.f2258a.a(i3);
            cVar.c += cVar.d;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:37:0x00a1, code lost:
        r22.f2281a = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x00a3, code lost:
        return;
     */
    @Override // android.support.v7.widget.LinearLayoutManager
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void a(RecyclerView.o oVar, RecyclerView.s sVar, LinearLayoutManager.c cVar, LinearLayoutManager.b bVar) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int a2;
        int i7;
        boolean z;
        View a3;
        int e = ((LinearLayoutManager) this).f2273a.e();
        boolean z2 = e != 1073741824;
        int i8 = b() > 0 ? this.f2260a[this.j] : 0;
        if (z2) {
            i();
        }
        boolean z3 = cVar.d == 1;
        int i9 = this.j;
        if (!z3) {
            i9 = b(oVar, sVar, cVar.c) + c(oVar, sVar, cVar.c);
        }
        int i10 = 0;
        int i11 = 0;
        while (i11 < this.j && cVar.a(sVar) && i9 > 0) {
            int i12 = cVar.c;
            int c = c(oVar, sVar, i12);
            if (c > this.j) {
                throw new IllegalArgumentException("Item at position " + i12 + " requires " + c + " spans but GridLayoutManager has only " + this.j + " spans.");
            }
            i9 -= c;
            if (i9 < 0 || (a3 = cVar.a(oVar)) == null) {
                break;
            }
            i10 += c;
            this.f2261a[i11] = a3;
            i11++;
        }
        float f = 0.0f;
        int i13 = i11;
        a(oVar, sVar, i11, i10, z3);
        int i14 = 0;
        for (int i15 = 0; i15 < i13; i15++) {
            View view = this.f2261a[i15];
            if (cVar.f2282a != null) {
                z = false;
                if (z3) {
                    m968a(view);
                } else {
                    m969a(view, 0);
                }
            } else if (z3) {
                m976b(view);
                z = false;
            } else {
                z = false;
                b(view, 0);
            }
            a(view, this.a);
            b(view, e, z);
            int b2 = ((LinearLayoutManager) this).f2273a.b(view);
            if (b2 > i14) {
                i14 = b2;
            }
            float c2 = (((LinearLayoutManager) this).f2273a.c(view) * 1.0f) / ((LayoutParams) view.getLayoutParams()).b;
            if (c2 > f) {
                f = c2;
            }
        }
        if (z2) {
            a(f, i8);
            i14 = 0;
            for (int i16 = 0; i16 < i13; i16++) {
                View view2 = this.f2261a[i16];
                b(view2, 1073741824, true);
                int b3 = ((LinearLayoutManager) this).f2273a.b(view2);
                if (b3 > i14) {
                    i14 = b3;
                }
            }
        }
        for (int i17 = 0; i17 < i13; i17++) {
            View view3 = this.f2261a[i17];
            if (((LinearLayoutManager) this).f2273a.b(view3) != i14) {
                LayoutParams layoutParams = (LayoutParams) view3.getLayoutParams();
                Rect rect = ((RecyclerView.LayoutParams) layoutParams).a;
                int i18 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
                int i19 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
                int a4 = a(layoutParams.a, layoutParams.b);
                if (((LinearLayoutManager) this).f == 1) {
                    i7 = RecyclerView.i.a(a4, 1073741824, i19, ((ViewGroup.MarginLayoutParams) layoutParams).width, false);
                    a2 = View.MeasureSpec.makeMeasureSpec(i14 - i18, 1073741824);
                } else {
                    int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i14 - i19, 1073741824);
                    a2 = RecyclerView.i.a(a4, 1073741824, i18, ((ViewGroup.MarginLayoutParams) layoutParams).height, false);
                    i7 = makeMeasureSpec;
                }
                a(view3, i7, a2, true);
            }
        }
        int i20 = 0;
        bVar.a = i14;
        if (((LinearLayoutManager) this).f == 1) {
            if (cVar.e == -1) {
                int i21 = cVar.a;
                i4 = i21;
                i3 = i21 - i14;
            } else {
                int i22 = cVar.a;
                i3 = i22;
                i4 = i14 + i22;
            }
            i = 0;
            i2 = 0;
        } else if (cVar.e == -1) {
            int i23 = cVar.a;
            int i24 = i23 - i14;
            i3 = 0;
            i4 = 0;
            i2 = i23;
            i = i24;
        } else {
            i = cVar.a;
            i2 = i14 + i;
            i3 = 0;
            i4 = 0;
        }
        while (i20 < i13) {
            View view4 = this.f2261a[i20];
            LayoutParams layoutParams2 = (LayoutParams) view4.getLayoutParams();
            if (((LinearLayoutManager) this).f == 1) {
                if (k()) {
                    int i25 = i() + this.f2260a[this.j - layoutParams2.a];
                    i6 = i25;
                    i5 = i25 - ((LinearLayoutManager) this).f2273a.c(view4);
                    int i26 = i3;
                    int i27 = i4;
                    a(view4, i5, i26, i6, i27);
                    if (!layoutParams2.b() || layoutParams2.m946a()) {
                        bVar.b = true;
                    }
                    bVar.c |= view4.hasFocusable();
                    i20++;
                    i = i5;
                    i3 = i26;
                    i2 = i6;
                    i4 = i27;
                } else {
                    i = i() + this.f2260a[layoutParams2.a];
                    i2 = ((LinearLayoutManager) this).f2273a.c(view4) + i;
                }
            } else {
                i3 = k() + this.f2260a[layoutParams2.a];
                i4 = ((LinearLayoutManager) this).f2273a.c(view4) + i3;
            }
            i5 = i;
            i6 = i2;
            int i262 = i3;
            int i272 = i4;
            a(view4, i5, i262, i6, i272);
            if (!layoutParams2.b()) {
            }
            bVar.b = true;
            bVar.c |= view4.hasFocusable();
            i20++;
            i = i5;
            i3 = i262;
            i2 = i6;
            i4 = i272;
        }
        Arrays.fill(this.f2261a, (Object) null);
    }

    public final void a(float f, int i) {
        h(Math.max(Math.round(f * this.j), i));
    }

    public final void a(View view, int i, int i2, boolean z) {
        boolean a2;
        RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) view.getLayoutParams();
        if (z) {
            a2 = b(view, i, i2, layoutParams);
        } else {
            a2 = a(view, i, i2, layoutParams);
        }
        if (a2) {
            view.measure(i, i2);
        }
    }

    public final void a(RecyclerView.o oVar, RecyclerView.s sVar, int i, int i2, boolean z) {
        int i3;
        int i4;
        int i5 = 0;
        int i6 = -1;
        if (z) {
            i6 = i;
            i3 = 0;
            i4 = 1;
        } else {
            i3 = i - 1;
            i4 = -1;
        }
        while (i3 != i6) {
            View view = this.f2261a[i3];
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            layoutParams.b = c(oVar, sVar, i(view));
            layoutParams.a = i5;
            i5 += layoutParams.b;
            i3 += i4;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:59:0x00d7, code lost:
        if (r13 == (r2 > r8)) goto L65;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x00f7, code lost:
        if (r13 == (r2 > r10)) goto L51;
     */
    /* JADX WARN: Removed duplicated region for block: B:79:0x0105  */
    @Override // android.support.v7.widget.LinearLayoutManager, android.support.v7.widget.RecyclerView.i
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public View a(View view, int i, RecyclerView.o oVar, RecyclerView.s sVar) {
        int b2;
        int i2;
        int i3;
        View view2;
        View view3;
        int i4;
        int i5;
        boolean z;
        int i6;
        int i7;
        RecyclerView.o oVar2 = oVar;
        RecyclerView.s sVar2 = sVar;
        View m963a = m963a(view);
        View view4 = null;
        if (m963a == null) {
            return null;
        }
        LayoutParams layoutParams = (LayoutParams) m963a.getLayoutParams();
        int i8 = layoutParams.a;
        int i9 = layoutParams.b + i8;
        if (super.a(view, i, oVar, sVar) == null) {
            return null;
        }
        if ((a(i) == 1) != ((LinearLayoutManager) this).f2276i) {
            i2 = b() - 1;
            b2 = -1;
            i3 = -1;
        } else {
            b2 = b();
            i2 = 0;
            i3 = 1;
        }
        boolean z2 = ((LinearLayoutManager) this).f == 1 && k();
        int a2 = a(oVar2, sVar2, i2);
        View view5 = null;
        int i10 = -1;
        int i11 = 0;
        int i12 = 0;
        int i13 = -1;
        while (i2 != b2) {
            int a3 = a(oVar2, sVar2, i2);
            View b3 = b(i2);
            if (b3 == m963a) {
                break;
            }
            if (!b3.hasFocusable() || a3 == a2) {
                LayoutParams layoutParams2 = (LayoutParams) b3.getLayoutParams();
                int i14 = layoutParams2.a;
                view2 = m963a;
                int i15 = layoutParams2.b + i14;
                if (b3.hasFocusable() && i14 == i8 && i15 == i9) {
                    return b3;
                }
                if (!(b3.hasFocusable() && view4 == null) && (b3.hasFocusable() || view5 != null)) {
                    view3 = view5;
                    int min = Math.min(i15, i9) - Math.max(i14, i8);
                    if (b3.hasFocusable()) {
                        if (min <= i11) {
                            if (min == i11) {
                            }
                        }
                        i4 = i10;
                    } else if (view4 == null) {
                        i4 = i10;
                        i5 = b2;
                        if (a(b3, false, true)) {
                            i6 = i12;
                            if (min > i6) {
                                i7 = i13;
                                if (z) {
                                    if (b3.hasFocusable()) {
                                        int i16 = layoutParams2.a;
                                        i11 = Math.min(i15, i9) - Math.max(i14, i8);
                                        i12 = i6;
                                        i13 = i7;
                                        view5 = view3;
                                        i10 = i16;
                                        view4 = b3;
                                    } else {
                                        int i17 = layoutParams2.a;
                                        view5 = b3;
                                        i12 = Math.min(i15, i9) - Math.max(i14, i8);
                                        i13 = i17;
                                        i10 = i4;
                                    }
                                    i2 += i3;
                                    oVar2 = oVar;
                                    sVar2 = sVar;
                                    m963a = view2;
                                    b2 = i5;
                                }
                            } else {
                                if (min == i6) {
                                    i7 = i13;
                                }
                                i7 = i13;
                                z = false;
                                if (z) {
                                }
                            }
                        }
                        i6 = i12;
                        i7 = i13;
                        z = false;
                        if (z) {
                        }
                    }
                    i4 = i10;
                    i5 = b2;
                    i6 = i12;
                    i7 = i13;
                    z = false;
                    if (z) {
                    }
                } else {
                    i4 = i10;
                    view3 = view5;
                }
                i5 = b2;
                i6 = i12;
                i7 = i13;
                z = true;
                if (z) {
                }
            } else if (view4 != null) {
                break;
            } else {
                view2 = m963a;
                i4 = i10;
                view3 = view5;
                i5 = b2;
                i6 = i12;
                i7 = i13;
            }
            i12 = i6;
            i13 = i7;
            i10 = i4;
            view5 = view3;
            i2 += i3;
            oVar2 = oVar;
            sVar2 = sVar;
            m963a = view2;
            b2 = i5;
        }
        return view4 != null ? view4 : view5;
    }
}
