package android.support.v7.widget;

import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.view.AbsSavedState;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.TouchDelegate;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import android.widget.TextView;
import com.sohu.inputmethod.sogou.leakanalysis.BuildConfig;
import java.lang.reflect.Method;
import java.util.WeakHashMap;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class SearchView extends LinearLayoutCompat implements InterfaceC0032Cg {
    public static final a a = new a();

    /* renamed from: a  reason: collision with other field name */
    public AbstractC0184Ye f2436a;

    /* renamed from: a  reason: collision with other field name */
    public SearchableInfo f2437a;

    /* renamed from: a  reason: collision with other field name */
    public final Intent f2438a;

    /* renamed from: a  reason: collision with other field name */
    public Rect f2439a;

    /* renamed from: a  reason: collision with other field name */
    public Bundle f2440a;

    /* renamed from: a  reason: collision with other field name */
    public final SearchAutoComplete f2441a;

    /* renamed from: a  reason: collision with other field name */
    public b f2442a;

    /* renamed from: a  reason: collision with other field name */
    public c f2443a;

    /* renamed from: a  reason: collision with other field name */
    public d f2444a;

    /* renamed from: a  reason: collision with other field name */
    public e f2445a;

    /* renamed from: a  reason: collision with other field name */
    public TextWatcher f2446a;

    /* renamed from: a  reason: collision with other field name */
    public View.OnClickListener f2447a;

    /* renamed from: a  reason: collision with other field name */
    public View.OnFocusChangeListener f2448a;

    /* renamed from: a  reason: collision with other field name */
    public View.OnKeyListener f2449a;

    /* renamed from: a  reason: collision with other field name */
    public final View f2450a;

    /* renamed from: a  reason: collision with other field name */
    public final AdapterView.OnItemClickListener f2451a;

    /* renamed from: a  reason: collision with other field name */
    public final AdapterView.OnItemSelectedListener f2452a;

    /* renamed from: a  reason: collision with other field name */
    public final ImageView f2453a;

    /* renamed from: a  reason: collision with other field name */
    public final TextView.OnEditorActionListener f2454a;

    /* renamed from: a  reason: collision with other field name */
    public final CharSequence f2455a;

    /* renamed from: a  reason: collision with other field name */
    public final Runnable f2456a;

    /* renamed from: a  reason: collision with other field name */
    public final WeakHashMap<String, Drawable.ConstantState> f2457a;
    public final Intent b;

    /* renamed from: b  reason: collision with other field name */
    public Rect f2458b;

    /* renamed from: b  reason: collision with other field name */
    public final Drawable f2459b;

    /* renamed from: b  reason: collision with other field name */
    public final View.OnClickListener f2460b;

    /* renamed from: b  reason: collision with other field name */
    public final View f2461b;

    /* renamed from: b  reason: collision with other field name */
    public final ImageView f2462b;

    /* renamed from: b  reason: collision with other field name */
    public CharSequence f2463b;

    /* renamed from: b  reason: collision with other field name */
    public Runnable f2464b;
    public final View c;

    /* renamed from: c  reason: collision with other field name */
    public final ImageView f2465c;

    /* renamed from: c  reason: collision with other field name */
    public CharSequence f2466c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2467c;

    /* renamed from: c  reason: collision with other field name */
    public int[] f2468c;
    public final View d;

    /* renamed from: d  reason: collision with other field name */
    public final ImageView f2469d;

    /* renamed from: d  reason: collision with other field name */
    public CharSequence f2470d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2471d;

    /* renamed from: d  reason: collision with other field name */
    public int[] f2472d;
    public final ImageView e;

    /* renamed from: e  reason: collision with other field name */
    public boolean f2473e;
    public boolean f;
    public boolean g;
    public boolean h;
    public boolean i;
    public final int j;
    public final int k;
    public int l;
    public int m;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new Vi();
        public boolean a;

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "SearchView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " isIconified=" + this.a + "}";
        }

        @Override // android.support.v4.view.AbsSavedState, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeValue(Boolean.valueOf(this.a));
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.a = ((Boolean) parcel.readValue(null)).booleanValue();
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class SearchAutoComplete extends AppCompatAutoCompleteTextView {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public SearchView f2474a;

        /* renamed from: a  reason: collision with other field name */
        public final Runnable f2475a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f2476a;

        public SearchAutoComplete(Context context) {
            this(context, null);
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int i = configuration.screenWidthDp;
            int i2 = configuration.screenHeightDp;
            if (i < 960 || i2 < 720 || configuration.orientation != 2) {
                if (i < 600) {
                    return (i < 640 || i2 < 480) ? 160 : 192;
                }
                return 192;
            }
            return 256;
        }

        /* renamed from: a  reason: collision with other method in class */
        public boolean m1029a() {
            return TextUtils.getTrimmedLength(getText()) == 0;
        }

        @Override // android.widget.AutoCompleteTextView
        public boolean enoughToFilter() {
            return this.a <= 0 || super.enoughToFilter();
        }

        @Override // android.support.v7.widget.AppCompatAutoCompleteTextView, android.widget.TextView, android.view.View
        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.f2476a) {
                removeCallbacks(this.f2475a);
                post(this.f2475a);
            }
            return onCreateInputConnection;
        }

        @Override // android.view.View
        public void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public void onFocusChanged(boolean z, int i, Rect rect) {
            super.onFocusChanged(z, i, rect);
            this.f2474a.g();
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public boolean onKeyPreIme(int i, KeyEvent keyEvent) {
            if (i == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f2474a.clearFocus();
                        setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i, keyEvent);
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public void onWindowFocusChanged(boolean z) {
            super.onWindowFocusChanged(z);
            if (z && this.f2474a.hasFocus() && getVisibility() == 0) {
                this.f2476a = true;
                if (SearchView.a(getContext())) {
                    SearchView.a.a(this, true);
                }
            }
        }

        @Override // android.widget.AutoCompleteTextView
        public void performCompletion() {
        }

        @Override // android.widget.AutoCompleteTextView
        public void replaceText(CharSequence charSequence) {
        }

        public void setImeVisibility(boolean z) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z) {
                this.f2476a = false;
                removeCallbacks(this.f2475a);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (inputMethodManager.isActive(this)) {
                this.f2476a = false;
                removeCallbacks(this.f2475a);
                inputMethodManager.showSoftInput(this, 0);
            } else {
                this.f2476a = true;
            }
        }

        public void setSearchView(SearchView searchView) {
            this.f2474a = searchView;
        }

        @Override // android.widget.AutoCompleteTextView
        public void setThreshold(int i) {
            super.setThreshold(i);
            this.a = i;
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, C0425gg.autoCompleteTextViewStyle);
        }

        public void a() {
            if (this.f2476a) {
                ((InputMethodManager) getContext().getSystemService("input_method")).showSoftInput(this, 0);
                this.f2476a = false;
            }
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
            this.f2475a = new Wi(this);
            this.a = getThreshold();
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface b {
        boolean onClose();
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface c {
        boolean onQueryTextChange(String str);

        boolean onQueryTextSubmit(String str);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public interface d {
        boolean onSuggestionClick(int i);

        boolean onSuggestionSelect(int i);
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    private static class e extends TouchDelegate {
        public final int a;

        /* renamed from: a  reason: collision with other field name */
        public final Rect f2477a;

        /* renamed from: a  reason: collision with other field name */
        public final View f2478a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f2479a;
        public final Rect b;
        public final Rect c;

        public e(Rect rect, Rect rect2, View view) {
            super(rect, view);
            this.a = ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
            this.f2477a = new Rect();
            this.c = new Rect();
            this.b = new Rect();
            a(rect, rect2);
            this.f2478a = view;
        }

        public void a(Rect rect, Rect rect2) {
            this.f2477a.set(rect);
            this.c.set(rect);
            Rect rect3 = this.c;
            int i = this.a;
            rect3.inset(-i, -i);
            this.b.set(rect2);
        }

        @Override // android.view.TouchDelegate
        public boolean onTouchEvent(MotionEvent motionEvent) {
            boolean z;
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            int action = motionEvent.getAction();
            boolean z2 = true;
            if (action == 0) {
                if (this.f2477a.contains(x, y)) {
                    this.f2479a = true;
                    z = true;
                }
                z = false;
            } else if (action == 1 || action == 2) {
                z = this.f2479a;
                if (z && !this.c.contains(x, y)) {
                    z2 = false;
                }
            } else {
                if (action == 3) {
                    z = this.f2479a;
                    this.f2479a = false;
                }
                z = false;
            }
            if (z) {
                if (z2 && !this.b.contains(x, y)) {
                    motionEvent.setLocation(this.f2478a.getWidth() / 2, this.f2478a.getHeight() / 2);
                } else {
                    Rect rect = this.b;
                    motionEvent.setLocation(x - rect.left, y - rect.top);
                }
                return this.f2478a.dispatchTouchEvent(motionEvent);
            }
            return false;
        }
    }

    public SearchView(Context context) {
        this(context, null);
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(C0529jg.abc_search_view_preferred_height);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(C0529jg.abc_search_view_preferred_width);
    }

    private void setQuery(CharSequence charSequence) {
        this.f2441a.setText(charSequence);
        this.f2441a.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    public void a(CharSequence charSequence, boolean z) {
        this.f2441a.setText(charSequence);
        if (charSequence != null) {
            SearchAutoComplete searchAutoComplete = this.f2441a;
            searchAutoComplete.setSelection(searchAutoComplete.length());
            this.f2470d = charSequence;
        }
        if (!z || TextUtils.isEmpty(charSequence)) {
            return;
        }
        f();
    }

    /* renamed from: b  reason: collision with other method in class */
    public boolean m1027b() {
        return this.f2471d;
    }

    /* renamed from: c  reason: collision with other method in class */
    public final boolean m1028c() {
        return (this.f2473e || this.h) && !m1027b();
    }

    @Override // android.view.ViewGroup, android.view.View
    public void clearFocus() {
        this.g = true;
        super.clearFocus();
        this.f2441a.clearFocus();
        this.f2441a.setImeVisibility(false);
        this.g = false;
    }

    public void d() {
        if (TextUtils.isEmpty(this.f2441a.getText())) {
            if (this.f2467c) {
                b bVar = this.f2442a;
                if (bVar == null || !bVar.onClose()) {
                    clearFocus();
                    b(true);
                    return;
                }
                return;
            }
            return;
        }
        this.f2441a.setText(BuildConfig.FLAVOR);
        this.f2441a.requestFocus();
        this.f2441a.setImeVisibility(true);
    }

    public void e() {
        b(false);
        this.f2441a.requestFocus();
        this.f2441a.setImeVisibility(true);
        View.OnClickListener onClickListener = this.f2447a;
        if (onClickListener != null) {
            onClickListener.onClick(this);
        }
    }

    public void f() {
        Editable text = this.f2441a.getText();
        if (text == null || TextUtils.getTrimmedLength(text) <= 0) {
            return;
        }
        c cVar = this.f2443a;
        if (cVar == null || !cVar.onQueryTextSubmit(text.toString())) {
            if (this.f2437a != null) {
                a(0, (String) null, text.toString());
            }
            this.f2441a.setImeVisibility(false);
            b();
        }
    }

    public void g() {
        b(m1027b());
        i();
        if (this.f2441a.hasFocus()) {
            c();
        }
    }

    public int getImeOptions() {
        return this.f2441a.getImeOptions();
    }

    public int getInputType() {
        return this.f2441a.getInputType();
    }

    public int getMaxWidth() {
        return this.l;
    }

    public CharSequence getQuery() {
        return this.f2441a.getText();
    }

    public CharSequence getQueryHint() {
        CharSequence charSequence = this.f2463b;
        if (charSequence != null) {
            return charSequence;
        }
        SearchableInfo searchableInfo = this.f2437a;
        if (searchableInfo != null && searchableInfo.getHintId() != 0) {
            return getContext().getText(this.f2437a.getHintId());
        }
        return this.f2455a;
    }

    public int getSuggestionCommitIconResId() {
        return this.k;
    }

    public int getSuggestionRowLayout() {
        return this.j;
    }

    public AbstractC0184Ye getSuggestionsAdapter() {
        return this.f2436a;
    }

    public void h() {
        SearchableInfo searchableInfo = this.f2437a;
        if (searchableInfo == null) {
            return;
        }
        try {
            if (searchableInfo.getVoiceSearchLaunchWebSearch()) {
                getContext().startActivity(b(this.f2438a, searchableInfo));
            } else if (searchableInfo.getVoiceSearchLaunchRecognizer()) {
                getContext().startActivity(a(this.b, searchableInfo));
            }
        } catch (ActivityNotFoundException unused) {
            Log.w("SearchView", "Could not find voice search activity");
        }
    }

    public final void i() {
        post(this.f2456a);
    }

    public final void j() {
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.f2441a.getText());
        if (!z2 && (!this.f2467c || this.i)) {
            z = false;
        }
        this.f2465c.setVisibility(z ? 0 : 8);
        Drawable drawable = this.f2465c.getDrawable();
        if (drawable != null) {
            drawable.setState(z2 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    public void k() {
        int[] iArr = this.f2441a.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.f2461b.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.c.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    public final void l() {
        CharSequence queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.f2441a;
        if (queryHint == null) {
            queryHint = BuildConfig.FLAVOR;
        }
        searchAutoComplete.setHint(a(queryHint));
    }

    public final void m() {
        this.f2441a.setThreshold(this.f2437a.getSuggestThreshold());
        this.f2441a.setImeOptions(this.f2437a.getImeOptions());
        int inputType = this.f2437a.getInputType();
        if ((inputType & 15) == 1) {
            inputType &= -65537;
            if (this.f2437a.getSuggestAuthority() != null) {
                inputType = inputType | 65536 | 524288;
            }
        }
        this.f2441a.setInputType(inputType);
        AbstractC0184Ye abstractC0184Ye = this.f2436a;
        if (abstractC0184Ye != null) {
            abstractC0184Ye.a((Cursor) null);
        }
        if (this.f2437a.getSuggestAuthority() != null) {
            this.f2436a = new View$OnClickListenerC0219aj(getContext(), this, this.f2437a, this.f2457a);
            this.f2441a.setAdapter(this.f2436a);
            ((View$OnClickListenerC0219aj) this.f2436a).a(this.f ? 2 : 1);
        }
    }

    public final void n() {
        this.c.setVisibility((m1028c() && (this.f2462b.getVisibility() == 0 || this.f2469d.getVisibility() == 0)) ? 0 : 8);
    }

    @Override // defpackage.InterfaceC0032Cg
    public void onActionViewCollapsed() {
        a(BuildConfig.FLAVOR, false);
        clearFocus();
        b(true);
        this.f2441a.setImeOptions(this.m);
        this.i = false;
    }

    @Override // defpackage.InterfaceC0032Cg
    public void onActionViewExpanded() {
        if (this.i) {
            return;
        }
        this.i = true;
        this.m = this.f2441a.getImeOptions();
        this.f2441a.setImeOptions(this.m | 33554432);
        this.f2441a.setText(BuildConfig.FLAVOR);
        setIconified(false);
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        removeCallbacks(this.f2456a);
        post(this.f2464b);
        super.onDetachedFromWindow();
    }

    @Override // android.support.v7.widget.LinearLayoutCompat, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (z) {
            a(this.f2441a, this.f2439a);
            Rect rect = this.f2458b;
            Rect rect2 = this.f2439a;
            rect.set(rect2.left, 0, rect2.right, i4 - i2);
            e eVar = this.f2445a;
            if (eVar == null) {
                this.f2445a = new e(this.f2458b, this.f2439a, this.f2441a);
                setTouchDelegate(this.f2445a);
                return;
            }
            eVar.a(this.f2458b, this.f2439a);
        }
    }

    @Override // android.support.v7.widget.LinearLayoutCompat, android.view.View
    public void onMeasure(int i, int i2) {
        int i3;
        if (m1027b()) {
            super.onMeasure(i, i2);
            return;
        }
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        if (mode == Integer.MIN_VALUE) {
            int i4 = this.l;
            size = i4 > 0 ? Math.min(i4, size) : Math.min(getPreferredWidth(), size);
        } else if (mode == 0) {
            size = this.l;
            if (size <= 0) {
                size = getPreferredWidth();
            }
        } else if (mode == 1073741824 && (i3 = this.l) > 0) {
            size = Math.min(i3, size);
        }
        int mode2 = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        if (mode2 == Integer.MIN_VALUE) {
            size2 = Math.min(getPreferredHeight(), size2);
        } else if (mode2 == 0) {
            size2 = getPreferredHeight();
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
    }

    @Override // android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        b(savedState.a);
        requestLayout();
    }

    @Override // android.view.View
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.a = m1027b();
        return savedState;
    }

    @Override // android.view.View
    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        i();
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean requestFocus(int i, Rect rect) {
        if (!this.g && isFocusable()) {
            if (!m1027b()) {
                boolean requestFocus = this.f2441a.requestFocus(i, rect);
                if (requestFocus) {
                    b(false);
                }
                return requestFocus;
            }
            return super.requestFocus(i, rect);
        }
        return false;
    }

    public void setAppSearchData(Bundle bundle) {
        this.f2440a = bundle;
    }

    public void setIconified(boolean z) {
        if (z) {
            d();
        } else {
            e();
        }
    }

    public void setIconifiedByDefault(boolean z) {
        if (this.f2467c == z) {
            return;
        }
        this.f2467c = z;
        b(z);
        l();
    }

    public void setImeOptions(int i) {
        this.f2441a.setImeOptions(i);
    }

    public void setInputType(int i) {
        this.f2441a.setInputType(i);
    }

    public void setMaxWidth(int i) {
        this.l = i;
        requestLayout();
    }

    public void setOnCloseListener(b bVar) {
        this.f2442a = bVar;
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.f2448a = onFocusChangeListener;
    }

    public void setOnQueryTextListener(c cVar) {
        this.f2443a = cVar;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.f2447a = onClickListener;
    }

    public void setOnSuggestionListener(d dVar) {
        this.f2444a = dVar;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.f2463b = charSequence;
        l();
    }

    public void setQueryRefinementEnabled(boolean z) {
        this.f = z;
        AbstractC0184Ye abstractC0184Ye = this.f2436a;
        if (abstractC0184Ye instanceof View$OnClickListenerC0219aj) {
            ((View$OnClickListenerC0219aj) abstractC0184Ye).a(z ? 2 : 1);
        }
    }

    public void setSearchableInfo(SearchableInfo searchableInfo) {
        this.f2437a = searchableInfo;
        if (this.f2437a != null) {
            m();
            l();
        }
        this.h = a();
        if (this.h) {
            this.f2441a.setPrivateImeOptions("nm");
        }
        b(m1027b());
    }

    public void setSubmitButtonEnabled(boolean z) {
        this.f2473e = z;
        b(m1027b());
    }

    public void setSuggestionsAdapter(AbstractC0184Ye abstractC0184Ye) {
        this.f2436a = abstractC0184Ye;
        this.f2441a.setAdapter(this.f2436a);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class a {
        public Method a;
        public Method b;
        public Method c;

        public a() {
            try {
                this.a = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", new Class[0]);
                this.a.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                this.b = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", new Class[0]);
                this.b.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            try {
                this.c = AutoCompleteTextView.class.getMethod("ensureImeVisible", Boolean.TYPE);
                this.c.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
        }

        public void a(AutoCompleteTextView autoCompleteTextView) {
            Method method = this.b;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        public void b(AutoCompleteTextView autoCompleteTextView) {
            Method method = this.a;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        public void a(AutoCompleteTextView autoCompleteTextView, boolean z) {
            Method method = this.c;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, Boolean.valueOf(z));
                } catch (Exception unused) {
                }
            }
        }
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0425gg.searchViewStyle);
    }

    public final void b(boolean z) {
        this.f2471d = z;
        int i = 8;
        int i2 = z ? 0 : 8;
        boolean z2 = !TextUtils.isEmpty(this.f2441a.getText());
        this.f2453a.setVisibility(i2);
        a(z2);
        this.f2450a.setVisibility(z ? 8 : 0);
        if (this.e.getDrawable() != null && !this.f2467c) {
            i = 0;
        }
        this.e.setVisibility(i);
        j();
        c(z2 ? false : true);
        n();
    }

    public final void c(boolean z) {
        int i;
        if (this.h && !m1027b() && z) {
            i = 0;
            this.f2462b.setVisibility(8);
        } else {
            i = 8;
        }
        this.f2469d.setVisibility(i);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2439a = new Rect();
        this.f2458b = new Rect();
        this.f2468c = new int[2];
        this.f2472d = new int[2];
        this.f2456a = new Mi(this);
        this.f2464b = new Ni(this);
        this.f2457a = new WeakHashMap<>();
        this.f2460b = new Qi(this);
        this.f2449a = new Ri(this);
        this.f2454a = new Si(this);
        this.f2451a = new Ti(this);
        this.f2452a = new Ui(this);
        this.f2446a = new Li(this);
        C0463hj a2 = C0463hj.a(context, attributeSet, C0739pg.SearchView, i, 0);
        LayoutInflater.from(context).inflate(a2.g(C0739pg.SearchView_layout, C0634mg.abc_search_view), (ViewGroup) this, true);
        this.f2441a = (SearchAutoComplete) findViewById(C0599lg.search_src_text);
        this.f2441a.setSearchView(this);
        this.f2450a = findViewById(C0599lg.search_edit_frame);
        this.f2461b = findViewById(C0599lg.search_plate);
        this.c = findViewById(C0599lg.submit_area);
        this.f2453a = (ImageView) findViewById(C0599lg.search_button);
        this.f2462b = (ImageView) findViewById(C0599lg.search_go_btn);
        this.f2465c = (ImageView) findViewById(C0599lg.search_close_btn);
        this.f2469d = (ImageView) findViewById(C0599lg.search_voice_btn);
        this.e = (ImageView) findViewById(C0599lg.search_mag_icon);
        C0737pe.a(this.f2461b, a2.m1294a(C0739pg.SearchView_queryBackground));
        C0737pe.a(this.c, a2.m1294a(C0739pg.SearchView_submitBackground));
        this.f2453a.setImageDrawable(a2.m1294a(C0739pg.SearchView_searchIcon));
        this.f2462b.setImageDrawable(a2.m1294a(C0739pg.SearchView_goIcon));
        this.f2465c.setImageDrawable(a2.m1294a(C0739pg.SearchView_closeIcon));
        this.f2469d.setImageDrawable(a2.m1294a(C0739pg.SearchView_voiceIcon));
        this.e.setImageDrawable(a2.m1294a(C0739pg.SearchView_searchIcon));
        this.f2459b = a2.m1294a(C0739pg.SearchView_searchHintIcon);
        C0742pj.a(this.f2453a, getResources().getString(C0669ng.abc_searchview_description_search));
        this.j = a2.g(C0739pg.SearchView_suggestionRowLayout, C0634mg.abc_search_dropdown_item_icons_2line);
        this.k = a2.g(C0739pg.SearchView_commitIcon, 0);
        this.f2453a.setOnClickListener(this.f2460b);
        this.f2465c.setOnClickListener(this.f2460b);
        this.f2462b.setOnClickListener(this.f2460b);
        this.f2469d.setOnClickListener(this.f2460b);
        this.f2441a.setOnClickListener(this.f2460b);
        this.f2441a.addTextChangedListener(this.f2446a);
        this.f2441a.setOnEditorActionListener(this.f2454a);
        this.f2441a.setOnItemClickListener(this.f2451a);
        this.f2441a.setOnItemSelectedListener(this.f2452a);
        this.f2441a.setOnKeyListener(this.f2449a);
        this.f2441a.setOnFocusChangeListener(new Oi(this));
        setIconifiedByDefault(a2.a(C0739pg.SearchView_iconifiedByDefault, true));
        int c2 = a2.c(C0739pg.SearchView_android_maxWidth, -1);
        if (c2 != -1) {
            setMaxWidth(c2);
        }
        this.f2455a = a2.m1295a(C0739pg.SearchView_defaultQueryHint);
        this.f2463b = a2.m1295a(C0739pg.SearchView_queryHint);
        int d2 = a2.d(C0739pg.SearchView_android_imeOptions, -1);
        if (d2 != -1) {
            setImeOptions(d2);
        }
        int d3 = a2.d(C0739pg.SearchView_android_inputType, -1);
        if (d3 != -1) {
            setInputType(d3);
        }
        setFocusable(a2.a(C0739pg.SearchView_android_focusable, true));
        a2.a();
        this.f2438a = new Intent("android.speech.action.WEB_SEARCH");
        this.f2438a.addFlags(268435456);
        this.f2438a.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        this.b = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.b.addFlags(268435456);
        this.d = findViewById(this.f2441a.getDropDownAnchor());
        View view = this.d;
        if (view != null) {
            view.addOnLayoutChangeListener(new Pi(this));
        }
        b(this.f2467c);
        l();
    }

    public void c() {
        a.b(this.f2441a);
        a.a(this.f2441a);
    }

    public final void a(View view, Rect rect) {
        view.getLocationInWindow(this.f2468c);
        getLocationInWindow(this.f2472d);
        int[] iArr = this.f2468c;
        int i = iArr[1];
        int[] iArr2 = this.f2472d;
        int i2 = i - iArr2[1];
        int i3 = iArr[0] - iArr2[0];
        rect.set(i3, i2, view.getWidth() + i3, view.getHeight() + i2);
    }

    @Override // android.support.v7.widget.LinearLayoutCompat
    public final boolean a() {
        SearchableInfo searchableInfo = this.f2437a;
        if (searchableInfo == null || !searchableInfo.getVoiceSearchEnabled()) {
            return false;
        }
        Intent intent = null;
        if (this.f2437a.getVoiceSearchLaunchWebSearch()) {
            intent = this.f2438a;
        } else if (this.f2437a.getVoiceSearchLaunchRecognizer()) {
            intent = this.b;
        }
        return (intent == null || getContext().getPackageManager().resolveActivity(intent, 65536) == null) ? false : true;
    }

    public void b(CharSequence charSequence) {
        Editable text = this.f2441a.getText();
        this.f2470d = text;
        boolean z = !TextUtils.isEmpty(text);
        a(z);
        c(z ? false : true);
        j();
        n();
        if (this.f2443a != null && !TextUtils.equals(charSequence, this.f2466c)) {
            this.f2443a.onQueryTextChange(charSequence.toString());
        }
        this.f2466c = charSequence.toString();
    }

    public final void a(boolean z) {
        this.f2462b.setVisibility((this.f2473e && m1028c() && hasFocus() && (z || !this.h)) ? 0 : 8);
    }

    /* renamed from: a  reason: collision with other method in class */
    public void m1026a(CharSequence charSequence) {
        setQuery(charSequence);
    }

    public boolean a(View view, int i, KeyEvent keyEvent) {
        if (this.f2437a != null && this.f2436a != null && keyEvent.getAction() == 0 && keyEvent.hasNoModifiers()) {
            if (i == 66 || i == 84 || i == 61) {
                return b(this.f2441a.getListSelection(), 0, null);
            }
            if (i != 21 && i != 22) {
                if (i != 19 || this.f2441a.getListSelection() == 0) {
                    return false;
                }
            } else {
                this.f2441a.setSelection(i == 21 ? 0 : this.f2441a.length());
                this.f2441a.setListSelection(0);
                this.f2441a.clearListSelection();
                a.a(this.f2441a, true);
                return true;
            }
        }
        return false;
    }

    public final void b() {
        this.f2441a.dismissDropDown();
    }

    public boolean b(int i, int i2, String str) {
        d dVar = this.f2444a;
        if (dVar == null || !dVar.onSuggestionClick(i)) {
            a(i, 0, (String) null);
            this.f2441a.setImeVisibility(false);
            b();
            return true;
        }
        return false;
    }

    public boolean b(int i) {
        d dVar = this.f2444a;
        if (dVar == null || !dVar.onSuggestionSelect(i)) {
            a(i);
            return true;
        }
        return false;
    }

    public final Intent b(Intent intent, SearchableInfo searchableInfo) {
        Intent intent2 = new Intent(intent);
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        intent2.putExtra("calling_package", searchActivity == null ? null : searchActivity.flattenToShortString());
        return intent2;
    }

    public final CharSequence a(CharSequence charSequence) {
        if (!this.f2467c || this.f2459b == null) {
            return charSequence;
        }
        double textSize = this.f2441a.getTextSize();
        Double.isNaN(textSize);
        int i = (int) (textSize * 1.25d);
        this.f2459b.setBounds(0, 0, i, i);
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
        spannableStringBuilder.setSpan(new ImageSpan(this.f2459b), 1, 2, 33);
        spannableStringBuilder.append(charSequence);
        return spannableStringBuilder;
    }

    @Override // android.support.v7.widget.LinearLayoutCompat
    public void a() {
        int i;
        if (this.d.getWidth() > 1) {
            Resources resources = getContext().getResources();
            int paddingLeft = this.f2461b.getPaddingLeft();
            Rect rect = new Rect();
            boolean m1680a = C1014xj.m1680a((View) this);
            int dimensionPixelSize = this.f2467c ? resources.getDimensionPixelSize(C0529jg.abc_dropdownitem_icon_width) + resources.getDimensionPixelSize(C0529jg.abc_dropdownitem_text_padding_left) : 0;
            this.f2441a.getDropDownBackground().getPadding(rect);
            if (m1680a) {
                i = -rect.left;
            } else {
                i = paddingLeft - (rect.left + dimensionPixelSize);
            }
            this.f2441a.setDropDownHorizontalOffset(i);
            this.f2441a.setDropDownWidth((((this.d.getWidth() + rect.left) + rect.right) + dimensionPixelSize) - paddingLeft);
        }
    }

    @Override // android.support.v7.widget.LinearLayoutCompat
    public final void a(int i) {
        Editable text = this.f2441a.getText();
        Cursor a2 = this.f2436a.a();
        if (a2 == null) {
            return;
        }
        if (a2.moveToPosition(i)) {
            CharSequence convertToString = this.f2436a.convertToString(a2);
            if (convertToString != null) {
                setQuery(convertToString);
                return;
            } else {
                setQuery(text);
                return;
            }
        }
        setQuery(text);
    }

    public final boolean a(int i, int i2, String str) {
        Cursor a2 = this.f2436a.a();
        if (a2 == null || !a2.moveToPosition(i)) {
            return false;
        }
        a(a(a2, i2, str));
        return true;
    }

    public final void a(Intent intent) {
        if (intent == null) {
            return;
        }
        try {
            getContext().startActivity(intent);
        } catch (RuntimeException e2) {
            Log.e("SearchView", "Failed launch activity: " + intent, e2);
        }
    }

    public void a(int i, String str, String str2) {
        getContext().startActivity(a("android.intent.action.SEARCH", (Uri) null, (String) null, str2, i, str));
    }

    public final Intent a(String str, Uri uri, String str2, String str3, int i, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.f2470d);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        Bundle bundle = this.f2440a;
        if (bundle != null) {
            intent.putExtra("app_data", bundle);
        }
        if (i != 0) {
            intent.putExtra("action_key", i);
            intent.putExtra("action_msg", str4);
        }
        intent.setComponent(this.f2437a.getSearchActivity());
        return intent;
    }

    public final Intent a(Intent intent, SearchableInfo searchableInfo) {
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, 1073741824);
        Bundle bundle = new Bundle();
        Bundle bundle2 = this.f2440a;
        if (bundle2 != null) {
            bundle.putParcelable("app_data", bundle2);
        }
        Intent intent3 = new Intent(intent);
        Resources resources = getResources();
        String string = searchableInfo.getVoiceLanguageModeId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageModeId()) : "free_form";
        String string2 = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
        String string3 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
        int voiceMaxResults = searchableInfo.getVoiceMaxResults() != 0 ? searchableInfo.getVoiceMaxResults() : 1;
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", string);
        intent3.putExtra("android.speech.extra.PROMPT", string2);
        intent3.putExtra("android.speech.extra.LANGUAGE", string3);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", voiceMaxResults);
        intent3.putExtra("calling_package", searchActivity != null ? searchActivity.flattenToShortString() : null);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    public final Intent a(Cursor cursor, int i, String str) {
        int i2;
        String a2;
        try {
            String a3 = View$OnClickListenerC0219aj.a(cursor, "suggest_intent_action");
            if (a3 == null) {
                a3 = this.f2437a.getSuggestIntentAction();
            }
            if (a3 == null) {
                a3 = "android.intent.action.SEARCH";
            }
            String str2 = a3;
            String a4 = View$OnClickListenerC0219aj.a(cursor, "suggest_intent_data");
            if (a4 == null) {
                a4 = this.f2437a.getSuggestIntentData();
            }
            if (a4 != null && (a2 = View$OnClickListenerC0219aj.a(cursor, "suggest_intent_data_id")) != null) {
                a4 = a4 + "/" + Uri.encode(a2);
            }
            return a(str2, a4 == null ? null : Uri.parse(a4), View$OnClickListenerC0219aj.a(cursor, "suggest_intent_extra_data"), View$OnClickListenerC0219aj.a(cursor, "suggest_intent_query"), i, str);
        } catch (RuntimeException e2) {
            try {
                i2 = cursor.getPosition();
            } catch (RuntimeException unused) {
                i2 = -1;
            }
            Log.w("SearchView", "Search suggestions cursor at row " + i2 + " returned exception.", e2);
            return null;
        }
    }

    public static boolean a(Context context) {
        return context.getResources().getConfiguration().orientation == 2;
    }
}
