package android.support.v7.widget;

import android.content.Context;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v7.widget.RecyclerView;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import defpackage.C0058Ge;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.List;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class StaggeredGridLayoutManager extends RecyclerView.i implements RecyclerView.r.b {

    /* renamed from: a  reason: collision with other field name */
    public SavedState f2481a;

    /* renamed from: a  reason: collision with other field name */
    public BitSet f2484a;

    /* renamed from: a  reason: collision with other field name */
    public final C0601li f2485a;

    /* renamed from: a  reason: collision with other field name */
    public AbstractC0945vi f2486a;

    /* renamed from: a  reason: collision with other field name */
    public int[] f2487a;

    /* renamed from: a  reason: collision with other field name */
    public b[] f2488a;
    public AbstractC0945vi b;
    public int g;
    public int h;

    /* renamed from: i  reason: collision with other field name */
    public boolean f2491i;

    /* renamed from: j  reason: collision with other field name */
    public boolean f2492j;
    public int l;
    public int f = -1;

    /* renamed from: g  reason: collision with other field name */
    public boolean f2489g = false;

    /* renamed from: h  reason: collision with other field name */
    public boolean f2490h = false;
    public int i = -1;
    public int j = Integer.MIN_VALUE;

    /* renamed from: a  reason: collision with other field name */
    public LazySpanLookup f2480a = new LazySpanLookup();
    public int k = 2;
    public final Rect a = new Rect();

    /* renamed from: a  reason: collision with other field name */
    public final a f2482a = new a();

    /* renamed from: k  reason: collision with other field name */
    public boolean f2493k = false;

    /* renamed from: l  reason: collision with other field name */
    public boolean f2494l = true;

    /* renamed from: a  reason: collision with other field name */
    public final Runnable f2483a = new Yi(this);

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class LayoutParams extends RecyclerView.LayoutParams {
        public b a;
        public boolean c;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        @Override // android.support.v7.widget.RecyclerView.LayoutParams
        public final int b() {
            b bVar = this.a;
            if (bVar == null) {
                return -1;
            }
            return bVar.d;
        }

        public boolean d() {
            return this.c;
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new _i();
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public List<LazySpanLookup.FullSpanItem> f2498a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f2499a;

        /* renamed from: a  reason: collision with other field name */
        public int[] f2500a;
        public int b;

        /* renamed from: b  reason: collision with other field name */
        public boolean f2501b;

        /* renamed from: b  reason: collision with other field name */
        public int[] f2502b;
        public int c;

        /* renamed from: c  reason: collision with other field name */
        public boolean f2503c;
        public int d;

        public SavedState() {
        }

        public void a() {
            this.f2500a = null;
            this.c = 0;
            this.a = -1;
            this.b = -1;
        }

        public void b() {
            this.f2500a = null;
            this.c = 0;
            this.d = 0;
            this.f2502b = null;
            this.f2498a = null;
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.a);
            parcel.writeInt(this.b);
            parcel.writeInt(this.c);
            if (this.c > 0) {
                parcel.writeIntArray(this.f2500a);
            }
            parcel.writeInt(this.d);
            if (this.d > 0) {
                parcel.writeIntArray(this.f2502b);
            }
            parcel.writeInt(this.f2499a ? 1 : 0);
            parcel.writeInt(this.f2501b ? 1 : 0);
            parcel.writeInt(this.f2503c ? 1 : 0);
            parcel.writeList(this.f2498a);
        }

        public SavedState(Parcel parcel) {
            this.a = parcel.readInt();
            this.b = parcel.readInt();
            this.c = parcel.readInt();
            int i = this.c;
            if (i > 0) {
                this.f2500a = new int[i];
                parcel.readIntArray(this.f2500a);
            }
            this.d = parcel.readInt();
            int i2 = this.d;
            if (i2 > 0) {
                this.f2502b = new int[i2];
                parcel.readIntArray(this.f2502b);
            }
            this.f2499a = parcel.readInt() == 1;
            this.f2501b = parcel.readInt() == 1;
            this.f2503c = parcel.readInt() == 1;
            this.f2498a = parcel.readArrayList(LazySpanLookup.FullSpanItem.class.getClassLoader());
        }

        public SavedState(SavedState savedState) {
            this.c = savedState.c;
            this.a = savedState.a;
            this.b = savedState.b;
            this.f2500a = savedState.f2500a;
            this.d = savedState.d;
            this.f2502b = savedState.f2502b;
            this.f2499a = savedState.f2499a;
            this.f2501b = savedState.f2501b;
            this.f2503c = savedState.f2503c;
            this.f2498a = savedState.f2498a;
        }
    }

    public StaggeredGridLayoutManager(Context context, AttributeSet attributeSet, int i, int i2) {
        RecyclerView.i.b a2 = RecyclerView.i.a(context, attributeSet, i, i2);
        m1033h(a2.a);
        i(a2.b);
        m1030a(a2.f2394a);
        this.f2485a = new C0601li();
        d();
    }

    public final boolean a(b bVar) {
        if (this.f2490h) {
            if (bVar.d() < this.f2486a.b()) {
                ArrayList<View> arrayList = bVar.f2509a;
                return !bVar.a(arrayList.get(arrayList.size() - 1)).c;
            }
        } else if (bVar.e() > this.f2486a.f()) {
            return !bVar.a(bVar.f2509a.get(0)).c;
        }
        return false;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void b(RecyclerView recyclerView, RecyclerView.o oVar) {
        super.b(recyclerView, oVar);
        a(this.f2483a);
        for (int i = 0; i < this.f; i++) {
            this.f2488a[i].m1042c();
        }
        recyclerView.requestLayout();
    }

    /* JADX WARN: Code restructure failed: missing block: B:87:0x0157, code lost:
        if (m() != false) goto L83;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void c(RecyclerView.o oVar, RecyclerView.s sVar, boolean z) {
        SavedState savedState;
        a aVar = this.f2482a;
        if ((this.f2481a != null || this.i != -1) && sVar.a() == 0) {
            b(oVar);
            aVar.b();
            return;
        }
        boolean z2 = true;
        boolean z3 = (aVar.c && this.i == -1 && this.f2481a == null) ? false : true;
        if (z3) {
            aVar.b();
            if (this.f2481a != null) {
                a(aVar);
            } else {
                g();
                aVar.f2505a = this.f2490h;
            }
            a(sVar, aVar);
            aVar.c = true;
        }
        if (this.f2481a == null && this.i == -1 && (aVar.f2505a != this.f2491i || m1034n() != this.f2492j)) {
            this.f2480a.a();
            aVar.f2507b = true;
        }
        if (b() > 0 && ((savedState = this.f2481a) == null || savedState.c < 1)) {
            if (aVar.f2507b) {
                for (int i = 0; i < this.f; i++) {
                    this.f2488a[i].m1042c();
                    int i2 = aVar.b;
                    if (i2 != Integer.MIN_VALUE) {
                        this.f2488a[i].m1041b(i2);
                    }
                }
            } else if (!z3 && this.f2482a.f2506a != null) {
                for (int i3 = 0; i3 < this.f; i3++) {
                    b bVar = this.f2488a[i3];
                    bVar.m1042c();
                    bVar.m1041b(this.f2482a.f2506a[i3]);
                }
            } else {
                for (int i4 = 0; i4 < this.f; i4++) {
                    this.f2488a[i4].a(this.f2490h, aVar.b);
                }
                this.f2482a.a(this.f2488a);
            }
        }
        a(oVar);
        this.f2485a.f3319a = false;
        this.f2493k = false;
        j(this.b.g());
        b(aVar.a, sVar);
        if (aVar.f2505a) {
            m1032g(-1);
            a(oVar, this.f2485a, sVar);
            m1032g(1);
            C0601li c0601li = this.f2485a;
            c0601li.b = aVar.a + c0601li.c;
            a(oVar, c0601li, sVar);
        } else {
            m1032g(1);
            a(oVar, this.f2485a, sVar);
            m1032g(-1);
            C0601li c0601li2 = this.f2485a;
            c0601li2.b = aVar.a + c0601li2.c;
            a(oVar, c0601li2, sVar);
        }
        f();
        if (b() > 0) {
            if (this.f2490h) {
                a(oVar, sVar, true);
                b(oVar, sVar, false);
            } else {
                b(oVar, sVar, true);
                a(oVar, sVar, false);
            }
        }
        if (z && !sVar.m1009b()) {
            if (this.k != 0 && b() > 0 && (this.f2493k || b() != null)) {
                a(this.f2483a);
            }
        }
        z2 = false;
        if (sVar.m1009b()) {
            this.f2482a.b();
        }
        this.f2491i = aVar.f2505a;
        this.f2492j = m1034n();
        if (z2) {
            this.f2482a.b();
            c(oVar, sVar, false);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final void d() {
        this.f2486a = AbstractC0945vi.a(this, this.g);
        this.b = AbstractC0945vi.a(this, 1 - this.g);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void e() {
        this.f2480a.a();
        m964a();
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean f() {
        return this.k != 0;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final void g() {
        if (this.g != 1 && m1034n()) {
            this.f2490h = !this.f2489g;
        } else {
            this.f2490h = this.f2489g;
        }
    }

    /* renamed from: h  reason: collision with other method in class */
    public void m1033h(int i) {
        if (i != 0 && i != 1) {
            throw new IllegalArgumentException("invalid orientation.");
        }
        a((String) null);
        if (i == this.g) {
            return;
        }
        this.g = i;
        AbstractC0945vi abstractC0945vi = this.f2486a;
        this.f2486a = this.b;
        this.b = abstractC0945vi;
        m964a();
    }

    public void i(int i) {
        a((String) null);
        if (i != this.f) {
            e();
            this.f = i;
            this.f2484a = new BitSet(this.f);
            this.f2488a = new b[this.f];
            for (int i2 = 0; i2 < this.f; i2++) {
                this.f2488a[i2] = new b(i2);
            }
            m964a();
        }
    }

    public void j(int i) {
        this.h = i / this.f;
        this.l = View.MeasureSpec.makeMeasureSpec(i, this.b.d());
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean k() {
        int a2 = this.f2488a[0].a(Integer.MIN_VALUE);
        for (int i = 1; i < this.f; i++) {
            if (this.f2488a[i].a(Integer.MIN_VALUE) != a2) {
                return false;
            }
        }
        return true;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean l() {
        int b2 = this.f2488a[0].b(Integer.MIN_VALUE);
        for (int i = 1; i < this.f; i++) {
            if (this.f2488a[i].b(Integer.MIN_VALUE) != b2) {
                return false;
            }
        }
        return true;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean m() {
        int o;
        int p;
        if (b() == 0 || this.k == 0 || !m982e()) {
            return false;
        }
        if (this.f2490h) {
            o = p();
            p = o();
        } else {
            o = o();
            p = p();
        }
        if (o == 0 && b() != null) {
            this.f2480a.a();
            m974b();
            m964a();
            return true;
        } else if (this.f2493k) {
            int i = this.f2490h ? -1 : 1;
            int i2 = p + 1;
            LazySpanLookup.FullSpanItem a2 = this.f2480a.a(o, i2, i, true);
            if (a2 == null) {
                this.f2493k = false;
                this.f2480a.a(i2);
                return false;
            }
            LazySpanLookup.FullSpanItem a3 = this.f2480a.a(o, a2.a, i * (-1), true);
            if (a3 == null) {
                this.f2480a.a(a2.a);
            } else {
                this.f2480a.a(a3.a + 1);
            }
            m974b();
            m964a();
            return true;
        } else {
            return false;
        }
    }

    /* renamed from: n  reason: collision with other method in class */
    public boolean m1034n() {
        return e() == 1;
    }

    public int o() {
        if (b() == 0) {
            return 0;
        }
        return i(b(0));
    }

    public int p() {
        int b2 = b();
        if (b2 == 0) {
            return 0;
        }
        return i(b(b2 - 1));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class LazySpanLookup {
        public List<FullSpanItem> a;

        /* renamed from: a  reason: collision with other field name */
        public int[] f2495a;

        public int a(int i) {
            List<FullSpanItem> list = this.a;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    if (this.a.get(size).a >= i) {
                        this.a.remove(size);
                    }
                }
            }
            return c(i);
        }

        public int b(int i) {
            int[] iArr = this.f2495a;
            if (iArr == null || i >= iArr.length) {
                return -1;
            }
            return iArr[i];
        }

        public int c(int i) {
            int[] iArr = this.f2495a;
            if (iArr != null && i < iArr.length) {
                int d = d(i);
                if (d == -1) {
                    int[] iArr2 = this.f2495a;
                    Arrays.fill(iArr2, i, iArr2.length, -1);
                    return this.f2495a.length;
                }
                int i2 = d + 1;
                Arrays.fill(this.f2495a, i, i2, -1);
                return i2;
            }
            return -1;
        }

        public final void d(int i, int i2) {
            List<FullSpanItem> list = this.a;
            if (list == null) {
                return;
            }
            int i3 = i + i2;
            for (int size = list.size() - 1; size >= 0; size--) {
                FullSpanItem fullSpanItem = this.a.get(size);
                int i4 = fullSpanItem.a;
                if (i4 >= i) {
                    if (i4 < i3) {
                        this.a.remove(size);
                    } else {
                        fullSpanItem.a = i4 - i2;
                    }
                }
            }
        }

        public int e(int i) {
            int length = this.f2495a.length;
            while (length <= i) {
                length *= 2;
            }
            return length;
        }

        public void b(int i, int i2) {
            int[] iArr = this.f2495a;
            if (iArr == null || i >= iArr.length) {
                return;
            }
            int i3 = i + i2;
            m1036a(i3);
            int[] iArr2 = this.f2495a;
            System.arraycopy(iArr2, i3, iArr2, i, (iArr2.length - i) - i2);
            int[] iArr3 = this.f2495a;
            Arrays.fill(iArr3, iArr3.length - i2, iArr3.length, -1);
            d(i, i2);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        public static class FullSpanItem implements Parcelable {
            public static final Parcelable.Creator<FullSpanItem> CREATOR = new Zi();
            public int a;

            /* renamed from: a  reason: collision with other field name */
            public boolean f2496a;

            /* renamed from: a  reason: collision with other field name */
            public int[] f2497a;
            public int b;

            public FullSpanItem(Parcel parcel) {
                this.a = parcel.readInt();
                this.b = parcel.readInt();
                this.f2496a = parcel.readInt() == 1;
                int readInt = parcel.readInt();
                if (readInt > 0) {
                    this.f2497a = new int[readInt];
                    parcel.readIntArray(this.f2497a);
                }
            }

            public int a(int i) {
                int[] iArr = this.f2497a;
                if (iArr == null) {
                    return 0;
                }
                return iArr[i];
            }

            @Override // android.os.Parcelable
            public int describeContents() {
                return 0;
            }

            public String toString() {
                return "FullSpanItem{mPosition=" + this.a + ", mGapDir=" + this.b + ", mHasUnwantedGapAfter=" + this.f2496a + ", mGapPerSpan=" + Arrays.toString(this.f2497a) + '}';
            }

            @Override // android.os.Parcelable
            public void writeToParcel(Parcel parcel, int i) {
                parcel.writeInt(this.a);
                parcel.writeInt(this.b);
                parcel.writeInt(this.f2496a ? 1 : 0);
                int[] iArr = this.f2497a;
                if (iArr != null && iArr.length > 0) {
                    parcel.writeInt(iArr.length);
                    parcel.writeIntArray(this.f2497a);
                    return;
                }
                parcel.writeInt(0);
            }

            public FullSpanItem() {
            }
        }

        public void a(int i, b bVar) {
            m1036a(i);
            this.f2495a[i] = bVar.d;
        }

        public final void c(int i, int i2) {
            List<FullSpanItem> list = this.a;
            if (list == null) {
                return;
            }
            for (int size = list.size() - 1; size >= 0; size--) {
                FullSpanItem fullSpanItem = this.a.get(size);
                int i3 = fullSpanItem.a;
                if (i3 >= i) {
                    fullSpanItem.a = i3 + i2;
                }
            }
        }

        public final int d(int i) {
            if (this.a == null) {
                return -1;
            }
            FullSpanItem m1035a = m1035a(i);
            if (m1035a != null) {
                this.a.remove(m1035a);
            }
            int size = this.a.size();
            int i2 = 0;
            while (true) {
                if (i2 >= size) {
                    i2 = -1;
                    break;
                } else if (this.a.get(i2).a >= i) {
                    break;
                } else {
                    i2++;
                }
            }
            if (i2 != -1) {
                this.a.remove(i2);
                return this.a.get(i2).a;
            }
            return -1;
        }

        /* renamed from: a  reason: collision with other method in class */
        public void m1036a(int i) {
            int[] iArr = this.f2495a;
            if (iArr == null) {
                this.f2495a = new int[Math.max(i, 10) + 1];
                Arrays.fill(this.f2495a, -1);
            } else if (i >= iArr.length) {
                this.f2495a = new int[e(i)];
                System.arraycopy(iArr, 0, this.f2495a, 0, iArr.length);
                int[] iArr2 = this.f2495a;
                Arrays.fill(iArr2, iArr.length, iArr2.length, -1);
            }
        }

        public void a() {
            int[] iArr = this.f2495a;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
            this.a = null;
        }

        public void a(int i, int i2) {
            int[] iArr = this.f2495a;
            if (iArr == null || i >= iArr.length) {
                return;
            }
            int i3 = i + i2;
            m1036a(i3);
            int[] iArr2 = this.f2495a;
            System.arraycopy(iArr2, i, iArr2, i3, (iArr2.length - i) - i2);
            Arrays.fill(this.f2495a, i, i3, -1);
            c(i, i2);
        }

        public void a(FullSpanItem fullSpanItem) {
            if (this.a == null) {
                this.a = new ArrayList();
            }
            int size = this.a.size();
            for (int i = 0; i < size; i++) {
                FullSpanItem fullSpanItem2 = this.a.get(i);
                if (fullSpanItem2.a == fullSpanItem.a) {
                    this.a.remove(i);
                }
                if (fullSpanItem2.a >= fullSpanItem.a) {
                    this.a.add(i, fullSpanItem);
                    return;
                }
            }
            this.a.add(fullSpanItem);
        }

        /* renamed from: a  reason: collision with other method in class */
        public FullSpanItem m1035a(int i) {
            List<FullSpanItem> list = this.a;
            if (list == null) {
                return null;
            }
            for (int size = list.size() - 1; size >= 0; size--) {
                FullSpanItem fullSpanItem = this.a.get(size);
                if (fullSpanItem.a == i) {
                    return fullSpanItem;
                }
            }
            return null;
        }

        public FullSpanItem a(int i, int i2, int i3, boolean z) {
            List<FullSpanItem> list = this.a;
            if (list == null) {
                return null;
            }
            int size = list.size();
            for (int i4 = 0; i4 < size; i4++) {
                FullSpanItem fullSpanItem = this.a.get(i4);
                int i5 = fullSpanItem.a;
                if (i5 >= i2) {
                    return null;
                }
                if (i5 >= i && (i3 == 0 || fullSpanItem.b == i3 || (z && fullSpanItem.f2496a))) {
                    return fullSpanItem;
                }
            }
            return null;
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final void f() {
        if (this.b.d() == 1073741824) {
            return;
        }
        int b2 = b();
        float f = 0.0f;
        for (int i = 0; i < b2; i++) {
            View b3 = b(i);
            float b4 = this.b.b(b3);
            if (b4 >= f) {
                if (((LayoutParams) b3.getLayoutParams()).d()) {
                    b4 = (b4 * 1.0f) / this.f;
                }
                f = Math.max(f, b4);
            }
        }
        int i2 = this.h;
        int round = Math.round(f * this.f);
        if (this.b.d() == Integer.MIN_VALUE) {
            round = Math.min(round, this.b.g());
        }
        j(round);
        if (this.h == i2) {
            return;
        }
        for (int i3 = 0; i3 < b2; i3++) {
            View b5 = b(i3);
            LayoutParams layoutParams = (LayoutParams) b5.getLayoutParams();
            if (!layoutParams.c) {
                if (m1034n() && this.g == 1) {
                    int i4 = this.f;
                    int i5 = layoutParams.a.d;
                    b5.offsetLeftAndRight(((-((i4 - 1) - i5)) * this.h) - ((-((i4 - 1) - i5)) * i2));
                } else {
                    int i6 = layoutParams.a.d;
                    int i7 = this.h * i6;
                    int i8 = i6 * i2;
                    if (this.g == 1) {
                        b5.offsetLeftAndRight(i7 - i8);
                    } else {
                        b5.offsetTopAndBottom(i7 - i8);
                    }
                }
            }
        }
    }

    public int n() {
        View a2 = this.f2490h ? a(true) : b(true);
        if (a2 == null) {
            return -1;
        }
        return i(a2);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public class b {
        public final int d;

        /* renamed from: a  reason: collision with other field name */
        public ArrayList<View> f2509a = new ArrayList<>();
        public int a = Integer.MIN_VALUE;
        public int b = Integer.MIN_VALUE;
        public int c = 0;

        public b(int i) {
            this.d = i;
        }

        public int a(int i) {
            int i2 = this.b;
            if (i2 != Integer.MIN_VALUE) {
                return i2;
            }
            if (this.f2509a.size() == 0) {
                return i;
            }
            m1037a();
            return this.b;
        }

        public int b(int i) {
            int i2 = this.a;
            if (i2 != Integer.MIN_VALUE) {
                return i2;
            }
            if (this.f2509a.size() == 0) {
                return i;
            }
            m1040b();
            return this.a;
        }

        /* renamed from: c  reason: collision with other method in class */
        public void m1042c() {
            this.f2509a.clear();
            m1043d();
            this.c = 0;
        }

        public int d() {
            int i = this.b;
            if (i != Integer.MIN_VALUE) {
                return i;
            }
            m1037a();
            return this.b;
        }

        public int e() {
            int i = this.a;
            if (i != Integer.MIN_VALUE) {
                return i;
            }
            m1040b();
            return this.a;
        }

        public void f() {
            View remove = this.f2509a.remove(0);
            LayoutParams a = a(remove);
            a.a = null;
            if (this.f2509a.size() == 0) {
                this.b = Integer.MIN_VALUE;
            }
            if (a.b() || a.m946a()) {
                this.c -= StaggeredGridLayoutManager.this.f2486a.b(remove);
            }
            this.a = Integer.MIN_VALUE;
        }

        public int c() {
            return this.c;
        }

        /* renamed from: d  reason: collision with other method in class */
        public void m1043d() {
            this.a = Integer.MIN_VALUE;
            this.b = Integer.MIN_VALUE;
        }

        /* renamed from: e  reason: collision with other method in class */
        public void m1044e() {
            int size = this.f2509a.size();
            View remove = this.f2509a.remove(size - 1);
            LayoutParams a = a(remove);
            a.a = null;
            if (a.b() || a.m946a()) {
                this.c -= StaggeredGridLayoutManager.this.f2486a.b(remove);
            }
            if (size == 1) {
                this.a = Integer.MIN_VALUE;
            }
            this.b = Integer.MIN_VALUE;
        }

        /* renamed from: a  reason: collision with other method in class */
        public void m1037a() {
            LazySpanLookup.FullSpanItem m1035a;
            ArrayList<View> arrayList = this.f2509a;
            View view = arrayList.get(arrayList.size() - 1);
            LayoutParams a = a(view);
            this.b = StaggeredGridLayoutManager.this.f2486a.a(view);
            if (a.c && (m1035a = StaggeredGridLayoutManager.this.f2480a.m1035a(a.a())) != null && m1035a.b == 1) {
                this.b += m1035a.a(this.d);
            }
        }

        /* renamed from: b  reason: collision with other method in class */
        public void m1040b() {
            LazySpanLookup.FullSpanItem m1035a;
            View view = this.f2509a.get(0);
            LayoutParams a = a(view);
            this.a = StaggeredGridLayoutManager.this.f2486a.d(view);
            if (a.c && (m1035a = StaggeredGridLayoutManager.this.f2480a.m1035a(a.a())) != null && m1035a.b == -1) {
                this.a -= m1035a.a(this.d);
            }
        }

        /* renamed from: a  reason: collision with other method in class */
        public void m1039a(View view) {
            LayoutParams a = a(view);
            a.a = this;
            this.f2509a.add(view);
            this.b = Integer.MIN_VALUE;
            if (this.f2509a.size() == 1) {
                this.a = Integer.MIN_VALUE;
            }
            if (a.b() || a.m946a()) {
                this.c += StaggeredGridLayoutManager.this.f2486a.b(view);
            }
        }

        public void b(View view) {
            LayoutParams a = a(view);
            a.a = this;
            this.f2509a.add(0, view);
            this.a = Integer.MIN_VALUE;
            if (this.f2509a.size() == 1) {
                this.b = Integer.MIN_VALUE;
            }
            if (a.b() || a.m946a()) {
                this.c += StaggeredGridLayoutManager.this.f2486a.b(view);
            }
        }

        public void a(boolean z, int i) {
            int b;
            if (z) {
                b = a(Integer.MIN_VALUE);
            } else {
                b = b(Integer.MIN_VALUE);
            }
            m1042c();
            if (b == Integer.MIN_VALUE) {
                return;
            }
            if (!z || b >= StaggeredGridLayoutManager.this.f2486a.b()) {
                if (z || b <= StaggeredGridLayoutManager.this.f2486a.f()) {
                    if (i != Integer.MIN_VALUE) {
                        b += i;
                    }
                    this.b = b;
                    this.a = b;
                }
            }
        }

        /* renamed from: b  reason: collision with other method in class */
        public void m1041b(int i) {
            this.a = i;
            this.b = i;
        }

        public int b() {
            if (StaggeredGridLayoutManager.this.f2489g) {
                return a(0, this.f2509a.size(), true);
            }
            return a(this.f2509a.size() - 1, -1, true);
        }

        public LayoutParams a(View view) {
            return (LayoutParams) view.getLayoutParams();
        }

        /* renamed from: a  reason: collision with other method in class */
        public void m1038a(int i) {
            int i2 = this.a;
            if (i2 != Integer.MIN_VALUE) {
                this.a = i2 + i;
            }
            int i3 = this.b;
            if (i3 != Integer.MIN_VALUE) {
                this.b = i3 + i;
            }
        }

        public int a() {
            if (StaggeredGridLayoutManager.this.f2489g) {
                return a(this.f2509a.size() - 1, -1, true);
            }
            return a(0, this.f2509a.size(), true);
        }

        public int a(int i, int i2, boolean z, boolean z2, boolean z3) {
            int f = StaggeredGridLayoutManager.this.f2486a.f();
            int b = StaggeredGridLayoutManager.this.f2486a.b();
            int i3 = i2 > i ? 1 : -1;
            while (i != i2) {
                View view = this.f2509a.get(i);
                int d = StaggeredGridLayoutManager.this.f2486a.d(view);
                int a = StaggeredGridLayoutManager.this.f2486a.a(view);
                boolean z4 = false;
                boolean z5 = !z3 ? d >= b : d > b;
                if (!z3 ? a > f : a >= f) {
                    z4 = true;
                }
                if (z5 && z4) {
                    if (z && z2) {
                        if (d >= f && a <= b) {
                            return StaggeredGridLayoutManager.this.i(view);
                        }
                    } else if (z2) {
                        return StaggeredGridLayoutManager.this.i(view);
                    } else {
                        if (d < f || a > b) {
                            return StaggeredGridLayoutManager.this.i(view);
                        }
                    }
                }
                i += i3;
            }
            return -1;
        }

        public int a(int i, int i2, boolean z) {
            return a(i, i2, false, false, z);
        }

        public View a(int i, int i2) {
            View view = null;
            if (i2 == -1) {
                int size = this.f2509a.size();
                int i3 = 0;
                while (i3 < size) {
                    View view2 = this.f2509a.get(i3);
                    StaggeredGridLayoutManager staggeredGridLayoutManager = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager.f2489g && staggeredGridLayoutManager.i(view2) <= i) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager2 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager2.f2489g && staggeredGridLayoutManager2.i(view2) >= i) || !view2.hasFocusable()) {
                        break;
                    }
                    i3++;
                    view = view2;
                }
            } else {
                int size2 = this.f2509a.size() - 1;
                while (size2 >= 0) {
                    View view3 = this.f2509a.get(size2);
                    StaggeredGridLayoutManager staggeredGridLayoutManager3 = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager3.f2489g && staggeredGridLayoutManager3.i(view3) >= i) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager4 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager4.f2489g && staggeredGridLayoutManager4.i(view3) <= i) || !view3.hasFocusable()) {
                        break;
                    }
                    size2--;
                    view = view3;
                }
            }
            return view;
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int e(RecyclerView.s sVar) {
        return h(sVar);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public class a {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f2505a;

        /* renamed from: a  reason: collision with other field name */
        public int[] f2506a;
        public int b;

        /* renamed from: b  reason: collision with other field name */
        public boolean f2507b;
        public boolean c;

        public a() {
            b();
        }

        public void a(b[] bVarArr) {
            int length = bVarArr.length;
            int[] iArr = this.f2506a;
            if (iArr == null || iArr.length < length) {
                this.f2506a = new int[StaggeredGridLayoutManager.this.f2488a.length];
            }
            for (int i = 0; i < length; i++) {
                this.f2506a[i] = bVarArr[i].b(Integer.MIN_VALUE);
            }
        }

        public void b() {
            this.a = -1;
            this.b = Integer.MIN_VALUE;
            this.f2505a = false;
            this.f2507b = false;
            this.c = false;
            int[] iArr = this.f2506a;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
        }

        public void a() {
            this.b = this.f2505a ? StaggeredGridLayoutManager.this.f2486a.b() : StaggeredGridLayoutManager.this.f2486a.f();
        }

        public void a(int i) {
            if (this.f2505a) {
                this.b = StaggeredGridLayoutManager.this.f2486a.b() - i;
            } else {
                this.b = StaggeredGridLayoutManager.this.f2486a.f() + i;
            }
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void d(int i) {
        if (i == 0) {
            m();
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final void e(View view) {
        for (int i = this.f - 1; i >= 0; i--) {
            this.f2488a[i].b(view);
        }
    }

    public final int g(RecyclerView.s sVar) {
        if (b() == 0) {
            return 0;
        }
        return Ii.a(sVar, this.f2486a, b(!this.f2494l), a(!this.f2494l), this, this.f2494l);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int d(RecyclerView.s sVar) {
        return g(sVar);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean j() {
        return this.f2481a == null;
    }

    /* JADX WARN: Code restructure failed: missing block: B:31:0x0074, code lost:
        if (r10 == r11) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x0086, code lost:
        if (r10 == r11) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0088, code lost:
        r10 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x008a, code lost:
        r10 = false;
     */
    @Override // android.support.v7.widget.RecyclerView.i
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public View b() {
        int i;
        int i2;
        boolean z;
        int b2 = b() - 1;
        BitSet bitSet = new BitSet(this.f);
        bitSet.set(0, this.f, true);
        char c = (this.g == 1 && m1034n()) ? (char) 1 : (char) 65535;
        if (this.f2490h) {
            i = -1;
        } else {
            i = b2 + 1;
            b2 = 0;
        }
        int i3 = b2 < i ? 1 : -1;
        while (b2 != i) {
            View b3 = b(b2);
            LayoutParams layoutParams = (LayoutParams) b3.getLayoutParams();
            if (bitSet.get(layoutParams.a.d)) {
                if (a(layoutParams.a)) {
                    return b3;
                }
                bitSet.clear(layoutParams.a.d);
            }
            if (!layoutParams.c && (i2 = b2 + i3) != i) {
                View b4 = b(i2);
                if (this.f2490h) {
                    int a2 = this.f2486a.a(b3);
                    int a3 = this.f2486a.a(b4);
                    if (a2 < a3) {
                        return b3;
                    }
                } else {
                    int d = this.f2486a.d(b3);
                    int d2 = this.f2486a.d(b4);
                    if (d > d2) {
                        return b3;
                    }
                }
                if (z) {
                    if ((layoutParams.a.d - ((LayoutParams) b4.getLayoutParams()).a.d < 0) != (c < 0)) {
                        return b3;
                    }
                } else {
                    continue;
                }
            }
            b2 += i3;
        }
        return null;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void d(RecyclerView recyclerView) {
        this.f2480a.a();
        m964a();
    }

    public final void e(int i, int i2) {
        for (int i3 = 0; i3 < this.f; i3++) {
            if (!this.f2488a[i3].f2509a.isEmpty()) {
                a(this.f2488a[i3], i, i2);
            }
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final void d(View view) {
        for (int i = this.f - 1; i >= 0; i--) {
            this.f2488a[i].m1039a(view);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final int e(int i) {
        int a2 = this.f2488a[0].a(i);
        for (int i2 = 1; i2 < this.f; i2++) {
            int a3 = this.f2488a[i2].a(i);
            if (a3 > a2) {
                a2 = a3;
            }
        }
        return a2;
    }

    /* renamed from: g  reason: collision with other method in class */
    public final void m1032g(int i) {
        C0601li c0601li = this.f2485a;
        c0601li.d = i;
        c0601li.c = this.f2490h != (i == -1) ? -1 : 1;
    }

    public final int h(RecyclerView.s sVar) {
        if (b() == 0) {
            return 0;
        }
        return Ii.a(sVar, this.f2486a, b(!this.f2494l), a(!this.f2494l), this, this.f2494l, this.f2490h);
    }

    /* renamed from: a  reason: collision with other method in class */
    public void m1030a(boolean z) {
        a((String) null);
        SavedState savedState = this.f2481a;
        if (savedState != null && savedState.f2499a != z) {
            savedState.f2499a = z;
        }
        this.f2489g = z;
        m964a();
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final int d(int i) {
        for (int b2 = b() - 1; b2 >= 0; b2--) {
            int i2 = i(b(b2));
            if (i2 >= 0 && i2 < i) {
                return i2;
            }
        }
        return 0;
    }

    public final int i(RecyclerView.s sVar) {
        if (b() == 0) {
            return 0;
        }
        return Ii.b(sVar, this.f2486a, b(!this.f2494l), a(!this.f2494l), this, this.f2494l);
    }

    public final int g(int i) {
        int a2 = this.f2488a[0].a(i);
        for (int i2 = 1; i2 < this.f; i2++) {
            int a3 = this.f2488a[i2].a(i);
            if (a3 < a2) {
                a2 = a3;
            }
        }
        return a2;
    }

    public final int h(int i) {
        int b2 = this.f2488a[0].b(i);
        for (int i2 = 1; i2 < this.f; i2++) {
            int b3 = this.f2488a[i2].b(i);
            if (b3 < b2) {
                b2 = b3;
            }
        }
        return b2;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(String str) {
        if (this.f2481a == null) {
            super.a(str);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(Rect rect, int i, int i2) {
        int a2;
        int a3;
        int i3 = i() + j();
        int k = k() + h();
        if (this.g == 1) {
            a3 = RecyclerView.i.a(i2, rect.height() + k, f());
            a2 = RecyclerView.i.a(i, (this.h * this.f) + i3, g());
        } else {
            a2 = RecyclerView.i.a(i, rect.width() + i3, g());
            a3 = RecyclerView.i.a(i2, (this.h * this.f) + k, f());
        }
        c(a2, a3);
    }

    public boolean b(RecyclerView.s sVar, a aVar) {
        int i;
        int f;
        if (!sVar.m1009b() && (i = this.i) != -1) {
            if (i >= 0 && i < sVar.a()) {
                SavedState savedState = this.f2481a;
                if (savedState != null && savedState.a != -1 && savedState.c >= 1) {
                    aVar.b = Integer.MIN_VALUE;
                    aVar.a = this.i;
                } else {
                    View a2 = a(this.i);
                    if (a2 != null) {
                        aVar.a = this.f2490h ? p() : o();
                        if (this.j != Integer.MIN_VALUE) {
                            if (aVar.f2505a) {
                                aVar.b = (this.f2486a.b() - this.j) - this.f2486a.a(a2);
                            } else {
                                aVar.b = (this.f2486a.f() + this.j) - this.f2486a.d(a2);
                            }
                            return true;
                        } else if (this.f2486a.b(a2) > this.f2486a.g()) {
                            if (aVar.f2505a) {
                                f = this.f2486a.b();
                            } else {
                                f = this.f2486a.f();
                            }
                            aVar.b = f;
                            return true;
                        } else {
                            int d = this.f2486a.d(a2) - this.f2486a.f();
                            if (d < 0) {
                                aVar.b = -d;
                                return true;
                            }
                            int b2 = this.f2486a.b() - this.f2486a.a(a2);
                            if (b2 < 0) {
                                aVar.b = b2;
                                return true;
                            }
                            aVar.b = Integer.MIN_VALUE;
                        }
                    } else {
                        aVar.a = this.i;
                        int i2 = this.j;
                        if (i2 == Integer.MIN_VALUE) {
                            aVar.f2505a = a(aVar.a) == 1;
                            aVar.a();
                        } else {
                            aVar.a(i2);
                        }
                        aVar.f2507b = true;
                    }
                }
                return true;
            }
            this.i = -1;
            this.j = Integer.MIN_VALUE;
        }
        return false;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int f(RecyclerView.s sVar) {
        return i(sVar);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final int f(int i) {
        int b2 = this.f2488a[0].b(i);
        for (int i2 = 1; i2 < this.f; i2++) {
            int b3 = this.f2488a[i2].b(i);
            if (b3 > b2) {
                b2 = b3;
            }
        }
        return b2;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void f(int i) {
        SavedState savedState = this.f2481a;
        if (savedState != null && savedState.a != i) {
            savedState.a();
        }
        this.i = i;
        this.j = Integer.MIN_VALUE;
        m964a();
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView.o oVar, RecyclerView.s sVar) {
        c(oVar, sVar, true);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView.s sVar) {
        super.m967a(sVar);
        this.i = -1;
        this.j = Integer.MIN_VALUE;
        this.f2481a = null;
        this.f2482a.b();
    }

    public final void a(a aVar) {
        int f;
        SavedState savedState = this.f2481a;
        int i = savedState.c;
        if (i > 0) {
            if (i == this.f) {
                for (int i2 = 0; i2 < this.f; i2++) {
                    this.f2488a[i2].m1042c();
                    SavedState savedState2 = this.f2481a;
                    int i3 = savedState2.f2500a[i2];
                    if (i3 != Integer.MIN_VALUE) {
                        if (savedState2.f2501b) {
                            f = this.f2486a.b();
                        } else {
                            f = this.f2486a.f();
                        }
                        i3 += f;
                    }
                    this.f2488a[i2].m1041b(i3);
                }
            } else {
                savedState.b();
                SavedState savedState3 = this.f2481a;
                savedState3.a = savedState3.b;
            }
        }
        SavedState savedState4 = this.f2481a;
        this.f2492j = savedState4.f2503c;
        m1030a(savedState4.f2499a);
        g();
        SavedState savedState5 = this.f2481a;
        int i4 = savedState5.a;
        if (i4 != -1) {
            this.i = i4;
            aVar.f2505a = savedState5.f2501b;
        } else {
            aVar.f2505a = this.f2490h;
        }
        SavedState savedState6 = this.f2481a;
        if (savedState6.d > 1) {
            LazySpanLookup lazySpanLookup = this.f2480a;
            lazySpanLookup.f2495a = savedState6.f2502b;
            lazySpanLookup.a = savedState6.f2498a;
        }
    }

    public void a(RecyclerView.s sVar, a aVar) {
        if (b(sVar, aVar) || m1031a(sVar, aVar)) {
            return;
        }
        aVar.a();
        aVar.a = 0;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int b(RecyclerView.s sVar) {
        return h(sVar);
    }

    public final int b(int i, int i2, int i3) {
        if (i2 == 0 && i3 == 0) {
            return i;
        }
        int mode = View.MeasureSpec.getMode(i);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.makeMeasureSpec(Math.max(0, (View.MeasureSpec.getSize(i) - i2) - i3), mode) : i;
    }

    /* renamed from: a  reason: collision with other method in class */
    public final boolean m1031a(RecyclerView.s sVar, a aVar) {
        int c;
        if (this.f2491i) {
            c = d(sVar.a());
        } else {
            c = c(sVar.a());
        }
        aVar.a = c;
        aVar.b = Integer.MIN_VALUE;
        return true;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int b(RecyclerView.o oVar, RecyclerView.s sVar) {
        if (this.g == 0) {
            return this.f;
        }
        return super.b(oVar, sVar);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int a(RecyclerView.s sVar) {
        return g(sVar);
    }

    public final void a(View view, LayoutParams layoutParams, boolean z) {
        if (layoutParams.c) {
            if (this.g == 1) {
                a(view, this.l, RecyclerView.i.a(c(), d(), k() + h(), ((ViewGroup.MarginLayoutParams) layoutParams).height, true), z);
            } else {
                a(view, RecyclerView.i.a(l(), m(), i() + j(), ((ViewGroup.MarginLayoutParams) layoutParams).width, true), this.l, z);
            }
        } else if (this.g == 1) {
            a(view, RecyclerView.i.a(this.h, m(), 0, ((ViewGroup.MarginLayoutParams) layoutParams).width, false), RecyclerView.i.a(c(), d(), k() + h(), ((ViewGroup.MarginLayoutParams) layoutParams).height, true), z);
        } else {
            a(view, RecyclerView.i.a(l(), m(), i() + j(), ((ViewGroup.MarginLayoutParams) layoutParams).width, true), RecyclerView.i.a(this.h, d(), 0, ((ViewGroup.MarginLayoutParams) layoutParams).height, false), z);
        }
    }

    public View b(boolean z) {
        int f = this.f2486a.f();
        int b2 = this.f2486a.b();
        int b3 = b();
        View view = null;
        for (int i = 0; i < b3; i++) {
            View b4 = b(i);
            int d = this.f2486a.d(b4);
            if (this.f2486a.a(b4) > f && d < b2) {
                if (d >= f || !z) {
                    return b4;
                }
                if (view == null) {
                    view = b4;
                }
            }
        }
        return view;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int c(RecyclerView.s sVar) {
        return i(sVar);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void c(int i) {
        super.c(i);
        for (int i2 = 0; i2 < this.f; i2++) {
            this.f2488a[i2].m1038a(i);
        }
    }

    public int c(int i, RecyclerView.o oVar, RecyclerView.s sVar) {
        if (b() == 0 || i == 0) {
            return 0;
        }
        a(i, sVar);
        int a2 = a(oVar, this.f2485a, sVar);
        if (this.f2485a.a >= a2) {
            i = i < 0 ? -a2 : a2;
        }
        this.f2486a.a(-i);
        this.f2491i = this.f2490h;
        C0601li c0601li = this.f2485a;
        c0601li.a = 0;
        a(oVar, c0601li);
        return i;
    }

    public final void b(RecyclerView.o oVar, RecyclerView.s sVar, boolean z) {
        int f;
        int h = h(Integer.MAX_VALUE);
        if (h != Integer.MAX_VALUE && (f = h - this.f2486a.f()) > 0) {
            int c = f - c(f, oVar, sVar);
            if (!z || c <= 0) {
                return;
            }
            this.f2486a.a(-c);
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:17:0x0036  */
    /* JADX WARN: Removed duplicated region for block: B:18:0x004d  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void b(int i, RecyclerView.s sVar) {
        int i2;
        int i3;
        int b2;
        C0601li c0601li = this.f2485a;
        boolean z = false;
        c0601li.a = 0;
        c0601li.b = i;
        if (!m985h() || (b2 = sVar.b()) == -1) {
            i2 = 0;
        } else {
            if (this.f2490h == (b2 < i)) {
                i2 = this.f2486a.g();
            } else {
                i3 = this.f2486a.g();
                i2 = 0;
                if (!m980c()) {
                    this.f2485a.e = this.f2486a.f() - i3;
                    this.f2485a.f = this.f2486a.b() + i2;
                } else {
                    this.f2485a.f = this.f2486a.a() + i2;
                    this.f2485a.e = -i3;
                }
                C0601li c0601li2 = this.f2485a;
                c0601li2.f3320b = false;
                c0601li2.f3319a = true;
                if (this.f2486a.d() == 0 && this.f2486a.a() == 0) {
                    z = true;
                }
                c0601li2.f3321c = z;
            }
        }
        i3 = 0;
        if (!m980c()) {
        }
        C0601li c0601li22 = this.f2485a;
        c0601li22.f3320b = false;
        c0601li22.f3319a = true;
        if (this.f2486a.d() == 0) {
            z = true;
        }
        c0601li22.f3321c = z;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final int c(int i) {
        int b2 = b();
        for (int i2 = 0; i2 < b2; i2++) {
            int i3 = i(b(i2));
            if (i3 >= 0 && i3 < i) {
                return i3;
            }
        }
        return 0;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void b(int i) {
        super.m975b(i);
        for (int i2 = 0; i2 < this.f; i2++) {
            this.f2488a[i2].m1038a(i);
        }
    }

    public final void a(View view, int i, int i2, boolean z) {
        boolean a2;
        a(view, this.a);
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i3 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
        Rect rect = this.a;
        int b2 = b(i, i3 + rect.left, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin + rect.right);
        int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
        Rect rect2 = this.a;
        int b3 = b(i2, i4 + rect2.top, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin + rect2.bottom);
        if (z) {
            a2 = b(view, b2, b3, layoutParams);
        } else {
            a2 = a(view, b2, b3, layoutParams);
        }
        if (a2) {
            view.measure(b2, b3);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void b(RecyclerView recyclerView, int i, int i2) {
        a(i, i2, 2);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final LazySpanLookup.FullSpanItem b(int i) {
        LazySpanLookup.FullSpanItem fullSpanItem = new LazySpanLookup.FullSpanItem();
        fullSpanItem.f2497a = new int[this.f];
        for (int i2 = 0; i2 < this.f; i2++) {
            fullSpanItem.f2497a[i2] = this.f2488a[i2].b(i) - i;
        }
        return fullSpanItem;
    }

    public final void b(RecyclerView.o oVar, int i) {
        while (b() > 0) {
            View b2 = b(0);
            if (this.f2486a.a(b2) > i || this.f2486a.e(b2) > i) {
                return;
            }
            LayoutParams layoutParams = (LayoutParams) b2.getLayoutParams();
            if (layoutParams.c) {
                for (int i2 = 0; i2 < this.f; i2++) {
                    if (this.f2488a[i2].f2509a.size() == 1) {
                        return;
                    }
                }
                for (int i3 = 0; i3 < this.f; i3++) {
                    this.f2488a[i3].f();
                }
            } else if (layoutParams.a.f2509a.size() == 1) {
                return;
            } else {
                layoutParams.a.f();
            }
            a(b2, oVar);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            this.f2481a = (SavedState) parcelable;
            m964a();
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public Parcelable a() {
        int b2;
        int f;
        int[] iArr;
        SavedState savedState = this.f2481a;
        if (savedState != null) {
            return new SavedState(savedState);
        }
        SavedState savedState2 = new SavedState();
        savedState2.f2499a = this.f2489g;
        savedState2.f2501b = this.f2491i;
        savedState2.f2503c = this.f2492j;
        LazySpanLookup lazySpanLookup = this.f2480a;
        if (lazySpanLookup != null && (iArr = lazySpanLookup.f2495a) != null) {
            savedState2.f2502b = iArr;
            savedState2.d = savedState2.f2502b.length;
            savedState2.f2498a = lazySpanLookup.a;
        } else {
            savedState2.d = 0;
        }
        if (b() > 0) {
            savedState2.a = this.f2491i ? p() : o();
            savedState2.b = n();
            int i = this.f;
            savedState2.c = i;
            savedState2.f2500a = new int[i];
            for (int i2 = 0; i2 < this.f; i2++) {
                if (this.f2491i) {
                    b2 = this.f2488a[i2].a(Integer.MIN_VALUE);
                    if (b2 != Integer.MIN_VALUE) {
                        f = this.f2486a.b();
                        b2 -= f;
                        savedState2.f2500a[i2] = b2;
                    } else {
                        savedState2.f2500a[i2] = b2;
                    }
                } else {
                    b2 = this.f2488a[i2].b(Integer.MIN_VALUE);
                    if (b2 != Integer.MIN_VALUE) {
                        f = this.f2486a.f();
                        b2 -= f;
                        savedState2.f2500a[i2] = b2;
                    } else {
                        savedState2.f2500a[i2] = b2;
                    }
                }
            }
        } else {
            savedState2.a = -1;
            savedState2.b = -1;
            savedState2.c = 0;
        }
        return savedState2;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean b() {
        return this.g == 1;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int b(int i, RecyclerView.o oVar, RecyclerView.s sVar) {
        return c(i, oVar, sVar);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public final int b(int i) {
        return i != 1 ? i != 2 ? i != 17 ? i != 33 ? i != 66 ? (i == 130 && this.g == 1) ? 1 : Integer.MIN_VALUE : this.g == 0 ? 1 : Integer.MIN_VALUE : this.g == 1 ? -1 : Integer.MIN_VALUE : this.g == 0 ? -1 : Integer.MIN_VALUE : (this.g != 1 && m1034n()) ? -1 : 1 : (this.g != 1 && m1034n()) ? 1 : -1;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView.o oVar, RecyclerView.s sVar, View view, C0058Ge c0058Ge) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof LayoutParams)) {
            super.a(view, c0058Ge);
            return;
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        if (this.g == 0) {
            c0058Ge.b(C0058Ge.c.a(layoutParams2.b(), layoutParams2.c ? this.f : 1, -1, -1, layoutParams2.c, false));
        } else {
            c0058Ge.b(C0058Ge.c.a(-1, -1, layoutParams2.b(), layoutParams2.c ? this.f : 1, layoutParams2.c, false));
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(AccessibilityEvent accessibilityEvent) {
        super.a(accessibilityEvent);
        if (b() > 0) {
            View b2 = b(false);
            View a2 = a(false);
            if (b2 == null || a2 == null) {
                return;
            }
            int i = i(b2);
            int i2 = i(a2);
            if (i < i2) {
                accessibilityEvent.setFromIndex(i);
                accessibilityEvent.setToIndex(i2);
                return;
            }
            accessibilityEvent.setFromIndex(i2);
            accessibilityEvent.setToIndex(i);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int a(RecyclerView.o oVar, RecyclerView.s sVar) {
        if (this.g == 1) {
            return this.f;
        }
        return super.a(oVar, sVar);
    }

    public View a(boolean z) {
        int f = this.f2486a.f();
        int b2 = this.f2486a.b();
        View view = null;
        for (int b3 = b() - 1; b3 >= 0; b3--) {
            View b4 = b(b3);
            int d = this.f2486a.d(b4);
            int a2 = this.f2486a.a(b4);
            if (a2 > f && d < b2) {
                if (a2 <= b2 || !z) {
                    return b4;
                }
                if (view == null) {
                    view = b4;
                }
            }
        }
        return view;
    }

    public final void a(RecyclerView.o oVar, RecyclerView.s sVar, boolean z) {
        int b2;
        int e = e(Integer.MIN_VALUE);
        if (e != Integer.MIN_VALUE && (b2 = this.f2486a.b() - e) > 0) {
            int i = b2 - (-c(-b2, oVar, sVar));
            if (!z || i <= 0) {
                return;
            }
            this.f2486a.a(i);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView recyclerView, int i, int i2) {
        a(i, i2, 1);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView recyclerView, int i, int i2, int i3) {
        a(i, i2, 8);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView recyclerView, int i, int i2, Object obj) {
        a(i, i2, 4);
    }

    /* JADX WARN: Removed duplicated region for block: B:15:0x0027  */
    /* JADX WARN: Removed duplicated region for block: B:21:0x003e  */
    /* JADX WARN: Removed duplicated region for block: B:23:0x0045 A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:24:0x0046  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void a(int i, int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int p = this.f2490h ? p() : o();
        if (i3 != 8) {
            i4 = i + i2;
        } else if (i >= i2) {
            i5 = i + 1;
            i6 = i2;
            this.f2480a.c(i6);
            if (i3 != 1) {
                this.f2480a.a(i, i2);
            } else if (i3 == 2) {
                this.f2480a.b(i, i2);
            } else if (i3 == 8) {
                this.f2480a.b(i, 1);
                this.f2480a.a(i2, 1);
            }
            if (i5 > p) {
                return;
            }
            if (i6 <= (this.f2490h ? o() : p())) {
                m964a();
                return;
            }
            return;
        } else {
            i4 = i2 + 1;
        }
        i5 = i4;
        i6 = i;
        this.f2480a.c(i6);
        if (i3 != 1) {
        }
        if (i5 > p) {
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r9v0 */
    /* JADX WARN: Type inference failed for: r9v1, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r9v6 */
    public final int a(RecyclerView.o oVar, C0601li c0601li, RecyclerView.s sVar) {
        int i;
        int i2;
        int f;
        int e;
        b bVar;
        int b2;
        int i3;
        int i4;
        int b3;
        boolean l;
        ?? r9 = 0;
        this.f2484a.set(0, this.f, true);
        if (this.f2485a.f3321c) {
            i2 = c0601li.d == 1 ? Integer.MAX_VALUE : Integer.MIN_VALUE;
        } else {
            if (c0601li.d == 1) {
                i = c0601li.f + c0601li.a;
            } else {
                i = c0601li.e - c0601li.a;
            }
            i2 = i;
        }
        e(c0601li.d, i2);
        if (this.f2490h) {
            f = this.f2486a.b();
        } else {
            f = this.f2486a.f();
        }
        int i5 = f;
        boolean z = false;
        while (c0601li.a(sVar) && (this.f2485a.f3321c || !this.f2484a.isEmpty())) {
            View a2 = c0601li.a(oVar);
            LayoutParams layoutParams = (LayoutParams) a2.getLayoutParams();
            int a3 = layoutParams.a();
            int b4 = this.f2480a.b(a3);
            boolean z2 = b4 == -1;
            if (z2) {
                bVar = layoutParams.c ? this.f2488a[r9] : a(c0601li);
                this.f2480a.a(a3, bVar);
            } else {
                bVar = this.f2488a[b4];
            }
            b bVar2 = bVar;
            layoutParams.a = bVar2;
            if (c0601li.d == 1) {
                m976b(a2);
            } else {
                b(a2, (int) r9);
            }
            a(a2, layoutParams, (boolean) r9);
            if (c0601li.d == 1) {
                int e2 = layoutParams.c ? e(i5) : bVar2.a(i5);
                int b5 = this.f2486a.b(a2) + e2;
                if (z2 && layoutParams.c) {
                    LazySpanLookup.FullSpanItem a4 = a(e2);
                    a4.b = -1;
                    a4.a = a3;
                    this.f2480a.a(a4);
                }
                i3 = b5;
                b2 = e2;
            } else {
                int h = layoutParams.c ? h(i5) : bVar2.b(i5);
                b2 = h - this.f2486a.b(a2);
                if (z2 && layoutParams.c) {
                    LazySpanLookup.FullSpanItem b6 = b(h);
                    b6.b = 1;
                    b6.a = a3;
                    this.f2480a.a(b6);
                }
                i3 = h;
            }
            if (layoutParams.c && c0601li.c == -1) {
                if (z2) {
                    this.f2493k = true;
                } else {
                    if (c0601li.d == 1) {
                        l = k();
                    } else {
                        l = l();
                    }
                    if (!l) {
                        LazySpanLookup.FullSpanItem m1035a = this.f2480a.m1035a(a3);
                        if (m1035a != null) {
                            m1035a.f2496a = true;
                        }
                        this.f2493k = true;
                    }
                }
            }
            a(a2, layoutParams, c0601li);
            if (m1034n() && this.g == 1) {
                int b7 = layoutParams.c ? this.b.b() : this.b.b() - (((this.f - 1) - bVar2.d) * this.h);
                b3 = b7;
                i4 = b7 - this.b.b(a2);
            } else {
                int f2 = layoutParams.c ? this.b.f() : (bVar2.d * this.h) + this.b.f();
                i4 = f2;
                b3 = this.b.b(a2) + f2;
            }
            if (this.g == 1) {
                a(a2, i4, b2, b3, i3);
            } else {
                a(a2, b2, i4, i3, b3);
            }
            if (layoutParams.c) {
                e(this.f2485a.d, i2);
            } else {
                a(bVar2, this.f2485a.d, i2);
            }
            a(oVar, this.f2485a);
            if (this.f2485a.f3320b && a2.hasFocusable()) {
                if (layoutParams.c) {
                    this.f2484a.clear();
                } else {
                    this.f2484a.set(bVar2.d, false);
                    z = true;
                    r9 = 0;
                }
            }
            z = true;
            r9 = 0;
        }
        if (!z) {
            a(oVar, this.f2485a);
        }
        if (this.f2485a.d == -1) {
            e = this.f2486a.f() - h(this.f2486a.f());
        } else {
            e = e(this.f2486a.b()) - this.f2486a.b();
        }
        if (e > 0) {
            return Math.min(c0601li.a, e);
        }
        return 0;
    }

    @Override // android.support.v7.widget.RecyclerView.i, android.support.v7.widget.RecyclerView.r.b
    public final LazySpanLookup.FullSpanItem a(int i) {
        LazySpanLookup.FullSpanItem fullSpanItem = new LazySpanLookup.FullSpanItem();
        fullSpanItem.f2497a = new int[this.f];
        for (int i2 = 0; i2 < this.f; i2++) {
            fullSpanItem.f2497a[i2] = i - this.f2488a[i2].a(i);
        }
        return fullSpanItem;
    }

    public final void a(View view, LayoutParams layoutParams, C0601li c0601li) {
        if (c0601li.d == 1) {
            if (layoutParams.c) {
                d(view);
            } else {
                layoutParams.a.m1039a(view);
            }
        } else if (layoutParams.c) {
            e(view);
        } else {
            layoutParams.a.b(view);
        }
    }

    public final void a(RecyclerView.o oVar, C0601li c0601li) {
        int min;
        int min2;
        if (!c0601li.f3319a || c0601li.f3321c) {
            return;
        }
        if (c0601li.a == 0) {
            if (c0601li.d == -1) {
                a(oVar, c0601li.f);
            } else {
                b(oVar, c0601li.e);
            }
        } else if (c0601li.d == -1) {
            int i = c0601li.e;
            int f = i - f(i);
            if (f < 0) {
                min2 = c0601li.f;
            } else {
                min2 = c0601li.f - Math.min(f, c0601li.a);
            }
            a(oVar, min2);
        } else {
            int g = g(c0601li.f) - c0601li.f;
            if (g < 0) {
                min = c0601li.e;
            } else {
                min = Math.min(g, c0601li.a) + c0601li.e;
            }
            b(oVar, min);
        }
    }

    public final void a(b bVar, int i, int i2) {
        int c = bVar.c();
        if (i == -1) {
            if (bVar.e() + c <= i2) {
                this.f2484a.set(bVar.d, false);
            }
        } else if (bVar.d() - c >= i2) {
            this.f2484a.set(bVar.d, false);
        }
    }

    public final void a(RecyclerView.o oVar, int i) {
        for (int b2 = b() - 1; b2 >= 0; b2--) {
            View b3 = b(b2);
            if (this.f2486a.d(b3) < i || this.f2486a.f(b3) < i) {
                return;
            }
            LayoutParams layoutParams = (LayoutParams) b3.getLayoutParams();
            if (layoutParams.c) {
                for (int i2 = 0; i2 < this.f; i2++) {
                    if (this.f2488a[i2].f2509a.size() == 1) {
                        return;
                    }
                }
                for (int i3 = 0; i3 < this.f; i3++) {
                    this.f2488a[i3].m1044e();
                }
            } else if (layoutParams.a.f2509a.size() == 1) {
                return;
            } else {
                layoutParams.a.m1044e();
            }
            a(b3, oVar);
        }
    }

    @Override // android.support.v7.widget.RecyclerView.i, android.support.v7.widget.RecyclerView.r.b
    public final boolean a(int i) {
        if (this.g == 0) {
            return (i == -1) != this.f2490h;
        }
        return ((i == -1) == this.f2490h) == m1034n();
    }

    public final b a(C0601li c0601li) {
        int i;
        int i2;
        int i3 = -1;
        if (a(c0601li.d)) {
            i = this.f - 1;
            i2 = -1;
        } else {
            i = 0;
            i3 = this.f;
            i2 = 1;
        }
        b bVar = null;
        if (c0601li.d == 1) {
            int i4 = Integer.MAX_VALUE;
            int f = this.f2486a.f();
            while (i != i3) {
                b bVar2 = this.f2488a[i];
                int a2 = bVar2.a(f);
                if (a2 < i4) {
                    bVar = bVar2;
                    i4 = a2;
                }
                i += i2;
            }
            return bVar;
        }
        int i5 = Integer.MIN_VALUE;
        int b2 = this.f2486a.b();
        while (i != i3) {
            b bVar3 = this.f2488a[i];
            int b3 = bVar3.b(b2);
            if (b3 > i5) {
                bVar = bVar3;
                i5 = b3;
            }
            i += i2;
        }
        return bVar;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean a() {
        return this.g == 0;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public int a(int i, RecyclerView.o oVar, RecyclerView.s sVar) {
        return c(i, oVar, sVar);
    }

    @Override // android.support.v7.widget.RecyclerView.i, android.support.v7.widget.RecyclerView.r.b
    public final int a(int i) {
        if (b() == 0) {
            return this.f2490h ? 1 : -1;
        }
        return (i < o()) != this.f2490h ? -1 : 1;
    }

    @Override // android.support.v7.widget.RecyclerView.i, android.support.v7.widget.RecyclerView.r.b
    public PointF a(int i) {
        int a2 = a(i);
        PointF pointF = new PointF();
        if (a2 == 0) {
            return null;
        }
        if (this.g == 0) {
            pointF.x = a2;
            pointF.y = 0.0f;
        } else {
            pointF.x = 0.0f;
            pointF.y = a2;
        }
        return pointF;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(RecyclerView recyclerView, RecyclerView.s sVar, int i) {
        C0671ni c0671ni = new C0671ni(recyclerView.getContext());
        c0671ni.m1002a(i);
        b(c0671ni);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public void a(int i, int i2, RecyclerView.s sVar, RecyclerView.i.a aVar) {
        int a2;
        int i3;
        if (this.g != 0) {
            i = i2;
        }
        if (b() == 0 || i == 0) {
            return;
        }
        a(i, sVar);
        int[] iArr = this.f2487a;
        if (iArr == null || iArr.length < this.f) {
            this.f2487a = new int[this.f];
        }
        int i4 = 0;
        for (int i5 = 0; i5 < this.f; i5++) {
            C0601li c0601li = this.f2485a;
            if (c0601li.c == -1) {
                a2 = c0601li.e;
                i3 = this.f2488a[i5].b(a2);
            } else {
                a2 = this.f2488a[i5].a(c0601li.f);
                i3 = this.f2485a.f;
            }
            int i6 = a2 - i3;
            if (i6 >= 0) {
                this.f2487a[i4] = i6;
                i4++;
            }
        }
        Arrays.sort(this.f2487a, 0, i4);
        for (int i7 = 0; i7 < i4 && this.f2485a.a(sVar); i7++) {
            aVar.a(this.f2485a.b, this.f2487a[i7]);
            C0601li c0601li2 = this.f2485a;
            c0601li2.b += c0601li2.c;
        }
    }

    public void a(int i, RecyclerView.s sVar) {
        int o;
        int i2;
        if (i > 0) {
            o = p();
            i2 = 1;
        } else {
            o = o();
            i2 = -1;
        }
        this.f2485a.f3319a = true;
        b(o, sVar);
        m1032g(i2);
        C0601li c0601li = this.f2485a;
        c0601li.b = o + c0601li.c;
        c0601li.a = Math.abs(i);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public RecyclerView.LayoutParams a() {
        if (this.g == 0) {
            return new LayoutParams(-2, -1);
        }
        return new LayoutParams(-1, -2);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public RecyclerView.LayoutParams a(Context context, AttributeSet attributeSet) {
        return new LayoutParams(context, attributeSet);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public RecyclerView.LayoutParams a(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public boolean a(RecyclerView.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    @Override // android.support.v7.widget.RecyclerView.i
    public View a(View view, int i, RecyclerView.o oVar, RecyclerView.s sVar) {
        View m963a;
        int o;
        int b2;
        int b3;
        int b4;
        View a2;
        if (b() == 0 || (m963a = m963a(view)) == null) {
            return null;
        }
        g();
        int b5 = b(i);
        if (b5 == Integer.MIN_VALUE) {
            return null;
        }
        LayoutParams layoutParams = (LayoutParams) m963a.getLayoutParams();
        boolean z = layoutParams.c;
        b bVar = layoutParams.a;
        if (b5 == 1) {
            o = p();
        } else {
            o = o();
        }
        b(o, sVar);
        m1032g(b5);
        C0601li c0601li = this.f2485a;
        c0601li.b = c0601li.c + o;
        c0601li.a = (int) (this.f2486a.g() * 0.33333334f);
        C0601li c0601li2 = this.f2485a;
        c0601li2.f3320b = true;
        c0601li2.f3319a = false;
        a(oVar, c0601li2, sVar);
        this.f2491i = this.f2490h;
        if (z || (a2 = bVar.a(o, b5)) == null || a2 == m963a) {
            if (a(b5)) {
                for (int i2 = this.f - 1; i2 >= 0; i2--) {
                    View a3 = this.f2488a[i2].a(o, b5);
                    if (a3 != null && a3 != m963a) {
                        return a3;
                    }
                }
            } else {
                for (int i3 = 0; i3 < this.f; i3++) {
                    View a4 = this.f2488a[i3].a(o, b5);
                    if (a4 != null && a4 != m963a) {
                        return a4;
                    }
                }
            }
            boolean z2 = (this.f2489g ^ true) == (b5 == -1);
            if (!z) {
                if (z2) {
                    b4 = bVar.a();
                } else {
                    b4 = bVar.b();
                }
                View a5 = a(b4);
                if (a5 != null && a5 != m963a) {
                    return a5;
                }
            }
            if (a(b5)) {
                for (int i4 = this.f - 1; i4 >= 0; i4--) {
                    if (i4 != bVar.d) {
                        if (z2) {
                            b3 = this.f2488a[i4].a();
                        } else {
                            b3 = this.f2488a[i4].b();
                        }
                        View a6 = a(b3);
                        if (a6 != null && a6 != m963a) {
                            return a6;
                        }
                    }
                }
            } else {
                for (int i5 = 0; i5 < this.f; i5++) {
                    if (z2) {
                        b2 = this.f2488a[i5].a();
                    } else {
                        b2 = this.f2488a[i5].b();
                    }
                    View a7 = a(b2);
                    if (a7 != null && a7 != m963a) {
                        return a7;
                    }
                }
            }
            return null;
        }
        return a2;
    }
}
