package android.support.v7.widget;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.Property;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import com.sogou.speech.butterfly.ButterflyEngine;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class SwitchCompat extends CompoundButton {
    public static final Property<SwitchCompat, Float> a = new C0254bj(Float.class, "thumbPos");

    /* renamed from: a  reason: collision with other field name */
    public static final int[] f2510a = {16842912};

    /* renamed from: a  reason: collision with other field name */
    public float f2511a;

    /* renamed from: a  reason: collision with other field name */
    public int f2512a;

    /* renamed from: a  reason: collision with other field name */
    public ObjectAnimator f2513a;

    /* renamed from: a  reason: collision with other field name */
    public ColorStateList f2514a;

    /* renamed from: a  reason: collision with other field name */
    public PorterDuff.Mode f2515a;

    /* renamed from: a  reason: collision with other field name */
    public final Rect f2516a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2517a;

    /* renamed from: a  reason: collision with other field name */
    public Layout f2518a;

    /* renamed from: a  reason: collision with other field name */
    public final TextPaint f2519a;

    /* renamed from: a  reason: collision with other field name */
    public TransformationMethod f2520a;

    /* renamed from: a  reason: collision with other field name */
    public VelocityTracker f2521a;

    /* renamed from: a  reason: collision with other field name */
    public CharSequence f2522a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f2523a;
    public float b;

    /* renamed from: b  reason: collision with other field name */
    public int f2524b;

    /* renamed from: b  reason: collision with other field name */
    public ColorStateList f2525b;

    /* renamed from: b  reason: collision with other field name */
    public PorterDuff.Mode f2526b;

    /* renamed from: b  reason: collision with other field name */
    public Drawable f2527b;

    /* renamed from: b  reason: collision with other field name */
    public Layout f2528b;

    /* renamed from: b  reason: collision with other field name */
    public CharSequence f2529b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2530b;
    public float c;

    /* renamed from: c  reason: collision with other field name */
    public int f2531c;

    /* renamed from: c  reason: collision with other field name */
    public ColorStateList f2532c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2533c;
    public int d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2534d;
    public int e;

    /* renamed from: e  reason: collision with other field name */
    public boolean f2535e;
    public int f;

    /* renamed from: f  reason: collision with other field name */
    public boolean f2536f;
    public int g;
    public int h;
    public int i;
    public int j;
    public int k;
    public int l;
    public int m;

    public SwitchCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0425gg.switchStyle);
    }

    public static float a(float f, float f2, float f3) {
        return f < f2 ? f2 : f > f3 ? f3 : f;
    }

    private boolean getTargetCheckedState() {
        return this.c > 0.5f;
    }

    private int getThumbOffset() {
        float f;
        if (C1014xj.m1680a((View) this)) {
            f = 1.0f - this.c;
        } else {
            f = this.c;
        }
        return (int) ((f * getThumbScrollRange()) + 0.5f);
    }

    private int getThumbScrollRange() {
        Rect rect;
        Drawable drawable = this.f2527b;
        if (drawable != null) {
            Rect rect2 = this.f2516a;
            drawable.getPadding(rect2);
            Drawable drawable2 = this.f2517a;
            if (drawable2 != null) {
                rect = C0288ci.a(drawable2);
            } else {
                rect = C0288ci.a;
            }
            return ((((this.g - this.i) - rect2.left) - rect2.right) - rect.left) - rect.right;
        }
        return 0;
    }

    public void a(Context context, int i) {
        C0463hj a2 = C0463hj.a(context, i, C0739pg.TextAppearance);
        ColorStateList a3 = a2.a(C0739pg.TextAppearance_android_textColor);
        if (a3 != null) {
            this.f2532c = a3;
        } else {
            this.f2532c = getTextColors();
        }
        int c = a2.c(C0739pg.TextAppearance_android_textSize, 0);
        if (c != 0) {
            float f = c;
            if (f != this.f2519a.getTextSize()) {
                this.f2519a.setTextSize(f);
                requestLayout();
            }
        }
        a(a2.d(C0739pg.TextAppearance_android_typeface, -1), a2.d(C0739pg.TextAppearance_android_textStyle, -1));
        if (a2.a(C0739pg.TextAppearance_textAllCaps, false)) {
            this.f2520a = new C1079zg(getContext());
        } else {
            this.f2520a = null;
        }
        a2.a();
    }

    public final void b() {
        if (this.f2527b != null) {
            if (this.f2533c || this.f2534d) {
                this.f2527b = this.f2527b.mutate();
                if (this.f2533c) {
                    C0386fc.a(this.f2527b, this.f2525b);
                }
                if (this.f2534d) {
                    C0386fc.a(this.f2527b, this.f2526b);
                }
                if (this.f2527b.isStateful()) {
                    this.f2527b.setState(getDrawableState());
                }
            }
        }
    }

    public final void c() {
        ObjectAnimator objectAnimator = this.f2513a;
        if (objectAnimator != null) {
            objectAnimator.cancel();
        }
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        Rect rect;
        int i;
        int i2;
        Rect rect2 = this.f2516a;
        int i3 = this.j;
        int i4 = this.k;
        int i5 = this.l;
        int i6 = this.m;
        int thumbOffset = getThumbOffset() + i3;
        Drawable drawable = this.f2517a;
        if (drawable != null) {
            rect = C0288ci.a(drawable);
        } else {
            rect = C0288ci.a;
        }
        Drawable drawable2 = this.f2527b;
        if (drawable2 != null) {
            drawable2.getPadding(rect2);
            int i7 = rect2.left;
            thumbOffset += i7;
            if (rect != null) {
                int i8 = rect.left;
                if (i8 > i7) {
                    i3 += i8 - i7;
                }
                int i9 = rect.top;
                int i10 = rect2.top;
                i = i9 > i10 ? (i9 - i10) + i4 : i4;
                int i11 = rect.right;
                int i12 = rect2.right;
                if (i11 > i12) {
                    i5 -= i11 - i12;
                }
                int i13 = rect.bottom;
                int i14 = rect2.bottom;
                if (i13 > i14) {
                    i2 = i6 - (i13 - i14);
                    this.f2527b.setBounds(i3, i, i5, i2);
                }
            } else {
                i = i4;
            }
            i2 = i6;
            this.f2527b.setBounds(i3, i, i5, i2);
        }
        Drawable drawable3 = this.f2517a;
        if (drawable3 != null) {
            drawable3.getPadding(rect2);
            int i15 = thumbOffset - rect2.left;
            int i16 = thumbOffset + this.i + rect2.right;
            this.f2517a.setBounds(i15, i4, i16, i6);
            Drawable background = getBackground();
            if (background != null) {
                C0386fc.a(background, i15, i4, i16, i6);
            }
        }
        super.draw(canvas);
    }

    @Override // android.widget.CompoundButton, android.widget.TextView, android.view.View
    public void drawableHotspotChanged(float f, float f2) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.drawableHotspotChanged(f, f2);
        }
        Drawable drawable = this.f2517a;
        if (drawable != null) {
            C0386fc.a(drawable, f, f2);
        }
        Drawable drawable2 = this.f2527b;
        if (drawable2 != null) {
            C0386fc.a(drawable2, f, f2);
        }
    }

    @Override // android.widget.CompoundButton, android.widget.TextView, android.view.View
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f2517a;
        boolean z = false;
        if (drawable != null && drawable.isStateful()) {
            z = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.f2527b;
        if (drawable2 != null && drawable2.isStateful()) {
            z |= drawable2.setState(drawableState);
        }
        if (z) {
            invalidate();
        }
    }

    @Override // android.widget.CompoundButton, android.widget.TextView
    public int getCompoundPaddingLeft() {
        if (!C1014xj.m1680a((View) this)) {
            return super.getCompoundPaddingLeft();
        }
        int compoundPaddingLeft = super.getCompoundPaddingLeft() + this.g;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingLeft + this.f2531c : compoundPaddingLeft;
    }

    @Override // android.widget.CompoundButton, android.widget.TextView
    public int getCompoundPaddingRight() {
        if (C1014xj.m1680a((View) this)) {
            return super.getCompoundPaddingRight();
        }
        int compoundPaddingRight = super.getCompoundPaddingRight() + this.g;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingRight + this.f2531c : compoundPaddingRight;
    }

    public boolean getShowText() {
        return this.f2536f;
    }

    public boolean getSplitTrack() {
        return this.f2535e;
    }

    public int getSwitchMinWidth() {
        return this.f2524b;
    }

    public int getSwitchPadding() {
        return this.f2531c;
    }

    public CharSequence getTextOff() {
        return this.f2529b;
    }

    public CharSequence getTextOn() {
        return this.f2522a;
    }

    public Drawable getThumbDrawable() {
        return this.f2517a;
    }

    public int getThumbTextPadding() {
        return this.f2512a;
    }

    public ColorStateList getThumbTintList() {
        return this.f2514a;
    }

    public PorterDuff.Mode getThumbTintMode() {
        return this.f2515a;
    }

    public Drawable getTrackDrawable() {
        return this.f2527b;
    }

    public ColorStateList getTrackTintList() {
        return this.f2525b;
    }

    public PorterDuff.Mode getTrackTintMode() {
        return this.f2526b;
    }

    @Override // android.widget.CompoundButton, android.widget.TextView, android.view.View
    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f2517a;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.f2527b;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        ObjectAnimator objectAnimator = this.f2513a;
        if (objectAnimator == null || !objectAnimator.isStarted()) {
            return;
        }
        this.f2513a.end();
        this.f2513a = null;
    }

    @Override // android.widget.CompoundButton, android.widget.TextView, android.view.View
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 1);
        if (isChecked()) {
            CompoundButton.mergeDrawableStates(onCreateDrawableState, f2510a);
        }
        return onCreateDrawableState;
    }

    @Override // android.widget.CompoundButton, android.widget.TextView, android.view.View
    public void onDraw(Canvas canvas) {
        int width;
        super.onDraw(canvas);
        Rect rect = this.f2516a;
        Drawable drawable = this.f2527b;
        if (drawable != null) {
            drawable.getPadding(rect);
        } else {
            rect.setEmpty();
        }
        int i = this.k;
        int i2 = this.m;
        int i3 = i + rect.top;
        int i4 = i2 - rect.bottom;
        Drawable drawable2 = this.f2517a;
        if (drawable != null) {
            if (this.f2535e && drawable2 != null) {
                Rect a2 = C0288ci.a(drawable2);
                drawable2.copyBounds(rect);
                rect.left += a2.left;
                rect.right -= a2.right;
                int save = canvas.save();
                canvas.clipRect(rect, Region.Op.DIFFERENCE);
                drawable.draw(canvas);
                canvas.restoreToCount(save);
            } else {
                drawable.draw(canvas);
            }
        }
        int save2 = canvas.save();
        if (drawable2 != null) {
            drawable2.draw(canvas);
        }
        Layout layout = getTargetCheckedState() ? this.f2518a : this.f2528b;
        if (layout != null) {
            int[] drawableState = getDrawableState();
            ColorStateList colorStateList = this.f2532c;
            if (colorStateList != null) {
                this.f2519a.setColor(colorStateList.getColorForState(drawableState, 0));
            }
            this.f2519a.drawableState = drawableState;
            if (drawable2 != null) {
                Rect bounds = drawable2.getBounds();
                width = bounds.left + bounds.right;
            } else {
                width = getWidth();
            }
            canvas.translate((width / 2) - (layout.getWidth() / 2), ((i3 + i4) / 2) - (layout.getHeight() / 2));
            layout.draw(canvas);
        }
        canvas.restoreToCount(save2);
    }

    @Override // android.view.View
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName("android.widget.Switch");
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName("android.widget.Switch");
        CharSequence charSequence = isChecked() ? this.f2522a : this.f2529b;
        if (TextUtils.isEmpty(charSequence)) {
            return;
        }
        CharSequence text = accessibilityNodeInfo.getText();
        if (TextUtils.isEmpty(text)) {
            accessibilityNodeInfo.setText(charSequence);
            return;
        }
        StringBuilder sb = new StringBuilder();
        sb.append(text);
        sb.append(' ');
        sb.append(charSequence);
        accessibilityNodeInfo.setText(sb);
    }

    @Override // android.widget.TextView, android.view.View
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int width;
        int i6;
        int i7;
        int paddingTop;
        int i8;
        super.onLayout(z, i, i2, i3, i4);
        int i9 = 0;
        if (this.f2517a != null) {
            Rect rect = this.f2516a;
            Drawable drawable = this.f2527b;
            if (drawable != null) {
                drawable.getPadding(rect);
            } else {
                rect.setEmpty();
            }
            Rect a2 = C0288ci.a(this.f2517a);
            i5 = Math.max(0, a2.left - rect.left);
            i9 = Math.max(0, a2.right - rect.right);
        } else {
            i5 = 0;
        }
        if (C1014xj.m1680a((View) this)) {
            i6 = getPaddingLeft() + i5;
            width = ((this.g + i6) - i5) - i9;
        } else {
            width = (getWidth() - getPaddingRight()) - i9;
            i6 = (width - this.g) + i5 + i9;
        }
        int gravity = getGravity() & 112;
        if (gravity == 16) {
            i7 = this.h;
            paddingTop = (((getPaddingTop() + getHeight()) - getPaddingBottom()) / 2) - (i7 / 2);
        } else if (gravity != 80) {
            paddingTop = getPaddingTop();
            i7 = this.h;
        } else {
            i8 = getHeight() - getPaddingBottom();
            paddingTop = i8 - this.h;
            this.j = i6;
            this.k = paddingTop;
            this.m = i8;
            this.l = width;
        }
        i8 = i7 + paddingTop;
        this.j = i6;
        this.k = paddingTop;
        this.m = i8;
        this.l = width;
    }

    @Override // android.widget.TextView, android.view.View
    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        if (this.f2536f) {
            if (this.f2518a == null) {
                this.f2518a = a(this.f2522a);
            }
            if (this.f2528b == null) {
                this.f2528b = a(this.f2529b);
            }
        }
        Rect rect = this.f2516a;
        Drawable drawable = this.f2517a;
        int i5 = 0;
        if (drawable != null) {
            drawable.getPadding(rect);
            i3 = (this.f2517a.getIntrinsicWidth() - rect.left) - rect.right;
            i4 = this.f2517a.getIntrinsicHeight();
        } else {
            i3 = 0;
            i4 = 0;
        }
        this.i = Math.max(this.f2536f ? Math.max(this.f2518a.getWidth(), this.f2528b.getWidth()) + (this.f2512a * 2) : 0, i3);
        Drawable drawable2 = this.f2527b;
        if (drawable2 != null) {
            drawable2.getPadding(rect);
            i5 = this.f2527b.getIntrinsicHeight();
        } else {
            rect.setEmpty();
        }
        int i6 = rect.left;
        int i7 = rect.right;
        Drawable drawable3 = this.f2517a;
        if (drawable3 != null) {
            Rect a2 = C0288ci.a(drawable3);
            i6 = Math.max(i6, a2.left);
            i7 = Math.max(i7, a2.right);
        }
        int max = Math.max(this.f2524b, (this.i * 2) + i6 + i7);
        int max2 = Math.max(i5, i4);
        this.g = max;
        this.h = max2;
        super.onMeasure(i, i2);
        if (getMeasuredHeight() < max2) {
            setMeasuredDimension(getMeasuredWidthAndState(), max2);
        }
    }

    @Override // android.view.View
    public void onPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onPopulateAccessibilityEvent(accessibilityEvent);
        CharSequence charSequence = isChecked() ? this.f2522a : this.f2529b;
        if (charSequence != null) {
            accessibilityEvent.getText().add(charSequence);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:8:0x0012, code lost:
        if (r0 != 3) goto L8;
     */
    @Override // android.widget.TextView, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        this.f2521a.addMovement(motionEvent);
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i = this.d;
                    if (i != 0) {
                        if (i == 1) {
                            float x = motionEvent.getX();
                            float y = motionEvent.getY();
                            if (Math.abs(x - this.f2511a) > this.e || Math.abs(y - this.b) > this.e) {
                                this.d = 2;
                                getParent().requestDisallowInterceptTouchEvent(true);
                                this.f2511a = x;
                                this.b = y;
                                return true;
                            }
                        } else if (i == 2) {
                            float x2 = motionEvent.getX();
                            int thumbScrollRange = getThumbScrollRange();
                            float f = x2 - this.f2511a;
                            float f2 = thumbScrollRange != 0 ? f / thumbScrollRange : f > 0.0f ? 1.0f : -1.0f;
                            if (C1014xj.m1680a((View) this)) {
                                f2 = -f2;
                            }
                            float a2 = a(this.c + f2, 0.0f, 1.0f);
                            if (a2 != this.c) {
                                this.f2511a = x2;
                                setThumbPosition(a2);
                            }
                            return true;
                        }
                    }
                }
            }
            if (this.d == 2) {
                b(motionEvent);
                super.onTouchEvent(motionEvent);
                return true;
            }
            this.d = 0;
            this.f2521a.clear();
        } else {
            float x3 = motionEvent.getX();
            float y2 = motionEvent.getY();
            if (isEnabled() && a(x3, y2)) {
                this.d = 1;
                this.f2511a = x3;
                this.b = y2;
            }
        }
        return super.onTouchEvent(motionEvent);
    }

    @Override // android.widget.CompoundButton, android.widget.Checkable
    public void setChecked(boolean z) {
        super.setChecked(z);
        boolean isChecked = isChecked();
        if (getWindowToken() != null && C0737pe.g(this)) {
            a(isChecked);
            return;
        }
        c();
        setThumbPosition(isChecked ? 1.0f : 0.0f);
    }

    @Override // android.widget.TextView
    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(C0874tf.a(this, callback));
    }

    public void setShowText(boolean z) {
        if (this.f2536f != z) {
            this.f2536f = z;
            requestLayout();
        }
    }

    public void setSplitTrack(boolean z) {
        this.f2535e = z;
        invalidate();
    }

    public void setSwitchMinWidth(int i) {
        this.f2524b = i;
        requestLayout();
    }

    public void setSwitchPadding(int i) {
        this.f2531c = i;
        requestLayout();
    }

    public void setSwitchTypeface(Typeface typeface) {
        if ((this.f2519a.getTypeface() == null || this.f2519a.getTypeface().equals(typeface)) && (this.f2519a.getTypeface() != null || typeface == null)) {
            return;
        }
        this.f2519a.setTypeface(typeface);
        requestLayout();
        invalidate();
    }

    public void setTextOff(CharSequence charSequence) {
        this.f2529b = charSequence;
        requestLayout();
    }

    public void setTextOn(CharSequence charSequence) {
        this.f2522a = charSequence;
        requestLayout();
    }

    public void setThumbDrawable(Drawable drawable) {
        Drawable drawable2 = this.f2517a;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f2517a = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    public void setThumbPosition(float f) {
        this.c = f;
        invalidate();
    }

    public void setThumbResource(int i) {
        setThumbDrawable(C0774qg.m1510a(getContext(), i));
    }

    public void setThumbTextPadding(int i) {
        this.f2512a = i;
        requestLayout();
    }

    public void setThumbTintList(ColorStateList colorStateList) {
        this.f2514a = colorStateList;
        this.f2523a = true;
        a();
    }

    public void setThumbTintMode(PorterDuff.Mode mode) {
        this.f2515a = mode;
        this.f2530b = true;
        a();
    }

    public void setTrackDrawable(Drawable drawable) {
        Drawable drawable2 = this.f2527b;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f2527b = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    public void setTrackResource(int i) {
        setTrackDrawable(C0774qg.m1510a(getContext(), i));
    }

    public void setTrackTintList(ColorStateList colorStateList) {
        this.f2525b = colorStateList;
        this.f2533c = true;
        b();
    }

    public void setTrackTintMode(PorterDuff.Mode mode) {
        this.f2526b = mode;
        this.f2534d = true;
        b();
    }

    @Override // android.widget.CompoundButton, android.widget.Checkable
    public void toggle() {
        setChecked(!isChecked());
    }

    @Override // android.widget.CompoundButton, android.widget.TextView, android.view.View
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f2517a || drawable == this.f2527b;
    }

    public SwitchCompat(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2514a = null;
        this.f2515a = null;
        this.f2523a = false;
        this.f2530b = false;
        this.f2525b = null;
        this.f2526b = null;
        this.f2533c = false;
        this.f2534d = false;
        this.f2521a = VelocityTracker.obtain();
        this.f2516a = new Rect();
        this.f2519a = new TextPaint(1);
        Resources resources = getResources();
        this.f2519a.density = resources.getDisplayMetrics().density;
        C0463hj a2 = C0463hj.a(context, attributeSet, C0739pg.SwitchCompat, i, 0);
        this.f2517a = a2.m1294a(C0739pg.SwitchCompat_android_thumb);
        Drawable drawable = this.f2517a;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        this.f2527b = a2.m1294a(C0739pg.SwitchCompat_track);
        Drawable drawable2 = this.f2527b;
        if (drawable2 != null) {
            drawable2.setCallback(this);
        }
        this.f2522a = a2.m1295a(C0739pg.SwitchCompat_android_textOn);
        this.f2529b = a2.m1295a(C0739pg.SwitchCompat_android_textOff);
        this.f2536f = a2.a(C0739pg.SwitchCompat_showText, true);
        this.f2512a = a2.c(C0739pg.SwitchCompat_thumbTextPadding, 0);
        this.f2524b = a2.c(C0739pg.SwitchCompat_switchMinWidth, 0);
        this.f2531c = a2.c(C0739pg.SwitchCompat_switchPadding, 0);
        this.f2535e = a2.a(C0739pg.SwitchCompat_splitTrack, false);
        ColorStateList a3 = a2.a(C0739pg.SwitchCompat_thumbTint);
        if (a3 != null) {
            this.f2514a = a3;
            this.f2523a = true;
        }
        PorterDuff.Mode a4 = C0288ci.a(a2.d(C0739pg.SwitchCompat_thumbTintMode, -1), null);
        if (this.f2515a != a4) {
            this.f2515a = a4;
            this.f2530b = true;
        }
        if (this.f2523a || this.f2530b) {
            a();
        }
        ColorStateList a5 = a2.a(C0739pg.SwitchCompat_trackTint);
        if (a5 != null) {
            this.f2525b = a5;
            this.f2533c = true;
        }
        PorterDuff.Mode a6 = C0288ci.a(a2.d(C0739pg.SwitchCompat_trackTintMode, -1), null);
        if (this.f2526b != a6) {
            this.f2526b = a6;
            this.f2534d = true;
        }
        if (this.f2533c || this.f2534d) {
            b();
        }
        int g = a2.g(C0739pg.SwitchCompat_switchTextAppearance, 0);
        if (g != 0) {
            a(context, g);
        }
        a2.a();
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.e = viewConfiguration.getScaledTouchSlop();
        this.f = viewConfiguration.getScaledMinimumFlingVelocity();
        refreshDrawableState();
        setChecked(isChecked());
    }

    public final void b(MotionEvent motionEvent) {
        boolean z;
        this.d = 0;
        boolean z2 = true;
        boolean z3 = motionEvent.getAction() == 1 && isEnabled();
        boolean isChecked = isChecked();
        if (z3) {
            this.f2521a.computeCurrentVelocity(ButterflyEngine.mDefaultVADEndThreshold);
            float xVelocity = this.f2521a.getXVelocity();
            if (Math.abs(xVelocity) > this.f) {
                if (!C1014xj.m1680a((View) this) ? xVelocity <= 0.0f : xVelocity >= 0.0f) {
                    z2 = false;
                }
                z = z2;
            } else {
                z = getTargetCheckedState();
            }
        } else {
            z = isChecked;
        }
        if (z != isChecked) {
            playSoundEffect(0);
        }
        setChecked(z);
        a(motionEvent);
    }

    public final void a(int i, int i2) {
        Typeface typeface;
        if (i == 1) {
            typeface = Typeface.SANS_SERIF;
        } else if (i != 2) {
            typeface = i != 3 ? null : Typeface.MONOSPACE;
        } else {
            typeface = Typeface.SERIF;
        }
        a(typeface, i2);
    }

    public void a(Typeface typeface, int i) {
        Typeface create;
        if (i > 0) {
            if (typeface == null) {
                create = Typeface.defaultFromStyle(i);
            } else {
                create = Typeface.create(typeface, i);
            }
            setSwitchTypeface(create);
            int style = ((create != null ? create.getStyle() : 0) ^ (-1)) & i;
            this.f2519a.setFakeBoldText((style & 1) != 0);
            this.f2519a.setTextSkewX((style & 2) != 0 ? -0.25f : 0.0f);
            return;
        }
        this.f2519a.setFakeBoldText(false);
        this.f2519a.setTextSkewX(0.0f);
        setSwitchTypeface(typeface);
    }

    public final void a() {
        if (this.f2517a != null) {
            if (this.f2523a || this.f2530b) {
                this.f2517a = this.f2517a.mutate();
                if (this.f2523a) {
                    C0386fc.a(this.f2517a, this.f2514a);
                }
                if (this.f2530b) {
                    C0386fc.a(this.f2517a, this.f2515a);
                }
                if (this.f2517a.isStateful()) {
                    this.f2517a.setState(getDrawableState());
                }
            }
        }
    }

    public final Layout a(CharSequence charSequence) {
        TransformationMethod transformationMethod = this.f2520a;
        if (transformationMethod != null) {
            charSequence = transformationMethod.getTransformation(charSequence, this);
        }
        CharSequence charSequence2 = charSequence;
        TextPaint textPaint = this.f2519a;
        return new StaticLayout(charSequence2, textPaint, charSequence2 != null ? (int) Math.ceil(Layout.getDesiredWidth(charSequence2, textPaint)) : 0, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, true);
    }

    public final boolean a(float f, float f2) {
        if (this.f2517a == null) {
            return false;
        }
        int thumbOffset = getThumbOffset();
        this.f2517a.getPadding(this.f2516a);
        int i = this.k;
        int i2 = this.e;
        int i3 = i - i2;
        int i4 = (this.j + thumbOffset) - i2;
        Rect rect = this.f2516a;
        return f > ((float) i4) && f < ((float) ((((this.i + i4) + rect.left) + rect.right) + i2)) && f2 > ((float) i3) && f2 < ((float) (this.m + i2));
    }

    public final void a(MotionEvent motionEvent) {
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.setAction(3);
        super.onTouchEvent(obtain);
        obtain.recycle();
    }

    public final void a(boolean z) {
        this.f2513a = ObjectAnimator.ofFloat(this, a, z ? 1.0f : 0.0f);
        this.f2513a.setDuration(250L);
        if (Build.VERSION.SDK_INT >= 18) {
            this.f2513a.setAutoCancel(true);
        }
        this.f2513a.start();
    }
}
