package app.input;

import android.content.Intent;
import android.content.res.Configuration;
import android.inputmethodservice.InputMethodService;
import android.view.KeyEvent;
import android.view.View;
import android.view.inputmethod.EditorInfo;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public interface InputMethodServiceDelegate {
    void onComputeInsets(InputMethodService.Insets insets);

    void onConfigurationChanged(Configuration configuration);

    void onCreate();

    View onCreateInputView();

    void onDestroy();

    boolean onEvaluateFullscreenMode();

    boolean onEvaluateInputViewShown();

    void onFinishInputView(boolean z);

    void onInitializeInterface();

    boolean onKeyDown(int i, KeyEvent keyEvent);

    boolean onKeyLongPress(int i, KeyEvent keyEvent);

    boolean onKeyUp(int i, KeyEvent keyEvent);

    void onStart(Intent intent, int i);

    void onStartInput(EditorInfo editorInfo, boolean z);

    void onStartInputView(EditorInfo editorInfo, boolean z);

    void onUpdateSelection(int i, int i2, int i3, int i4, int i5, int i6);

    void onViewClicked(boolean z);
}
