package com.airbnb.lottie;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v7.widget.AppCompatImageView;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.JsonReader;
import android.util.Log;
import android.view.View;
import java.io.StringReader;
import java.util.HashSet;
import java.util.Set;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class LottieAnimationView extends AppCompatImageView {
    public static final String a = "LottieAnimationView";

    /* renamed from: a  reason: collision with other field name */
    public int f2684a;

    /* renamed from: a  reason: collision with other field name */
    public Lj f2685a;

    /* renamed from: a  reason: collision with other field name */
    public final C0255bk f2686a;

    /* renamed from: a  reason: collision with other field name */
    public final InterfaceC0325dk<Lj> f2687a;

    /* renamed from: a  reason: collision with other field name */
    public Set<InterfaceC0359ek> f2688a;

    /* renamed from: a  reason: collision with other field name */
    public C0533jk<Lj> f2689a;

    /* renamed from: a  reason: collision with other field name */
    public boolean f2690a;
    public final InterfaceC0325dk<Throwable> b;

    /* renamed from: b  reason: collision with other field name */
    public String f2691b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2692b;
    public boolean c;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class SavedState extends View.BaseSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new Kj();
        public float a;

        /* renamed from: a  reason: collision with other field name */
        public int f2693a;

        /* renamed from: a  reason: collision with other field name */
        public String f2694a;

        /* renamed from: a  reason: collision with other field name */
        public boolean f2695a;
        public int b;

        /* renamed from: b  reason: collision with other field name */
        public String f2696b;
        public int c;

        public /* synthetic */ SavedState(Parcel parcel, Ij ij) {
            this(parcel);
        }

        @Override // android.view.View.BaseSavedState, android.view.AbsSavedState, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeString(this.f2694a);
            parcel.writeFloat(this.a);
            parcel.writeInt(this.f2695a ? 1 : 0);
            parcel.writeString(this.f2696b);
            parcel.writeInt(this.b);
            parcel.writeInt(this.c);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public SavedState(Parcel parcel) {
            super(parcel);
            this.f2694a = parcel.readString();
            this.a = parcel.readFloat();
            this.f2695a = parcel.readInt() == 1;
            this.f2696b = parcel.readString();
            this.b = parcel.readInt();
            this.c = parcel.readInt();
        }
    }

    public LottieAnimationView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f2687a = new Ij(this);
        this.b = new Jj(this);
        this.f2686a = new C0255bk();
        this.f2690a = false;
        this.f2692b = false;
        this.c = false;
        this.f2688a = new HashSet();
        a(attributeSet);
    }

    private void setCompositionTask(C0533jk<Lj> c0533jk) {
        c();
        b();
        c0533jk.b(this.f2687a);
        c0533jk.a(this.b);
        this.f2689a = c0533jk;
    }

    public final void a(AttributeSet attributeSet) {
        String string;
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, C0638mk.LottieAnimationView);
        if (!isInEditMode()) {
            boolean hasValue = obtainStyledAttributes.hasValue(C0638mk.LottieAnimationView_lottie_rawRes);
            boolean hasValue2 = obtainStyledAttributes.hasValue(C0638mk.LottieAnimationView_lottie_fileName);
            boolean hasValue3 = obtainStyledAttributes.hasValue(C0638mk.LottieAnimationView_lottie_url);
            if (hasValue && hasValue2) {
                throw new IllegalArgumentException("lottie_rawRes and lottie_fileName cannot be used at the same time. Please use only one at once.");
            }
            if (hasValue) {
                int resourceId = obtainStyledAttributes.getResourceId(C0638mk.LottieAnimationView_lottie_rawRes, 0);
                if (resourceId != 0) {
                    setAnimation(resourceId);
                }
            } else if (hasValue2) {
                String string2 = obtainStyledAttributes.getString(C0638mk.LottieAnimationView_lottie_fileName);
                if (string2 != null) {
                    setAnimation(string2);
                }
            } else if (hasValue3 && (string = obtainStyledAttributes.getString(C0638mk.LottieAnimationView_lottie_url)) != null) {
                setAnimationFromUrl(string);
            }
        }
        if (obtainStyledAttributes.getBoolean(C0638mk.LottieAnimationView_lottie_autoPlay, false)) {
            this.f2690a = true;
            this.f2692b = true;
        }
        if (obtainStyledAttributes.getBoolean(C0638mk.LottieAnimationView_lottie_loop, false)) {
            this.f2686a.d(-1);
        }
        if (obtainStyledAttributes.hasValue(C0638mk.LottieAnimationView_lottie_repeatMode)) {
            setRepeatMode(obtainStyledAttributes.getInt(C0638mk.LottieAnimationView_lottie_repeatMode, 1));
        }
        if (obtainStyledAttributes.hasValue(C0638mk.LottieAnimationView_lottie_repeatCount)) {
            setRepeatCount(obtainStyledAttributes.getInt(C0638mk.LottieAnimationView_lottie_repeatCount, -1));
        }
        setImageAssetsFolder(obtainStyledAttributes.getString(C0638mk.LottieAnimationView_lottie_imageAssetsFolder));
        setProgress(obtainStyledAttributes.getFloat(C0638mk.LottieAnimationView_lottie_progress, 0.0f));
        a(obtainStyledAttributes.getBoolean(C0638mk.LottieAnimationView_lottie_enableMergePathsForKitKatAndAbove, false));
        if (obtainStyledAttributes.hasValue(C0638mk.LottieAnimationView_lottie_colorFilter)) {
            a(new C0430gl("**"), InterfaceC0394fk.f2953a, new Zm(new C0673nk(obtainStyledAttributes.getColor(C0638mk.LottieAnimationView_lottie_colorFilter, 0))));
        }
        if (obtainStyledAttributes.hasValue(C0638mk.LottieAnimationView_lottie_scale)) {
            this.f2686a.d(obtainStyledAttributes.getFloat(C0638mk.LottieAnimationView_lottie_scale, 1.0f));
        }
        obtainStyledAttributes.recycle();
        d();
    }

    public final void b() {
        C0533jk<Lj> c0533jk = this.f2689a;
        if (c0533jk != null) {
            c0533jk.d(this.f2687a);
            this.f2689a.c(this.b);
        }
    }

    public final void c() {
        this.f2685a = null;
        this.f2686a.m1078c();
    }

    public final void d() {
        setLayerType(this.c && this.f2686a.m1076b() ? 2 : 1, null);
    }

    public void e() {
        this.f2686a.m1081e();
        d();
    }

    public void f() {
        this.f2686a.f();
    }

    public Lj getComposition() {
        return this.f2685a;
    }

    public long getDuration() {
        Lj lj = this.f2685a;
        if (lj != null) {
            return lj.a();
        }
        return 0L;
    }

    public int getFrame() {
        return this.f2686a.m1063a();
    }

    public String getImageAssetsFolder() {
        return this.f2686a.m1068a();
    }

    public float getMaxFrame() {
        return this.f2686a.a();
    }

    public float getMinFrame() {
        return this.f2686a.b();
    }

    public C0603lk getPerformanceTracker() {
        return this.f2686a.m1069a();
    }

    public float getProgress() {
        return this.f2686a.c();
    }

    public int getRepeatCount() {
        return this.f2686a.m1074b();
    }

    public int getRepeatMode() {
        return this.f2686a.m1077c();
    }

    public float getScale() {
        return this.f2686a.d();
    }

    public float getSpeed() {
        return this.f2686a.e();
    }

    public boolean getUseHardwareAcceleration() {
        return this.c;
    }

    @Override // android.widget.ImageView, android.view.View, android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(Drawable drawable) {
        Drawable drawable2 = getDrawable();
        C0255bk c0255bk = this.f2686a;
        if (drawable2 == c0255bk) {
            super.invalidateDrawable(c0255bk);
        } else {
            super.invalidateDrawable(drawable);
        }
    }

    @Override // android.widget.ImageView, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f2692b && this.f2690a) {
            e();
        }
    }

    @Override // android.widget.ImageView, android.view.View
    public void onDetachedFromWindow() {
        if (m1099a()) {
            a();
            this.f2690a = true;
        }
        f();
        super.onDetachedFromWindow();
    }

    @Override // android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f2691b = savedState.f2694a;
        if (!TextUtils.isEmpty(this.f2691b)) {
            setAnimation(this.f2691b);
        }
        this.f2684a = savedState.f2693a;
        int i = this.f2684a;
        if (i != 0) {
            setAnimation(i);
        }
        setProgress(savedState.a);
        if (savedState.f2695a) {
            e();
        }
        this.f2686a.m1072a(savedState.f2696b);
        setRepeatMode(savedState.b);
        setRepeatCount(savedState.c);
    }

    @Override // android.view.View
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.f2694a = this.f2691b;
        savedState.f2693a = this.f2684a;
        savedState.a = this.f2686a.c();
        savedState.f2695a = this.f2686a.m1076b();
        savedState.f2696b = this.f2686a.m1068a();
        savedState.b = this.f2686a.m1077c();
        savedState.c = this.f2686a.m1074b();
        return savedState;
    }

    public void setAnimation(int i) {
        this.f2684a = i;
        this.f2691b = null;
        setCompositionTask(Sj.m537a(getContext(), i));
    }

    @Deprecated
    public void setAnimationFromJson(String str) {
        a(str, (String) null);
    }

    public void setAnimationFromUrl(String str) {
        setCompositionTask(Sj.b(getContext(), str));
    }

    public void setComposition(Lj lj) {
        if (Hj.f362a) {
            String str = a;
            Log.v(str, "Set Composition \n" + lj);
        }
        this.f2686a.setCallback(this);
        this.f2685a = lj;
        boolean a2 = this.f2686a.a(lj);
        d();
        if (getDrawable() != this.f2686a || a2) {
            setImageDrawable(null);
            setImageDrawable(this.f2686a);
            requestLayout();
            for (InterfaceC0359ek interfaceC0359ek : this.f2688a) {
                interfaceC0359ek.a(lj);
            }
        }
    }

    public void setFontAssetDelegate(Fj fj) {
        this.f2686a.a(fj);
    }

    public void setFrame(int i) {
        this.f2686a.a(i);
    }

    public void setImageAssetDelegate(Gj gj) {
        this.f2686a.a(gj);
    }

    public void setImageAssetsFolder(String str) {
        this.f2686a.m1072a(str);
    }

    @Override // android.support.v7.widget.AppCompatImageView, android.widget.ImageView
    public void setImageBitmap(Bitmap bitmap) {
        f();
        b();
        super.setImageBitmap(bitmap);
    }

    @Override // android.support.v7.widget.AppCompatImageView, android.widget.ImageView
    public void setImageDrawable(Drawable drawable) {
        a(drawable, true);
    }

    @Override // android.support.v7.widget.AppCompatImageView, android.widget.ImageView
    public void setImageResource(int i) {
        f();
        b();
        super.setImageResource(i);
    }

    public void setMaxFrame(int i) {
        this.f2686a.b(i);
    }

    public void setMaxProgress(float f) {
        this.f2686a.a(f);
    }

    public void setMinFrame(int i) {
        this.f2686a.c(i);
    }

    public void setMinProgress(float f) {
        this.f2686a.b(f);
    }

    public void setPerformanceTrackingEnabled(boolean z) {
        this.f2686a.b(z);
    }

    public void setProgress(float f) {
        this.f2686a.c(f);
    }

    public void setRepeatCount(int i) {
        this.f2686a.d(i);
    }

    public void setRepeatMode(int i) {
        this.f2686a.e(i);
    }

    public void setScale(float f) {
        this.f2686a.d(f);
        if (getDrawable() == this.f2686a) {
            a((Drawable) null, false);
            a((Drawable) this.f2686a, false);
        }
    }

    public void setSpeed(float f) {
        this.f2686a.e(f);
    }

    public void setTextDelegate(C0708ok c0708ok) {
        this.f2686a.a(c0708ok);
    }

    public void setAnimation(String str) {
        this.f2691b = str;
        this.f2684a = 0;
        setCompositionTask(Sj.m538a(getContext(), str));
    }

    public LottieAnimationView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2687a = new Ij(this);
        this.b = new Jj(this);
        this.f2686a = new C0255bk();
        this.f2690a = false;
        this.f2692b = false;
        this.c = false;
        this.f2688a = new HashSet();
        a(attributeSet);
    }

    public final void a(Drawable drawable, boolean z) {
        if (z && drawable != this.f2686a) {
            f();
        }
        b();
        super.setImageDrawable(drawable);
    }

    public void a(boolean z) {
        this.f2686a.a(z);
    }

    public void a(String str, String str2) {
        a(new JsonReader(new StringReader(str)), str2);
    }

    public void a(JsonReader jsonReader, String str) {
        setCompositionTask(Sj.m539a(jsonReader, str));
    }

    /* renamed from: a  reason: collision with other method in class */
    public boolean m1099a() {
        return this.f2686a.m1076b();
    }

    public <T> void a(C0430gl c0430gl, T t, Zm<T> zm) {
        this.f2686a.a(c0430gl, t, zm);
    }

    public void a() {
        this.f2686a.m1075b();
        d();
    }
}
