package com.google.gson.internal;

import java.io.Serializable;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public final class LinkedHashTreeMap<K, V> extends AbstractMap<K, V> implements Serializable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final Comparator<Comparable> NATURAL_ORDER = new C0677no();
    public Comparator<? super K> comparator;
    public LinkedHashTreeMap<K, V>.c entrySet;
    public final f<K, V> header;
    public LinkedHashTreeMap<K, V>.d keySet;
    public int modCount;
    public int size;
    public f<K, V>[] table;
    public int threshold;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public final class c extends AbstractSet<Map.Entry<K, V>> {
        public c() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean contains(Object obj) {
            return (obj instanceof Map.Entry) && LinkedHashTreeMap.this.findByEntry((Map.Entry) obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public Iterator<Map.Entry<K, V>> iterator() {
            return new C0712oo(this);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean remove(Object obj) {
            f<K, V> findByEntry;
            if ((obj instanceof Map.Entry) && (findByEntry = LinkedHashTreeMap.this.findByEntry((Map.Entry) obj)) != null) {
                LinkedHashTreeMap.this.removeInternal(findByEntry, true);
                return true;
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public final class d extends AbstractSet<K> {
        public d() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean contains(Object obj) {
            return LinkedHashTreeMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public Iterator<K> iterator() {
            return new C0747po(this);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean remove(Object obj) {
            return LinkedHashTreeMap.this.removeInternalByKey(obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public abstract class e<T> implements Iterator<T> {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public f<K, V> f2702a;
        public f<K, V> b;

        public e() {
            LinkedHashTreeMap linkedHashTreeMap = LinkedHashTreeMap.this;
            this.f2702a = linkedHashTreeMap.header.d;
            this.b = null;
            this.a = linkedHashTreeMap.modCount;
        }

        public final f<K, V> a() {
            f<K, V> fVar = this.f2702a;
            LinkedHashTreeMap linkedHashTreeMap = LinkedHashTreeMap.this;
            if (fVar != linkedHashTreeMap.header) {
                if (linkedHashTreeMap.modCount == this.a) {
                    this.f2702a = fVar.d;
                    this.b = fVar;
                    return fVar;
                }
                throw new ConcurrentModificationException();
            }
            throw new NoSuchElementException();
        }

        @Override // java.util.Iterator
        public final boolean hasNext() {
            return this.f2702a != LinkedHashTreeMap.this.header;
        }

        @Override // java.util.Iterator
        public final void remove() {
            f<K, V> fVar = this.b;
            if (fVar != null) {
                LinkedHashTreeMap.this.removeInternal(fVar, true);
                this.b = null;
                this.a = LinkedHashTreeMap.this.modCount;
                return;
            }
            throw new IllegalStateException();
        }
    }

    public LinkedHashTreeMap() {
        this(NATURAL_ORDER);
    }

    private void doubleCapacity() {
        this.table = doubleCapacity(this.table);
        f<K, V>[] fVarArr = this.table;
        this.threshold = (fVarArr.length / 2) + (fVarArr.length / 4);
    }

    private boolean equal(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    private void rebalance(f<K, V> fVar, boolean z) {
        while (fVar != null) {
            f<K, V> fVar2 = fVar.f2706b;
            f<K, V> fVar3 = fVar.c;
            int i = fVar2 != null ? fVar2.b : 0;
            int i2 = fVar3 != null ? fVar3.b : 0;
            int i3 = i - i2;
            if (i3 == -2) {
                f<K, V> fVar4 = fVar3.f2706b;
                f<K, V> fVar5 = fVar3.c;
                int i4 = (fVar4 != null ? fVar4.b : 0) - (fVar5 != null ? fVar5.b : 0);
                if (i4 != -1 && (i4 != 0 || z)) {
                    rotateRight(fVar3);
                    rotateLeft(fVar);
                } else {
                    rotateLeft(fVar);
                }
                if (z) {
                    return;
                }
            } else if (i3 == 2) {
                f<K, V> fVar6 = fVar2.f2706b;
                f<K, V> fVar7 = fVar2.c;
                int i5 = (fVar6 != null ? fVar6.b : 0) - (fVar7 != null ? fVar7.b : 0);
                if (i5 != 1 && (i5 != 0 || z)) {
                    rotateLeft(fVar2);
                    rotateRight(fVar);
                } else {
                    rotateRight(fVar);
                }
                if (z) {
                    return;
                }
            } else if (i3 == 0) {
                fVar.b = i + 1;
                if (z) {
                    return;
                }
            } else {
                fVar.b = Math.max(i, i2) + 1;
                if (!z) {
                    return;
                }
            }
            fVar = fVar.f2704a;
        }
    }

    private void replaceInParent(f<K, V> fVar, f<K, V> fVar2) {
        f<K, V> fVar3 = fVar.f2704a;
        fVar.f2704a = null;
        if (fVar2 != null) {
            fVar2.f2704a = fVar3;
        }
        if (fVar3 != null) {
            if (fVar3.f2706b == fVar) {
                fVar3.f2706b = fVar2;
                return;
            } else {
                fVar3.c = fVar2;
                return;
            }
        }
        int i = fVar.a;
        f<K, V>[] fVarArr = this.table;
        fVarArr[i & (fVarArr.length - 1)] = fVar2;
    }

    private void rotateLeft(f<K, V> fVar) {
        f<K, V> fVar2 = fVar.f2706b;
        f<K, V> fVar3 = fVar.c;
        f<K, V> fVar4 = fVar3.f2706b;
        f<K, V> fVar5 = fVar3.c;
        fVar.c = fVar4;
        if (fVar4 != null) {
            fVar4.f2704a = fVar;
        }
        replaceInParent(fVar, fVar3);
        fVar3.f2706b = fVar;
        fVar.f2704a = fVar3;
        fVar.b = Math.max(fVar2 != null ? fVar2.b : 0, fVar4 != null ? fVar4.b : 0) + 1;
        fVar3.b = Math.max(fVar.b, fVar5 != null ? fVar5.b : 0) + 1;
    }

    private void rotateRight(f<K, V> fVar) {
        f<K, V> fVar2 = fVar.f2706b;
        f<K, V> fVar3 = fVar.c;
        f<K, V> fVar4 = fVar2.f2706b;
        f<K, V> fVar5 = fVar2.c;
        fVar.f2706b = fVar5;
        if (fVar5 != null) {
            fVar5.f2704a = fVar;
        }
        replaceInParent(fVar, fVar2);
        fVar2.c = fVar;
        fVar.f2704a = fVar2;
        fVar.b = Math.max(fVar3 != null ? fVar3.b : 0, fVar5 != null ? fVar5.b : 0) + 1;
        fVar2.b = Math.max(fVar.b, fVar4 != null ? fVar4.b : 0) + 1;
    }

    public static int secondaryHash(int i) {
        int i2 = i ^ ((i >>> 20) ^ (i >>> 12));
        return (i2 >>> 4) ^ ((i2 >>> 7) ^ i2);
    }

    private Object writeReplace() {
        return new LinkedHashMap(this);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public void clear() {
        Arrays.fill(this.table, (Object) null);
        this.size = 0;
        this.modCount++;
        f<K, V> fVar = this.header;
        f<K, V> fVar2 = fVar.d;
        while (fVar2 != fVar) {
            f<K, V> fVar3 = fVar2.d;
            fVar2.e = null;
            fVar2.d = null;
            fVar2 = fVar3;
        }
        fVar.e = fVar;
        fVar.d = fVar;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public boolean containsKey(Object obj) {
        return findByObject(obj) != null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        LinkedHashTreeMap<K, V>.c cVar = this.entrySet;
        if (cVar != null) {
            return cVar;
        }
        LinkedHashTreeMap<K, V>.c cVar2 = new c();
        this.entrySet = cVar2;
        return cVar2;
    }

    public f<K, V> find(K k, boolean z) {
        f<K, V> fVar;
        int i;
        f<K, V> fVar2;
        int compare;
        Comparator<? super K> comparator = this.comparator;
        f<K, V>[] fVarArr = this.table;
        int secondaryHash = secondaryHash(k.hashCode());
        int length = (fVarArr.length - 1) & secondaryHash;
        f<K, V> fVar3 = fVarArr[length];
        if (fVar3 != null) {
            Comparable comparable = comparator == NATURAL_ORDER ? (Comparable) k : null;
            while (true) {
                if (comparable != null) {
                    compare = comparable.compareTo(fVar3.f2705a);
                } else {
                    compare = comparator.compare(k, (K) fVar3.f2705a);
                }
                if (compare == 0) {
                    return fVar3;
                }
                f<K, V> fVar4 = compare < 0 ? fVar3.f2706b : fVar3.c;
                if (fVar4 == null) {
                    fVar = fVar3;
                    i = compare;
                    break;
                }
                fVar3 = fVar4;
            }
        } else {
            fVar = fVar3;
            i = 0;
        }
        if (z) {
            f<K, V> fVar5 = this.header;
            if (fVar == null) {
                if (comparator == NATURAL_ORDER && !(k instanceof Comparable)) {
                    throw new ClassCastException(k.getClass().getName() + " is not Comparable");
                }
                fVar2 = new f<>(fVar, k, secondaryHash, fVar5, fVar5.e);
                fVarArr[length] = fVar2;
            } else {
                fVar2 = new f<>(fVar, k, secondaryHash, fVar5, fVar5.e);
                if (i < 0) {
                    fVar.f2706b = fVar2;
                } else {
                    fVar.c = fVar2;
                }
                rebalance(fVar, true);
            }
            int i2 = this.size;
            this.size = i2 + 1;
            if (i2 > this.threshold) {
                doubleCapacity();
            }
            this.modCount++;
            return fVar2;
        }
        return null;
    }

    public f<K, V> findByEntry(Map.Entry<?, ?> entry) {
        f<K, V> findByObject = findByObject(entry.getKey());
        if (findByObject != null && equal(findByObject.f2707b, entry.getValue())) {
            return findByObject;
        }
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public f<K, V> findByObject(Object obj) {
        if (obj != 0) {
            try {
                return find(obj, false);
            } catch (ClassCastException unused) {
                return null;
            }
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        f<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            return findByObject.f2707b;
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        LinkedHashTreeMap<K, V>.d dVar = this.keySet;
        if (dVar != null) {
            return dVar;
        }
        LinkedHashTreeMap<K, V>.d dVar2 = new d();
        this.keySet = dVar2;
        return dVar2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k, V v) {
        if (k != null) {
            f<K, V> find = find(k, true);
            V v2 = find.f2707b;
            find.f2707b = v;
            return v2;
        }
        throw new NullPointerException("key == null");
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        f<K, V> removeInternalByKey = removeInternalByKey(obj);
        if (removeInternalByKey != null) {
            return removeInternalByKey.f2707b;
        }
        return null;
    }

    public void removeInternal(f<K, V> fVar, boolean z) {
        int i;
        if (z) {
            f<K, V> fVar2 = fVar.e;
            fVar2.d = fVar.d;
            fVar.d.e = fVar2;
            fVar.e = null;
            fVar.d = null;
        }
        f<K, V> fVar3 = fVar.f2706b;
        f<K, V> fVar4 = fVar.c;
        f<K, V> fVar5 = fVar.f2704a;
        int i2 = 0;
        if (fVar3 != null && fVar4 != null) {
            f<K, V> b2 = fVar3.b > fVar4.b ? fVar3.b() : fVar4.a();
            removeInternal(b2, false);
            f<K, V> fVar6 = fVar.f2706b;
            if (fVar6 != null) {
                i = fVar6.b;
                b2.f2706b = fVar6;
                fVar6.f2704a = b2;
                fVar.f2706b = null;
            } else {
                i = 0;
            }
            f<K, V> fVar7 = fVar.c;
            if (fVar7 != null) {
                i2 = fVar7.b;
                b2.c = fVar7;
                fVar7.f2704a = b2;
                fVar.c = null;
            }
            b2.b = Math.max(i, i2) + 1;
            replaceInParent(fVar, b2);
            return;
        }
        if (fVar3 != null) {
            replaceInParent(fVar, fVar3);
            fVar.f2706b = null;
        } else if (fVar4 != null) {
            replaceInParent(fVar, fVar4);
            fVar.c = null;
        } else {
            replaceInParent(fVar, null);
        }
        rebalance(fVar5, false);
        this.size--;
        this.modCount++;
    }

    public f<K, V> removeInternalByKey(Object obj) {
        f<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            removeInternal(findByObject, true);
        }
        return findByObject;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public int size() {
        return this.size;
    }

    public LinkedHashTreeMap(Comparator<? super K> comparator) {
        this.size = 0;
        this.modCount = 0;
        this.comparator = comparator == null ? NATURAL_ORDER : comparator;
        this.header = new f<>();
        this.table = new f[16];
        f<K, V>[] fVarArr = this.table;
        this.threshold = (fVarArr.length / 2) + (fVarArr.length / 4);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static class b<K, V> {
        public f<K, V> a;

        public void a(f<K, V> fVar) {
            f<K, V> fVar2 = null;
            while (true) {
                f<K, V> fVar3 = fVar2;
                fVar2 = fVar;
                if (fVar2 != null) {
                    fVar2.f2704a = fVar3;
                    fVar = fVar2.f2706b;
                } else {
                    this.a = fVar3;
                    return;
                }
            }
        }

        public f<K, V> a() {
            f<K, V> fVar = this.a;
            if (fVar == null) {
                return null;
            }
            f<K, V> fVar2 = fVar.f2704a;
            fVar.f2704a = null;
            f<K, V> fVar3 = fVar.c;
            while (true) {
                f<K, V> fVar4 = fVar2;
                fVar2 = fVar3;
                if (fVar2 != null) {
                    fVar2.f2704a = fVar4;
                    fVar3 = fVar2.f2706b;
                } else {
                    this.a = fVar4;
                    return fVar;
                }
            }
        }
    }

    public static <K, V> f<K, V>[] doubleCapacity(f<K, V>[] fVarArr) {
        int length = fVarArr.length;
        f<K, V>[] fVarArr2 = new f[length * 2];
        b bVar = new b();
        a aVar = new a();
        a aVar2 = new a();
        for (int i = 0; i < length; i++) {
            f<K, V> fVar = fVarArr[i];
            if (fVar != null) {
                bVar.a(fVar);
                int i2 = 0;
                int i3 = 0;
                while (true) {
                    f<K, V> a2 = bVar.a();
                    if (a2 == null) {
                        break;
                    } else if ((a2.a & length) == 0) {
                        i2++;
                    } else {
                        i3++;
                    }
                }
                aVar.a(i2);
                aVar2.a(i3);
                bVar.a(fVar);
                while (true) {
                    f<K, V> a3 = bVar.a();
                    if (a3 == null) {
                        break;
                    } else if ((a3.a & length) == 0) {
                        aVar.a(a3);
                    } else {
                        aVar2.a(a3);
                    }
                }
                fVarArr2[i] = i2 > 0 ? aVar.a() : null;
                fVarArr2[i + length] = i3 > 0 ? aVar2.a() : null;
            }
        }
        return fVarArr2;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class f<K, V> implements Map.Entry<K, V> {
        public final int a;

        /* renamed from: a  reason: collision with other field name */
        public f<K, V> f2704a;

        /* renamed from: a  reason: collision with other field name */
        public final K f2705a;
        public int b;

        /* renamed from: b  reason: collision with other field name */
        public f<K, V> f2706b;

        /* renamed from: b  reason: collision with other field name */
        public V f2707b;
        public f<K, V> c;
        public f<K, V> d;
        public f<K, V> e;

        public f() {
            this.f2705a = null;
            this.a = -1;
            this.e = this;
            this.d = this;
        }

        public f<K, V> a() {
            f<K, V> fVar = this;
            for (f<K, V> fVar2 = this.f2706b; fVar2 != null; fVar2 = fVar2.f2706b) {
                fVar = fVar2;
            }
            return fVar;
        }

        public f<K, V> b() {
            f<K, V> fVar = this;
            for (f<K, V> fVar2 = this.c; fVar2 != null; fVar2 = fVar2.c) {
                fVar = fVar2;
            }
            return fVar;
        }

        @Override // java.util.Map.Entry
        public boolean equals(Object obj) {
            if (obj instanceof Map.Entry) {
                Map.Entry entry = (Map.Entry) obj;
                K k = this.f2705a;
                if (k == null) {
                    if (entry.getKey() != null) {
                        return false;
                    }
                } else if (!k.equals(entry.getKey())) {
                    return false;
                }
                V v = this.f2707b;
                if (v == null) {
                    if (entry.getValue() != null) {
                        return false;
                    }
                } else if (!v.equals(entry.getValue())) {
                    return false;
                }
                return true;
            }
            return false;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.f2705a;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.f2707b;
        }

        @Override // java.util.Map.Entry
        public int hashCode() {
            K k = this.f2705a;
            int hashCode = k == null ? 0 : k.hashCode();
            V v = this.f2707b;
            return hashCode ^ (v != null ? v.hashCode() : 0);
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.f2707b;
            this.f2707b = v;
            return v2;
        }

        public String toString() {
            return this.f2705a + "=" + this.f2707b;
        }

        public f(f<K, V> fVar, K k, int i, f<K, V> fVar2, f<K, V> fVar3) {
            this.f2704a = fVar;
            this.f2705a = k;
            this.a = i;
            this.b = 1;
            this.d = fVar2;
            this.e = fVar3;
            fVar3.d = this;
            fVar2.e = this;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class a<K, V> {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public f<K, V> f2701a;
        public int b;
        public int c;

        public void a(int i) {
            this.a = ((Integer.highestOneBit(i) * 2) - 1) - i;
            this.c = 0;
            this.b = 0;
            this.f2701a = null;
        }

        public void a(f<K, V> fVar) {
            fVar.c = null;
            fVar.f2704a = null;
            fVar.f2706b = null;
            fVar.b = 1;
            int i = this.a;
            if (i > 0) {
                int i2 = this.c;
                if ((i2 & 1) == 0) {
                    this.c = i2 + 1;
                    this.a = i - 1;
                    this.b++;
                }
            }
            fVar.f2704a = this.f2701a;
            this.f2701a = fVar;
            this.c++;
            int i3 = this.a;
            if (i3 > 0) {
                int i4 = this.c;
                if ((i4 & 1) == 0) {
                    this.c = i4 + 1;
                    this.a = i3 - 1;
                    this.b++;
                }
            }
            int i5 = 4;
            while (true) {
                int i6 = i5 - 1;
                if ((this.c & i6) != i6) {
                    return;
                }
                int i7 = this.b;
                if (i7 == 0) {
                    f<K, V> fVar2 = this.f2701a;
                    f<K, V> fVar3 = fVar2.f2704a;
                    f<K, V> fVar4 = fVar3.f2704a;
                    fVar3.f2704a = fVar4.f2704a;
                    this.f2701a = fVar3;
                    fVar3.f2706b = fVar4;
                    fVar3.c = fVar2;
                    fVar3.b = fVar2.b + 1;
                    fVar4.f2704a = fVar3;
                    fVar2.f2704a = fVar3;
                } else if (i7 == 1) {
                    f<K, V> fVar5 = this.f2701a;
                    f<K, V> fVar6 = fVar5.f2704a;
                    this.f2701a = fVar6;
                    fVar6.c = fVar5;
                    fVar6.b = fVar5.b + 1;
                    fVar5.f2704a = fVar6;
                    this.b = 0;
                } else if (i7 == 2) {
                    this.b = 0;
                }
                i5 *= 2;
            }
        }

        public f<K, V> a() {
            f<K, V> fVar = this.f2701a;
            if (fVar.f2704a == null) {
                return fVar;
            }
            throw new IllegalStateException();
        }
    }
}
