package com.google.gson.internal;

import java.io.Serializable;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public final class LinkedTreeMap<K, V> extends AbstractMap<K, V> implements Serializable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final Comparator<Comparable> NATURAL_ORDER = new C0782qo();
    public Comparator<? super K> comparator;
    public LinkedTreeMap<K, V>.a entrySet;
    public final d<K, V> header;
    public LinkedTreeMap<K, V>.b keySet;
    public int modCount;
    public d<K, V> root;
    public int size;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public class a extends AbstractSet<Map.Entry<K, V>> {
        public a() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public void clear() {
            LinkedTreeMap.this.clear();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean contains(Object obj) {
            return (obj instanceof Map.Entry) && LinkedTreeMap.this.findByEntry((Map.Entry) obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public Iterator<Map.Entry<K, V>> iterator() {
            return new C0815ro(this);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean remove(Object obj) {
            d<K, V> findByEntry;
            if ((obj instanceof Map.Entry) && (findByEntry = LinkedTreeMap.this.findByEntry((Map.Entry) obj)) != null) {
                LinkedTreeMap.this.removeInternal(findByEntry, true);
                return true;
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return LinkedTreeMap.this.size;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public final class b extends AbstractSet<K> {
        public b() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public void clear() {
            LinkedTreeMap.this.clear();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean contains(Object obj) {
            return LinkedTreeMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public Iterator<K> iterator() {
            return new C0849so(this);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean remove(Object obj) {
            return LinkedTreeMap.this.removeInternalByKey(obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return LinkedTreeMap.this.size;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public abstract class c<T> implements Iterator<T> {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public d<K, V> f2708a;
        public d<K, V> b;

        public c() {
            LinkedTreeMap linkedTreeMap = LinkedTreeMap.this;
            this.f2708a = linkedTreeMap.header.d;
            this.b = null;
            this.a = linkedTreeMap.modCount;
        }

        public final d<K, V> a() {
            d<K, V> dVar = this.f2708a;
            LinkedTreeMap linkedTreeMap = LinkedTreeMap.this;
            if (dVar != linkedTreeMap.header) {
                if (linkedTreeMap.modCount == this.a) {
                    this.f2708a = dVar.d;
                    this.b = dVar;
                    return dVar;
                }
                throw new ConcurrentModificationException();
            }
            throw new NoSuchElementException();
        }

        @Override // java.util.Iterator
        public final boolean hasNext() {
            return this.f2708a != LinkedTreeMap.this.header;
        }

        @Override // java.util.Iterator
        public final void remove() {
            d<K, V> dVar = this.b;
            if (dVar != null) {
                LinkedTreeMap.this.removeInternal(dVar, true);
                this.b = null;
                this.a = LinkedTreeMap.this.modCount;
                return;
            }
            throw new IllegalStateException();
        }
    }

    public LinkedTreeMap() {
        this(NATURAL_ORDER);
    }

    private boolean equal(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    private void rebalance(d<K, V> dVar, boolean z) {
        while (dVar != null) {
            d<K, V> dVar2 = dVar.b;
            d<K, V> dVar3 = dVar.c;
            int i = dVar2 != null ? dVar2.a : 0;
            int i2 = dVar3 != null ? dVar3.a : 0;
            int i3 = i - i2;
            if (i3 == -2) {
                d<K, V> dVar4 = dVar3.b;
                d<K, V> dVar5 = dVar3.c;
                int i4 = (dVar4 != null ? dVar4.a : 0) - (dVar5 != null ? dVar5.a : 0);
                if (i4 != -1 && (i4 != 0 || z)) {
                    rotateRight(dVar3);
                    rotateLeft(dVar);
                } else {
                    rotateLeft(dVar);
                }
                if (z) {
                    return;
                }
            } else if (i3 == 2) {
                d<K, V> dVar6 = dVar2.b;
                d<K, V> dVar7 = dVar2.c;
                int i5 = (dVar6 != null ? dVar6.a : 0) - (dVar7 != null ? dVar7.a : 0);
                if (i5 != 1 && (i5 != 0 || z)) {
                    rotateLeft(dVar2);
                    rotateRight(dVar);
                } else {
                    rotateRight(dVar);
                }
                if (z) {
                    return;
                }
            } else if (i3 == 0) {
                dVar.a = i + 1;
                if (z) {
                    return;
                }
            } else {
                dVar.a = Math.max(i, i2) + 1;
                if (!z) {
                    return;
                }
            }
            dVar = dVar.f2710a;
        }
    }

    private void replaceInParent(d<K, V> dVar, d<K, V> dVar2) {
        d<K, V> dVar3 = dVar.f2710a;
        dVar.f2710a = null;
        if (dVar2 != null) {
            dVar2.f2710a = dVar3;
        }
        if (dVar3 != null) {
            if (dVar3.b == dVar) {
                dVar3.b = dVar2;
                return;
            } else {
                dVar3.c = dVar2;
                return;
            }
        }
        this.root = dVar2;
    }

    private void rotateLeft(d<K, V> dVar) {
        d<K, V> dVar2 = dVar.b;
        d<K, V> dVar3 = dVar.c;
        d<K, V> dVar4 = dVar3.b;
        d<K, V> dVar5 = dVar3.c;
        dVar.c = dVar4;
        if (dVar4 != null) {
            dVar4.f2710a = dVar;
        }
        replaceInParent(dVar, dVar3);
        dVar3.b = dVar;
        dVar.f2710a = dVar3;
        dVar.a = Math.max(dVar2 != null ? dVar2.a : 0, dVar4 != null ? dVar4.a : 0) + 1;
        dVar3.a = Math.max(dVar.a, dVar5 != null ? dVar5.a : 0) + 1;
    }

    private void rotateRight(d<K, V> dVar) {
        d<K, V> dVar2 = dVar.b;
        d<K, V> dVar3 = dVar.c;
        d<K, V> dVar4 = dVar2.b;
        d<K, V> dVar5 = dVar2.c;
        dVar.b = dVar5;
        if (dVar5 != null) {
            dVar5.f2710a = dVar;
        }
        replaceInParent(dVar, dVar2);
        dVar2.c = dVar;
        dVar.f2710a = dVar2;
        dVar.a = Math.max(dVar3 != null ? dVar3.a : 0, dVar5 != null ? dVar5.a : 0) + 1;
        dVar2.a = Math.max(dVar.a, dVar4 != null ? dVar4.a : 0) + 1;
    }

    private Object writeReplace() {
        return new LinkedHashMap(this);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public void clear() {
        this.root = null;
        this.size = 0;
        this.modCount++;
        d<K, V> dVar = this.header;
        dVar.e = dVar;
        dVar.d = dVar;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public boolean containsKey(Object obj) {
        return findByObject(obj) != null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        LinkedTreeMap<K, V>.a aVar = this.entrySet;
        if (aVar != null) {
            return aVar;
        }
        LinkedTreeMap<K, V>.a aVar2 = new a();
        this.entrySet = aVar2;
        return aVar2;
    }

    public d<K, V> find(K k, boolean z) {
        int i;
        d<K, V> dVar;
        Comparator<? super K> comparator = this.comparator;
        d<K, V> dVar2 = this.root;
        if (dVar2 != null) {
            Comparable comparable = comparator == NATURAL_ORDER ? (Comparable) k : null;
            while (true) {
                if (comparable != null) {
                    i = comparable.compareTo(dVar2.f2711a);
                } else {
                    i = comparator.compare(k, (K) dVar2.f2711a);
                }
                if (i == 0) {
                    return dVar2;
                }
                d<K, V> dVar3 = i < 0 ? dVar2.b : dVar2.c;
                if (dVar3 == null) {
                    break;
                }
                dVar2 = dVar3;
            }
        } else {
            i = 0;
        }
        if (z) {
            d<K, V> dVar4 = this.header;
            if (dVar2 == null) {
                if (comparator == NATURAL_ORDER && !(k instanceof Comparable)) {
                    throw new ClassCastException(k.getClass().getName() + " is not Comparable");
                }
                dVar = new d<>(dVar2, k, dVar4, dVar4.e);
                this.root = dVar;
            } else {
                dVar = new d<>(dVar2, k, dVar4, dVar4.e);
                if (i < 0) {
                    dVar2.b = dVar;
                } else {
                    dVar2.c = dVar;
                }
                rebalance(dVar2, true);
            }
            this.size++;
            this.modCount++;
            return dVar;
        }
        return null;
    }

    public d<K, V> findByEntry(Map.Entry<?, ?> entry) {
        d<K, V> findByObject = findByObject(entry.getKey());
        if (findByObject != null && equal(findByObject.f2712b, entry.getValue())) {
            return findByObject;
        }
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public d<K, V> findByObject(Object obj) {
        if (obj != 0) {
            try {
                return find(obj, false);
            } catch (ClassCastException unused) {
                return null;
            }
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        d<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            return findByObject.f2712b;
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        LinkedTreeMap<K, V>.b bVar = this.keySet;
        if (bVar != null) {
            return bVar;
        }
        LinkedTreeMap<K, V>.b bVar2 = new b();
        this.keySet = bVar2;
        return bVar2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k, V v) {
        if (k != null) {
            d<K, V> find = find(k, true);
            V v2 = find.f2712b;
            find.f2712b = v;
            return v2;
        }
        throw new NullPointerException("key == null");
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        d<K, V> removeInternalByKey = removeInternalByKey(obj);
        if (removeInternalByKey != null) {
            return removeInternalByKey.f2712b;
        }
        return null;
    }

    public void removeInternal(d<K, V> dVar, boolean z) {
        int i;
        if (z) {
            d<K, V> dVar2 = dVar.e;
            dVar2.d = dVar.d;
            dVar.d.e = dVar2;
        }
        d<K, V> dVar3 = dVar.b;
        d<K, V> dVar4 = dVar.c;
        d<K, V> dVar5 = dVar.f2710a;
        int i2 = 0;
        if (dVar3 != null && dVar4 != null) {
            d<K, V> b2 = dVar3.a > dVar4.a ? dVar3.b() : dVar4.a();
            removeInternal(b2, false);
            d<K, V> dVar6 = dVar.b;
            if (dVar6 != null) {
                i = dVar6.a;
                b2.b = dVar6;
                dVar6.f2710a = b2;
                dVar.b = null;
            } else {
                i = 0;
            }
            d<K, V> dVar7 = dVar.c;
            if (dVar7 != null) {
                i2 = dVar7.a;
                b2.c = dVar7;
                dVar7.f2710a = b2;
                dVar.c = null;
            }
            b2.a = Math.max(i, i2) + 1;
            replaceInParent(dVar, b2);
            return;
        }
        if (dVar3 != null) {
            replaceInParent(dVar, dVar3);
            dVar.b = null;
        } else if (dVar4 != null) {
            replaceInParent(dVar, dVar4);
            dVar.c = null;
        } else {
            replaceInParent(dVar, null);
        }
        rebalance(dVar5, false);
        this.size--;
        this.modCount++;
    }

    public d<K, V> removeInternalByKey(Object obj) {
        d<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            removeInternal(findByObject, true);
        }
        return findByObject;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public int size() {
        return this.size;
    }

    public LinkedTreeMap(Comparator<? super K> comparator) {
        this.size = 0;
        this.modCount = 0;
        this.header = new d<>();
        this.comparator = comparator == null ? NATURAL_ORDER : comparator;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static final class d<K, V> implements Map.Entry<K, V> {
        public int a;

        /* renamed from: a  reason: collision with other field name */
        public d<K, V> f2710a;

        /* renamed from: a  reason: collision with other field name */
        public final K f2711a;
        public d<K, V> b;

        /* renamed from: b  reason: collision with other field name */
        public V f2712b;
        public d<K, V> c;
        public d<K, V> d;
        public d<K, V> e;

        public d() {
            this.f2711a = null;
            this.e = this;
            this.d = this;
        }

        public d<K, V> a() {
            d<K, V> dVar = this;
            for (d<K, V> dVar2 = this.b; dVar2 != null; dVar2 = dVar2.b) {
                dVar = dVar2;
            }
            return dVar;
        }

        public d<K, V> b() {
            d<K, V> dVar = this;
            for (d<K, V> dVar2 = this.c; dVar2 != null; dVar2 = dVar2.c) {
                dVar = dVar2;
            }
            return dVar;
        }

        @Override // java.util.Map.Entry
        public boolean equals(Object obj) {
            if (obj instanceof Map.Entry) {
                Map.Entry entry = (Map.Entry) obj;
                K k = this.f2711a;
                if (k == null) {
                    if (entry.getKey() != null) {
                        return false;
                    }
                } else if (!k.equals(entry.getKey())) {
                    return false;
                }
                V v = this.f2712b;
                if (v == null) {
                    if (entry.getValue() != null) {
                        return false;
                    }
                } else if (!v.equals(entry.getValue())) {
                    return false;
                }
                return true;
            }
            return false;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.f2711a;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.f2712b;
        }

        @Override // java.util.Map.Entry
        public int hashCode() {
            K k = this.f2711a;
            int hashCode = k == null ? 0 : k.hashCode();
            V v = this.f2712b;
            return hashCode ^ (v != null ? v.hashCode() : 0);
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.f2712b;
            this.f2712b = v;
            return v2;
        }

        public String toString() {
            return this.f2711a + "=" + this.f2712b;
        }

        public d(d<K, V> dVar, K k, d<K, V> dVar2, d<K, V> dVar3) {
            this.f2710a = dVar;
            this.f2711a = k;
            this.a = 1;
            this.d = dVar2;
            this.e = dVar3;
            dVar3.d = this;
            dVar2.e = this;
        }
    }
}
