package com.sogou.speech.http;

import com.sogou.speech.entity.VoiceSentence;
import com.sogou.speech.http.IAsrRequestProtocol;
import com.sogou.speech.listener.AsrRequestListener;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class AsrRequestExecutor implements IAsrRequestExecutor {
    public static final String TAG = "voice>>AsrRequestExecutor";
    public volatile boolean isStop;
    public final int mMaxRetryCount;
    public final IAsrRequestProtocol mProtocol;
    public int mReachedSeqNo = 0;

    public AsrRequestExecutor(IAsrRequestProtocol iAsrRequestProtocol, int i) {
        this.mProtocol = iAsrRequestProtocol;
        this.mMaxRetryCount = i;
    }

    /* JADX WARN: Code restructure failed: missing block: B:17:0x005e, code lost:
        if (r12.isStop != false) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0060, code lost:
        r14.onAsrFailure(r13, r9, r10, r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0064, code lost:
        defpackage.Ur.a(com.sogou.speech.http.AsrRequestExecutor.TAG, "asr stopped: 1");
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x006b, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:?, code lost:
        return;
     */
    @Override // com.sogou.speech.http.IAsrRequestExecutor
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void asr(VoiceSentence voiceSentence, AsrRequestListener asrRequestListener) {
        Ur.a(TAG, "voiceSentence,PartSeq:" + voiceSentence.getPartSeq() + "   SentenceID:" + voiceSentence.getSentenceID());
        int i = 0;
        while (true) {
            IAsrRequestProtocol.AsrResponse response = this.mProtocol.getResponse(voiceSentence);
            boolean z = response.succeed;
            int i2 = response.responseCode;
            int i3 = response.errorCode;
            Exception exc = response.exception;
            String str = response.responseBody;
            if (!z) {
                synchronized (this) {
                    if (this.mReachedSeqNo > voiceSentence.getPartSeq()) {
                        Ur.a("Follow result has reached! Pass retry and onFailure");
                        return;
                    }
                    i++;
                    if (i >= this.mMaxRetryCount || asrRequestListener.onReportError(voiceSentence, i, i2, i3, exc)) {
                        break;
                    }
                }
            } else {
                synchronized (this) {
                    this.mReachedSeqNo = Math.max(this.mReachedSeqNo, voiceSentence.getPartSeq());
                }
                if (!this.isStop) {
                    if (asrRequestListener.onAsrSuccess(voiceSentence, i2, str)) {
                        return;
                    }
                    i++;
                } else {
                    Ur.a(TAG, "asr stopped: 2");
                    return;
                }
            }
        }
    }

    @Override // com.sogou.speech.http.IAsrRequestExecutor
    public int maxPartCount(long j) {
        return this.mProtocol.maxPartCount(j);
    }

    @Override // com.sogou.speech.http.IAsrRequestExecutor
    public void resetSeqNo() {
        synchronized (this) {
            this.mReachedSeqNo = 0;
        }
    }

    @Override // com.sogou.speech.http.IAsrRequestExecutor
    public void setStop(boolean z) {
        Ur.a(TAG, "setStop");
        this.isStop = z;
    }

    @Override // com.sogou.speech.http.IAsrRequestExecutor
    public int voicePartSizeInBytes() {
        return this.mProtocol.voicePartSizeInBytes();
    }
}
