package com.sogou.speech.keyboardstate;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public interface KeyboardState extends IInterface {

    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public static abstract class Stub extends Binder implements KeyboardState {
        public static final String DESCRIPTOR = "com.sogou.speech.keyboardstate.KeyboardState";
        public static final int TRANSACTION_isSogouKeyboardShown = 1;

        /* compiled from: SogouSource */
        /* loaded from: classes.dex */
        private static class Proxy implements KeyboardState {
            public IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // android.os.IInterface
            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.sogou.speech.keyboardstate.KeyboardState
            public boolean isSogouKeyboardShown() {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(1, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt() != 0;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static KeyboardState asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof KeyboardState)) {
                return (KeyboardState) queryLocalInterface;
            }
            return new Proxy(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            if (i != 1) {
                if (i != 1598968902) {
                    return super.onTransact(i, parcel, parcel2, i2);
                }
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
            parcel.enforceInterface(DESCRIPTOR);
            boolean isSogouKeyboardShown = isSogouKeyboardShown();
            parcel2.writeNoException();
            parcel2.writeInt(isSogouKeyboardShown ? 1 : 0);
            return true;
        }
    }

    boolean isSogouKeyboardShown();
}
