package com.sogou.speech.utils;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class SpeexCodec {
    public static final int SPEEX_DEFAULT_BAND_MODE = 1;
    public static final int SPEEX_DEFAULT_QUALITY = 7;
    public long mSpeexNative;

    static {
        System.loadLibrary("sogou_speex_nt_v01");
    }

    public int bytesPerFrame() {
        return bytesPerFrame(this.mSpeexNative);
    }

    public native int bytesPerFrame(long j);

    public native long createDecoder(int i, int i2);

    public native long createEncoder(int i, int i2);

    public native int decode(long j, byte[] bArr, short[] sArr);

    public int decodedSizeInSamples(int i) {
        return decodedSizeInSamples(this.mSpeexNative, i);
    }

    public native int decodedSizeInSamples(long j, int i);

    public native void destroyDecoder(long j);

    public native void destroyEncoder(long j);

    public native int encode(long j, short[] sArr, byte[] bArr);

    public int encodedSizeInBytes(int i) {
        return encodedSizeInBytes(this.mSpeexNative, i);
    }

    public native int encodedSizeInBytes(long j, int i);

    public int samplesPerFrame() {
        return samplesPerFrame(this.mSpeexNative);
    }

    public native int samplesPerFrame(long j);

    public void setSpeexNative(long j) {
        this.mSpeexNative = j;
    }
}
