package com.sogou.speech.utils;

import android.util.Log;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class SpeexEncoder extends SpeexCodec {
    public SpeexEncoder() {
        setSpeexNative(createEncoder(1, 7));
    }

    public void destroy() {
        long j = this.mSpeexNative;
        if (j != 0) {
            destroyEncoder(j);
        }
        this.mSpeexNative = 0L;
    }

    public int encode(short[] sArr, byte[] bArr) {
        long j = this.mSpeexNative;
        if (j == 0) {
            return -1;
        }
        return encode(j, sArr, bArr);
    }

    public void finalize() {
        if (this.mSpeexNative != 0) {
            Log.i("SpeexEncoder", "!!! SpeexEncoder finalize. Forget to call destroy !!!");
        }
        destroy();
        super.finalize();
    }

    public byte[] encode(short[] sArr) {
        int encodedSizeInBytes = encodedSizeInBytes(this.mSpeexNative, sArr.length);
        if (encodedSizeInBytes <= 0) {
            return null;
        }
        byte[] bArr = new byte[encodedSizeInBytes];
        encode(sArr, bArr);
        return bArr;
    }
}
