package com.sogou.voice.offline;

import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.RemoteException;
import android.util.Log;
import com.sogou.base.moduler.voice.BaseVoiceModuler;
import defpackage.InterfaceC1096zx;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class SogouOfflineVoiceRecognizer extends BaseVoiceModuler {
    public static final String TAG = "offlinevoice>>" + SogouOfflineVoiceRecognizer.class.getSimpleName();
    public Ax mSpeechInterface;
    public C0963w<LF<C0627mH>> mResultLiveData = new C0963w<>();
    public boolean mIsServiceUnbind = false;
    public ServiceConnection mSpeechConnection = new Bx(this);
    public Context mContext = Dy.a();
    public Intent mSpeechIntent = new Intent(this.mContext, OfflineSpeechService.class);

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: SogouSource */
    /* loaded from: classes.dex */
    public class a extends InterfaceC1096zx.a {
        public a() {
        }

        @Override // defpackage.InterfaceC1096zx
        public void a(String str) {
            SogouOfflineVoiceRecognizer.this.mResultLiveData.a((C0963w<LF<C0627mH>>) LF.a(str));
        }

        @Override // defpackage.InterfaceC1096zx
        public void b(String str) {
            String str2 = SogouOfflineVoiceRecognizer.TAG;
            C0760qA.d(str2, "get voice media result: " + str);
            C0627mH c0627mH = new C0627mH();
            c0627mH.a(false);
            c0627mH.a(str);
            SogouOfflineVoiceRecognizer.this.mResultLiveData.a((C0963w<LF<C0627mH>>) LF.a(c0627mH));
        }

        @Override // defpackage.InterfaceC1096zx
        public void c(String str) {
            String str2 = SogouOfflineVoiceRecognizer.TAG;
            C0760qA.d(str2, "get voice last result: " + str);
            C0627mH c0627mH = new C0627mH();
            c0627mH.a(true);
            c0627mH.a(str);
            SogouOfflineVoiceRecognizer.this.mResultLiveData.a((C0963w<LF<C0627mH>>) LF.a(c0627mH));
        }
    }

    private void checkService() {
        Ax ax = this.mSpeechInterface;
        if (ax == null) {
            if (!this.mIsServiceUnbind) {
                C0760qA.a(TAG, "check if unbind service.");
                unbindService();
            }
            this.mContext.bindService(this.mSpeechIntent, this.mSpeechConnection, 1);
            return;
        }
        try {
            ax.init();
            this.mSpeechInterface.c();
        } catch (Exception unused) {
            C0760qA.d(TAG, "init asr failed.");
        }
    }

    private void unbindService() {
        ServiceConnection serviceConnection = this.mSpeechConnection;
        if (serviceConnection != null) {
            try {
                this.mContext.unbindService(serviceConnection);
                Log.d(TAG, "unbindService: succeed ");
            } catch (Exception e) {
                Log.d(TAG, "unbindService: failed");
                e.printStackTrace();
            }
        }
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void destory() {
        if (this.mSpeechInterface != null) {
            try {
                if (!this.mIsServiceUnbind) {
                    C0760qA.a(TAG, "speech connection exists, unbind service.");
                    unbindService();
                }
                this.mSpeechInterface.d();
                this.mSpeechInterface.release();
                this.mSpeechInterface.b();
                C0760qA.d(TAG, "asr destoryed");
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            C0760qA.c(TAG, "invoke destroy Asr when binder not connected.");
        }
        C0760qA.d(TAG, "destory");
        this.mSpeechInterface = null;
        this.mContext.stopService(this.mSpeechIntent);
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void release() {
        Ax ax = this.mSpeechInterface;
        if (ax != null) {
            try {
                ax.release();
                C0760qA.d(TAG, "asr released ");
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            C0760qA.c(TAG, "invoke release Asr when binder not connected.");
        }
        this.mResultLiveData.a((C0963w<LF<C0627mH>>) LF.b());
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void setAccent(String str) {
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void setIsStartCandidate(boolean z) {
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void setIsTranditional(boolean z) {
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void setLongSentenceMode(boolean z) {
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void setOnlineMode(boolean z) {
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public C0963w<LF<C0627mH>> startAsr() {
        Ur.a(TAG, "startAsr()");
        this.mResultLiveData.b((C0963w<LF<C0627mH>>) LF.a());
        checkService();
        return this.mResultLiveData;
    }

    @Override // com.sogou.base.moduler.voice.BaseVoiceModuler
    public void stopAsr() {
        Ax ax = this.mSpeechInterface;
        if (ax != null) {
            try {
                ax.d();
                C0760qA.d(TAG, "asr stopped ");
                return;
            } catch (RemoteException e) {
                e.printStackTrace();
                return;
            }
        }
        C0760qA.c(TAG, "invoke stop Asr when binder not connected.");
    }
}
