package defpackage;

import android.content.Context;
import android.content.res.AssetManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Log;
import android.view.View;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
/* compiled from: SogouSource */
/* renamed from: bl  reason: default package and case insensitive filesystem */
/* loaded from: classes.dex */
public class C0256bl {
    public static final Object a = new Object();

    /* renamed from: a  reason: collision with other field name */
    public Gj f2605a;

    /* renamed from: a  reason: collision with other field name */
    public final Context f2606a;

    /* renamed from: a  reason: collision with other field name */
    public String f2607a;

    /* renamed from: a  reason: collision with other field name */
    public final Map<String, C0290ck> f2608a;

    public C0256bl(Drawable.Callback callback, String str, Gj gj, Map<String, C0290ck> map) {
        String str2;
        this.f2607a = str;
        if (!TextUtils.isEmpty(str)) {
            if (this.f2607a.charAt(str2.length() - 1) != '/') {
                this.f2607a += '/';
            }
        }
        if (!(callback instanceof View)) {
            Log.w("LOTTIE", "LottieDrawable must be inside of a view for images to work.");
            this.f2608a = new HashMap();
            this.f2606a = null;
            return;
        }
        this.f2606a = ((View) callback).getContext();
        this.f2608a = map;
        a(gj);
    }

    public void a(Gj gj) {
        this.f2605a = gj;
    }

    public Bitmap a(String str) {
        C0290ck c0290ck = this.f2608a.get(str);
        if (c0290ck == null) {
            return null;
        }
        Bitmap a2 = c0290ck.a();
        if (a2 != null) {
            return a2;
        }
        Gj gj = this.f2605a;
        if (gj != null) {
            Bitmap a3 = gj.a(c0290ck);
            if (a3 != null) {
                a(str, a3);
            }
            return a3;
        }
        String m1098a = c0290ck.m1098a();
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inScaled = true;
        options.inDensity = 160;
        if (m1098a.startsWith("data:") && m1098a.indexOf("base64,") > 0) {
            try {
                byte[] decode = Base64.decode(m1098a.substring(m1098a.indexOf(44) + 1), 0);
                Bitmap decodeByteArray = BitmapFactory.decodeByteArray(decode, 0, decode.length, options);
                a(str, decodeByteArray);
                return decodeByteArray;
            } catch (IllegalArgumentException e) {
                Log.w("LOTTIE", "data URL did not have correct base64 format.", e);
                return null;
            }
        }
        try {
            if (!TextUtils.isEmpty(this.f2607a)) {
                AssetManager assets = this.f2606a.getAssets();
                Bitmap decodeStream = BitmapFactory.decodeStream(assets.open(this.f2607a + m1098a), null, options);
                a(str, decodeStream);
                return decodeStream;
            }
            throw new IllegalStateException("You must set an images folder before loading an image. Set it with LottieComposition#setImagesFolder or LottieDrawable#setImagesFolder");
        } catch (IOException e2) {
            Log.w("LOTTIE", "Unable to open asset.", e2);
            return null;
        }
    }

    public void a() {
        synchronized (a) {
            for (Map.Entry<String, C0290ck> entry : this.f2608a.entrySet()) {
                C0290ck value = entry.getValue();
                Bitmap a2 = value.a();
                if (a2 != null) {
                    a2.recycle();
                    value.a(null);
                }
            }
        }
    }

    public boolean a(Context context) {
        return (context == null && this.f2606a == null) || this.f2606a.equals(context);
    }

    public final Bitmap a(String str, Bitmap bitmap) {
        synchronized (a) {
            this.f2608a.get(str).a(bitmap);
        }
        return bitmap;
    }
}
