package defpackage;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import java.util.WeakHashMap;
/* compiled from: SogouSource */
/* renamed from: qg  reason: default package and case insensitive filesystem */
/* loaded from: classes.dex */
public final class C0774qg {

    /* renamed from: a  reason: collision with other field name */
    public static final ThreadLocal<TypedValue> f3540a = new ThreadLocal<>();

    /* renamed from: a  reason: collision with other field name */
    public static final WeakHashMap<Context, SparseArray<a>> f3541a = new WeakHashMap<>(0);
    public static final Object a = new Object();

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SogouSource */
    /* renamed from: qg$a */
    /* loaded from: classes.dex */
    public static class a {
        public final ColorStateList a;

        /* renamed from: a  reason: collision with other field name */
        public final Configuration f3542a;

        public a(ColorStateList colorStateList, Configuration configuration) {
            this.a = colorStateList;
            this.f3542a = configuration;
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public static Drawable m1510a(Context context, int i) {
        return Fh.a().m212b(context, i);
    }

    public static ColorStateList b(Context context, int i) {
        if (Build.VERSION.SDK_INT >= 23) {
            return context.getColorStateList(i);
        }
        ColorStateList a2 = a(context, i);
        if (a2 != null) {
            return a2;
        }
        ColorStateList c = c(context, i);
        if (c != null) {
            a(context, i, c);
            return c;
        }
        return C0076Jb.m316a(context, i);
    }

    public static ColorStateList c(Context context, int i) {
        if (m1511a(context, i)) {
            return null;
        }
        Resources resources = context.getResources();
        try {
            return C0097Mb.a(resources, resources.getXml(i), context.getTheme());
        } catch (Exception e) {
            Log.e("AppCompatResources", "Failed to inflate ColorStateList, leaving it to the framework", e);
            return null;
        }
    }

    public static ColorStateList a(Context context, int i) {
        a aVar;
        synchronized (a) {
            SparseArray<a> sparseArray = f3541a.get(context);
            if (sparseArray != null && sparseArray.size() > 0 && (aVar = sparseArray.get(i)) != null) {
                if (aVar.f3542a.equals(context.getResources().getConfiguration())) {
                    return aVar.a;
                }
                sparseArray.remove(i);
            }
            return null;
        }
    }

    public static void a(Context context, int i, ColorStateList colorStateList) {
        synchronized (a) {
            SparseArray<a> sparseArray = f3541a.get(context);
            if (sparseArray == null) {
                sparseArray = new SparseArray<>();
                f3541a.put(context, sparseArray);
            }
            sparseArray.append(i, new a(colorStateList, context.getResources().getConfiguration()));
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public static boolean m1511a(Context context, int i) {
        Resources resources = context.getResources();
        TypedValue a2 = a();
        resources.getValue(i, a2, true);
        int i2 = a2.type;
        return i2 >= 28 && i2 <= 31;
    }

    public static TypedValue a() {
        TypedValue typedValue = f3540a.get();
        if (typedValue == null) {
            TypedValue typedValue2 = new TypedValue();
            f3540a.set(typedValue2);
            return typedValue2;
        }
        return typedValue;
    }
}
