package launcher.home.preference;

import android.content.Context;
import android.content.Intent;
import android.content.res.TypedArray;
import android.net.Uri;
import android.text.SpannableString;
import android.text.style.UnderlineSpan;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class UrlPreference extends SogouPreference {
    public Context a;

    /* renamed from: a  reason: collision with other field name */
    public TextView f3295a;

    /* renamed from: a  reason: collision with other field name */
    public String f3296a;
    public String b;

    public UrlPreference(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.a = context;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0722oy.UrlPreference, 0, 0);
        this.f3296a = obtainStyledAttributes.getString(C0722oy.UrlPreference_url);
        this.b = obtainStyledAttributes.getString(C0722oy.UrlPreference_text);
        obtainStyledAttributes.recycle();
    }

    public final void a(String str) {
        Uri parse = Uri.parse(str);
        Intent launchIntentForPackage = this.a.getPackageManager().getLaunchIntentForPackage("com.android.browser");
        if (launchIntentForPackage != null) {
            launchIntentForPackage.setAction("android.intent.action.VIEW");
            launchIntentForPackage.addCategory("android.intent.category.DEFAULT");
            launchIntentForPackage.setData(parse);
        } else {
            launchIntentForPackage = new Intent("android.intent.action.VIEW", parse);
        }
        launchIntentForPackage.addFlags(268435456);
        this.a.startActivity(launchIntentForPackage);
    }

    @Override // android.preference.Preference
    public void onBindView(View view) {
        super.onBindView(view);
        this.f3295a = (TextView) view.findViewById(C0617ly.url_preference);
        String str = this.b;
        if (str == null) {
            return;
        }
        SpannableString spannableString = new SpannableString(str);
        spannableString.setSpan(new UnderlineSpan(), 0, this.b.length(), 33);
        this.f3295a.setText(spannableString);
    }

    @Override // android.preference.Preference
    public void onClick() {
        String str = this.f3296a;
        if (str == null) {
            super.onClick();
        } else {
            a(str);
        }
    }

    @Override // android.preference.Preference
    public View onCreateView(ViewGroup viewGroup) {
        super.onCreateView(viewGroup);
        return LayoutInflater.from(this.a).inflate(C0652my.view_url_preference, viewGroup, false);
    }

    public UrlPreference(Context context) {
        this(context, null);
    }
}
