package sogou.input.base.jni.base;

import android.content.Context;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class CHNativeInterface {
    public int mNativeContext;
    public long mNativeContextLong;

    private native int getDictRelativeInfoNative(int i);

    private native int getSetDictRelativeMD5ORUptimeNative(int i, byte[] bArr, int i2);

    public static native int postParamsToNative(char[] cArr, int i, int i2);

    public static native int postVersionInfoToNative(char[] cArr, int i);

    private native int setDictRelativeInfoNative(int i, int i2);

    public native int addSlideInputPointNative(int i, short s, short s2, boolean z, boolean z2, boolean z3);

    public native int associateNative(String str, int i);

    public native int buildCellDict(byte[][] bArr, int i, byte[] bArr2, boolean z);

    public native int buildExtCellDict(byte[][] bArr, int i, byte[] bArr2);

    public native int buildFanLingxiWhiteListDict(byte[] bArr);

    public native int buildFlxWideWhiteDict(byte[] bArr, byte[] bArr2);

    public native int buildOtherUsrDict(byte[] bArr);

    public native boolean changeCmDict2UUD(byte[] bArr);

    public native int changeUsrDict2UUD(byte[] bArr);

    public native int checkUploadUsrDict(byte[] bArr, boolean z, boolean z2, boolean z3, byte[] bArr2, int i);

    public native int clearCellDict();

    public native synchronized void clearPicDict(byte[] bArr);

    public native void clearUserInputNative();

    public native int cloudPredict(byte[] bArr, int i, char[] cArr, short[] sArr, char[] cArr2);

    public native int deleteBlackWord(char[] cArr);

    public native int deleteExpressionWord(String str, String str2, short s);

    public native int deleteExpressionWordById(short s);

    public native int deleteWord(int i);

    public native boolean getBlindReadString(String str, byte[] bArr, char[] cArr, int i, int i2);

    public native int getCandidateInfo(int i, int i2);

    public native int getCandidateProbableNumNative();

    public native int getCandidatesNative(char[] cArr, int i, int i2, int i3);

    public native int getCloudAlternative(char[] cArr, short[] sArr, char[] cArr2);

    public native int getCloudAssocParameter(byte[] bArr, byte[] bArr2, int i);

    public native int getCloudAssocResult(byte[] bArr, int i);

    public native int getCloudCacheResult(byte[] bArr, int i, char[] cArr, short[] sArr, char[] cArr2);

    public native int getCloudParameter(byte[] bArr, int i);

    public native int getCloudWhiteDogInfo(int i, char[] cArr);

    public native int getCommitSearchUploadDataStream(String str);

    public native int getCommitWordPinyinNative(char[] cArr, int i);

    public native int getCommittedAndChoosenInputTextNative(char[] cArr);

    public native int getCommittedLengthNative();

    public native int getComposingInfo(int i);

    public native int getComposingTextCursorFlagNative(char[] cArr, int i);

    public native int getComposingTextNative(char[] cArr, int i);

    public native int getCoreInfo(int i);

    public native String getCoreVersion();

    public native int getCorrectInfo(int i, int i2, short[] sArr);

    public native int getEnterCommittedText(char[] cArr);

    public native int getFirstCandBeforeCaAdjust(char[] cArr);

    public native int getFloatSelectedCodeNative(char[] cArr);

    public native int getHWMarkedPinyin(char c, boolean z, char[] cArr);

    public native boolean getHistoryInputStatis(int[] iArr);

    public native int getInputCodeForWubi(String str, char[] cArr, int i);

    public native int getInputTextNative(char[] cArr);

    public native int getInputTextRelativeXNative(short[] sArr);

    public native int getInputTextRelativeYNative(short[] sArr);

    public native int getKeyCorrectResultNative(char[] cArr, int i);

    public native boolean getLSTMTimeInfo(char[] cArr, int i);

    public native int getModeNative();

    public native int getNextDigitCandidateCodeNative(char[] cArr);

    public native void getNextSuggestKeyEN(char[] cArr);

    public native int getNextSuggestKeyPinyin(char[] cArr, char[] cArr2, byte[] bArr);

    public native int getParameter(int i, int i2);

    public native int getPhoneKeyCorrectIndexNative(short[] sArr, int i);

    public native int getPhoneKeyCorrectInfoNative(char[] cArr, int i, int i2);

    public native int getPosCorrectResultNative(char[] cArr, int i);

    public native int getPostDataForPrivilegeDictNative(byte[] bArr, int i, int i2);

    public native String getPrivateEncryptKey();

    public native String getRecommendDataName();

    public native int getScelInfo(byte[] bArr, char[] cArr);

    public native boolean getShutDownUsrData();

    public native String getTargetReferName();

    public native String getTargetReferName2();

    public native String getTargetReferName3();

    public native String getTargetURLName();

    public native String getTargetURLName2();

    public native String getTextPinyin(String str);

    public native float getTotalWordLearnNum();

    public native int getUnCommittedLengthNative();

    public native int getUnCommittedText(char[] cArr);

    public native int getWordSegments(char[] cArr, char[] cArr2);

    public native int handleInputNative(int i, int i2, int i3);

    public native int handleInputNative(int i, int i2, int i3, short s, short s2);

    public native int handleInputNative(int i, String str, int i2);

    public native int handleShiftNative(int i, boolean z);

    public native void handleSymbolNumInput(char[] cArr);

    public native void handleUserInputNative(int i, char[] cArr);

    public native boolean importPosCorrectUsrInfoNative(short[] sArr, int i, int i2, int i3, int i4);

    public native void initLstmAdapterNative(String str);

    public native boolean inputStatisAddWord(int i, int i2, int i3);

    public native int invalidateCommitWordPinyinNative();

    public native int isComposingFullNative();

    public native int isContextAwareAdjustCandidate(int i);

    public native int isExistExpressionWord(String str, short s);

    public native boolean isSlideInput();

    public native int isTimeAwareAdjustCandidate(int i);

    public native int learnBlackWord(char[] cArr);

    public native int learnExpressionWord(String str, String str2, short s, boolean z);

    public native int learnExpressionWordUser(String str, String str2, short s, boolean z);

    public native int learnSmileWordUser(String str, int i);

    public native int learnWord(String str, String str2, int i);

    public native void loadModelFinishedNative(byte[] bArr);

    public native int mergeUUD2UsrDict(byte[] bArr);

    public final native void native_finalize();

    public final native boolean native_setup(Context context, byte[] bArr);

    public native int open(byte[] bArr, byte[] bArr2, byte[] bArr3, byte[] bArr4, int i);

    public native int postKeyboardShownStateToNative(int i);

    public native int predictNative(String str, String str2);

    public native boolean profileNameForSpeechRecognition(String str, char[] cArr);

    public native void recordSlideInput();

    public native int refreshCandidatesNative();

    public native void release();

    public native boolean resetInputStatis();

    public native void resetNative();

    public native synchronized void savePicDict(byte[] bArr);

    public native synchronized void saveUserDict(byte[] bArr, boolean z);

    public native void selectHWCandidate(char[] cArr);

    public native void setAboveContextNative(String str);

    public native void setAfterContextNative(String str);

    public native void setClientPackageName(String str);

    public native void setDeviceParamsNative(int i, int i2);

    public native int setExpressionEmojiEnable(boolean z);

    public native int setExpressionPicEnable(boolean z);

    public native int setFloatCandCodeWindowShown(boolean z);

    public native int setHardHBEnable(boolean z);

    public native int setInputTypeNoActiveNative(int i);

    public native int setModeNative(int i);

    public native int setNativeCollectSwitch(int i, boolean z);

    public native int setParameter(int i, int i2);

    public native void setPyInWubi(boolean z);

    public native void setQwertyKeyTextLayout(char[] cArr);

    public native boolean setSearchStateNative(boolean z);

    public native void setSentenceStart();

    public native void setSlideInput(int[][] iArr, boolean z);

    public native int setSuperKeyboardStateNative(int i, boolean z);

    public native void setTime(char c);

    public native void updateSelectionNative(int i);
}
