package sogou.input.model.serviceimpl;

import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.widget.Toast;
import com.sogou.input.service.stub.input.IKeyEventInterpreter;
import com.sogou.input.service.stub.input.IKeyEventTransfer;
import com.sogou.input.service.stub.input.IKeyHandlerManager;
import com.sogou.speech.butterfly.ButterflyEngine;
import com.sohu.inputmethod.sogou.leakanalysis.BuildConfig;
import java.util.ArrayList;
/* compiled from: SogouSource */
/* loaded from: classes.dex */
public class KeyEventTransfer implements IKeyEventTransfer {
    public static final String TAG = "KeyEventTransfer";
    public IKeyEventInterpreter keyEventInterpreter = C0610lr.a().m1403a();
    public IKeyHandlerManager keyHandlerManager = C0610lr.a().m1405a();

    private void commitCurrentCandidate() {
        ArrayList<CharSequence> m440c = C0610lr.a().m1402a().getCandidateInfo().m440c();
        if (m440c == null || m440c.isEmpty()) {
            return;
        }
        int b = C0610lr.a().m1402a().getCandidateInfo().b();
        if (b < 0) {
            b = 0;
        }
        doCandidateInput(b, true, true, false);
    }

    private boolean doNeedResetInput(int i, int i2) {
        if (i == 0 && i2 == -1) {
            return false;
        }
        return (i == -1 && i2 == 0) ? false : true;
    }

    private boolean preProcessFuncKey(int i) {
        if (i == -205) {
            C0610lr.a().m1406a().setInputType(C0610lr.a().m1402a().getPreviousInputType());
            return true;
        } else if (i != -204) {
            switch (i) {
                case -25:
                    C0610lr.a().m1402a().getIMEStatusInfo().a(0);
                    C0610lr.a().m1406a().openSymbolKeyboard(C1072zG.m1734a(C0610lr.a().m1402a().getInputType()));
                    return true;
                case -24:
                    boolean m1422a = C0515jA.a(Dy.a()).f3201a.m1368a().m1422a();
                    C0515jA.a(Dy.a()).f3201a.m1368a().a(!m1422a);
                    this.keyHandlerManager.handleReset();
                    showNotify(m1422a);
                    return true;
                case -23:
                    if (C0610lr.a().m1402a().getInputType() != 0) {
                        commitCurrentCandidate();
                        this.keyHandlerManager.handleReset();
                    }
                    C0610lr.a().m1406a().setInputType(-1);
                    return true;
                case -22:
                    C0610lr.a().m1406a().openSymbolKeyboard(false);
                    return true;
                case -21:
                    C0610lr.a().m1406a().openSymbolKeyboard(true);
                    return true;
                case -20:
                    int switchInputType = C0610lr.a().m1402a().switchInputType();
                    switchInputType(switchInputType);
                    C0610lr.a().m1406a().setInputType(switchInputType);
                    return true;
                default:
                    return false;
            }
        } else {
            C0610lr.a().m1406a().setInputType(C0610lr.a().m1402a().getInputType());
            return true;
        }
    }

    private void showNotify(boolean z) {
        Toast.makeText(Dy.a(), z ? "字典模式" : "字母模式", 0).show();
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void cursorMove(int i, int i2) {
        C1038yG c1038yG = new C1038yG();
        c1038yG.a(i);
        c1038yG.b = i2;
        C0556kG c0556kG = new C0556kG(9);
        c0556kG.a(c1038yG);
        C0208aG c0208aG = new C0208aG();
        c0208aG.a(c0556kG);
        this.keyEventInterpreter.interpretKeyEvent(c0208aG);
    }

    public void doCandidateBack() {
        C0521jG c0521jG = new C0521jG(7, null);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    public void doCandidateCategoryInput(int i) {
        if (i < 0) {
            return;
        }
        C0902uG c0902uG = new C0902uG();
        c0902uG.a = i;
        C0521jG c0521jG = new C0521jG(6, c0902uG);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doCandidateCodeInput(int i) {
        C0970wG c0970wG = new C0970wG();
        c0970wG.b = i;
        C0521jG c0521jG = new C0521jG(1, c0970wG);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doCandidateInput(int i, boolean z, boolean z2, boolean z3) {
        C1004xG c1004xG = new C1004xG();
        c1004xG.b = i;
        c1004xG.f3890b = z;
        c1004xG.f3889a = z2;
        int c = C0610lr.a().m1402a().getCandidateInfo().c();
        int i2 = c1004xG.b;
        if (z3) {
            i2 -= c;
        }
        c1004xG.f3888a = getSelectedCandidateWord(i2);
        C0610lr.a().m1402a().getCandidateInfo().b(c1004xG.b);
        C0521jG c0521jG = new C0521jG(2, c1004xG);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    public void doCandidateSingleFilter() {
        C0521jG c0521jG = new C0521jG(8, null);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doExternalKeyboardInput(int i, int i2, KeyEvent keyEvent) {
        C0696oG c0696oG = new C0696oG(keyEvent, i);
        C0382fG c0382fG = new C0382fG();
        c0382fG.a(c0696oG);
        this.keyEventInterpreter.interpretKeyEvent(c0382fG);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doHandWriteInput(int[] iArr, boolean z) {
        if (iArr == null || iArr.length == 0) {
            return;
        }
        C0800rG c0800rG = new C0800rG();
        c0800rG.a = iArr;
        c0800rG.b = z;
        C0521jG c0521jG = new C0521jG(0, c0800rG);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doKeyInput(int i, int i2, String str, String str2) {
        ZF _f;
        C0760qA.a(TAG, "doKeyInput: property=" + i + " code=" + i2 + "  text=" + str + "  miniText=" + str2);
        C0834sG c0834sG = new C0834sG();
        if (preProcessFuncKey(i2)) {
            return;
        }
        int keyType = getKeyType(i2);
        if (keyType != -1) {
            AbstractC0487iG c0556kG = new C0556kG(keyType);
            _f = new C0208aG();
            _f.a(c0556kG);
        } else {
            c0834sG.e = i;
            if (i == 61440) {
                c0834sG.f = i;
            } else {
                c0834sG.f = i2;
            }
            c0834sG.a = i2;
            if (!TextUtils.isEmpty(str2)) {
                c0834sG.d = str2.charAt(0);
            } else {
                c0834sG.d = i2;
            }
            c0834sG.f3663a = str;
            c0834sG.c = 0;
            AbstractC0487iG c0521jG = new C0521jG(0, c0834sG);
            _f = new _F();
            _f.a(c0521jG);
        }
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    public void doKeySpaceClick() {
        this.keyHandlerManager.handleReset();
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doLoadLanguageResource() {
        this.keyEventInterpreter.interpretKeyEvent(new C0313dG());
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doPageDown(boolean z) {
        Log.d(TAG, "doPageDown: ");
        C0936vG c0936vG = new C0936vG();
        c0936vG.a = z;
        C0521jG c0521jG = new C0521jG(4, c0936vG);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void doPageUp() {
        Log.d(TAG, "doPageUp: ");
        C0521jG c0521jG = new C0521jG(3, null);
        _F _f = new _F();
        _f.a(c0521jG);
        this.keyEventInterpreter.interpretKeyEvent(_f);
    }

    public void doSwitchKeyboardView(int i, int i2) {
    }

    public int getFuncType(int i) {
        if (i != -105) {
            if (i != -20) {
                if (i == -5) {
                    return 0;
                }
                if (i == 10) {
                    return 1;
                }
                if (i == 32) {
                    return 2;
                }
            }
            return -1;
        }
        return 3;
    }

    public int getKeyType(int i) {
        switch (i) {
            case -507:
                return 8;
            case -105:
                return 3;
            case -101:
            case ButterflyEngine.BFDecoderMessage.BFDECODER_MSG_ERR /* -1 */:
                return 7;
            case -36:
                return 6;
            case -25:
                return 10;
            case -20:
                return 11;
            case -5:
                return 0;
            case 10:
                return 1;
            case 32:
                return 2;
            case 1001:
                return 4;
            case 61808:
            case 61809:
            case 61810:
            case 61811:
                return 9;
            default:
                return -1;
        }
    }

    public String getSelectedCandidateWord(int i) {
        if (i < 0) {
            return BuildConfig.FLAVOR;
        }
        ArrayList<CharSequence> m440c = C0610lr.a().m1402a().getCandidateInfo().m440c();
        if (m440c != null && m440c.size() > 0 && i < m440c.size()) {
            CharSequence charSequence = m440c.get(i);
            if (!TextUtils.isEmpty(charSequence)) {
                return charSequence.toString();
            }
        }
        return null;
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public boolean isAssociateWords() {
        return this.keyHandlerManager.isHWAssociateWords();
    }

    public boolean isCurrentKeyboardView(int i, int i2) {
        GF a = C0610lr.a().m1402a().getIMEStatusInfo().a();
        return a.c() == i && a.b() == i2;
    }

    public void loadKeyboard(int i) {
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public boolean needResetInput(int i) {
        return doNeedResetInput(C0610lr.a().m1402a().getPreviousInputType(), i);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void onInputContextChanged(int i, int i2, int i3, int i4, int i5, int i6) {
        C0626mG c0626mG = new C0626mG(2, i, i2, i3, i3, i5, i6);
        C0278cG c0278cG = new C0278cG();
        c0278cG.a(c0626mG);
        this.keyEventInterpreter.interpretKeyEvent(c0278cG);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public boolean onLifeCycleChanged(int i, Object... objArr) {
        if (i <= -1 || i >= 7) {
            return false;
        }
        C0591lG c0591lG = null;
        if (i == 0) {
            c0591lG = new C0591lG(0, objArr[0], ((Boolean) objArr[1]).booleanValue());
        } else if (i == 1) {
            c0591lG = new C0591lG(1);
        } else if (i == 3) {
            c0591lG = new C0591lG(3);
        } else if (i != 4) {
            if (i == 5) {
                c0591lG = new C0591lG(5, objArr[0], ((Boolean) objArr[1]).booleanValue());
            } else if (i == 6) {
                c0591lG = new C0591lG(6, objArr[0]);
            }
        }
        if (i == 3) {
            this.keyHandlerManager.handleReset();
        }
        if (c0591lG == null) {
            return false;
        }
        C0347eG c0347eG = new C0347eG();
        c0347eG.a(c0591lG);
        this.keyEventInterpreter.interpretKeyEvent(c0347eG);
        return true;
    }

    public void reloadCandidates() {
        this.keyHandlerManager.reloadCandidates();
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void resetHWHandler() {
        this.keyHandlerManager.resetHWHandler();
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void setFocusIndex(int i) {
        C0610lr.a().m1402a().getCandidateInfo().b(i);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void setHWComposingText(CharSequence charSequence) {
        this.keyHandlerManager.setHWComposingText(charSequence);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void setInputModeAndParam(int i, int i2) {
        GF a = C0610lr.a().m1402a().getIMEStatusInfo().a();
        a.m257a(C0610lr.a().m1402a().getLanguageId());
        a.m261c(i);
        a.m259b(i2);
        C0760qA.a(TAG, a.toString());
        this.keyHandlerManager.onChangeKeyHandler(a);
        C0661nG c0661nG = new C0661nG(0, -1, a);
        C0243bG c0243bG = new C0243bG();
        c0243bG.a(c0661nG);
        this.keyEventInterpreter.interpretKeyEvent(c0243bG);
    }

    @Override // com.sogou.input.service.stub.input.IKeyEventTransfer
    public void switchInputType(int i) {
        JG m205a;
        if (doNeedResetInput(C0610lr.a().m1402a().getInputType(), i)) {
            this.keyHandlerManager.handleReset();
        }
        C0610lr.a().m1402a().setInputType(i);
        String a = C1072zG.a(i);
        if (TextUtils.isEmpty(a) || (m205a = JF.a().m310a().m205a(a)) == null) {
            return;
        }
        setInputModeAndParam(m205a.b(), m205a.a());
    }
}
